/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_1 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 466 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("br\t%0", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char * const output_3[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_4[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char * const output_9[] = {
  "ccmp\t%w2, %w3, %k5, %M4",
  "ccmp\t%w2, %3, %k5, %M4",
  "ccmn\t%w2, #%n3, %k5, %M4",
};

static const char * const output_10[] = {
  "ccmp\t%x2, %x3, %k5, %M4",
  "ccmp\t%x2, %3, %k5, %M4",
  "ccmn\t%x2, #%n3, %k5, %M4",
};

static const char *
output_15 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 655 "../../../gcc/config/aarch64/aarch64.md"
{
    /* GCC's traditional style has been to use "beq" instead of "b.eq", etc.,
       but the "." is required for SVE conditions.  */
    bool use_dot_p = GET_MODE (operands[1]) == CC_NZCmode;
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond",
				     use_dot_p ? "b.%M0\t" : "b%M0\t");
    else
      return use_dot_p ? "b.%m0\t%l2" : "b%m0\t%l2";
  }
}

static const char *
output_24 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 785 "../../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_26 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 804 "../../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL(operands[1])][locality];
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 866 "../../../gcc/config/aarch64/aarch64.md"
{
    const char *ret = NULL;
    if (aarch64_return_address_signing_enabled ()
	&& TARGET_ARMV8_3
	&& !crtl->calls_eh_return)
      {
	if (aarch64_ra_sign_key == AARCH64_KEY_B)
	  ret = "retab";
	else
	  ret = "retaa";
      }
    else
      ret = "ret";
    output_asm_insn (ret, operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_29 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 895 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("ret", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 909 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 909 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_32 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 909 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 909 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 939 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 975 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_48 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1097 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%0", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c0";
  }
}

static const char *
output_49 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1117 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%1", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c1";
  }
}

static const char *
output_50 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1183 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							QImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrb\t%w0, %1";
     case 5:
       return "ldr\t%b0, %1";
     case 6:
       return "strb\t%w1, %0";
     case 7:
       return "str\t%b1, %0";
     case 8:
       return "umov\t%w0, %1.b[0]";
     case 9:
       return "dup\t%0.8b, %w1";
     case 10:
       return "dup\t%b0, %1.b[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1183 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							HImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrh\t%w0, %1";
     case 5:
       return "ldr\t%h0, %1";
     case 6:
       return "strh\t%w1, %0";
     case 7:
       return "str\t%h1, %0";
     case 8:
       return "umov\t%w0, %1.h[0]";
     case 9:
       return "dup\t%0.4h, %w1";
     case 10:
       return "dup\t%h0, %1.h[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%w0, %w1";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6: return "ldr\t%w0, %1";
    case 7: return "ldr\t%s0, %1";
    case 8: return "str\t%w1, %0";
    case 9: return "str\t%s1, %0";
    case 10: return "adr\t%x0, %c1";
    case 11: return "adrp\t%x0, %A1";
    case 12: return "fmov\t%s0, %w1";
    case 13: return "fmov\t%w0, %s1";
    case 14: return "fmov\t%s0, %s1";
    case 15:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%x0, %x1";
    case 1: return "mov\t%0, %x1";
    case 2: return "mov\t%x0, %1";
    case 3: return "mov\t%x0, %1";
    case 4: return "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7: return "ldr\t%x0, %1";
    case 8: return "ldr\t%d0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "str\t%d1, %0";
    case 11: return "adr\t%x0, %c1";
    case 12: return "adrp\t%x0, %A1";
    case 13: return "fmov\t%d0, %x1";
    case 14: return "fmov\t%x0, %d1";
    case 15: return "fmov\t%d0, %d1";
    case 16:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_56 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1334 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], SImode),
				    rtx_mode_t (operands[3], SImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%w0, #%X2, lsl %3";
  }
}

static const char *
output_57 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1334 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], DImode),
				    rtx_mode_t (operands[3], DImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%x0, #%X2, lsl %3";
  }
}

static const char * const output_58[] = {
  "#",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_59 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_60 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_61 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_62 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11: return "mov\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_63[] = {
  "mov\t%0.16b, %1.16b",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_64[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_65[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_66[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_67[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_68[] = {
  "ldp\t%x0, %x2, %1",
  "ldp\t%d0, %d2, %1",
};

static const char * const output_69[] = {
  "ldp\t%x0, %x2, %1",
  "ldp\t%d0, %d2, %1",
};

static const char * const output_70[] = {
  "ldp\t%x0, %x2, %1",
  "ldp\t%d0, %d2, %1",
};

static const char * const output_71[] = {
  "ldp\t%x0, %x2, %1",
  "ldp\t%d0, %d2, %1",
};

static const char * const output_73[] = {
  "stp\t%w1, %w3, %0",
  "stp\t%s1, %s3, %0",
};

static const char * const output_74[] = {
  "stp\t%w1, %w3, %0",
  "stp\t%s1, %s3, %0",
};

static const char * const output_75[] = {
  "stp\t%w1, %w3, %0",
  "stp\t%s1, %s3, %0",
};

static const char * const output_76[] = {
  "stp\t%w1, %w3, %0",
  "stp\t%s1, %s3, %0",
};

static const char * const output_77[] = {
  "stp\t%x1, %x3, %0",
  "stp\t%d1, %d3, %0",
};

static const char * const output_78[] = {
  "stp\t%x1, %x3, %0",
  "stp\t%d1, %d3, %0",
};

static const char * const output_79[] = {
  "stp\t%x1, %x3, %0",
  "stp\t%d1, %d3, %0",
};

static const char * const output_80[] = {
  "stp\t%x1, %x3, %0",
  "stp\t%d1, %d3, %0",
};

static const char * const output_106[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_108[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
  "fmov\t%w0, %s1",
  "fmov\t%s0, %s1",
};

static const char * const output_109[] = {
  "ldp\t%w0, %w2, %1",
  "ldp\t%s0, %s2, %1",
};

static const char * const output_110[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_111[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
};

static const char * const output_112[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
};

static const char * const output_113[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
};

static const char * const output_114[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_115[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_116[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_117[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_118[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_119[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_122[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_125[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_126[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_127[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_128[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_129[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_130[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_131[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_132[] = {
  "cmn\t%w0, %w1",
  "cmp\t%w0, #%n1",
};

static const char * const output_133[] = {
  "cmn\t%x0, %x1",
  "cmp\t%x0, #%n1",
};

static const char * const output_136[] = {
  "adds\t%w0, %w1, %w2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_137[] = {
  "adds\t%x0, %x1, %x2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_212[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_213[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2824 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2824 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %x1, uxt%e3 %2";
}

static const char *
output_300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2841 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2856 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char *
output_302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2856 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %x1, uxt%e3 %p2";
}

static const char *
output_303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2873 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char * const output_306[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char * const output_309[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_310[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char * const output_315[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_316[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_322[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_323[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char *
output_395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3612 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3612 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %x1, uxt%e3 %2";
}

static const char *
output_397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3629 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3644 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char *
output_399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3644 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %x1, uxt%e3 %p2";
}

static const char *
output_400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3661 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (exact_log2 (INTVAL (operands[2])),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %p2";
}

static const char * const output_401[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_402[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_456[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_457[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_458[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_459[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_460[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_461[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_506[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_507[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_508[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_509[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_510[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4378 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4494 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4494 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_535[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_536[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_537[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_538[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_539[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_540[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_541[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_542[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_543[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_544[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_545[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_546[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_604[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_605[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_614[] = {
  "bic\t%w0, %w2, %w1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_615[] = {
  "orn\t%w0, %w2, %w1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_616[] = {
  "bic\t%x0, %x2, %x1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_617[] = {
  "orn\t%x0, %x2, %x1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_621[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_622[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char * const output_698[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_699[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5016 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5016 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5220 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5220 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5220 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5220 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_738[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_739[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_740[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_741[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_742[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_743[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_749[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_750[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char * const output_751[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_752[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_753[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char * const output_754[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char *
output_755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5452 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5518 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5518 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char *
output_769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5532 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5545 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5558 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5558 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5558 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5558 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5571 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5571 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5571 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5571 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5732 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[4]));
  return "bfi\t%w0, %w3, %4, %5";
}
}

static const char *
output_803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5732 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[4]));
  return "bfi\t%x0, %x3, %4, %5";
}
}

static const char *
output_804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5749 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[2]));
  return "bfi\t%w0, %w1, %2, %5";
}
}

static const char *
output_805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5749 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[2]));
  return "bfi\t%x0, %x1, %2, %5";
}
}

static const char *
output_812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5804 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5897 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5897 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%x0, %x1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%x0, %x2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_921 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_922 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_923 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_924 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_925 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_926 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_927 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_928 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6018 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_947[] = {
  "fcvtzs\t%s0, %s1",
  "fcvtzs\t%w0, %s1",
};

static const char * const output_948[] = {
  "fcvtzu\t%s0, %s1",
  "fcvtzu\t%w0, %s1",
};

static const char * const output_949[] = {
  "fcvtzs\t%d0, %d1",
  "fcvtzs\t%x0, %d1",
};

static const char * const output_950[] = {
  "fcvtzu\t%d0, %d1",
  "fcvtzu\t%x0, %d1",
};

static const char *
output_961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6222 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%s0, %s1, #%2";
      case 1:
	return "scvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6222 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%s0, %s1, #%2";
      case 1:
	return "ucvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6222 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%d0, %d1, #%2";
      case 1:
	return "scvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6222 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%d0, %d1, #%2";
      case 1:
	return "ucvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6245 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6245 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6245 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%d0, %w1, #%2";
  }
}

static const char *
output_968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6245 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%d0, %w1, #%2";
  }
}

static const char * const output_969[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_970[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_971[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_972[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_981[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_982[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_983[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_984[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_985[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_986[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_987[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_988[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_1042[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%w0, %w1, #0, #31",
};

static const char * const output_1043[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%x0, %x1, #0, #63",
};

static const char *
output_1097 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7077 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char *
output_1098 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7095 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1099 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7095 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1100 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7145 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%w0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1101 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7145 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%x0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1110 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7288 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %m0", operands);
    return "";
  }
}

static const char *
output_1111 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7302 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %M0", operands);
    return "";
  }
}

static const char *
output_1117 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7388 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1118 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7388 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1119 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7388 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7388 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%x0, %x1, %x2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7408 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn
      ("cmp\t%3, #0\n\tcsel\t%0, %1, %2, ne\n\tcsel\t%H0, %H1, %H2, ne\n\thint\t0x14 // csdb",
       operands);
    return "";
  }
}

static const char * const output_1159[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1160[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1161[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1162[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1163[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1164[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1165[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char *
output_1173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1174 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1180 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1181 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1182 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1183 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1184 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1185 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1186 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1187 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1198 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1200 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1201 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1208 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1209 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1210 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char * const output_1425[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1426[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1427[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1428[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1429[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1430[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1431[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1432[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1433[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1434[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1435[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1436[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char *
output_1508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 582 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 582 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 582 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 582 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 597 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 615 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1562 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1563 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1564 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1565 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1566 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "fmul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1567 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "fmul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 667 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1602 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 720 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 903 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1719 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 943 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 972 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1746 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 993 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1268 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1313 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1313 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1313 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1313 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1331 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1331 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1331 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1331 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1371 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1371 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1371 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1371 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1389 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1389 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1389 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1389 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char * const output_1913[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1914[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1915[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1916[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1917[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1918[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1919[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1920[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1921[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1922[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1923[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1924[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1925[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1926[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1927[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1928[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1929[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1930[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1931[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1932[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1933[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1934[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1935[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1936[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1937[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1938[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1939[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1940[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1941[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1942[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1943[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1944[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char *
output_1948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1610 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.8b, %2.8h\n\txtn2\t%0.16b, %1.8h";
   else
     return "xtn\t%0.8b, %1.8h\n\txtn2\t%0.16b, %2.8h";
 }
}

static const char *
output_1949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1610 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.4h, %2.4s\n\txtn2\t%0.8h, %1.4s";
   else
     return "xtn\t%0.4h, %1.4s\n\txtn2\t%0.8h, %2.4s";
 }
}

static const char *
output_1950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1610 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.2s, %2.2d\n\txtn2\t%0.4s, %1.2d";
   else
     return "xtn\t%0.2s, %1.2d\n\txtn2\t%0.4s, %2.2d";
 }
}

static const char *
output_2017 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2018 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2019 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2020 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2021 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2022 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2023 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2024 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1840 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2025 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2026 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2027 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2028 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2029 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2030 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2031 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2032 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1861 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1977 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1977 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1977 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1994 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1994 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2082 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2022 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2088 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2051 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2089 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2051 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2090 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2051 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2091 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2069 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2092 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2069 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2102 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2099 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2165 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_2360[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2361[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2362[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2363[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2364[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2365[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2366[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2367[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2368[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2369[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2370[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2371[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2372[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2373[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2374[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_2375[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_2376 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2377 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2378 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2379 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2380 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2381 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2382 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2383 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2384 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2385 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2386 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2387 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2388 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2389 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2390 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2391 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3212 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3229 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_2414[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2415[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2416[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2417[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2418[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2419[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2420[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2421[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2422[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2423[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2424[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2425[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2426[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2427[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2428[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2429[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2430[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2431[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2432[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2433[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2434[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2435[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2436[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2437[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char *
output_2580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3690 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3690 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3709 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3709 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3709 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_2590 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3743 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2591 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3743 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2592 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3743 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char *
output_2711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2719 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3844 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3859 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3859 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3859 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3859 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3874 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3874 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3874 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3874 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2747 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2748 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2751 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2752 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2753 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2754 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3906 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3924 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3924 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3924 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3924 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3944 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3962 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3962 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3962 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3962 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4006 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4006 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4006 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4006 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4030 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4030 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4030 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4030 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4053 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2788 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4053 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2789 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4053 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2790 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4053 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2791 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4076 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2792 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4076 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2793 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4076 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4076 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4171 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4171 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4171 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4171 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4197 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4344 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4344 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4385 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4385 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2826 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2831 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4483 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4483 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4506 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4506 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "sshll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "ushll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "sshll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "ushll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "sshll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2918 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4609 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "ushll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2919 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "sshll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2920 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "ushll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2921 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "sshll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2922 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "ushll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2923 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "sshll2\t%0.2d, %1.4s, %2";
  }
}

static const char *
output_2924 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4626 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "ushll2\t%0.2d, %1.4s, %2";
  }
}

static const char * const output_3074[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_3075[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_3076[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_3077[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_3078[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_3079[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_3080[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_3081[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_3082[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_3083[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_3084[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_3085[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_3086[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_3087[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_3088[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_3089[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_3090[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_3091[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_3092[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_3093[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_3094[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_3095[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_3096[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_3097[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_3098[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_3099[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_3100[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_3101[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_3102[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_3103[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_3104[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_3105[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_3106[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_3107[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_3108[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_3114[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_3115[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_3116[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_3117[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_3118[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_3164[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_3165[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_3166[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_3167[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_3168[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_3169[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_3170[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_3171[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_3172[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_3173[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_3174[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_3175[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_3176[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_3177[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_3178[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_3179[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_3180[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_3181[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_3182[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_3183[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_3184[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_3185[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_3186[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_3187[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_3188[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_3189[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_3190[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_3191[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_3192[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_3193[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_3194[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_3195[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_3196[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_3197[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_3198[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_3199[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_3200[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_3201[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_3202[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_3203[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_3269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5012 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3296 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3297 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3306 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3307 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5056 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3333 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5110 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3357 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3358 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3359 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3360 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3361 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3362 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3363 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3364 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3369 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3370 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3371 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3372 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5154 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3422 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3423 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3424 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3425 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5252 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char * const output_3520[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_3521[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_3522[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_3553[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_3680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4BFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8BFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5901 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3889 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7133 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_3890 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7133 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_3891 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7133 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_3892 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7133 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_3896 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7195 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3897 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7195 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3898 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7195 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3899 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7195 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_3917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_3918 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_3919 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_3920 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_3925 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_3926 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_3927 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_3928 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_3949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_3950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_3951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_3952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_3953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_3954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_3955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_3956 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_3957 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_3958 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_3959 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_3960 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_3961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_3962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_3963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_3964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_3989 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_3990 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_3991 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_3992 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_3993 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_3994 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_3995 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_3996 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_3997 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_3998 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_3999 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_4000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_4001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_4002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_4003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_4004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_4033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_4034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_4035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_4036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_4037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrb\t%w1, %0";
    else
      return "stlurb\t%w1, %0";
  }
}

static const char *
output_4038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrh\t%w1, %0";
    else
      return "stlurh\t%w1, %0";
  }
}

static const char *
output_4039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else if (which_alternative == 0)
      return "stlr\t%w1, %0";
    else
      return "stlur\t%w1, %0";
  }
}

static const char *
output_4040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else if (which_alternative == 0)
      return "stlr\t%x1, %0";
    else
      return "stlur\t%x1, %0";
  }
}

static const char *
output_4041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_4042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_4043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_4044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_4045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 720 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_4046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_4047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_4048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_4049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_4050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 757 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_4051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 793 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_4052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4056 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4057 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4058 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4059 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4060 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4061 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4066 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4067 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4073 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_4076[] = {
  "#",
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_4077[] = {
  "#",
  "ld1b\t%0.h, %1/z, %2",
  "st1b\t%2.h, %1, %0",
};

static const char * const output_4078[] = {
  "#",
  "ld1b\t%0.s, %1/z, %2",
  "st1b\t%2.s, %1, %0",
};

static const char * const output_4079[] = {
  "#",
  "ld1b\t%0.d, %1/z, %2",
  "st1b\t%2.d, %1, %0",
};

static const char * const output_4080[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4081[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4082[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4083[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4084[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4085[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4086[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4087[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4088[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4089[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4090[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4091[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_4092[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char *
output_4199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4200 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4201 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1032 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4208 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4209 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4210 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char * const output_4211[] = {
  "setffr",
  "wrffr\t%0.b",
};

static const char * const output_4346[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4347[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4348[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4349[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4350[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4351[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4352[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4353[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4354[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4355[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4356[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4357[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4358[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4359[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4360[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4361[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4362[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4363[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4364[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4365[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4366[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4367[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4368[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4369[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4370[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4371[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4372[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4373[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4374[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4375[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4376[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4377[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4378[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4379[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4380[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4381[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4382[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4383[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4384[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4385[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4386[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4387[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4388[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4389[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4390[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4391[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4392[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4393[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4394[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4395[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4396[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4397[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4398[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4399[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4400[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4401[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4402[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4403[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4404[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4405[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4406[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4407[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4408[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4409[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4410[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4411[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4412[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4413[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4414[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4415[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4416[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4417[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4418[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4419[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4420[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4421[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4422[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4423[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4424[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4425[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4426[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4427[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4428[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4429[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4430[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4431[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4432[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4433[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4434[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4435[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4436[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4437[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4438[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4439[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4440[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4441[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4442[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4443[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4444[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4445[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4446[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4447[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4448[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4449[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4450[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4451[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4452[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4453[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4454[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4455[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4456[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4457[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4458[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4459[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4460[] = {
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4461[] = {
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4462[] = {
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4463[] = {
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4464[] = {
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4465[] = {
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4466[] = {
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4467[] = {
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4468[] = {
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4469[] = {
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4470[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4471[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4472[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4473[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4474[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4475[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4476[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4477[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4478[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4479[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4480[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4481[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char *
output_4482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx16QImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfb", operands[2], "%0, %1");
  }
}

static const char *
output_4483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx8HImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfh", operands[2], "%0, %1");
  }
}

static const char *
output_4484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx4SImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfw", operands[2], "%0, %1");
  }
}

static const char *
output_4485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx2DImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfd", operands[2], "%0, %1");
  }
}

static const char *
output_4486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.s]",
      "prfb", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfb", "%0, [%1, %2.s, sxtw %p4]",
      "prfb", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.s]",
      "prfh", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfh", "%0, [%1, %2.s, sxtw %p4]",
      "prfh", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.s]",
      "prfw", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfw", "%0, [%1, %2.s, sxtw %p4]",
      "prfw", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.s]",
      "prfd", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfd", "%0, [%1, %2.s, sxtw %p4]",
      "prfd", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.d]",
      "prfb", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfb", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.d]",
      "prfh", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfh", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.d]",
      "prfw", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfw", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.d]",
      "prfd", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfd", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfb", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfh", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfw", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfd", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfb", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfh", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfw", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfd", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char * const output_4557[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4558[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4559[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4560[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4561[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4562[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4563[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4564[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4565[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4566[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4567[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4568[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4569[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4570[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4571[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4572[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4573[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4574[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4575[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4576[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4577[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4578[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4579[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4580[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4581[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4582[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4583[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4584[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4585[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4586[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4587[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4588[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4589[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4590[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4591[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4592[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4593[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4594[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4595[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4596[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4597[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4598[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4599[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4600[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4601[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4602[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4603[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4604[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4605[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4606[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4607[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4608[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4609[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4610[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4611[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4612[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4613[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4614[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4615[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4616[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4617[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4618[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4619[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4620[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4621[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4622[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4623[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_4624[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char *
output_4625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rqb\t%0.b, %2/z, %1";
  }
}

static const char *
output_4659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4660 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4661 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rob\t%0.b, %2/z, %1";
  }
}

static const char *
output_4667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char *
output_4670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char * const output_4674[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %b2",
};

static const char * const output_4675[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4676[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4677[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4678[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4679[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4680[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4681[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4682[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_4683[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4684[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4685[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4686[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4687[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4688[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4689[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4690[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4691[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_4692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_4693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4718 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_4719 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char * const output_4734[] = {
  "lasta\t%w0, %1, %2.b",
  "lasta\t%b0, %1, %2.b",
};

static const char * const output_4735[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_4736[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4737[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4738[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4739[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4740[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4741[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4742[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4743[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4744[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4745[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4746[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4747[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4748[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4749[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4750[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4751[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4752[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4753[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4754[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4755[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4756[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4757[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4758[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4759[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4760[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4761[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4762[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4763[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4764[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4765[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4766[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4767[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4768[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4769[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4770[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4771[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4772[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4773[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4774[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4775[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4776[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4777[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4778[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4779[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4780[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4781[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4782[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4783[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4784[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4785[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4786[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4787[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4788[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4789[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4790[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4791[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4792[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4793[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4794[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4795[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4796[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4797[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4798[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4799[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4800[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4801[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4802[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4803[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4804[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4805[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4806[] = {
  "abs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4807[] = {
  "neg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4808[] = {
  "not\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4809[] = {
  "cls\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4810[] = {
  "clz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4811[] = {
  "cnt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4812[] = {
  "sqabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4813[] = {
  "sqneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4814[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4815[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4816[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4817[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4818[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4819[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4820[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4821[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4822[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4823[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4824[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4825[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4826[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4827[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4828[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4829[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4830[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4831[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4832[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4833[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4834[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4835[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4836[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4837[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4838[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4839[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4840[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4841[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4842[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tclz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4843[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4844[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4845[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4846[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_4847[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_4848[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_4849[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_4850[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_4851[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_4852[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_4853[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_4854[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_4855[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_4856[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_4857[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_4858[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_4859[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_4860[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_4861[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_4862[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_4863[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_4864[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_4865[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_4866[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4867[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4868[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4869[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4870[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4871[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4872[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4873[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4874[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4875[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4876[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4877[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4878[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4879[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4880[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_4881[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_4882[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_4883[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_4884[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_4885[] = {
  "uxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_4886[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4887[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4888[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4889[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_4890[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_4891[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_4892[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_4893[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_4894[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_4895[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_4896[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_4897[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_4898[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_4899[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_4900[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_4901[] = {
  "uxt%e3\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_4902[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_4903[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_4904[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_4905[] = {
  "uxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_4916[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4917[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4918[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4919[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4920[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4921[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4922[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4923[] = {
  "cnot\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4924[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4925[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4926[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4927[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %6\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4937[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4938[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4939[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_4940[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_4941[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_4942[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_4943[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_4944[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_4945[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_4946[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_4947[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_4948[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4949[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4950[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_4951[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_4952[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_4953[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_4954[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_4955[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_4956[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_4957[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_4958[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_4959[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4960[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4961[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_4962[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_4963[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_4964[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_4965[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_4966[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_4967[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_4968[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_4969[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_4970[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4971[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4972[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_4973[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_4974[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_4975[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_4976[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_4977[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_4978[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_4979[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_4980[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_4981[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4982[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4983[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_4984[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_4985[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_4986[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_4987[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_4988[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_4989[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_4990[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_4991[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_4992[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4993[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4994[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_4995[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_4996[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_4997[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_4998[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_4999[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5000[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5001[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5002[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5003[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5004[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5005[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5006[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5007[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5008[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5009[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5010[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5011[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5012[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5013[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5014[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5015[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5016[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5017[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5018[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5019[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5020[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5021[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5022[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5023[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5024[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5025[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5026[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5027[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5028[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5029[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5030[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5031[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5032[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5033[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5034[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5035[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5036[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5037[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5038[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5039[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5040[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5041[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5042[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5043[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5044[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5045[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5046[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5047[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5048[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5049[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5050[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5051[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5052[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5053[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5054[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5055[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5056[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5057[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5058[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5059[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5060[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5061[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5062[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5063[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5064[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5065[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5066[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5067[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5068[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5069[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5070[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5071[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5072[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5073[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5074[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5075[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5076[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5077[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5078[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5079[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5080[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5081[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5082[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5083[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5084[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5085[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5086[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5087[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5088[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5089[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5090[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5091[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5092[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5093[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5094[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5095[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5096[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5097[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5098[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5099[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5100[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5101[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5106[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5107[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5108[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5109[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5110[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5111[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5112[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5113[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5114[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5115[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5116[] = {
  "#",
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5117[] = {
  "#",
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5118[] = {
  "#",
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5119[] = {
  "#",
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5120[] = {
  "#",
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5121[] = {
  "#",
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5122[] = {
  "#",
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5123[] = {
  "#",
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5124[] = {
  "#",
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5125[] = {
  "#",
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5126[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5127[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5128[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5129[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5130[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5131[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5132[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5133[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5134[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5135[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5136[] = {
  "mul\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.s, %0.s, #%2",
};

static const char * const output_5137[] = {
  "smax\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.s, %0.s, #%2",
};

static const char * const output_5138[] = {
  "smin\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.s, %0.s, #%2",
};

static const char * const output_5139[] = {
  "umax\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.s, %0.s, #%D2",
};

static const char * const output_5140[] = {
  "umin\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.s, %0.s, #%D2",
};

static const char * const output_5141[] = {
  "mul\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.d, %0.d, #%2",
};

static const char * const output_5142[] = {
  "smax\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.d, %0.d, #%2",
};

static const char * const output_5143[] = {
  "smin\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.d, %0.d, #%2",
};

static const char * const output_5144[] = {
  "umax\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.d, %0.d, #%D2",
};

static const char * const output_5145[] = {
  "umin\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.d, %0.d, #%D2",
};

static const char * const output_5146[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5147[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5148[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5149[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5150[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5151[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5152[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5153[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5154[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5155[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5156[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5157[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5158[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5159[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5160[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5161[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5162[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5163[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5164[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5165[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5166[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5167[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5168[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5169[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5170[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5171[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5172[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5173[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5174[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5175[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5176[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5177[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5178[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5179[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5180[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5181[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5182[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5183[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5184[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5185[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5186[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5187[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5188[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5189[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5190[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5191[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5192[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5193[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5194[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5195[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5196[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5197[] = {
  "add\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5198[] = {
  "sub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5199[] = {
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5200[] = {
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5201[] = {
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5202[] = {
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5203[] = {
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5204[] = {
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5205[] = {
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5206[] = {
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5207[] = {
  "and\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tand\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5208[] = {
  "orr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\torr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5209[] = {
  "eor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\teor\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5210[] = {
  "sqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5211[] = {
  "uqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5212[] = {
  "sqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5213[] = {
  "uqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5214[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5215[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5216[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5217[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5218[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5219[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5220[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5221[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5222[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5223[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5224[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5225[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5226[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5227[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5228[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5229[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5230[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5231[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5232[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5233[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5234[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5235[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5236[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5237[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5238[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5239[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5240[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5241[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5242[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5243[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5244[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5245[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5246[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5247[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5248[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5249[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5250[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5251[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5252[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5253[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5254[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5255[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5256[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5257[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5258[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5259[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5260[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5261[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5262[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5263[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5264[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5265[] = {
  "add\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5266[] = {
  "subr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5267[] = {
  "mul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5268[] = {
  "smax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5269[] = {
  "umax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5270[] = {
  "smin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5271[] = {
  "umin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5272[] = {
  "lslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5273[] = {
  "asrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5274[] = {
  "lsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5275[] = {
  "and\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tand\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5276[] = {
  "orr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\torr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5277[] = {
  "eor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\teor\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5278[] = {
  "sqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5279[] = {
  "uqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5280[] = {
  "sqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5281[] = {
  "uqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5282[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5283[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5284[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5285[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5286[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5287[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5288[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5289[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5290[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5291[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5292[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5293[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5294[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5295[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5296[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5297[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5298[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5299[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5300[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5301[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5302[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5303[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5304[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5305[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5306[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5307[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5308[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5309[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5310[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5311[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5312[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5313[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5314[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5315[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5316[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5317[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5318[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5319[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5320[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5321[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5322[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5323[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5324[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5325[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5326[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5327[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5328[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5329[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5330[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5331[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5332[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5333[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5334[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5335[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5336[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5337[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5338[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5339[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5340[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5341[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5342[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5343[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5344[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5345[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5346[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5347[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5348[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5349[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char *
output_5350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5354 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5355 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5356 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5357 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_5358 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_5359 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.d", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.d, %0.d, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.d, %0.d, #%N2";
    case 5: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_5360[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_5361[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_5362[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_5363[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.d, %0.d, #%D1",
};

static const char * const output_5373[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5374[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5375[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5376[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5377[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5378[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5379[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5380[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5381[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5382[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5383[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5384[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5385[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5386[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5387[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5388[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5389[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5390[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5391[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5392[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5393[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5394[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5395[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5396[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5397[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "sqsub\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%N2",
  "sqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_5398[] = {
  "sqsub\t%0.b, %0.b, #%D2",
  "sqadd\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%N2",
  "sqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_5399[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "sqsub\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%N2",
  "sqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_5400[] = {
  "sqsub\t%0.h, %0.h, #%D2",
  "sqadd\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%N2",
  "sqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_5401[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "sqsub\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%N2",
  "sqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_5402[] = {
  "sqsub\t%0.s, %0.s, #%D2",
  "sqadd\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%N2",
  "sqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_5403[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "sqsub\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%N2",
  "sqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_5404[] = {
  "sqsub\t%0.d, %0.d, #%D2",
  "sqadd\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%N2",
  "sqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_5405[] = {
  "uqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.b, %0.b, #%D2",
  "uqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_5406[] = {
  "uqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.b, %0.b, #%D2",
  "uqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_5407[] = {
  "uqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.h, %0.h, #%D2",
  "uqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_5408[] = {
  "uqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.h, %0.h, #%D2",
  "uqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_5409[] = {
  "uqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.s, %0.s, #%D2",
  "uqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_5410[] = {
  "uqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.s, %0.s, #%D2",
  "uqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_5411[] = {
  "uqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.d, %0.d, #%D2",
  "uqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_5412[] = {
  "uqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.d, %0.d, #%D2",
  "uqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_5413[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5414[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5415[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5416[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5417[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5418[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5419[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5420[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5421[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5422[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5423[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5424[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5425[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5426[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5427[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5428[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5429[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5430[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5431[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5432[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5433[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5434[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5435[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5436[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5437[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5438[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5439[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5440[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5441[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5442[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5443[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5444[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5445[] = {
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5446[] = {
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5447[] = {
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5448[] = {
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5449[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5450[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5451[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5452[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5453[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_5454[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_5455[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_5456[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_5457[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_5458[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_5459[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_5460[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_5461[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_5462[] = {
  "and\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_5463[] = {
  "orr\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_5464[] = {
  "eor\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_5469[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5470[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5471[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5472[] = {
  "bic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tbic\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5473[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5474[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5475[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5476[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5477[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5478[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5479[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5480[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5481[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5482[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5483[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5484[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5485[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5486[] = {
  "#",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "lslr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5487[] = {
  "#",
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "asrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5488[] = {
  "#",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "lsrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5501[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5502[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5503[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5504[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5505[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5506[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5507[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5508[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5509[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5510[] = {
  "lsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5511[] = {
  "asr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5512[] = {
  "lsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5513[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_5514[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_5515[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_5516[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5517[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5518[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5519[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5520[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5521[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5522[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5523[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5524[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5534[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5535[] = {
  "asr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5536[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5537[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5538[] = {
  "asr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5539[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5540[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5541[] = {
  "asr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5542[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5543[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5544[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5545[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_5546[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5547[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5548[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_5549[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5550[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5551[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_5552[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5553[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5554[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5555[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_5556[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5557[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5558[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5559[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5560[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5561[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5562[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5563[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5564[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5565[] = {
  "sqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5566[] = {
  "srshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5567[] = {
  "urshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5590[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5591[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5592[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5593[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5594[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5595[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5596[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5597[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5598[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5599[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5600[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5601[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5602[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5603[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5604[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5620[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5621[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5622[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5623[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5624[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5625[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5626[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5627[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5628[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5629[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5630[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5631[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5632[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5633[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5634[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5635[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5636[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5637[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5638[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5639[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5640[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5641[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5642[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5643[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5644[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5645[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5646[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5647[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5648[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5649[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5650[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5651[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5652[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5653[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5654[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5655[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5656[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5657[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5658[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5659[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5660[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5661[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5662[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5663[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5664[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5665[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5666[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5667[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5668[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5669[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5670[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5671[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5672[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5673[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5674[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5675[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5676[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5677[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5678[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5679[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5680[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5681[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5682[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5683[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5684[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5685[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5686[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5687[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5688[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5689[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5690[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5691[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5692[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5693[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5694[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5695[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5696[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5697[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5698[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5699[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_5700[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5701[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5702[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5703[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5704[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_5705[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5706[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5707[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5708[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5709[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_5710[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5711[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5712[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5713[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5714[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5715[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5716[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5717[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5718[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5719[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5720[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5721[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5722[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5723[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5724[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5725[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5726[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5727[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5728[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5729[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5730[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5731[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5732[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5733[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5734[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5735[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5736[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5737[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5738[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5739[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5740[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5741[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5742[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5743[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5744[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5745[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5746[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5747[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5748[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5749[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5750[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5751[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5752[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5753[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5754[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5755[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5756[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5757[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5758[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5759[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5760[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5761[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5762[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5763[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5764[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5765[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5766[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5767[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5768[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5769[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5770[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5771[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5772[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5773[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5774[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5775[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5776[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5777[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5778[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5779[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5780[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5781[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5782[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5783[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5784[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5785[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5786[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5787[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5788[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5789[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5790[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5791[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5792[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5793[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5794[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5795[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5796[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5797[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5798[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5799[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5800[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5801[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5802[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5803[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5804[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5805[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5806[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5807[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5808[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5809[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5810[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5811[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5812[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5813[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5814[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5815[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5816[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5817[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5818[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5819[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5820[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5821[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5822[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5823[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5824[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5825[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5826[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5827[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5828[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5829[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5830[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5831[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5832[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5833[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5834[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5835[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5836[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5837[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_5838[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5839[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5840[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5841[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5842[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_5843[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5844[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5845[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5846[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5847[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_5848[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5849[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5850[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5851[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_5852[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_5853[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_5854[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_5855[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_5856[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_5857[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_5858[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_5859[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_5860[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_5861[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_5862[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_5863[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_5864[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_5865[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_5866[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_5867[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_5868[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_5869[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_5870[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_5871[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_5872[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_5873[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_5874[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_5875[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_5876[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_5877[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_5878[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_5879[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_5880[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_5881[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_5882[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_5883[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_5884[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_5885[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_5886[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_5887[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_5888[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_5889[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_5890[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_5891[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_5892[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_5893[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5894[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5895[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5896[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_5897[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_5898[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_5899[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_5900[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_5901[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_5902[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_5903[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_5904[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_5905[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_5906[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_5907[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_5908[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5909[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5910[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5911[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5912[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5913[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5914[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5915[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5916[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5917[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5918[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5919[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5920[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5921[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5922[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5923[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5924[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5925[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5926[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5927[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5928[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5929[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5930[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5931[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5932[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "#",
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5933[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "#",
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5934[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "#",
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5947[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5948[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5949[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5950[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5951[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5952[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5953[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5954[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5955[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5956[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5957[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5958[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6047[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6048[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6049[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6050[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6051[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6052[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6053[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6054[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6055[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6056[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6057[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6058[] = {
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6059[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6060[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6061[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6062[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6063[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6064[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6065[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6066[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6067[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6068[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6069[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6070[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6071[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6072[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6073[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6074[] = {
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6075[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6076[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6077[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6078[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6079[] = {
  "sdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.b, %2.b",
};

static const char * const output_6080[] = {
  "udot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.b, %2.b",
};

static const char * const output_6081[] = {
  "sdot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.d, %1.h, %2.h",
};

static const char * const output_6082[] = {
  "udot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.d, %1.h, %2.h",
};

static const char * const output_6083[] = {
  "sdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6084[] = {
  "udot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6085[] = {
  "sdot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_6086[] = {
  "udot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_6087[] = {
  "usdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tusdot\t%0.s, %1.b, %2.b",
};

static const char * const output_6088[] = {
  "usdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tusdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6089[] = {
  "sudot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6090[] = {
  "smmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_6091[] = {
  "ummla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tummla\t%0.s, %2.b, %3.b",
};

static const char * const output_6092[] = {
  "usmmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tusmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_6093[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6094[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6095[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6096[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6097[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6098[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6099[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6100[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6101[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6102[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6103[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6104[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6105[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6106[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6107[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6108[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6109[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6110[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6111[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6112[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6113[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6114[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6115[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6116[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6117[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6118[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6119[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6120[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6121[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6122[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6123[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6124[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6125[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6126[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6127[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6128[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6129[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6130[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6131[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6132[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6133[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6134[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6135[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6136[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6137[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6138[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6139[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6140[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6141[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6142[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6143[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6144[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6145[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6146[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6147[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6148[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6149[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6150[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6151[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6152[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6153[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6154[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6155[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6156[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6157[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6158[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6159[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6160[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6161[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6162[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6163[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6164[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6165[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6166[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6167[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6168[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6169[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6170[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6171[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6172[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6173[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6174[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6175[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6176[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6177[] = {
  "fmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_6178[] = {
  "fmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_6179[] = {
  "fmla\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_6180[] = {
  "fmls\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_6181[] = {
  "fmla\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_6182[] = {
  "fmls\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_6183[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_6184[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_6185[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_6186[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_6187[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_6188[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_6189[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_6190[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_6191[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_6192[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_6193[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_6194[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_6195[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_6196[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_6197[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_6198[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_6199[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_6200[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_6201[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_6202[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_6203[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_6204[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_6205[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_6206[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_6207[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_6208[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_6209[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_6210[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_6211[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_6212[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_6213[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_6214[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_6215[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_6216[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_6217[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_6218[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_6219[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_6220[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_6221[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_6222[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_6223[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_6224[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_6225[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_6226[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_6227[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_6228[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_6229[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_6230[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_6231[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_6232[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_6233[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_6234[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_6235[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_6236[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_6237[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_6238[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_6239[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_6240[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_6241[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_6242[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_6243[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #0",
};

static const char * const output_6244[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #90",
};

static const char * const output_6245[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #180",
};

static const char * const output_6246[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #270",
};

static const char * const output_6247[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #0",
};

static const char * const output_6248[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #90",
};

static const char * const output_6249[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #180",
};

static const char * const output_6250[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #270",
};

static const char * const output_6251[] = {
  "ftmad\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_6252[] = {
  "ftmad\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_6253[] = {
  "ftmad\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_6254[] = {
  "bfdot\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h",
};

static const char * const output_6255[] = {
  "bfmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_6256[] = {
  "bfmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_6257[] = {
  "bfmmla\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmmla\t%0.s, %2.h, %3.h",
};

static const char * const output_6258[] = {
  "bfdot\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_6259[] = {
  "bfmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_6260[] = {
  "bfmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_6261[] = {
  "fmmla\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfmmla\t%0.s, %2.s, %3.s",
};

static const char * const output_6262[] = {
  "fmmla\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfmmla\t%0.d, %2.d, %3.d",
};

static const char * const output_6263[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_6264[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_6265[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_6266[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_6267[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_6268[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_6269[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_6270[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_6271[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_6272[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_6273[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_6274[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_6275[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_6276[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_6277[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_6278[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_6279[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6280[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6281[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6282[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6283[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6284[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6285[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6286[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6287[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6288[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_6289[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6290[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6291[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6292[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6293[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6294[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6295[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6296[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6297[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6298[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6299[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6300[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6301[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6302[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6303[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6304[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6305[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6306[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6307[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6308[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6309[] = {
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6310[] = {
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6311[] = {
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6312[] = {
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6313[] = {
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6314[] = {
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6315[] = {
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6316[] = {
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6317[] = {
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6318[] = {
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6319[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6320[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6321[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6322[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6323[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6324[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6325[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6326[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6327[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6328[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6329[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6330[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6331[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6332[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6333[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6334[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6335[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6336[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6337[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6338[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6339[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6340[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6341[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6342[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6343[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6344[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6345[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6346[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6347[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6348[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6349[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6350[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6351[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6352[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6353[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6354[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6355[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6356[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6357[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6358[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6359[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6360[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6361[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6362[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6363[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6364[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6365[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6366[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6367[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6368[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_6369[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6370[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6371[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6372[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6373[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6374[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6375[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6376[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6377[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6378[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_6379[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6380[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6381[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6382[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6383[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6384[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6385[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6386[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6387[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6388[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_6389[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6390[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6391[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6392[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6393[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6394[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6395[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6396[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6397[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6398[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_6769[] = {
  "fcmeq\t%0.h, %1/z, %3.h, #0.0",
  "fcmeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6770[] = {
  "fcmge\t%0.h, %1/z, %3.h, #0.0",
  "fcmge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6771[] = {
  "fcmgt\t%0.h, %1/z, %3.h, #0.0",
  "fcmgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6772[] = {
  "fcmle\t%0.h, %1/z, %3.h, #0.0",
  "fcmle\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6773[] = {
  "fcmlt\t%0.h, %1/z, %3.h, #0.0",
  "fcmlt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6774[] = {
  "fcmne\t%0.h, %1/z, %3.h, #0.0",
  "fcmne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_6775[] = {
  "fcmeq\t%0.s, %1/z, %3.s, #0.0",
  "fcmeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6776[] = {
  "fcmge\t%0.s, %1/z, %3.s, #0.0",
  "fcmge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6777[] = {
  "fcmgt\t%0.s, %1/z, %3.s, #0.0",
  "fcmgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6778[] = {
  "fcmle\t%0.s, %1/z, %3.s, #0.0",
  "fcmle\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6779[] = {
  "fcmlt\t%0.s, %1/z, %3.s, #0.0",
  "fcmlt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6780[] = {
  "fcmne\t%0.s, %1/z, %3.s, #0.0",
  "fcmne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_6781[] = {
  "fcmeq\t%0.d, %1/z, %3.d, #0.0",
  "fcmeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6782[] = {
  "fcmge\t%0.d, %1/z, %3.d, #0.0",
  "fcmge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6783[] = {
  "fcmgt\t%0.d, %1/z, %3.d, #0.0",
  "fcmgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6784[] = {
  "fcmle\t%0.d, %1/z, %3.d, #0.0",
  "fcmle\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6785[] = {
  "fcmlt\t%0.d, %1/z, %3.d, #0.0",
  "fcmlt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6786[] = {
  "fcmne\t%0.d, %1/z, %3.d, #0.0",
  "fcmne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_6843[] = {
  "clasta\t%w0, %2, %w0, %3.b",
  "clasta\t%b0, %2, %b0, %3.b",
};

static const char * const output_6844[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%b0, %2, %b0, %3.b",
};

static const char * const output_6845[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_6846[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_6847[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_6848[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_6849[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_6850[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_6851[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_6852[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_6853[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_6854[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_6855[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_6856[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_6857[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_6858[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_6859[] = {
  "clasta\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclasta\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_6860[] = {
  "clastb\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclastb\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_6861[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6862[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6863[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_6864[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_6865[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_6866[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_6867[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6868[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6869[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6870[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_6871[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_6872[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_6873[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_6874[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char *
output_6948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (QImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (BFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_6955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8332 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char * const output_6964[] = {
  "splice\t%0.b, %1, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsplice\t%0.b, %1, %0.b, %3.b",
};

static const char * const output_6965[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_6966[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_6967[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char * const output_6968[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_6969[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_6970[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_6971[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char *
output_7068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7073 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_7075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8412 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_7123[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_7124[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_7125[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_7126[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_7127[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_7128[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_7129[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_7130[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_7131[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_7132[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_7133[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_7134[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_7135[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_7136[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_7137[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_7138[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_7139[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_7140[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_7141[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_7142[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_7143[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_7144[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_7145[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_7146[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_7147[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_7148[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_7149[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_7150[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_7151[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_7152[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_7153[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_7154[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_7155[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_7156[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_7157[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_7158[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_7159[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_7160[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_7161[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_7162[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_7163[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7164[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7165[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7166[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7167[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7168[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7169[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7170[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7171[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7172[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7173[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7174[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7175[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_7176[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_7177[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7178[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7179[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7180[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7181[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7182[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7183[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7184[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7185[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7186[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7187[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7188[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7189[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7190[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_7191[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7192[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_7193[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7194[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_7195[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7196[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_7197[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7198[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_7199[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7200[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_7201[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_7202[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_7203[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_7204[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_7205[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_7206[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_7207[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_7208[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_7209[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_7210[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_7212[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_7213[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_7214[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_7215[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_7216[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_7217[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_7227[] = {
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/m, %2.b",
};

static const char * const output_7228[] = {
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
};

static const char * const output_7229[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/m, %2.b",
};

static const char * const output_7230[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/m, %2.b",
};

static const char * const output_7231[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/m, %2.b",
};

static const char * const output_7232[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/m, %2.b",
};

static const char *
output_7257 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9439 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("cnt", "%x0", operands + 1);
  }
}

static const char *
output_7258 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9464 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0",
						 operands + 2);
  }
}

static const char *
output_7259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9464 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_7260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9464 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_7261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9481 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0", operands + 2);
  }
}

static const char *
output_7262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9500 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", registers,
						 operands + 2);
  }
}

static const char *
output_7263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9500 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", registers,
						 operands + 2);
  }
}

static const char *
output_7264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9529 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9529 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9529 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9550 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9550 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9550 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9585 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9585 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9585 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0",
						 operands + 2);
  }
}

static const char *
output_7274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_7275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9614 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_7276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9631 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0", operands + 2);
  }
}

static const char *
output_7277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9650 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", registers,
						 operands + 2);
  }
}

static const char *
output_7278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9650 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", registers,
						 operands + 2);
  }
}

static const char *
output_7279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9679 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9679 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9679 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_7282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9700 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9700 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9700 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_7285 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9735 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7286 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9735 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7287 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9735 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_7308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.b, %w0";
    else
      return "sqincp\t%w0, %2.b";
  }
}

static const char *
output_7309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.b, %w0";
    else
      return "uqincp\t%w0, %2.b";
  }
}

static const char *
output_7310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.h, %w0";
    else
      return "sqincp\t%w0, %2.h";
  }
}

static const char *
output_7311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.h, %w0";
    else
      return "uqincp\t%w0, %2.h";
  }
}

static const char *
output_7312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.s, %w0";
    else
      return "sqincp\t%w0, %2.s";
  }
}

static const char *
output_7313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.s, %w0";
    else
      return "uqincp\t%w0, %2.s";
  }
}

static const char *
output_7314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.d, %w0";
    else
      return "sqincp\t%w0, %2.d";
  }
}

static const char *
output_7315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9854 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.d, %w0";
    else
      return "uqincp\t%w0, %2.d";
  }
}

static const char * const output_7316[] = {
  "incp\t%0.d, %2",
  "movprfx\t%0, %1\n\tincp\t%0.d, %2",
};

static const char * const output_7317[] = {
  "sqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.d, %2",
};

static const char * const output_7318[] = {
  "uqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.d, %2",
};

static const char * const output_7319[] = {
  "incp\t%0.s, %2",
  "movprfx\t%0, %1\n\tincp\t%0.s, %2",
};

static const char * const output_7320[] = {
  "sqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.s, %2",
};

static const char * const output_7321[] = {
  "uqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.s, %2",
};

static const char * const output_7322[] = {
  "incp\t%0.h, %2",
  "movprfx\t%0, %1\n\tincp\t%0.h, %2",
};

static const char * const output_7323[] = {
  "sqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.h, %2",
};

static const char * const output_7324[] = {
  "uqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.h, %2",
};

static const char *
output_7341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.b, %w0";
    else
      return "sqdecp\t%w0, %2.b";
  }
}

static const char *
output_7342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.b, %w0";
    else
      return "uqdecp\t%w0, %2.b";
  }
}

static const char *
output_7343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.h, %w0";
    else
      return "sqdecp\t%w0, %2.h";
  }
}

static const char *
output_7344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.h, %w0";
    else
      return "uqdecp\t%w0, %2.h";
  }
}

static const char *
output_7345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.s, %w0";
    else
      return "sqdecp\t%w0, %2.s";
  }
}

static const char *
output_7346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.s, %w0";
    else
      return "uqdecp\t%w0, %2.s";
  }
}

static const char *
output_7347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.d, %w0";
    else
      return "sqdecp\t%w0, %2.d";
  }
}

static const char *
output_7348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10087 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.d, %w0";
    else
      return "uqdecp\t%w0, %2.d";
  }
}

static const char * const output_7349[] = {
  "decp\t%0.d, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.d, %2",
};

static const char * const output_7350[] = {
  "sqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.d, %2",
};

static const char * const output_7351[] = {
  "uqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.d, %2",
};

static const char * const output_7352[] = {
  "decp\t%0.s, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.s, %2",
};

static const char * const output_7353[] = {
  "sqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.s, %2",
};

static const char * const output_7354[] = {
  "uqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.s, %2",
};

static const char * const output_7355[] = {
  "decp\t%0.h, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.h, %2",
};

static const char * const output_7356[] = {
  "sqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.h, %2",
};

static const char * const output_7357[] = {
  "uqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.h, %2",
};

static const char * const output_7358[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7359[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7360[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7361[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7362[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7363[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7364[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7365[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7366[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7367[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_7368[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7369[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7370[] = {
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7371[] = {
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_7372[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_7373[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_7374[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_7375[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_7376[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_7377[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_7378[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_7379[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_7380[] = {
  "stnt1w\t%3.d, %0, [%2.d]",
  "stnt1w\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_7384[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
};

static const char * const output_7385[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
};

static const char * const output_7386[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
};

static const char * const output_7387[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
};

static const char * const output_7388[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7389[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7390[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7391[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7392[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7393[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7394[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7395[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7396[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7397[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7398[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7399[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7400[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7401[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7402[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7403[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7404[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7405[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7406[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7407[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7408[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7409[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7410[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7411[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7412[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7413[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7414[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7415[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7416[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7417[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7418[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7419[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7420[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7421[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7422[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7423[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7424[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7425[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7426[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7427[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7428[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7429[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7430[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7431[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7432[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7433[] = {
  "suqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7434[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7435[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7436[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7437[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7438[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7439[] = {
  "usqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7440[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7441[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7442[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7443[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7444[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7445[] = {
  "suqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7446[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7447[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7448[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7449[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7450[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7451[] = {
  "usqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7452[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7453[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7454[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7455[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7456[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7457[] = {
  "suqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7458[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7459[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7460[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7461[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7462[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7463[] = {
  "usqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7464[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7465[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7466[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7467[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7468[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7469[] = {
  "suqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7470[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7471[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7472[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7473[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7474[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7475[] = {
  "usqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7476[] = {
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7477[] = {
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7478[] = {
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7479[] = {
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7480[] = {
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7481[] = {
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7482[] = {
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7483[] = {
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7484[] = {
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7485[] = {
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7486[] = {
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7487[] = {
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7488[] = {
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7489[] = {
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7490[] = {
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7491[] = {
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7492[] = {
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7493[] = {
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7494[] = {
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7495[] = {
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7496[] = {
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7497[] = {
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7498[] = {
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7499[] = {
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7500[] = {
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7501[] = {
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7502[] = {
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7503[] = {
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7504[] = {
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7505[] = {
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7506[] = {
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7507[] = {
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7508[] = {
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7509[] = {
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7510[] = {
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7511[] = {
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7512[] = {
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7513[] = {
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7514[] = {
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7515[] = {
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7516[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7517[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7518[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7519[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7520[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7521[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7522[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7523[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7524[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7525[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7526[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7527[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7528[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7529[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7530[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7531[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7532[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7533[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7534[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7535[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7536[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7537[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7538[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7539[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7540[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7541[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7542[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7543[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7544[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7545[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7546[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7547[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7548[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7549[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7550[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7551[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7552[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7553[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7554[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7555[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7556[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7557[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7558[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7559[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7560[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7561[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7562[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7563[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7578[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7579[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7580[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7581[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7582[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7583[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7584[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7585[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7586[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7587[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7588[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7589[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7590[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7591[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7592[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7593[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7594[] = {
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7595[] = {
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7596[] = {
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7597[] = {
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7598[] = {
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7599[] = {
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7600[] = {
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7601[] = {
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7602[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_7603[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_7604[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_7605[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_7606[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_7607[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_7608[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_7609[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_7610[] = {
  "adclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclb\t%0.b, %2.b, %3.b",
};

static const char * const output_7611[] = {
  "adclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclt\t%0.b, %2.b, %3.b",
};

static const char * const output_7612[] = {
  "eorbt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teorbt\t%0.b, %2.b, %3.b",
};

static const char * const output_7613[] = {
  "eortb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teortb\t%0.b, %2.b, %3.b",
};

static const char * const output_7614[] = {
  "sbclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclb\t%0.b, %2.b, %3.b",
};

static const char * const output_7615[] = {
  "sbclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclt\t%0.b, %2.b, %3.b",
};

static const char * const output_7616[] = {
  "sqrdmlah\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.b, %2.b, %3.b",
};

static const char * const output_7617[] = {
  "sqrdmlsh\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.b, %2.b, %3.b",
};

static const char * const output_7618[] = {
  "adclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclb\t%0.h, %2.h, %3.h",
};

static const char * const output_7619[] = {
  "adclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclt\t%0.h, %2.h, %3.h",
};

static const char * const output_7620[] = {
  "eorbt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teorbt\t%0.h, %2.h, %3.h",
};

static const char * const output_7621[] = {
  "eortb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teortb\t%0.h, %2.h, %3.h",
};

static const char * const output_7622[] = {
  "sbclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclb\t%0.h, %2.h, %3.h",
};

static const char * const output_7623[] = {
  "sbclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclt\t%0.h, %2.h, %3.h",
};

static const char * const output_7624[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h",
};

static const char * const output_7625[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h",
};

static const char * const output_7626[] = {
  "adclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclb\t%0.s, %2.s, %3.s",
};

static const char * const output_7627[] = {
  "adclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclt\t%0.s, %2.s, %3.s",
};

static const char * const output_7628[] = {
  "eorbt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teorbt\t%0.s, %2.s, %3.s",
};

static const char * const output_7629[] = {
  "eortb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teortb\t%0.s, %2.s, %3.s",
};

static const char * const output_7630[] = {
  "sbclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclb\t%0.s, %2.s, %3.s",
};

static const char * const output_7631[] = {
  "sbclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclt\t%0.s, %2.s, %3.s",
};

static const char * const output_7632[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s",
};

static const char * const output_7633[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s",
};

static const char * const output_7634[] = {
  "adclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclb\t%0.d, %2.d, %3.d",
};

static const char * const output_7635[] = {
  "adclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclt\t%0.d, %2.d, %3.d",
};

static const char * const output_7636[] = {
  "eorbt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teorbt\t%0.d, %2.d, %3.d",
};

static const char * const output_7637[] = {
  "eortb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teortb\t%0.d, %2.d, %3.d",
};

static const char * const output_7638[] = {
  "sbclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclb\t%0.d, %2.d, %3.d",
};

static const char * const output_7639[] = {
  "sbclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclt\t%0.d, %2.d, %3.d",
};

static const char * const output_7640[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d",
};

static const char * const output_7641[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d",
};

static const char * const output_7642[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_7643[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_7644[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_7645[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_7646[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_7647[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_7648[] = {
  "mla\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_7649[] = {
  "mla\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_7650[] = {
  "mla\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_7651[] = {
  "mls\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_7652[] = {
  "mls\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_7653[] = {
  "mls\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_7654[] = {
  "xar\t%0.b, %0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\txar\t%0.b, %0.b, %2.b, #%3",
};

static const char * const output_7655[] = {
  "xar\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\txar\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_7656[] = {
  "xar\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\txar\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_7657[] = {
  "xar\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\txar\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_7658[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7659[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7660[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7661[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7662[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7663[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7664[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7665[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7666[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_7667[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_7668[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_7669[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_7670[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_7671[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_7672[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_7673[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_7674[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7675[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7676[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7677[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7678[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7679[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7680[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7681[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7682[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7683[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7684[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7685[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7686[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7687[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7688[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7689[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7690[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7691[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7692[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7693[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7694[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7695[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7696[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_7697[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_7698[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7699[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7700[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7701[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7702[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7703[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7704[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7705[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7706[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7707[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7708[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7709[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7710[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7711[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7712[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_7713[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_7714[] = {
  "ssra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.b, %2.b, #%3",
};

static const char * const output_7715[] = {
  "usra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.b, %2.b, #%3",
};

static const char * const output_7716[] = {
  "ssra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.h, %2.h, #%3",
};

static const char * const output_7717[] = {
  "usra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.h, %2.h, #%3",
};

static const char * const output_7718[] = {
  "ssra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.s, %2.s, #%3",
};

static const char * const output_7719[] = {
  "usra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.s, %2.s, #%3",
};

static const char * const output_7720[] = {
  "ssra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.d, %2.d, #%3",
};

static const char * const output_7721[] = {
  "usra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.d, %2.d, #%3",
};

static const char * const output_7722[] = {
  "srsra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.b, %2.b, #%3",
};

static const char * const output_7723[] = {
  "ursra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.b, %2.b, #%3",
};

static const char * const output_7724[] = {
  "srsra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.h, %2.h, #%3",
};

static const char * const output_7725[] = {
  "ursra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.h, %2.h, #%3",
};

static const char * const output_7726[] = {
  "srsra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.s, %2.s, #%3",
};

static const char * const output_7727[] = {
  "ursra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.s, %2.s, #%3",
};

static const char * const output_7728[] = {
  "srsra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.d, %2.d, #%3",
};

static const char * const output_7729[] = {
  "ursra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.d, %2.d, #%3",
};

static const char * const output_7738[] = {
  "saba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsaba\t%0.b, %2.b, %3.b",
};

static const char * const output_7739[] = {
  "uaba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuaba\t%0.b, %2.b, %3.b",
};

static const char * const output_7740[] = {
  "saba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsaba\t%0.h, %2.h, %3.h",
};

static const char * const output_7741[] = {
  "uaba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuaba\t%0.h, %2.h, %3.h",
};

static const char * const output_7742[] = {
  "saba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsaba\t%0.s, %2.s, %3.s",
};

static const char * const output_7743[] = {
  "uaba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuaba\t%0.s, %2.s, %3.s",
};

static const char * const output_7744[] = {
  "saba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsaba\t%0.d, %2.d, %3.d",
};

static const char * const output_7745[] = {
  "uaba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuaba\t%0.d, %2.d, %3.d",
};

static const char * const output_7857[] = {
  "sabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_7858[] = {
  "sabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_7859[] = {
  "smlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_7860[] = {
  "smlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_7861[] = {
  "uabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_7862[] = {
  "uabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_7863[] = {
  "umlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_7864[] = {
  "umlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_7865[] = {
  "sabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7866[] = {
  "sabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7867[] = {
  "smlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7868[] = {
  "smlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7869[] = {
  "uabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7870[] = {
  "uabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7871[] = {
  "umlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7872[] = {
  "umlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7873[] = {
  "sabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_7874[] = {
  "sabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_7875[] = {
  "smlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_7876[] = {
  "smlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_7877[] = {
  "uabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_7878[] = {
  "uabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_7879[] = {
  "umlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_7880[] = {
  "umlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_7881[] = {
  "smlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7882[] = {
  "smlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7883[] = {
  "umlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7884[] = {
  "umlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7885[] = {
  "smlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7886[] = {
  "smlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7887[] = {
  "umlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7888[] = {
  "umlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7889[] = {
  "sqdmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_7890[] = {
  "sqdmlalbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.h, %2.b, %3.b",
};

static const char * const output_7891[] = {
  "sqdmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_7892[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7893[] = {
  "sqdmlalbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.s, %2.h, %3.h",
};

static const char * const output_7894[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7895[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_7896[] = {
  "sqdmlalbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.d, %2.s, %3.s",
};

static const char * const output_7897[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_7898[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7899[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7900[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7901[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7902[] = {
  "smlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_7903[] = {
  "smlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_7904[] = {
  "umlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_7905[] = {
  "umlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_7906[] = {
  "smlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_7907[] = {
  "smlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_7908[] = {
  "umlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_7909[] = {
  "umlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_7910[] = {
  "smlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_7911[] = {
  "smlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_7912[] = {
  "umlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_7913[] = {
  "umlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_7914[] = {
  "smlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7915[] = {
  "smlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7916[] = {
  "umlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7917[] = {
  "umlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7918[] = {
  "smlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7919[] = {
  "smlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7920[] = {
  "umlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7921[] = {
  "umlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7922[] = {
  "sqdmlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_7923[] = {
  "sqdmlslbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.h, %2.b, %3.b",
};

static const char * const output_7924[] = {
  "sqdmlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_7925[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_7926[] = {
  "sqdmlslbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.s, %2.h, %3.h",
};

static const char * const output_7927[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_7928[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_7929[] = {
  "sqdmlslbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.d, %2.s, %3.s",
};

static const char * const output_7930[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_7931[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7932[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7933[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7934[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_7935[] = {
  "fmlalb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalb\t%0.s, %1.h, %2.h",
};

static const char * const output_7936[] = {
  "fmlalt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalt\t%0.s, %1.h, %2.h",
};

static const char * const output_7937[] = {
  "fmlslb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslb\t%0.s, %1.h, %2.h",
};

static const char * const output_7938[] = {
  "fmlslt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslt\t%0.s, %1.h, %2.h",
};

static const char * const output_7939[] = {
  "fmlalb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_7940[] = {
  "fmlalt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_7941[] = {
  "fmlslb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_7942[] = {
  "fmlslt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_8033[] = {
  "addp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\taddp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8034[] = {
  "smaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8035[] = {
  "sminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8036[] = {
  "umaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8037[] = {
  "uminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8038[] = {
  "addp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\taddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8039[] = {
  "smaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8040[] = {
  "sminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8041[] = {
  "umaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8042[] = {
  "uminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8043[] = {
  "addp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\taddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8044[] = {
  "smaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8045[] = {
  "sminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8046[] = {
  "umaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8047[] = {
  "uminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8048[] = {
  "addp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\taddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8049[] = {
  "smaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8050[] = {
  "sminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8051[] = {
  "umaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8052[] = {
  "uminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8053[] = {
  "faddp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfaddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8054[] = {
  "fmaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8055[] = {
  "fmaxnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8056[] = {
  "fminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8057[] = {
  "fminnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8058[] = {
  "faddp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfaddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8059[] = {
  "fmaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8060[] = {
  "fmaxnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8061[] = {
  "fminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8062[] = {
  "fminnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8063[] = {
  "faddp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfaddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8064[] = {
  "fmaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8065[] = {
  "fmaxnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8066[] = {
  "fminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8067[] = {
  "fminnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8068[] = {
  "sadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_8069[] = {
  "uadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_8070[] = {
  "sadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_8071[] = {
  "uadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_8072[] = {
  "sadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_8073[] = {
  "uadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_8074[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_8075[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_8076[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_8077[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_8078[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_8079[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_8080[] = {
  "cadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_8081[] = {
  "cadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_8082[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_8083[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_8084[] = {
  "cadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_8085[] = {
  "cadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_8086[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_8087[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_8088[] = {
  "cadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_8089[] = {
  "cadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_8090[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_8091[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_8092[] = {
  "cadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_8093[] = {
  "cadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_8094[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_8095[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_8096[] = {
  "cmla\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_8097[] = {
  "cmla\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_8098[] = {
  "cmla\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_8099[] = {
  "cmla\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_8100[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_8101[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_8102[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_8103[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_8104[] = {
  "cmla\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_8105[] = {
  "cmla\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_8106[] = {
  "cmla\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_8107[] = {
  "cmla\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_8108[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_8109[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_8110[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_8111[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_8112[] = {
  "cmla\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_8113[] = {
  "cmla\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_8114[] = {
  "cmla\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_8115[] = {
  "cmla\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_8116[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_8117[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_8118[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_8119[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_8120[] = {
  "cmla\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_8121[] = {
  "cmla\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_8122[] = {
  "cmla\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_8123[] = {
  "cmla\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_8124[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_8125[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_8126[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_8127[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_8128[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_8129[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_8130[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_8131[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_8132[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_8133[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_8134[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_8135[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_8136[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_8137[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_8138[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_8139[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_8140[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_8141[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_8142[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_8143[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_8144[] = {
  "cdot\t%0.s, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #0",
};

static const char * const output_8145[] = {
  "cdot\t%0.s, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #90",
};

static const char * const output_8146[] = {
  "cdot\t%0.s, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #180",
};

static const char * const output_8147[] = {
  "cdot\t%0.s, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #270",
};

static const char * const output_8148[] = {
  "cdot\t%0.d, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #0",
};

static const char * const output_8149[] = {
  "cdot\t%0.d, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #90",
};

static const char * const output_8150[] = {
  "cdot\t%0.d, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #180",
};

static const char * const output_8151[] = {
  "cdot\t%0.d, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #270",
};

static const char * const output_8152[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #0",
};

static const char * const output_8153[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #90",
};

static const char * const output_8154[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #180",
};

static const char * const output_8155[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #270",
};

static const char * const output_8156[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #0",
};

static const char * const output_8157[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #90",
};

static const char * const output_8158[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #180",
};

static const char * const output_8159[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #270",
};

static const char * const output_8168[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_8169[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_8170[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_8172[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_8173[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_8174[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_8175[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_8176[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_8177[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_8178[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_8179[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_8180[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_8181[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_8182[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_8183[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_8184[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucr,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dq,Usv,m,m,rZ,w,w,r,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dh,Usv,m,m,rZ,w,w,r,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Ds",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,N,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Dd",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,r,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,r,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,N",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,?&r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,?r,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,r,m,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ,rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ,rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_2_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pwr_imm3,
    "Up3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_uimm6,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_memtag_tag_offset,
    "i",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "Usd",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUph",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_minus_one,
    "Dm,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPb",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPh",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPw",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_b,
    "UOb",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:463 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1 },
#else
    { 0, 0, output_1 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:474 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[2],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:519 */
  {
    "ccmpccsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3 },
#else
    { 0, output_3, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:519 */
  {
    "ccmpccdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4 },
#else
    { 0, output_4, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:539 */
  {
    "ccmpccfpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:539 */
  {
    "ccmpccfpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:539 */
  {
    "ccmpccfpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:539 */
  {
    "ccmpccfpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:556 */
  {
    "ccmpccsi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9 },
#else
    { 0, output_9, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi_rev },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:556 */
  {
    "ccmpccdi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10 },
#else
    { 0, output_10, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi_rev },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:576 */
  {
    "ccmpccfpsf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf_rev },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:576 */
  {
    "ccmpccfpdf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf_rev },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:576 */
  {
    "ccmpccfpesf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf_rev },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:576 */
  {
    "ccmpccfpedf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf_rev },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:649 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_15 },
#else
    { 0, 0, output_15 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[39],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:688 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:774 */
  {
    "*casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_24 },
#else
    { 0, 0, output_24 },
#endif
    { 0 },
    &operand_data[48],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:792 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:799 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_26 },
#else
    { 0, 0, output_26 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[53],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:830 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:863 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:892 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_29 },
#else
    { 0, 0, output_29 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:903 */
  {
    "*cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:903 */
  {
    "*cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:903 */
  {
    "*cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_32 },
#else
    { 0, 0, output_32 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:903 */
  {
    "*cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:928 */
  {
    "*tbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:928 */
  {
    "*tbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:928 */
  {
    "*tbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:928 */
  {
    "*tbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:968 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1025 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { 0 },
    &operand_data[66],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1051 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { 0 },
    &operand_data[65],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1091 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_48 },
#else
    { 0, 0, output_48 },
#endif
    { 0 },
    &operand_data[69],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1109 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_49 },
#else
    { 0, 0, output_49 },
#endif
    { 0 },
    &operand_data[72],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1178 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_50 },
#else
    { 0, 0, output_50 },
#endif
    { 0 },
    &operand_data[76],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1178 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { 0 },
    &operand_data[78],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1243 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { 0 },
    &operand_data[80],
    2,
    2,
    0,
    16,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1278 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { 0 },
    &operand_data[82],
    2,
    2,
    0,
    17,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1315 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[84],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1315 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[87],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1327 */
  {
    "aarch64_movksi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_56 },
#else
    { 0, 0, output_56 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movksi },
    &operand_data[90],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1327 */
  {
    "aarch64_movkdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_57 },
#else
    { 0, 0, output_57 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movkdi },
    &operand_data[94],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1362 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_58 },
#else
    { 0, output_58, 0 },
#endif
    { 0 },
    &operand_data[98],
    2,
    2,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1417 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_59 },
#else
    { 0, 0, output_59 },
#endif
    { 0 },
    &operand_data[100],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1417 */
  {
    "*movbf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_60 },
#else
    { 0, 0, output_60 },
#endif
    { 0 },
    &operand_data[102],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1440 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_61 },
#else
    { 0, 0, output_61 },
#endif
    { 0 },
    &operand_data[104],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1464 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_62 },
#else
    { 0, 0, output_62 },
#endif
    { 0 },
    &operand_data[106],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1508 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_63 },
#else
    { 0, output_63, 0 },
#endif
    { 0 },
    &operand_data[108],
    2,
    2,
    0,
    11,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1564 */
  {
    "load_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_64 },
#else
    { 0, output_64, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisi },
    &operand_data[110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1564 */
  {
    "load_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_65 },
#else
    { 0, output_65, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsi },
    &operand_data[114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1564 */
  {
    "load_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_66 },
#else
    { 0, output_66, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisf },
    &operand_data[118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1564 */
  {
    "load_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_67 },
#else
    { 0, output_67, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsf },
    &operand_data[122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1581 */
  {
    "load_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_68 },
#else
    { 0, output_68, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didi },
    &operand_data[126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1581 */
  {
    "load_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_69 },
#else
    { 0, output_69, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didf },
    &operand_data[130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1581 */
  {
    "load_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_70 },
#else
    { 0, output_70, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdi },
    &operand_data[134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1581 */
  {
    "load_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_71 },
#else
    { 0, output_71, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdf },
    &operand_data[138],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1597 */
  {
    "load_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_tftf },
    &operand_data[142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1614 */
  {
    "store_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_73 },
#else
    { 0, output_73, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisi },
    &operand_data[146],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1614 */
  {
    "store_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_74 },
#else
    { 0, output_74, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsi },
    &operand_data[150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1614 */
  {
    "store_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_75 },
#else
    { 0, output_75, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisf },
    &operand_data[154],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1614 */
  {
    "store_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_76 },
#else
    { 0, output_76, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsf },
    &operand_data[158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "store_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_77 },
#else
    { 0, output_77, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didi },
    &operand_data[162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "store_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_78 },
#else
    { 0, output_78, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didf },
    &operand_data[166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "store_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_79 },
#else
    { 0, output_79, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdi },
    &operand_data[170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1631 */
  {
    "store_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_80 },
#else
    { 0, output_80, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdf },
    &operand_data[174],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1647 */
  {
    "store_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_tftf },
    &operand_data[178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1664 */
  {
    "loadwb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_si },
    &operand_data[182],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1664 */
  {
    "loadwb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_di },
    &operand_data[188],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1664 */
  {
    "loadwb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_si },
    &operand_data[194],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1664 */
  {
    "loadwb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_di },
    &operand_data[200],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1679 */
  {
    "loadwb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_si },
    &operand_data[206],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1679 */
  {
    "loadwb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_si },
    &operand_data[212],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1679 */
  {
    "loadwb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_di },
    &operand_data[218],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1679 */
  {
    "loadwb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_di },
    &operand_data[224],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_si },
    &operand_data[230],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_si },
    &operand_data[236],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_di },
    &operand_data[242],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_di },
    &operand_data[248],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1711 */
  {
    "storewb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_si },
    &operand_data[254],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1711 */
  {
    "storewb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_di },
    &operand_data[260],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1711 */
  {
    "storewb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_si },
    &operand_data[266],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1711 */
  {
    "storewb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_di },
    &operand_data[272],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1727 */
  {
    "storewb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_si },
    &operand_data[278],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1727 */
  {
    "storewb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_si },
    &operand_data[284],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1727 */
  {
    "storewb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_di },
    &operand_data[290],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1727 */
  {
    "storewb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_di },
    &operand_data[296],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1743 */
  {
    "storewb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_si },
    &operand_data[302],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1743 */
  {
    "storewb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_si },
    &operand_data[308],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1743 */
  {
    "storewb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_di },
    &operand_data[314],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1743 */
  {
    "storewb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_di },
    &operand_data[320],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1771 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_106 },
#else
    { 0, output_106, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1781 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[328],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1794 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_108 },
#else
    { 0, output_108, 0 },
#endif
    { 0 },
    &operand_data[332],
    2,
    2,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1809 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_109 },
#else
    { 0, output_109, 0 },
#endif
    { 0 },
    &operand_data[334],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1831 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_110 },
#else
    { 0, output_110, 0 },
#endif
    { 0 },
    &operand_data[338],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1831 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_111 },
#else
    { 0, output_111, 0 },
#endif
    { 0 },
    &operand_data[340],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1831 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_112 },
#else
    { 0, output_112, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1831 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_113 },
#else
    { 0, output_113, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1841 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_114 },
#else
    { 0, output_114, 0 },
#endif
    { 0 },
    &operand_data[346],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1841 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_115 },
#else
    { 0, output_115, 0 },
#endif
    { 0 },
    &operand_data[348],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1841 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_116 },
#else
    { 0, output_116, 0 },
#endif
    { 0 },
    &operand_data[350],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1841 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_117 },
#else
    { 0, output_117, 0 },
#endif
    { 0 },
    &operand_data[352],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1859 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_118 },
#else
    { 0, output_118, 0 },
#endif
    { 0 },
    &operand_data[354],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1869 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_119 },
#else
    { 0, output_119, 0 },
#endif
    { 0 },
    &operand_data[354],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1920 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_120 },
#else
    { 0, 0, output_120 },
#endif
    { 0 },
    &operand_data[356],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1920 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_121 },
#else
    { 0, 0, output_121 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1941 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_122 },
#else
    { 0, output_122, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2014 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_123 },
#else
    { 0, 0, output_123 },
#endif
    { 0 },
    &operand_data[365],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2014 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_124 },
#else
    { 0, 0, output_124 },
#endif
    { 0 },
    &operand_data[368],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2191 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_125 },
#else
    { 0, output_125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[371],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2191 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_126 },
#else
    { 0, output_126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[374],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2208 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_127 },
#else
    { 0, output_127, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2224 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_128 },
#else
    { 0, output_128, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2224 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_129 },
#else
    { 0, output_129, 0 },
#endif
    { 0 },
    &operand_data[382],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2239 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_130 },
#else
    { 0, output_130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[384],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2239 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_131 },
#else
    { 0, output_131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[387],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2256 */
  {
    "*addsi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_132 },
#else
    { 0, output_132, 0 },
#endif
    { 0 },
    &operand_data[390],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2256 */
  {
    "*adddi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_133 },
#else
    { 0, output_133, 0 },
#endif
    { 0 },
    &operand_data[393],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2273 */
  {
    "*addsi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2273 */
  {
    "*adddi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2285 */
  {
    "addsi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_136 },
#else
    { 0, output_136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV_imm },
    &operand_data[396],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2285 */
  {
    "adddi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_137 },
#else
    { 0, output_137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV_imm },
    &operand_data[399],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2303 */
  {
    "addsi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV },
    &operand_data[402],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2303 */
  {
    "adddi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV },
    &operand_data[405],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2317 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2333 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2349 */
  {
    "*adds_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2349 */
  {
    "*adds_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[428],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2365 */
  {
    "*subs_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %p3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[432],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2365 */
  {
    "*subs_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %p3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[446],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[446],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[449],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[449],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[452],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[452],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2381 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %x1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[458],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[458],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[461],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[461],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[464],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[464],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2395 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2409 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2427 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "*adds_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "*adds_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "*adds_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "*adds_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2465 */
  {
    "*subs_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2465 */
  {
    "*subs_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2465 */
  {
    "*subs_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2465 */
  {
    "*subs_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2485 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_212 },
#else
    { 0, output_212, 0 },
#endif
    { 0 },
    &operand_data[531],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2485 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_213 },
#else
    { 0, output_213, 0 },
#endif
    { 0 },
    &operand_data[533],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2499 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[535],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2499 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[537],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2510 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2510 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2520 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2531 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2531 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2531 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2542 */
  {
    "*add_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2542 */
  {
    "*add_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[543],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[543],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[555],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[555],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2552 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %x1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[561],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[561],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[564],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[564],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2562 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[567],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[567],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[571],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[571],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[575],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[575],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[579],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[579],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2572 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2584 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendqi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendqi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendqi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendqi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendhi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[607],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendhi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[607],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendhi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendhi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendsi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendsi_mult_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_extendsi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, sxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2596 */
  {
    "*add_zero_extendsi_mult_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, uxtw %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2608 */
  {
    "*add_extendqi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2608 */
  {
    "*add_zero_extendqi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2608 */
  {
    "*add_extendhi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2608 */
  {
    "*add_zero_extendhi_mult_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*add_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[631],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*add_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[631],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*add_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[636],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*add_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[636],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2633 */
  {
    "*add_extvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[641],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2633 */
  {
    "*add_extzvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[641],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2661 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[646],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2661 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[650],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2674 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2714 */
  {
    "*addsi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[658],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2714 */
  {
    "*adddi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[663],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2730 */
  {
    "*addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[668],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2730 */
  {
    "*adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[674],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2776 */
  {
    "*addsi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[658],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2776 */
  {
    "*adddi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[663],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2793 */
  {
    "*addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[668],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2793 */
  {
    "*adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[674],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2816 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_298 },
#else
    { 0, 0, output_298 },
#endif
    { 0 },
    &operand_data[680],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2816 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_299 },
#else
    { 0, 0, output_299 },
#endif
    { 0 },
    &operand_data[685],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2832 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_300 },
#else
    { 0, 0, output_300 },
#endif
    { 0 },
    &operand_data[690],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2848 */
  {
    "*add_uxtsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_301 },
#else
    { 0, 0, output_301 },
#endif
    { 0 },
    &operand_data[631],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2848 */
  {
    "*add_uxtdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_302 },
#else
    { 0, 0, output_302 },
#endif
    { 0 },
    &operand_data[636],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2864 */
  {
    "*add_uxtsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_303 },
#else
    { 0, 0, output_303 },
#endif
    { 0 },
    &operand_data[641],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2890 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2900 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_306 },
#else
    { 0, output_306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[698],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2928 */
  {
    "subvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_insn },
    &operand_data[402],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2928 */
  {
    "subvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_insn },
    &operand_data[405],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2944 */
  {
    "subvsi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_309 },
#else
    { 0, output_309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_imm },
    &operand_data[396],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2944 */
  {
    "subvdi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_310 },
#else
    { 0, output_310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_imm },
    &operand_data[399],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2975 */
  {
    "negvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_insn },
    &operand_data[408],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2975 */
  {
    "negvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_insn },
    &operand_data[412],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2988 */
  {
    "negvsi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%wzr, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_cmp_only },
    &operand_data[42],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2988 */
  {
    "negvdi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%xzr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_cmp_only },
    &operand_data[1],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2999 */
  {
    "*cmpvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_315 },
#else
    { 0, output_315, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2999 */
  {
    "*cmpvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_316 },
#else
    { 0, output_316, 0 },
#endif
    { 0 },
    &operand_data[382],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3102 */
  {
    "negdi_carryout",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi_carryout },
    &operand_data[412],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3113 */
  {
    "negvdi_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngcs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_carryinV },
    &operand_data[412],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3130 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3130 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3143 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3155 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_322 },
#else
    { 0, output_322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[704],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3155 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_323 },
#else
    { 0, output_323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[708],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3171 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[712],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3171 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[715],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3259 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3271 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3271 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3271 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3283 */
  {
    "*sub_mul_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3283 */
  {
    "*sub_mul_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3295 */
  {
    "*sub_mul_imm_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3307 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3318 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3318 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3318 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3318 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[505],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[509],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3329 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %x2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*sub_extvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[736],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*sub_extzvsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[736],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*sub_extvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x4, %x1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[741],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3353 */
  {
    "*sub_extzvdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x4, %x1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[741],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3367 */
  {
    "*sub_extvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, sxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3367 */
  {
    "*sub_extzvsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w4, %w1, uxt%e3 %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3387 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[751],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3387 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[754],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3398 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[757],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3420 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3420 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3434 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3448 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3448 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3461 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3491 */
  {
    "*usubsi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, wzr, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[772],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3491 */
  {
    "*usubdi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, xzr, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[776],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "*usubsi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[772],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3508 */
  {
    "*usubdi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[776],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3523 */
  {
    "*usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[780],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3523 */
  {
    "*usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[785],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3563 */
  {
    "*subsi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[772],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3563 */
  {
    "*subdi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[776],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3580 */
  {
    "*subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[780],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3580 */
  {
    "*subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[785],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3604 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_395 },
#else
    { 0, 0, output_395 },
#endif
    { 0 },
    &operand_data[790],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3604 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_396 },
#else
    { 0, 0, output_396 },
#endif
    { 0 },
    &operand_data[795],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3620 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_397 },
#else
    { 0, 0, output_397 },
#endif
    { 0 },
    &operand_data[800],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3636 */
  {
    "*sub_uxtsi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_398 },
#else
    { 0, 0, output_398 },
#endif
    { 0 },
    &operand_data[736],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3636 */
  {
    "*sub_uxtdi_multp2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_399 },
#else
    { 0, 0, output_399 },
#endif
    { 0 },
    &operand_data[741],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3652 */
  {
    "*sub_uxtsi_multp2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_400 },
#else
    { 0, 0, output_400 },
#endif
    { 0 },
    &operand_data[746],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3680 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_401 },
#else
    { 0, output_401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[805],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3680 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_402 },
#else
    { 0, output_402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[807],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3692 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3700 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3700 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[812],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3710 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[815],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3721 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[408],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3721 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[412],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3733 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3744 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3758 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3769 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3769 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3769 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3780 */
  {
    "*neg_mul_imm_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3780 */
  {
    "*neg_mul_imm_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[428],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3791 */
  {
    "*neg_mul_imm_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %p2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3802 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3802 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3812 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[822],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[826],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3844 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[822],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3856 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[826],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3868 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3868 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3879 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3899 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[830],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3899 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[830],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[830],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3910 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[830],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3922 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3974 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3974 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3987 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3987 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3987 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3987 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3997 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3997 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4011 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_456 },
#else
    { 0, output_456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[385],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4011 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_457 },
#else
    { 0, output_457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[388],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4023 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_458 },
#else
    { 0, output_458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[834],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4023 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_459 },
#else
    { 0, output_459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[836],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4034 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_460 },
#else
    { 0, output_460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[834],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4034 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_461 },
#else
    { 0, output_461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[836],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[838],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[838],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[838],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[841],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[841],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4045 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[841],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[547],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[547],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[559],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4056 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %x0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[559],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[568],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[576],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[576],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[580],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[580],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[584],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[584],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4066 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4120 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[844],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4120 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[847],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4120 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[850],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4120 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4139 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4139 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4139 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4139 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4165 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[844],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[847],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[850],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4175 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4185 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4227 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_506 },
#else
    { 0, output_506, 0 },
#endif
    { 0 },
    &operand_data[865],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4227 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_507 },
#else
    { 0, output_507, 0 },
#endif
    { 0 },
    &operand_data[870],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4227 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_508 },
#else
    { 0, output_508, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4227 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_509 },
#else
    { 0, output_509, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4249 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_510 },
#else
    { 0, output_510, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4271 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4283 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[895],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4283 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[900],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_514 },
#else
    { 0, 0, output_514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[905],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_515 },
#else
    { 0, 0, output_515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[908],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_516 },
#else
    { 0, 0, output_516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[416],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_517 },
#else
    { 0, 0, output_517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[911],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_518 },
#else
    { 0, 0, output_518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[905],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_519 },
#else
    { 0, 0, output_519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[908],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_520 },
#else
    { 0, 0, output_520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[416],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4372 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_521 },
#else
    { 0, 0, output_521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[911],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4387 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[914],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4387 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[917],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4396 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4396 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4408 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4408 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4419 */
  {
    "csneg3_uxtw_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3_uxtw_insn },
    &operand_data[928],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4431 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4431 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4487 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_531 },
#else
    { 0, 0, output_531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[932],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4487 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_532 },
#else
    { 0, 0, output_532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[935],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4504 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4504 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_535 },
#else
    { 0, output_535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[944],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_536 },
#else
    { 0, output_536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[944],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_537 },
#else
    { 0, output_537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[944],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_538 },
#else
    { 0, output_538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[947],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_539 },
#else
    { 0, output_539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[947],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4523 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_540 },
#else
    { 0, output_540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[947],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4537 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_541 },
#else
    { 0, output_541, 0 },
#endif
    { 0 },
    &operand_data[950],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4537 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_542 },
#else
    { 0, output_542, 0 },
#endif
    { 0 },
    &operand_data[950],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4537 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_543 },
#else
    { 0, output_543, 0 },
#endif
    { 0 },
    &operand_data[950],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4549 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_544 },
#else
    { 0, output_544, 0 },
#endif
    { 0 },
    &operand_data[953],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4549 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_545 },
#else
    { 0, output_545, 0 },
#endif
    { 0 },
    &operand_data[956],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4565 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_546 },
#else
    { 0, output_546, 0 },
#endif
    { 0 },
    &operand_data[959],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4580 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4596 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4596 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4596 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4596 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4612 */
  {
    "*xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*and_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*ior_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*xor_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*and_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*ior_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4623 */
  {
    "*xor_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4635 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*ior_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*xor_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4659 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_604 },
#else
    { 0, output_604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[805],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4659 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_605 },
#else
    { 0, output_605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[807],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4670 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4681 */
  {
    "*and_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_614 },
#else
    { 0, output_614, 0 },
#endif
    { 0 },
    &operand_data[962],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4681 */
  {
    "*ior_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_615 },
#else
    { 0, output_615, 0 },
#endif
    { 0 },
    &operand_data[962],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4681 */
  {
    "*and_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_616 },
#else
    { 0, output_616, 0 },
#endif
    { 0 },
    &operand_data[965],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4681 */
  {
    "*ior_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_617 },
#else
    { 0, output_617, 0 },
#endif
    { 0 },
    &operand_data[965],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4693 */
  {
    "*and_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4693 */
  {
    "*ior_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4703 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4715 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_621 },
#else
    { 0, output_621, 0 },
#endif
    { 0 },
    &operand_data[968],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4715 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_622 },
#else
    { 0, output_622, 0 },
#endif
    { 0 },
    &operand_data[971],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4733 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4733 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4748 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[654],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4762 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4762 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4774 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4786 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4799 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4799 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4799 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4799 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4812 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4831 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4831 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4831 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4831 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[539],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4849 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4863 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4863 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4917 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4917 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "rbitsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4925 */
  {
    "rbitdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4938 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4938 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4951 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[62],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4951 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[64],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4961 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[440],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4961 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[446],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4961 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4961 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[449],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4973 */
  {
    "*andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_698 },
#else
    { 0, output_698, 0 },
#endif
    { 0 },
    &operand_data[951],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4973 */
  {
    "*anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_699 },
#else
    { 0, output_699, 0 },
#endif
    { 0 },
    &operand_data[957],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5002 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_700 },
#else
    { 0, 0, output_700 },
#endif
    { 0 },
    &operand_data[974],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5002 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_701 },
#else
    { 0, 0, output_701 },
#endif
    { 0 },
    &operand_data[977],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5024 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5148 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[990],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[990],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[990],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[990],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[995],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[995],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[995],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5160 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[995],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5184 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1000],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5184 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1006],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5212 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_728 },
#else
    { 0, 0, output_728 },
#endif
    { 0 },
    &operand_data[1012],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5212 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_729 },
#else
    { 0, 0, output_729 },
#endif
    { 0 },
    &operand_data[1012],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5212 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_730 },
#else
    { 0, 0, output_730 },
#endif
    { 0 },
    &operand_data[1012],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5212 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_731 },
#else
    { 0, 0, output_731 },
#endif
    { 0 },
    &operand_data[1012],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1017],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1017],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1017],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1021],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1021],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5231 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1021],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5261 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_738 },
#else
    { 0, output_738, 0 },
#endif
    { 0 },
    &operand_data[1025],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5261 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_739 },
#else
    { 0, output_739, 0 },
#endif
    { 0 },
    &operand_data[1028],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5277 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_740 },
#else
    { 0, output_740, 0 },
#endif
    { 0 },
    &operand_data[1031],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5277 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_741 },
#else
    { 0, output_741, 0 },
#endif
    { 0 },
    &operand_data[1034],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_742 },
#else
    { 0, output_742, 0 },
#endif
    { 0 },
    &operand_data[1037],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5325 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_743 },
#else
    { 0, output_743, 0 },
#endif
    { 0 },
    &operand_data[1034],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5372 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1040],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5382 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1043],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5392 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1040],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5402 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1043],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5412 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1046],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5422 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_749 },
#else
    { 0, output_749, 0 },
#endif
    { 0 },
    &operand_data[1048],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5422 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_750 },
#else
    { 0, output_750, 0 },
#endif
    { 0 },
    &operand_data[1051],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_751 },
#else
    { 0, output_751, 0 },
#endif
    { 0 },
    &operand_data[1054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_752 },
#else
    { 0, output_752, 0 },
#endif
    { 0 },
    &operand_data[1054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_753 },
#else
    { 0, output_753, 0 },
#endif
    { 0 },
    &operand_data[1054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5435 */
  {
    "*rotrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_754 },
#else
    { 0, output_754, 0 },
#endif
    { 0 },
    &operand_data[1054],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_755 },
#else
    { 0, 0, output_755 },
#endif
    { 0 },
    &operand_data[1057],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_756 },
#else
    { 0, 0, output_756 },
#endif
    { 0 },
    &operand_data[1057],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_757 },
#else
    { 0, 0, output_757 },
#endif
    { 0 },
    &operand_data[1057],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_758 },
#else
    { 0, 0, output_758 },
#endif
    { 0 },
    &operand_data[1060],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_759 },
#else
    { 0, 0, output_759 },
#endif
    { 0 },
    &operand_data[1060],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5447 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_760 },
#else
    { 0, 0, output_760 },
#endif
    { 0 },
    &operand_data[1060],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5459 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1063],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5459 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1068],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5473 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1063],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5473 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1068],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5487 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1073],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1073],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5513 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_767 },
#else
    { 0, 0, output_767 },
#endif
    { 0 },
    &operand_data[1078],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5513 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_768 },
#else
    { 0, 0, output_768 },
#endif
    { 0 },
    &operand_data[1081],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_769 },
#else
    { 0, 0, output_769 },
#endif
    { 0 },
    &operand_data[1084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_770 },
#else
    { 0, 0, output_770 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_771 },
#else
    { 0, 0, output_771 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_772 },
#else
    { 0, 0, output_772 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_773 },
#else
    { 0, 0, output_773 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_774 },
#else
    { 0, 0, output_774 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_775 },
#else
    { 0, 0, output_775 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_776 },
#else
    { 0, 0, output_776 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5539 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_777 },
#else
    { 0, 0, output_777 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5552 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_778 },
#else
    { 0, 0, output_778 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5552 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_779 },
#else
    { 0, 0, output_779 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5552 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_780 },
#else
    { 0, 0, output_780 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5552 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_781 },
#else
    { 0, 0, output_781 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_782 },
#else
    { 0, 0, output_782 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_783 },
#else
    { 0, 0, output_783 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_784 },
#else
    { 0, 0, output_784 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5565 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_785 },
#else
    { 0, 0, output_785 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5597 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5597 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5597 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5597 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1107],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1107],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5689 */
  {
    "*aarch64_bfisi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1135],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5689 */
  {
    "*aarch64_bfidi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1141],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5704 */
  {
    "*aarch64_bfisi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1147],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5704 */
  {
    "*aarch64_bfidi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1153],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5722 */
  {
    "*aarch64_bfisi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_802 },
#else
    { 0, 0, output_802 },
#endif
    { 0 },
    &operand_data[1135],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5722 */
  {
    "*aarch64_bfidi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_803 },
#else
    { 0, 0, output_803 },
#endif
    { 0 },
    &operand_data[1141],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5739 */
  {
    "*aarch64_bfisi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_804 },
#else
    { 0, 0, output_804 },
#endif
    { 0 },
    &operand_data[1159],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5739 */
  {
    "*aarch64_bfidi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_805 },
#else
    { 0, 0, output_805 },
#endif
    { 0 },
    &operand_data[1164],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5760 */
  {
    "*aarch64_bfisi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5760 */
  {
    "*aarch64_bfidi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1174],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5772 */
  {
    "*aarch64_bfisi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5772 */
  {
    "*aarch64_bfidi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1174],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5784 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5784 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_812 },
#else
    { 0, 0, output_812 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_813 },
#else
    { 0, 0, output_813 },
#endif
    { 0 },
    &operand_data[1087],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_814 },
#else
    { 0, 0, output_814 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_815 },
#else
    { 0, 0, output_815 },
#endif
    { 0 },
    &operand_data[1093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_816 },
#else
    { 0, 0, output_816 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_817 },
#else
    { 0, 0, output_817 },
#endif
    { 0 },
    &operand_data[1090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_818 },
#else
    { 0, 0, output_818 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_819 },
#else
    { 0, 0, output_819 },
#endif
    { 0 },
    &operand_data[1096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_820 },
#else
    { 0, 0, output_820 },
#endif
    { 0 },
    &operand_data[1078],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_821 },
#else
    { 0, 0, output_821 },
#endif
    { 0 },
    &operand_data[1078],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_822 },
#else
    { 0, 0, output_822 },
#endif
    { 0 },
    &operand_data[1084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5798 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_823 },
#else
    { 0, 0, output_823 },
#endif
    { 0 },
    &operand_data[1084],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5815 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1187],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5815 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1191],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5827 */
  {
    "*ashiftsi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5827 */
  {
    "*ashiftdi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5839 */
  {
    "*ashiftsi_extvdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1195],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5872 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5872 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5880 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[1060],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "*aarch64_bfxilsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_832 },
#else
    { 0, 0, output_832 },
#endif
    { 0 },
    &operand_data[1200],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "*aarch64_bfxildi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_833 },
#else
    { 0, 0, output_833 },
#endif
    { 0 },
    &operand_data[1205],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5914 */
  {
    "*aarch64_bfxilsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_834 },
#else
    { 0, 0, output_834 },
#endif
    { 0 },
    &operand_data[1210],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5944 */
  {
    "rev16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2 },
    &operand_data[1215],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5944 */
  {
    "rev16di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2 },
    &operand_data[1219],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5958 */
  {
    "rev16si2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2_alt },
    &operand_data[1215],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5958 */
  {
    "rev16di2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2_alt },
    &operand_data[1219],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5973 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[455],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "frintnhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnhf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "frintnsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "frintndf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintndf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5988 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5999 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_921 },
#else
    { 0, 0, output_921 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_922 },
#else
    { 0, 0, output_922 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_923 },
#else
    { 0, 0, output_923 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_924 },
#else
    { 0, 0, output_924 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_925 },
#else
    { 0, 0, output_925 },
#endif
    { 0 },
    &operand_data[1247],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_926 },
#else
    { 0, 0, output_926 },
#endif
    { 0 },
    &operand_data[1247],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_927 },
#else
    { 0, 0, output_927 },
#endif
    { 0 },
    &operand_data[1250],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6009 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_928 },
#else
    { 0, 0, output_928 },
#endif
    { 0 },
    &operand_data[1250],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "*aarch64_fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "*aarch64_fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6041 */
  {
    "*aarch64_fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6060 */
  {
    "*aarch64_fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6060 */
  {
    "*aarch64_fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6060 */
  {
    "*aarch64_fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6080 */
  {
    "*aarch64_fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6080 */
  {
    "*aarch64_fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6098 */
  {
    "*aarch64_fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6098 */
  {
    "*aarch64_fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6109 */
  {
    "*aarch64_fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6109 */
  {
    "*aarch64_fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6123 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1265],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6131 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1267],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6139 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1269],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6147 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1271],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6155 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1273],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6163 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6174 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_947 },
#else
    { 0, output_947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1277],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6174 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_948 },
#else
    { 0, output_948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1277],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6174 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_949 },
#else
    { 0, output_949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1279],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6174 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_950 },
#else
    { 0, output_950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1279],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6186 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6186 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6186 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6186 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6197 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6205 */
  {
    "*fix_to_zero_extendsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6205 */
  {
    "*fix_to_zero_extenddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6216 */
  {
    "*aarch64_scvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_961 },
#else
    { 0, 0, output_961 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6216 */
  {
    "*aarch64_ucvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_962 },
#else
    { 0, 0, output_962 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6216 */
  {
    "*aarch64_scvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_963 },
#else
    { 0, 0, output_963 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6216 */
  {
    "*aarch64_ucvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_964 },
#else
    { 0, 0, output_964 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6239 */
  {
    "*aarch64_scvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_965 },
#else
    { 0, 0, output_965 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6239 */
  {
    "*aarch64_ucvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_966 },
#else
    { 0, 0, output_966 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6239 */
  {
    "*aarch64_scvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_967 },
#else
    { 0, 0, output_967 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6239 */
  {
    "*aarch64_ucvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_968 },
#else
    { 0, 0, output_968 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6253 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_969 },
#else
    { 0, output_969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1281],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6253 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_970 },
#else
    { 0, output_970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1281],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6253 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_971 },
#else
    { 0, output_971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1284],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6253 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_972 },
#else
    { 0, output_972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1284],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1287],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1290],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1290],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6280 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1293],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6280 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1293],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6280 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1295],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6280 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1295],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_981 },
#else
    { 0, output_981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_982 },
#else
    { 0, output_982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_983 },
#else
    { 0, output_983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6337 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_984 },
#else
    { 0, output_984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6350 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_985 },
#else
    { 0, output_985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6350 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_986 },
#else
    { 0, output_986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6350 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_987 },
#else
    { 0, output_987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6350 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_988 },
#else
    { 0, output_988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6363 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6363 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6363 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6363 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6383 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6383 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6393 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6393 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6407 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6407 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6407 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6417 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6417 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6417 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6427 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6427 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6427 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6437 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6437 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6447 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6447 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6469 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6469 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6469 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6478 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6478 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6478 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6495 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6495 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6495 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6503 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6503 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6503 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6515 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6515 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6524 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6524 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nansf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nansf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nandf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "smin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nandf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6536 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6590 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1042 },
#else
    { 0, output_1042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1327],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6590 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1043 },
#else
    { 0, output_1043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1331],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6693 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6693 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1337],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6703 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6703 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1337],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6713 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1339],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6713 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1341],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6723 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6723 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1345],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6732 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1347],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6763 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1349],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6763 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1352],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6772 */
  {
    "ldr_got_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_si },
    &operand_data[1355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6772 */
  {
    "ldr_got_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_di },
    &operand_data[1358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6783 */
  {
    "ldr_got_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_sidi },
    &operand_data[1358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6795 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6795 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6806 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6818 */
  {
    "ldr_got_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_si },
    &operand_data[1361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6818 */
  {
    "ldr_got_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_di },
    &operand_data[1363],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6827 */
  {
    "ldr_got_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_sidi },
    &operand_data[1363],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6837 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6859 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6859 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6871 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6871 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6881 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6892 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1375],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6892 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1378],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6903 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1378],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6916 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6916 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6927 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6927 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6948 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6948 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1391],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6977 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1391],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6993 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w2, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1393],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6993 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x2, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1393],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7007 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7017 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7036 */
  {
    "paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paciasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7036 */
  {
    "autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autiasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7036 */
  {
    "pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t27 // pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7036 */
  {
    "autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t31 // autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t10 // pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t14 // autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7054 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7063 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7071 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1097 },
#else
    { 0, 0, output_1097 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1398],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "probe_sve_stack_clash_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1098 },
#else
    { 0, 0, output_1098 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_si },
    &operand_data[1401],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "probe_sve_stack_clash_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1099 },
#else
    { 0, 0, output_1099 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_di },
    &operand_data[1406],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7140 */
  {
    "reg_stack_protect_address_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1100 },
#else
    { 0, 0, output_1100 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_si },
    &operand_data[1411],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7140 */
  {
    "reg_stack_protect_address_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1101 },
#else
    { 0, 0, output_1101 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_di },
    &operand_data[1413],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7156 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1415],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7156 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1418],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7201 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1421],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7201 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1425],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7214 */
  {
    "set_fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_set_fpcr },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7221 */
  {
    "get_fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_fpcr },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7229 */
  {
    "set_fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_set_fpsr },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7236 */
  {
    "get_fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_fpsr },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7283 */
  {
    "speculation_tracker",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1110 },
#else
    { 0, 0, output_1110 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7297 */
  {
    "speculation_tracker_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1111 },
#else
    { 0, 0, output_1111 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker_rev },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7311 */
  {
    "bti_noarg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t32 // bti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_noarg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7318 */
  {
    "bti_c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t34 // bti c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_c },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7325 */
  {
    "bti_j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t36 // bti j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_j },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7332 */
  {
    "bti_jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t38 // bti jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_jc },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7340 */
  {
    "speculation_barrier",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "isb\n\tdsb\tsy",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_barrier },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7380 */
  {
    "*despeculate_copyqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1117 },
#else
    { 0, 0, output_1117 },
#endif
    { 0 },
    &operand_data[1429],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7380 */
  {
    "*despeculate_copyhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1118 },
#else
    { 0, 0, output_1118 },
#endif
    { 0 },
    &operand_data[1432],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7380 */
  {
    "*despeculate_copysi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1119 },
#else
    { 0, 0, output_1119 },
#endif
    { 0 },
    &operand_data[1435],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7380 */
  {
    "*despeculate_copydi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1120 },
#else
    { 0, 0, output_1120 },
#endif
    { 0 },
    &operand_data[1438],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7400 */
  {
    "*despeculate_copyti_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1121 },
#else
    { 0, 0, output_1121 },
#endif
    { 0 },
    &operand_data[1441],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7420 */
  {
    "despeculate_simpleqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleqi },
    &operand_data[1444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7420 */
  {
    "despeculate_simplehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplehi },
    &operand_data[1447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7420 */
  {
    "despeculate_simplesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplesi },
    &operand_data[1450],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7420 */
  {
    "despeculate_simpledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpledi },
    &operand_data[1453],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7433 */
  {
    "despeculate_simpleti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0, %1, %2\n\tand\t%H0, %H1, %2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleti },
    &operand_data[1456],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zdf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xdf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zdf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xdf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zsf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint32xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xsf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zsf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7446 */
  {
    "aarch64_frint64xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xsf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7458 */
  {
    "tstart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tstart\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tstart },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7467 */
  {
    "ttest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ttest\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ttest },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7476 */
  {
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcommit },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7484 */
  {
    "tcancel",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcancel\t#%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcancel },
    &operand_data[524],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7493 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7503 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7515 */
  {
    "irg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "irg\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_irg },
    &operand_data[1465],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7528 */
  {
    "gmi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "gmi\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gmi },
    &operand_data[405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7541 */
  {
    "addg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addg\t%0, %1, #%2, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addg },
    &operand_data[1468],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "subp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subp\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subp },
    &operand_data[1472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7571 */
  {
    "ldg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldg },
    &operand_data[1475],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7588 */
  {
    "stg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stg },
    &operand_data[1478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1159 },
#else
    { 0, output_1159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1481],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1160 },
#else
    { 0, output_1160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1483],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1161 },
#else
    { 0, output_1161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1485],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1162 },
#else
    { 0, output_1162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1487],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1163 },
#else
    { 0, output_1163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1489],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1164 },
#else
    { 0, output_1164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1491],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1165 },
#else
    { 0, output_1165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1493],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1497],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1499],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1503],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4bf },
    &operand_data[1505],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8bf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1173 },
#else
    { 0, 0, output_1173 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1509],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1174 },
#else
    { 0, 0, output_1174 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1512],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1175 },
#else
    { 0, 0, output_1175 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1515],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1176 },
#else
    { 0, 0, output_1176 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1518],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1177 },
#else
    { 0, 0, output_1177 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1521],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1178 },
#else
    { 0, 0, output_1178 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1524],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1179 },
#else
    { 0, 0, output_1179 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1527],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1180 },
#else
    { 0, 0, output_1180 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1530],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1181 },
#else
    { 0, 0, output_1181 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1533],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1182 },
#else
    { 0, 0, output_1182 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4bf },
    &operand_data[1536],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1183 },
#else
    { 0, 0, output_1183 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8bf },
    &operand_data[1539],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1184 },
#else
    { 0, 0, output_1184 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1542],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1185 },
#else
    { 0, 0, output_1185 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1545],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1186 },
#else
    { 0, 0, output_1186 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1548],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1187 },
#else
    { 0, 0, output_1187 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1551],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1188 },
#else
    { 0, 0, output_1188 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1554],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1189 },
#else
    { 0, 0, output_1189 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1557],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1190 },
#else
    { 0, 0, output_1190 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1560],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1191 },
#else
    { 0, 0, output_1191 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1563],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1192 },
#else
    { 0, 0, output_1192 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1566],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1193 },
#else
    { 0, 0, output_1193 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1569],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1194 },
#else
    { 0, 0, output_1194 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1572],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1195 },
#else
    { 0, 0, output_1195 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1575],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1196 },
#else
    { 0, 0, output_1196 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1578],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1197 },
#else
    { 0, 0, output_1197 },
#endif
    { 0 },
    &operand_data[1581],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1198 },
#else
    { 0, 0, output_1198 },
#endif
    { 0 },
    &operand_data[1583],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1199 },
#else
    { 0, 0, output_1199 },
#endif
    { 0 },
    &operand_data[1585],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1200 },
#else
    { 0, 0, output_1200 },
#endif
    { 0 },
    &operand_data[1587],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1201 },
#else
    { 0, 0, output_1201 },
#endif
    { 0 },
    &operand_data[1589],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1202 },
#else
    { 0, 0, output_1202 },
#endif
    { 0 },
    &operand_data[1591],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1203 },
#else
    { 0, 0, output_1203 },
#endif
    { 0 },
    &operand_data[1593],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1204 },
#else
    { 0, 0, output_1204 },
#endif
    { 0 },
    &operand_data[1595],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1205 },
#else
    { 0, 0, output_1205 },
#endif
    { 0 },
    &operand_data[1597],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1206 },
#else
    { 0, 0, output_1206 },
#endif
    { 0 },
    &operand_data[1599],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1207 },
#else
    { 0, 0, output_1207 },
#endif
    { 0 },
    &operand_data[1601],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1208 },
#else
    { 0, 0, output_1208 },
#endif
    { 0 },
    &operand_data[1603],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1209 },
#else
    { 0, 0, output_1209 },
#endif
    { 0 },
    &operand_data[1605],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1210 },
#else
    { 0, 0, output_1210 },
#endif
    { 0 },
    &operand_data[1607],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1621],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1624],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1627],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1630],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1633],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4bf },
    &operand_data[1636],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8bf },
    &operand_data[1639],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1642],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1645],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv8qi },
    &operand_data[1651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv8qi },
    &operand_data[1655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv8qi },
    &operand_data[1659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv8qi },
    &operand_data[1663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv8qi },
    &operand_data[1667],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv8qi },
    &operand_data[1671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hi },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hi },
    &operand_data[1679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hi },
    &operand_data[1683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hi },
    &operand_data[1687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hi },
    &operand_data[1691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hi },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hf },
    &operand_data[1699],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hf },
    &operand_data[1703],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hf },
    &operand_data[1707],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hf },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hf },
    &operand_data[1715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hf },
    &operand_data[1719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2si },
    &operand_data[1723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2si },
    &operand_data[1727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2si },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2si },
    &operand_data[1735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2si },
    &operand_data[1739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2si },
    &operand_data[1743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2sf },
    &operand_data[1747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2sf },
    &operand_data[1751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2sf },
    &operand_data[1755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2sf },
    &operand_data[1759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2sf },
    &operand_data[1763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2sf },
    &operand_data[1767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qidf },
    &operand_data[1771],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hidf },
    &operand_data[1775],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfdf },
    &operand_data[1779],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sidf },
    &operand_data[1783],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfdf },
    &operand_data[1787],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfdf },
    &operand_data[1791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv8qi },
    &operand_data[1795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv8qi },
    &operand_data[1799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv8qi },
    &operand_data[1803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv8qi },
    &operand_data[1807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv8qi },
    &operand_data[1811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv8qi },
    &operand_data[1815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hi },
    &operand_data[1823],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hi },
    &operand_data[1827],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hi },
    &operand_data[1831],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hi },
    &operand_data[1835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hi },
    &operand_data[1839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hf },
    &operand_data[1843],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hf },
    &operand_data[1847],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hf },
    &operand_data[1851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hf },
    &operand_data[1855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hf },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hf },
    &operand_data[1863],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2si },
    &operand_data[1867],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2si },
    &operand_data[1871],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2si },
    &operand_data[1875],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2si },
    &operand_data[1879],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2si },
    &operand_data[1883],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2si },
    &operand_data[1887],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2sf },
    &operand_data[1891],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2sf },
    &operand_data[1895],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2sf },
    &operand_data[1899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2sf },
    &operand_data[1903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2sf },
    &operand_data[1907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2sf },
    &operand_data[1911],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qidf },
    &operand_data[1915],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hidf },
    &operand_data[1919],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfdf },
    &operand_data[1923],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sidf },
    &operand_data[1927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfdf },
    &operand_data[1931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfdf },
    &operand_data[1935],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv16qi },
    &operand_data[1939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hi },
    &operand_data[1943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4si },
    &operand_data[1947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2di },
    &operand_data[1951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hf },
    &operand_data[1955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8bf },
    &operand_data[1959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4sf },
    &operand_data[1963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2df },
    &operand_data[1967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv16qi },
    &operand_data[1971],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hi },
    &operand_data[1975],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4si },
    &operand_data[1979],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2di },
    &operand_data[1983],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hf },
    &operand_data[1987],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8bf },
    &operand_data[1991],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4sf },
    &operand_data[1995],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2df },
    &operand_data[1999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv16qi },
    &operand_data[2003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hi },
    &operand_data[2007],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4si },
    &operand_data[2011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2di },
    &operand_data[2015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hf },
    &operand_data[2019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8bf },
    &operand_data[2023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4sf },
    &operand_data[2027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2df },
    &operand_data[2031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div16qi },
    &operand_data[2035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hi },
    &operand_data[2039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4si },
    &operand_data[2043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2di },
    &operand_data[2047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hf },
    &operand_data[2051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8bf },
    &operand_data[2055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4sf },
    &operand_data[2059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2df },
    &operand_data[2063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv16qi },
    &operand_data[2067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hi },
    &operand_data[2071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4si },
    &operand_data[2075],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2di },
    &operand_data[2079],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hf },
    &operand_data[2083],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8bf },
    &operand_data[2087],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4sf },
    &operand_data[2091],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2df },
    &operand_data[2095],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv16qi },
    &operand_data[2099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hi },
    &operand_data[2103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4si },
    &operand_data[2107],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2di },
    &operand_data[2111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hf },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8bf },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4sf },
    &operand_data[2123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2df },
    &operand_data[2127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv16qi },
    &operand_data[2131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hi },
    &operand_data[2135],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4si },
    &operand_data[2139],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2di },
    &operand_data[2143],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hf },
    &operand_data[2147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8bf },
    &operand_data[2151],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4sf },
    &operand_data[2155],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2df },
    &operand_data[2159],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv16qi },
    &operand_data[2163],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hi },
    &operand_data[2167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4si },
    &operand_data[2171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2di },
    &operand_data[2175],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hf },
    &operand_data[2179],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8bf },
    &operand_data[2183],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4sf },
    &operand_data[2187],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2df },
    &operand_data[2191],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv16qi },
    &operand_data[2195],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hi },
    &operand_data[2199],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4si },
    &operand_data[2203],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2di },
    &operand_data[2207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hf },
    &operand_data[2211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8bf },
    &operand_data[2215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4sf },
    &operand_data[2219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2df },
    &operand_data[2223],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv16qi },
    &operand_data[2227],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hi },
    &operand_data[2231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4si },
    &operand_data[2235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2di },
    &operand_data[2239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hf },
    &operand_data[2243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8bf },
    &operand_data[2247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4sf },
    &operand_data[2251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2df },
    &operand_data[2255],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv16qi },
    &operand_data[2259],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hi },
    &operand_data[2263],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4si },
    &operand_data[2267],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2di },
    &operand_data[2271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hf },
    &operand_data[2275],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8bf },
    &operand_data[2279],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4sf },
    &operand_data[2283],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2df },
    &operand_data[2287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div16qi },
    &operand_data[2291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hi },
    &operand_data[2295],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4si },
    &operand_data[2299],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2di },
    &operand_data[2303],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hf },
    &operand_data[2307],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8bf },
    &operand_data[2311],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4sf },
    &operand_data[2315],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2df },
    &operand_data[2319],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv16qi },
    &operand_data[2323],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hi },
    &operand_data[2327],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4si },
    &operand_data[2331],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2di },
    &operand_data[2335],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hf },
    &operand_data[2339],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8bf },
    &operand_data[2343],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4sf },
    &operand_data[2347],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2df },
    &operand_data[2351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv16qi },
    &operand_data[2355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hi },
    &operand_data[2359],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4si },
    &operand_data[2363],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2di },
    &operand_data[2367],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hf },
    &operand_data[2371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8bf },
    &operand_data[2375],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4sf },
    &operand_data[2379],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2df },
    &operand_data[2383],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv16qi },
    &operand_data[2387],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hi },
    &operand_data[2391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4si },
    &operand_data[2395],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2di },
    &operand_data[2399],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hf },
    &operand_data[2403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8bf },
    &operand_data[2407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4sf },
    &operand_data[2411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2df },
    &operand_data[2415],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv16qi },
    &operand_data[2419],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hi },
    &operand_data[2423],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4si },
    &operand_data[2427],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2di },
    &operand_data[2431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hf },
    &operand_data[2435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8bf },
    &operand_data[2439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4sf },
    &operand_data[2443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2df },
    &operand_data[2447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1425 },
#else
    { 0, output_1425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[2451],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1426 },
#else
    { 0, output_1426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[2454],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1427 },
#else
    { 0, output_1427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[2457],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1428 },
#else
    { 0, output_1428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[2460],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8bflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1429 },
#else
    { 0, output_1429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bflow },
    &operand_data[2463],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1430 },
#else
    { 0, output_1430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[2466],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1431 },
#else
    { 0, output_1431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[2469],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1432 },
#else
    { 0, output_1432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[2472],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1433 },
#else
    { 0, output_1433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[2475],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1434 },
#else
    { 0, output_1434, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[2478],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8bfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1435 },
#else
    { 0, output_1435, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bfhigh },
    &operand_data[2481],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1436 },
#else
    { 0, output_1436, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[2484],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2di3 },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2di3 },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:384 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:384 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[2523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[2523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[2523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[2523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[2527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[2527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[2527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[2527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[2531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[2531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[2531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[2531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1508 },
#else
    { 0, 0, output_1508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[2543],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1509 },
#else
    { 0, 0, output_1509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[2543],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1510 },
#else
    { 0, 0, output_1510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[2543],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1511 },
#else
    { 0, 0, output_1511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[2543],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1512 },
#else
    { 0, 0, output_1512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[2548],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1513 },
#else
    { 0, 0, output_1513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[2548],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1514 },
#else
    { 0, 0, output_1514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[2548],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1515 },
#else
    { 0, 0, output_1515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[2548],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1516 },
#else
    { 0, 0, output_1516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[2553],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1517 },
#else
    { 0, 0, output_1517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[2553],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1518 },
#else
    { 0, 0, output_1518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[2553],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1519 },
#else
    { 0, 0, output_1519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[2553],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1520 },
#else
    { 0, 0, output_1520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[2558],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1521 },
#else
    { 0, 0, output_1521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[2558],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1522 },
#else
    { 0, 0, output_1522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[2558],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1523 },
#else
    { 0, 0, output_1523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[2558],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1524 },
#else
    { 0, 0, output_1524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[2563],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1525 },
#else
    { 0, 0, output_1525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[2563],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1526 },
#else
    { 0, 0, output_1526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[2563],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1527 },
#else
    { 0, 0, output_1527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[2563],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1528 },
#else
    { 0, 0, output_1528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[2568],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1529 },
#else
    { 0, 0, output_1529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[2568],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1530 },
#else
    { 0, 0, output_1530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[2568],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1531 },
#else
    { 0, 0, output_1531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[2568],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1532 },
#else
    { 0, 0, output_1532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[2573],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1533 },
#else
    { 0, 0, output_1533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[2573],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1534 },
#else
    { 0, 0, output_1534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[2573],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1535 },
#else
    { 0, 0, output_1535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[2573],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1536 },
#else
    { 0, 0, output_1536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[2578],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1537 },
#else
    { 0, 0, output_1537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[2578],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1538 },
#else
    { 0, 0, output_1538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[2578],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1539 },
#else
    { 0, 0, output_1539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[2578],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:512 */
  {
    "aarch64_sdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv8qi },
    &operand_data[2583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:512 */
  {
    "aarch64_udotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv8qi },
    &operand_data[2583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:512 */
  {
    "aarch64_sdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:512 */
  {
    "aarch64_udotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:525 */
  {
    "aarch64_usdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv8qi },
    &operand_data[2583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:525 */
  {
    "aarch64_usdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1546 },
#else
    { 0, 0, output_1546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[2591],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1547 },
#else
    { 0, 0, output_1547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[2591],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1548 },
#else
    { 0, 0, output_1548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[2596],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:574 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1549 },
#else
    { 0, 0, output_1549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[2596],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:589 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1550 },
#else
    { 0, 0, output_1550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[2601],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:589 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1551 },
#else
    { 0, 0, output_1551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[2601],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:589 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1552 },
#else
    { 0, 0, output_1552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[2606],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:589 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1553 },
#else
    { 0, 0, output_1553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[2606],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_usdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1554 },
#else
    { 0, 0, output_1554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi },
    &operand_data[2591],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_sudot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1555 },
#else
    { 0, 0, output_1555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi },
    &operand_data[2591],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_usdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1556 },
#else
    { 0, 0, output_1556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev16qi },
    &operand_data[2596],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_sudot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1557 },
#else
    { 0, 0, output_1557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev16qi },
    &operand_data[2596],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_usdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1558 },
#else
    { 0, 0, output_1558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi },
    &operand_data[2601],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_sudot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1559 },
#else
    { 0, 0, output_1559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi },
    &operand_data[2601],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_usdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1560 },
#else
    { 0, 0, output_1560 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv16qi },
    &operand_data[2606],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:606 */
  {
    "aarch64_sudot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1561 },
#else
    { 0, 0, output_1561 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv16qi },
    &operand_data[2606],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1562 },
#else
    { 0, 0, output_1562 },
#endif
    { 0 },
    &operand_data[2611],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1563 },
#else
    { 0, 0, output_1563 },
#endif
    { 0 },
    &operand_data[2615],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1564 },
#else
    { 0, 0, output_1564 },
#endif
    { 0 },
    &operand_data[2619],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1565 },
#else
    { 0, 0, output_1565 },
#endif
    { 0 },
    &operand_data[2623],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1566 },
#else
    { 0, 0, output_1566 },
#endif
    { 0 },
    &operand_data[2627],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1567 },
#else
    { 0, 0, output_1567 },
#endif
    { 0 },
    &operand_data[2631],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1568 },
#else
    { 0, 0, output_1568 },
#endif
    { 0 },
    &operand_data[2635],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1569 },
#else
    { 0, 0, output_1569 },
#endif
    { 0 },
    &operand_data[2639],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:642 */
  {
    "*aarch64_mul3_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1570 },
#else
    { 0, 0, output_1570 },
#endif
    { 0 },
    &operand_data[2643],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1571 },
#else
    { 0, 0, output_1571 },
#endif
    { 0 },
    &operand_data[2647],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1572 },
#else
    { 0, 0, output_1572 },
#endif
    { 0 },
    &operand_data[2651],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1573 },
#else
    { 0, 0, output_1573 },
#endif
    { 0 },
    &operand_data[2655],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1574 },
#else
    { 0, 0, output_1574 },
#endif
    { 0 },
    &operand_data[2659],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1575 },
#else
    { 0, 0, output_1575 },
#endif
    { 0 },
    &operand_data[2663],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:658 */
  {
    "*aarch64_mul3_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1576 },
#else
    { 0, 0, output_1576 },
#endif
    { 0 },
    &operand_data[2667],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2671],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2674],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2683],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2686],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:674 */
  {
    "*aarch64_mul3_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:685 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:693 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:712 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1602 },
#else
    { 0, 0, output_1602 },
#endif
    { 0 },
    &operand_data[2698],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:727 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:735 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[1040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi_3 },
    &operand_data[2487],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi_3 },
    &operand_data[2487],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv16qi_3 },
    &operand_data[2490],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv16qi_3 },
    &operand_data[2490],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi_3 },
    &operand_data[2493],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi_3 },
    &operand_data[2493],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8hi_3 },
    &operand_data[2496],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8hi_3 },
    &operand_data[2496],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si_3 },
    &operand_data[2499],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si_3 },
    &operand_data[2499],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_sabdv4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4si_3 },
    &operand_data[2502],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:761 */
  {
    "aarch64_uabdv4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4si_3 },
    &operand_data[2502],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_sabdl2v8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8qi_3 },
    &operand_data[2702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_uabdl2v8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8qi_3 },
    &operand_data[2702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_sabdl2v16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi_3 },
    &operand_data[2705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_uabdl2v16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi_3 },
    &operand_data[2705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_sabdl2v4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4hi_3 },
    &operand_data[2708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_uabdl2v4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4hi_3 },
    &operand_data[2708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_sabdl2v8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi_3 },
    &operand_data[2711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_uabdl2v8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi_3 },
    &operand_data[2711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_sabdl2v4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si_3 },
    &operand_data[2714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:775 */
  {
    "aarch64_uabdl2v4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si_3 },
    &operand_data[2714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_sabalv8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8qi_4 },
    &operand_data[2717],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_uabalv8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8qi_4 },
    &operand_data[2717],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_sabalv16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv16qi_4 },
    &operand_data[2721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_uabalv16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv16qi_4 },
    &operand_data[2721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_sabalv4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4hi_4 },
    &operand_data[2725],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_uabalv4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4hi_4 },
    &operand_data[2725],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_sabalv8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8hi_4 },
    &operand_data[2729],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_uabalv8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8hi_4 },
    &operand_data[2729],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_sabalv4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4si_4 },
    &operand_data[2733],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:785 */
  {
    "aarch64_uabalv4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4si_4 },
    &operand_data[2733],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_sadalpv8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8qi_3 },
    &operand_data[2737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_uadalpv8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8qi_3 },
    &operand_data[2737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_sadalpv16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv16qi_3 },
    &operand_data[2740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_uadalpv16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv16qi_3 },
    &operand_data[2740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_sadalpv4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4hi_3 },
    &operand_data[2743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_uadalpv4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4hi_3 },
    &operand_data[2743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_sadalpv8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8hi_3 },
    &operand_data[2746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_uadalpv8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8hi_3 },
    &operand_data[2746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_sadalpv4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4si_3 },
    &operand_data[2749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:796 */
  {
    "aarch64_uadalpv4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4si_3 },
    &operand_data[2749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav8qi_3 },
    &operand_data[2752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav16qi_3 },
    &operand_data[2756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav4hi_3 },
    &operand_data[2760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav8hi_3 },
    &operand_data[2764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav2si_3 },
    &operand_data[2768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "abav4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abav4si_3 },
    &operand_data[2772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:865 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1681 },
#else
    { 0, 0, output_1681 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[2776],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1682 },
#else
    { 0, 0, output_1682 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[2779],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1683 },
#else
    { 0, 0, output_1683 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[2782],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1684 },
#else
    { 0, 0, output_1684 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[2785],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1685 },
#else
    { 0, 0, output_1685 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[2788],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1686 },
#else
    { 0, 0, output_1686 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[2791],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:877 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1687 },
#else
    { 0, 0, output_1687 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[2794],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1688 },
#else
    { 0, 0, output_1688 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[2797],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1689 },
#else
    { 0, 0, output_1689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[2800],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1690 },
#else
    { 0, 0, output_1690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[2803],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1691 },
#else
    { 0, 0, output_1691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[2806],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1692 },
#else
    { 0, 0, output_1692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[2809],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1693 },
#else
    { 0, 0, output_1693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[2812],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:898 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1694 },
#else
    { 0, 0, output_1694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[2815],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:918 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:927 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1709 },
#else
    { 0, 0, output_1709 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[2818],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1710 },
#else
    { 0, 0, output_1710 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[2822],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1711 },
#else
    { 0, 0, output_1711 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[2826],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1712 },
#else
    { 0, 0, output_1712 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[2830],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1713 },
#else
    { 0, 0, output_1713 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[2834],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1714 },
#else
    { 0, 0, output_1714 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[2838],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1715 },
#else
    { 0, 0, output_1715 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[2842],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1716 },
#else
    { 0, 0, output_1716 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[2846],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1717 },
#else
    { 0, 0, output_1717 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[2850],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1718 },
#else
    { 0, 0, output_1718 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4bf },
    &operand_data[2854],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1719 },
#else
    { 0, 0, output_1719 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8bf },
    &operand_data[2858],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1720 },
#else
    { 0, 0, output_1720 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[2862],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1721 },
#else
    { 0, 0, output_1721 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[2866],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:935 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1722 },
#else
    { 0, 0, output_1722 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[2870],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1723 },
#else
    { 0, 0, output_1723 },
#endif
    { 0 },
    &operand_data[2874],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1724 },
#else
    { 0, 0, output_1724 },
#endif
    { 0 },
    &operand_data[2879],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1725 },
#else
    { 0, 0, output_1725 },
#endif
    { 0 },
    &operand_data[2884],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1726 },
#else
    { 0, 0, output_1726 },
#endif
    { 0 },
    &operand_data[2889],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1727 },
#else
    { 0, 0, output_1727 },
#endif
    { 0 },
    &operand_data[2894],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1728 },
#else
    { 0, 0, output_1728 },
#endif
    { 0 },
    &operand_data[2899],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1729 },
#else
    { 0, 0, output_1729 },
#endif
    { 0 },
    &operand_data[2904],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1730 },
#else
    { 0, 0, output_1730 },
#endif
    { 0 },
    &operand_data[2909],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1731 },
#else
    { 0, 0, output_1731 },
#endif
    { 0 },
    &operand_data[2914],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1732 },
#else
    { 0, 0, output_1732 },
#endif
    { 0 },
    &operand_data[2919],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1733 },
#else
    { 0, 0, output_1733 },
#endif
    { 0 },
    &operand_data[2924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1734 },
#else
    { 0, 0, output_1734 },
#endif
    { 0 },
    &operand_data[2929],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1735 },
#else
    { 0, 0, output_1735 },
#endif
    { 0 },
    &operand_data[2934],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:961 */
  {
    "*aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1736 },
#else
    { 0, 0, output_1736 },
#endif
    { 0 },
    &operand_data[2939],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1737 },
#else
    { 0, 0, output_1737 },
#endif
    { 0 },
    &operand_data[2944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1738 },
#else
    { 0, 0, output_1738 },
#endif
    { 0 },
    &operand_data[2949],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1739 },
#else
    { 0, 0, output_1739 },
#endif
    { 0 },
    &operand_data[2954],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1740 },
#else
    { 0, 0, output_1740 },
#endif
    { 0 },
    &operand_data[2959],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1741 },
#else
    { 0, 0, output_1741 },
#endif
    { 0 },
    &operand_data[2964],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1742 },
#else
    { 0, 0, output_1742 },
#endif
    { 0 },
    &operand_data[2969],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1743 },
#else
    { 0, 0, output_1743 },
#endif
    { 0 },
    &operand_data[2974],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1744 },
#else
    { 0, 0, output_1744 },
#endif
    { 0 },
    &operand_data[2979],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1745 },
#else
    { 0, 0, output_1745 },
#endif
    { 0 },
    &operand_data[2984],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:982 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1746 },
#else
    { 0, 0, output_1746 },
#endif
    { 0 },
    &operand_data[2989],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[2994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[2997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[3000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[3003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[3006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[3009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1019 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[3012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[2994],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[2997],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[3000],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[3003],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[3006],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[3009],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[3012],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1037 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[3043],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[3046],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[3049],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[3052],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[3055],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[3058],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1049 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[3061],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1058 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1067 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1803 },
#else
    { 0, 0, output_1803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1509],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1804 },
#else
    { 0, 0, output_1804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1515],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1805 },
#else
    { 0, 0, output_1805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1530],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1806 },
#else
    { 0, 0, output_1806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1521],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1807 },
#else
    { 0, 0, output_1807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1542],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1262 */
  {
    "vec_shr_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1808 },
#else
    { 0, 0, output_1808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf },
    &operand_data[1536],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[3064],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[3068],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[3072],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[3076],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[3080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1291 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1302 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1815 },
#else
    { 0, 0, output_1815 },
#endif
    { 0 },
    &operand_data[3088],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1302 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1816 },
#else
    { 0, 0, output_1816 },
#endif
    { 0 },
    &operand_data[3093],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1302 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1817 },
#else
    { 0, 0, output_1817 },
#endif
    { 0 },
    &operand_data[3098],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1302 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1818 },
#else
    { 0, 0, output_1818 },
#endif
    { 0 },
    &operand_data[3103],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1320 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1819 },
#else
    { 0, 0, output_1819 },
#endif
    { 0 },
    &operand_data[3108],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1320 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1820 },
#else
    { 0, 0, output_1820 },
#endif
    { 0 },
    &operand_data[3113],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1320 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1821 },
#else
    { 0, 0, output_1821 },
#endif
    { 0 },
    &operand_data[3118],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1320 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1822 },
#else
    { 0, 0, output_1822 },
#endif
    { 0 },
    &operand_data[3123],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1338 */
  {
    "*aarch64_mla_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3128],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1338 */
  {
    "*aarch64_mla_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1338 */
  {
    "*aarch64_mla_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1338 */
  {
    "*aarch64_mla_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[3064],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[3068],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[3072],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[3076],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[3080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1350 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1360 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1833 },
#else
    { 0, 0, output_1833 },
#endif
    { 0 },
    &operand_data[3088],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1360 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1834 },
#else
    { 0, 0, output_1834 },
#endif
    { 0 },
    &operand_data[3093],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1360 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1835 },
#else
    { 0, 0, output_1835 },
#endif
    { 0 },
    &operand_data[3098],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1360 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1836 },
#else
    { 0, 0, output_1836 },
#endif
    { 0 },
    &operand_data[3103],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1378 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1837 },
#else
    { 0, 0, output_1837 },
#endif
    { 0 },
    &operand_data[3108],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1378 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1838 },
#else
    { 0, 0, output_1838 },
#endif
    { 0 },
    &operand_data[3113],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1378 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1839 },
#else
    { 0, 0, output_1839 },
#endif
    { 0 },
    &operand_data[3118],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1378 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1840 },
#else
    { 0, 0, output_1840 },
#endif
    { 0 },
    &operand_data[3123],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1396 */
  {
    "*aarch64_mls_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %3.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3144],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1396 */
  {
    "*aarch64_mls_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %3.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3148],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1396 */
  {
    "*aarch64_mls_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %3.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3152],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1396 */
  {
    "*aarch64_mls_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %3.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1452 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1463 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1913 },
#else
    { 0, output_1913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v16qi },
    &operand_data[3160],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1914 },
#else
    { 0, output_1914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hi },
    &operand_data[3163],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1915 },
#else
    { 0, output_1915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4si },
    &operand_data[3166],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1916 },
#else
    { 0, output_1916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2di },
    &operand_data[3169],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1917 },
#else
    { 0, output_1917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hf },
    &operand_data[3172],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1918 },
#else
    { 0, output_1918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8bf },
    &operand_data[3175],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1919 },
#else
    { 0, output_1919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4sf },
    &operand_data[3178],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1483 */
  {
    "move_lo_quad_internal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1920 },
#else
    { 0, output_1920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2df },
    &operand_data[3181],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1921 },
#else
    { 0, output_1921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v16qi },
    &operand_data[3160],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1922 },
#else
    { 0, output_1922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hi },
    &operand_data[3163],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1923 },
#else
    { 0, output_1923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4si },
    &operand_data[3166],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1924 },
#else
    { 0, output_1924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2di },
    &operand_data[3169],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1925 },
#else
    { 0, output_1925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hf },
    &operand_data[3172],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1926 },
#else
    { 0, output_1926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8bf },
    &operand_data[3175],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1927 },
#else
    { 0, output_1927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4sf },
    &operand_data[3178],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1498 */
  {
    "move_lo_quad_internal_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1928 },
#else
    { 0, output_1928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2df },
    &operand_data[3181],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1929 },
#else
    { 0, output_1929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v16qi },
    &operand_data[3184],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1930 },
#else
    { 0, output_1930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hi },
    &operand_data[3187],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1931 },
#else
    { 0, output_1931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4si },
    &operand_data[3190],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1932 },
#else
    { 0, output_1932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2di },
    &operand_data[3193],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1933 },
#else
    { 0, output_1933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hf },
    &operand_data[3196],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1934 },
#else
    { 0, output_1934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8bf },
    &operand_data[3199],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1935 },
#else
    { 0, output_1935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4sf },
    &operand_data[3202],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "aarch64_simd_move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1936 },
#else
    { 0, output_1936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2df },
    &operand_data[3205],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1937 },
#else
    { 0, output_1937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v16qi },
    &operand_data[3184],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1938 },
#else
    { 0, output_1938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hi },
    &operand_data[3187],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1939 },
#else
    { 0, output_1939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4si },
    &operand_data[3190],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1940 },
#else
    { 0, output_1940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2di },
    &operand_data[3193],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1941 },
#else
    { 0, output_1941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hf },
    &operand_data[3196],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1942 },
#else
    { 0, output_1942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8bf },
    &operand_data[3199],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1943 },
#else
    { 0, output_1943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4sf },
    &operand_data[3202],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1546 */
  {
    "aarch64_simd_move_hi_quad_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1944 },
#else
    { 0, output_1944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2df },
    &operand_data[3205],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1578 */
  {
    "aarch64_simd_vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v8hi },
    &operand_data[3208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1578 */
  {
    "aarch64_simd_vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1578 */
  {
    "aarch64_simd_vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v2di },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1604 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1948 },
#else
    { 0, 0, output_1948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[3214],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1604 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1949 },
#else
    { 0, 0, output_1949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[3217],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1604 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1950 },
#else
    { 0, 0, output_1950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[3220],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v16qi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v16qi },
    &operand_data[3223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hi },
    &operand_data[3226],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v8hi },
    &operand_data[3226],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4si },
    &operand_data[3229],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1622 */
  {
    "aarch64_simd_vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v4si },
    &operand_data[3229],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[3232],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[3232],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[3235],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[3235],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[3238],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1633 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[3238],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3241],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3241],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1670 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3256],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3256],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3261],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3261],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3266],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1686 */
  {
    "*aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3266],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3241],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3241],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3246],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1702 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3256],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3256],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3261],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3261],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3266],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3266],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3275],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3275],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3279],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "*aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3279],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3283],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3283],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1762 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_smult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_umult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_smult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_umult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_smult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1775 */
  {
    "aarch64_intrinsic_vec_umult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1800 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_smult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2017 },
#else
    { 0, 0, output_2017 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v4hi },
    &operand_data[3319],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_umult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2018 },
#else
    { 0, 0, output_2018 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v4hi },
    &operand_data[3319],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_smult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2019 },
#else
    { 0, 0, output_2019 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v4hi },
    &operand_data[3323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_umult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2020 },
#else
    { 0, 0, output_2020 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v4hi },
    &operand_data[3323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_smult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2021 },
#else
    { 0, 0, output_2021 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v2si },
    &operand_data[3327],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_umult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2022 },
#else
    { 0, 0, output_2022 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v2si },
    &operand_data[3327],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_smult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2023 },
#else
    { 0, 0, output_2023 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v2si },
    &operand_data[3331],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1829 */
  {
    "aarch64_vec_umult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2024 },
#else
    { 0, 0, output_2024 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v2si },
    &operand_data[3331],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_smlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2025 },
#else
    { 0, 0, output_2025 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v4hi },
    &operand_data[3335],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_umlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2026 },
#else
    { 0, 0, output_2026 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v4hi },
    &operand_data[3335],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_smlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2027 },
#else
    { 0, 0, output_2027 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v4hi },
    &operand_data[3340],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_umlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2028 },
#else
    { 0, 0, output_2028 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v4hi },
    &operand_data[3340],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_smlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2029 },
#else
    { 0, 0, output_2029 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v2si },
    &operand_data[3345],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_umlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2030 },
#else
    { 0, 0, output_2030 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v2si },
    &operand_data[3345],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_smlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2031 },
#else
    { 0, 0, output_2031 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v2si },
    &operand_data[3350],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1848 */
  {
    "aarch64_vec_umlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2032 },
#else
    { 0, 0, output_2032 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v2si },
    &operand_data[3350],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1893 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1893 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1893 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1893 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1893 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1902 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1902 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1902 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1902 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1902 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1911 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1911 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1911 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1911 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1911 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1941 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1941 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1941 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1941 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1941 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1949 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1949 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1949 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1949 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1949 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[3355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[3359],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[3363],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[3367],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1957 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[3371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1967 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2068 },
#else
    { 0, 0, output_2068 },
#endif
    { 0 },
    &operand_data[3375],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1967 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2069 },
#else
    { 0, 0, output_2069 },
#endif
    { 0 },
    &operand_data[3380],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1967 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2070 },
#else
    { 0, 0, output_2070 },
#endif
    { 0 },
    &operand_data[3385],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1984 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2071 },
#else
    { 0, 0, output_2071 },
#endif
    { 0 },
    &operand_data[3390],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1984 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2072 },
#else
    { 0, 0, output_2072 },
#endif
    { 0 },
    &operand_data[3395],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3128],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2001 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2013 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2082 },
#else
    { 0, 0, output_2082 },
#endif
    { 0 },
    &operand_data[3420],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2029 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[3355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2029 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[3359],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2029 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[3363],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2029 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[3367],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2029 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[3371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2040 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2088 },
#else
    { 0, 0, output_2088 },
#endif
    { 0 },
    &operand_data[3375],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2040 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2089 },
#else
    { 0, 0, output_2089 },
#endif
    { 0 },
    &operand_data[3380],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2040 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2090 },
#else
    { 0, 0, output_2090 },
#endif
    { 0 },
    &operand_data[3385],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2058 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2091 },
#else
    { 0, 0, output_2091 },
#endif
    { 0 },
    &operand_data[3390],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2058 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2092 },
#else
    { 0, 0, output_2092 },
#endif
    { 0 },
    &operand_data[3395],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3128],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3132],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3136],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3140],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2089 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2102 },
#else
    { 0, 0, output_2102 },
#endif
    { 0 },
    &operand_data[3420],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "frintnv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "frintnv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "frintnv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "frintnv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "frintnv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2108 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[3425],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[3427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[3429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[3431],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2119 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[3433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2130 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2139 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2139 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2147 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1324],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2147 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1324],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2202 },
#else
    { 0, 0, output_2202 },
#endif
    { 0 },
    &operand_data[3435],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2203 },
#else
    { 0, 0, output_2203 },
#endif
    { 0 },
    &operand_data[3435],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2204 },
#else
    { 0, 0, output_2204 },
#endif
    { 0 },
    &operand_data[3438],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2205 },
#else
    { 0, 0, output_2205 },
#endif
    { 0 },
    &operand_data[3438],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2206 },
#else
    { 0, 0, output_2206 },
#endif
    { 0 },
    &operand_data[3441],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2155 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2207 },
#else
    { 0, 0, output_2207 },
#endif
    { 0 },
    &operand_data[3441],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[3444],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[3444],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[3446],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[3446],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[3448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[3448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[3450],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[3450],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[3452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2198 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[3452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2213 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[3454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2213 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[3457],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[3460],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[3460],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[3463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[3463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[3466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[3466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[3469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[3469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[3472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2226 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[3472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[3475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[3475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2237 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2269 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[3490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2269 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[3493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2291 */
  {
    "aarch64_float_extend_lo_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v2df },
    &operand_data[3496],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2291 */
  {
    "aarch64_float_extend_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v4sf },
    &operand_data[3498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2302 */
  {
    "aarch64_float_truncate_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v2sf },
    &operand_data[3500],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2302 */
  {
    "aarch64_float_truncate_lo_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v4hf },
    &operand_data[3502],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2311 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[3504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2311 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[3507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[3504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2322 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[3507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2404 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "smin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2442 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2442 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2442 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2442 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2442 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2452 */
  {
    "aarch64_reduc_plus_internalv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8qi },
    &operand_data[3510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8qi },
    &operand_data[3512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extendsi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v16qi },
    &operand_data[3514],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extenddi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v16qi },
    &operand_data[3516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extendsi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v4hi },
    &operand_data[3518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extenddi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v4hi },
    &operand_data[3520],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8hi },
    &operand_data[3522],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2462 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8hi },
    &operand_data[3524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2472 */
  {
    "aarch64_reduc_plus_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2481 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[3526],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2481 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[2698],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2504 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2512 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2563 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2572 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2572 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2572 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2572 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2581 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2360 },
#else
    { 0, output_2360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[3528],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2361 },
#else
    { 0, output_2361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[3532],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2362 },
#else
    { 0, output_2362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[3536],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2363 },
#else
    { 0, output_2363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[3540],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2364 },
#else
    { 0, output_2364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[3544],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2365 },
#else
    { 0, output_2365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[3548],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2610 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2366 },
#else
    { 0, output_2366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[3552],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2367 },
#else
    { 0, output_2367, 0 },
#endif
    { 0 },
    &operand_data[3556],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2368 },
#else
    { 0, output_2368, 0 },
#endif
    { 0 },
    &operand_data[3560],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2369 },
#else
    { 0, output_2369, 0 },
#endif
    { 0 },
    &operand_data[3564],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2370 },
#else
    { 0, output_2370, 0 },
#endif
    { 0 },
    &operand_data[3568],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2371 },
#else
    { 0, output_2371, 0 },
#endif
    { 0 },
    &operand_data[3572],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2372 },
#else
    { 0, output_2372, 0 },
#endif
    { 0 },
    &operand_data[3576],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2634 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2373 },
#else
    { 0, output_2373, 0 },
#endif
    { 0 },
    &operand_data[3580],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2661 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2374 },
#else
    { 0, output_2374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[3584],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2703 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2375 },
#else
    { 0, output_2375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[3588],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2376 },
#else
    { 0, 0, output_2376 },
#endif
    { 0 },
    &operand_data[3592],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2377 },
#else
    { 0, 0, output_2377 },
#endif
    { 0 },
    &operand_data[3595],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2378 },
#else
    { 0, 0, output_2378 },
#endif
    { 0 },
    &operand_data[3598],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2379 },
#else
    { 0, 0, output_2379 },
#endif
    { 0 },
    &operand_data[3601],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2380 },
#else
    { 0, 0, output_2380 },
#endif
    { 0 },
    &operand_data[3604],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2381 },
#else
    { 0, 0, output_2381 },
#endif
    { 0 },
    &operand_data[3607],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2382 },
#else
    { 0, 0, output_2382 },
#endif
    { 0 },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3190 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2383 },
#else
    { 0, 0, output_2383 },
#endif
    { 0 },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2384 },
#else
    { 0, 0, output_2384 },
#endif
    { 0 },
    &operand_data[3592],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2385 },
#else
    { 0, 0, output_2385 },
#endif
    { 0 },
    &operand_data[3595],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2386 },
#else
    { 0, 0, output_2386 },
#endif
    { 0 },
    &operand_data[3598],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2387 },
#else
    { 0, 0, output_2387 },
#endif
    { 0 },
    &operand_data[3601],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2388 },
#else
    { 0, 0, output_2388 },
#endif
    { 0 },
    &operand_data[3604],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2389 },
#else
    { 0, 0, output_2389 },
#endif
    { 0 },
    &operand_data[3607],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2390 },
#else
    { 0, 0, output_2390 },
#endif
    { 0 },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3205 */
  {
    "*aarch64_get_lane_zero_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2391 },
#else
    { 0, 0, output_2391 },
#endif
    { 0 },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2392 },
#else
    { 0, 0, output_2392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[3616],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2393 },
#else
    { 0, 0, output_2393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[3619],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2394 },
#else
    { 0, 0, output_2394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[3622],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2395 },
#else
    { 0, 0, output_2395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[3625],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2396 },
#else
    { 0, 0, output_2396 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[3628],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2397 },
#else
    { 0, 0, output_2397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[3631],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2398 },
#else
    { 0, 0, output_2398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[3634],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2399 },
#else
    { 0, 0, output_2399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[3637],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2400 },
#else
    { 0, 0, output_2400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[3640],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2401 },
#else
    { 0, 0, output_2401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4bf },
    &operand_data[3643],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2402 },
#else
    { 0, 0, output_2402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8bf },
    &operand_data[3646],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2403 },
#else
    { 0, 0, output_2403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[3649],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2404 },
#else
    { 0, 0, output_2404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[3652],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3223 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2405 },
#else
    { 0, 0, output_2405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[3655],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[3658],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[3661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4bf },
    &operand_data[3664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[3667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[3670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[3673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[3676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3246 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[3679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2414 },
#else
    { 0, output_2414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[3682],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2415 },
#else
    { 0, output_2415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[3685],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2416 },
#else
    { 0, output_2416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4bf },
    &operand_data[3688],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2417 },
#else
    { 0, output_2417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[3691],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2418 },
#else
    { 0, output_2418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[3694],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2419 },
#else
    { 0, output_2419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[3697],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2420 },
#else
    { 0, output_2420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[3700],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3260 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2421 },
#else
    { 0, output_2421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[3703],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2422 },
#else
    { 0, output_2422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv8qi },
    &operand_data[3706],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2423 },
#else
    { 0, output_2423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hi },
    &operand_data[3709],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2424 },
#else
    { 0, output_2424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4bf },
    &operand_data[3712],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2425 },
#else
    { 0, output_2425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hf },
    &operand_data[3715],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2426 },
#else
    { 0, output_2426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2si },
    &operand_data[3718],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2427 },
#else
    { 0, output_2427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2sf },
    &operand_data[3721],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2428 },
#else
    { 0, output_2428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdi },
    &operand_data[3724],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3275 */
  {
    "aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2429 },
#else
    { 0, output_2429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdf },
    &operand_data[3727],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2430 },
#else
    { 0, output_2430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev8qi },
    &operand_data[3706],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2431 },
#else
    { 0, output_2431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hi },
    &operand_data[3709],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2432 },
#else
    { 0, output_2432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4bf },
    &operand_data[3712],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2433 },
#else
    { 0, output_2433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hf },
    &operand_data[3715],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2434 },
#else
    { 0, output_2434, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2si },
    &operand_data[3718],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2435 },
#else
    { 0, output_2435, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2sf },
    &operand_data[3721],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2436 },
#else
    { 0, output_2436, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedi },
    &operand_data[3724],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3289 */
  {
    "aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2437 },
#else
    { 0, output_2437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedf },
    &operand_data[3727],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[3307],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3339 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[3295],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[3299],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[3303],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[3271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3414 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[3730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[3730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[3733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[3733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[3736],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3483 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[3736],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[3739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[3739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[3743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[3743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[3747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[3747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[3751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[3751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[3755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[3755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[3759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[3759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[3730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[3730],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[3733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[3733],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[3736],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[3736],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[3739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[3739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[3743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[3743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[3747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3527 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[3747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[3751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[3751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[3755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[3755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[3759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3540 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[3759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_srhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_urhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3620 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[3763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[3763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[3763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[3763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[3766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[3766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[3766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[3766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[3769],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[3769],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[3769],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[3769],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3642 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3655 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3655 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3667 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3680 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2580 },
#else
    { 0, 0, output_2580 },
#endif
    { 0 },
    &operand_data[3784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3680 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2581 },
#else
    { 0, 0, output_2581 },
#endif
    { 0 },
    &operand_data[3788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3699 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2582 },
#else
    { 0, 0, output_2582 },
#endif
    { 0 },
    &operand_data[3792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3699 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2583 },
#else
    { 0, 0, output_2583 },
#endif
    { 0 },
    &operand_data[3796],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3699 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2584 },
#else
    { 0, 0, output_2584 },
#endif
    { 0 },
    &operand_data[3800],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3718 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3804],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3718 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3807],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3718 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3718 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3718 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3816],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3734 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2590 },
#else
    { 0, 0, output_2590 },
#endif
    { 0 },
    &operand_data[3819],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3734 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2591 },
#else
    { 0, 0, output_2591 },
#endif
    { 0 },
    &operand_data[3823],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3734 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2592 },
#else
    { 0, 0, output_2592 },
#endif
    { 0 },
    &operand_data[3827],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_sqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "aarch64_uqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[3064],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[3064],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[3068],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[3068],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[3072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[3072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[3076],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[3076],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[3080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[3080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[3843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[3843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[3846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[3846],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[3849],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[3849],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[3852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[3852],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3762 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[3208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[3858],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[3860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[3862],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[3208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[3208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[3858],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[3858],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[3860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[3860],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[3862],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3785 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[3862],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[1046],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[1046],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[3834],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[3834],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[1043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[1043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[1040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3796 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[1040],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3807 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2711 },
#else
    { 0, 0, output_2711 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[3864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2712 },
#else
    { 0, 0, output_2712 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[3864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2713 },
#else
    { 0, 0, output_2713 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[3868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2714 },
#else
    { 0, 0, output_2714 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[3868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2715 },
#else
    { 0, 0, output_2715 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[3872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2716 },
#else
    { 0, 0, output_2716 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[3872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2717 },
#else
    { 0, 0, output_2717 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[3876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3820 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2718 },
#else
    { 0, 0, output_2718 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[3876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2719 },
#else
    { 0, 0, output_2719 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[3880],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2720 },
#else
    { 0, 0, output_2720 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[3880],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2721 },
#else
    { 0, 0, output_2721 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[3884],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2722 },
#else
    { 0, 0, output_2722 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[3884],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2723 },
#else
    { 0, 0, output_2723 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[3888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2724 },
#else
    { 0, 0, output_2724 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[3888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2725 },
#else
    { 0, 0, output_2725 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[3892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3835 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2726 },
#else
    { 0, 0, output_2726 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[3892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3850 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2727 },
#else
    { 0, 0, output_2727 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[3896],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3850 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2728 },
#else
    { 0, 0, output_2728 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[3896],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3850 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2729 },
#else
    { 0, 0, output_2729 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[3900],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3850 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2730 },
#else
    { 0, 0, output_2730 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[3900],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3865 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2731 },
#else
    { 0, 0, output_2731 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[3904],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3865 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2732 },
#else
    { 0, 0, output_2732 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[3904],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3865 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2733 },
#else
    { 0, 0, output_2733 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[3908],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3865 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2734 },
#else
    { 0, 0, output_2734 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[3908],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[3072],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[3072],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[3076],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[3076],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[3080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[3080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[3912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[3912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[3916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[3916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2747 },
#else
    { 0, 0, output_2747 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[3920],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2748 },
#else
    { 0, 0, output_2748 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[3920],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2749 },
#else
    { 0, 0, output_2749 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[3925],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2750 },
#else
    { 0, 0, output_2750 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[3925],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2751 },
#else
    { 0, 0, output_2751 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[3930],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2752 },
#else
    { 0, 0, output_2752 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[3930],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2753 },
#else
    { 0, 0, output_2753 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[3935],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3896 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2754 },
#else
    { 0, 0, output_2754 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[3935],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3914 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2755 },
#else
    { 0, 0, output_2755 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[3940],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3914 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2756 },
#else
    { 0, 0, output_2756 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[3940],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3914 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2757 },
#else
    { 0, 0, output_2757 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[3945],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3914 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2758 },
#else
    { 0, 0, output_2758 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[3945],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2759 },
#else
    { 0, 0, output_2759 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[3950],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2760 },
#else
    { 0, 0, output_2760 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[3950],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2761 },
#else
    { 0, 0, output_2761 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[3955],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2762 },
#else
    { 0, 0, output_2762 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[3955],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2763 },
#else
    { 0, 0, output_2763 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[3960],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2764 },
#else
    { 0, 0, output_2764 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[3960],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2765 },
#else
    { 0, 0, output_2765 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[3965],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3934 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2766 },
#else
    { 0, 0, output_2766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[3965],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3952 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2767 },
#else
    { 0, 0, output_2767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[3970],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3952 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2768 },
#else
    { 0, 0, output_2768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[3970],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3952 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2769 },
#else
    { 0, 0, output_2769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[3975],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3952 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2770 },
#else
    { 0, 0, output_2770 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[3975],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[3287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[3287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[3291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[3291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[3980],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[3980],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[3984],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3972 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[3984],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3990 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2779 },
#else
    { 0, 0, output_2779 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[3335],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3990 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2780 },
#else
    { 0, 0, output_2780 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[3335],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3990 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2781 },
#else
    { 0, 0, output_2781 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[3345],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3990 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2782 },
#else
    { 0, 0, output_2782 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[3345],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4014 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2783 },
#else
    { 0, 0, output_2783 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[3340],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4014 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2784 },
#else
    { 0, 0, output_2784 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[3340],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4014 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2785 },
#else
    { 0, 0, output_2785 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[3350],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4014 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2786 },
#else
    { 0, 0, output_2786 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[3350],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2787 },
#else
    { 0, 0, output_2787 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[3988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2788 },
#else
    { 0, 0, output_2788 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[3988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2789 },
#else
    { 0, 0, output_2789 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[3993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4038 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2790 },
#else
    { 0, 0, output_2790 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[3993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4061 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2791 },
#else
    { 0, 0, output_2791 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[3998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4061 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2792 },
#else
    { 0, 0, output_2792 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[3998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4061 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2793 },
#else
    { 0, 0, output_2793 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[4003],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4061 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2794 },
#else
    { 0, 0, output_2794 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[4003],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4086 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[4008],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4086 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[4008],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4086 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[4012],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4086 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[4012],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[4016],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[4016],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[4021],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4105 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[4021],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4153 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2803 },
#else
    { 0, 0, output_2803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[4026],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4153 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2804 },
#else
    { 0, 0, output_2804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[4026],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4153 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2805 },
#else
    { 0, 0, output_2805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[4032],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4153 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2806 },
#else
    { 0, 0, output_2806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[4032],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4179 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2807 },
#else
    { 0, 0, output_2807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[4038],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4179 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2808 },
#else
    { 0, 0, output_2808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[4038],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4179 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2809 },
#else
    { 0, 0, output_2809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[4044],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4179 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2810 },
#else
    { 0, 0, output_2810 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[4044],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4265 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[4050],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4265 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[4050],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4265 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[4055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4265 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[4055],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4314 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[3275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4314 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[3279],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4314 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[4060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4314 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[4063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4330 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2819 },
#else
    { 0, 0, output_2819 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[3319],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4330 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2820 },
#else
    { 0, 0, output_2820 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[3327],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4351 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2821 },
#else
    { 0, 0, output_2821 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[3323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4351 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2822 },
#else
    { 0, 0, output_2822 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[3331],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4372 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2823 },
#else
    { 0, 0, output_2823 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4372 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2824 },
#else
    { 0, 0, output_2824 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4392 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2825 },
#else
    { 0, 0, output_2825 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4392 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2826 },
#else
    { 0, 0, output_2826 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4414 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[4082],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4414 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[4085],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4434 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[3311],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4434 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[3315],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2831 },
#else
    { 0, 0, output_2831 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[4088],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4467 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2832 },
#else
    { 0, 0, output_2832 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[4093],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4490 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2833 },
#else
    { 0, 0, output_2833 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[4098],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4490 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2834 },
#else
    { 0, 0, output_2834 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[4103],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4543 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[4108],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4543 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[4112],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4575 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[3831],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[3834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[3837],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4589 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2913 },
#else
    { 0, 0, output_2913 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[4116],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2914 },
#else
    { 0, 0, output_2914 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[4116],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2915 },
#else
    { 0, 0, output_2915 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[4119],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2916 },
#else
    { 0, 0, output_2916 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[4119],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2917 },
#else
    { 0, 0, output_2917 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[4122],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4602 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2918 },
#else
    { 0, 0, output_2918 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[4122],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2919 },
#else
    { 0, 0, output_2919 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[4125],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2920 },
#else
    { 0, 0, output_2920 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[4125],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2921 },
#else
    { 0, 0, output_2921 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[4128],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2922 },
#else
    { 0, 0, output_2922 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[4128],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2923 },
#else
    { 0, 0, output_2923 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[4131],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4620 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2924 },
#else
    { 0, 0, output_2924 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[4131],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[4134],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[4134],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[4137],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[4137],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[4140],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[4140],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[4143],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[4143],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[4146],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[4146],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[4149],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[4149],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[4152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[4152],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[4155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4637 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[4155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4650 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[4190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[4158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[4194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[4162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[4198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[4166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[4170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[4174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[4210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[4178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[4214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[4182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[4218],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[4218],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[4186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[4222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[4222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[4222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[4225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[4225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[4225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[4228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[4228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[4228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[4231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[4231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[4231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[4234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[4234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[4234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[4237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[4237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[4237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[4240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[4240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[4240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[4243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[4243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[4243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[4246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[4246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[4246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[4249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[4249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[4249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[4252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[4252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4678 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[4252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[4255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[4258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[4261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[4264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[4267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4692 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[4270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3074 },
#else
    { 0, output_3074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[4273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3075 },
#else
    { 0, output_3075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[4273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3076 },
#else
    { 0, output_3076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[4273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3077 },
#else
    { 0, output_3077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[4273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3078 },
#else
    { 0, output_3078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[4273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3079 },
#else
    { 0, output_3079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[4276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3080 },
#else
    { 0, output_3080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[4276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3081 },
#else
    { 0, output_3081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[4276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3082 },
#else
    { 0, output_3082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[4276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3083 },
#else
    { 0, output_3083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[4276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3084 },
#else
    { 0, output_3084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[4279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3085 },
#else
    { 0, output_3085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[4279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3086 },
#else
    { 0, output_3086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[4279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3087 },
#else
    { 0, output_3087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[4279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3088 },
#else
    { 0, output_3088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[4279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3089 },
#else
    { 0, output_3089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[4282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3090 },
#else
    { 0, output_3090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[4282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3091 },
#else
    { 0, output_3091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[4282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3092 },
#else
    { 0, output_3092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[4282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3093 },
#else
    { 0, output_3093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[4282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3094 },
#else
    { 0, output_3094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[4285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3095 },
#else
    { 0, output_3095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[4285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3096 },
#else
    { 0, output_3096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[4285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3097 },
#else
    { 0, output_3097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[4285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3098 },
#else
    { 0, output_3098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[4285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3099 },
#else
    { 0, output_3099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[4288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3100 },
#else
    { 0, output_3100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[4288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3101 },
#else
    { 0, output_3101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[4288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3102 },
#else
    { 0, output_3102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[4288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3103 },
#else
    { 0, output_3103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[4288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3104 },
#else
    { 0, output_3104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[4291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3105 },
#else
    { 0, output_3105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[4291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3106 },
#else
    { 0, output_3106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[4291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3107 },
#else
    { 0, output_3107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[4291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3108 },
#else
    { 0, output_3108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[4291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4722 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[4294],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4722 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[4294],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4722 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[4294],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4722 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[4294],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4722 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[4294],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4757 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3114 },
#else
    { 0, output_3114, 0 },
#endif
    { 0 },
    &operand_data[4297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4757 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3115 },
#else
    { 0, output_3115, 0 },
#endif
    { 0 },
    &operand_data[4297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4757 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3116 },
#else
    { 0, output_3116, 0 },
#endif
    { 0 },
    &operand_data[4297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4757 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3117 },
#else
    { 0, output_3117, 0 },
#endif
    { 0 },
    &operand_data[4297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4757 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3118 },
#else
    { 0, output_3118, 0 },
#endif
    { 0 },
    &operand_data[4297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4773 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4785 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[4300],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4785 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[4300],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4785 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[4300],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4785 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[4300],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4820 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4820 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4820 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4820 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[4306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[4311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[4316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[4321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[4326],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[4331],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4840 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[4336],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[4341],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4893 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3840],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3164 },
#else
    { 0, output_3164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[4344],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3165 },
#else
    { 0, output_3165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[4344],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3166 },
#else
    { 0, output_3166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[4344],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3167 },
#else
    { 0, output_3167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[4344],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3168 },
#else
    { 0, output_3168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[4344],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3169 },
#else
    { 0, output_3169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[4347],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3170 },
#else
    { 0, output_3170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[4347],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3171 },
#else
    { 0, output_3171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[4347],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3172 },
#else
    { 0, output_3172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[4347],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3173 },
#else
    { 0, output_3173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[4347],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3174 },
#else
    { 0, output_3174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[4350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3175 },
#else
    { 0, output_3175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[4350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3176 },
#else
    { 0, output_3176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[4350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3177 },
#else
    { 0, output_3177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[4350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3178 },
#else
    { 0, output_3178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[4350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3179 },
#else
    { 0, output_3179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[4353],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3180 },
#else
    { 0, output_3180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[4353],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3181 },
#else
    { 0, output_3181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[4353],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3182 },
#else
    { 0, output_3182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[4353],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3183 },
#else
    { 0, output_3183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[4353],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3184 },
#else
    { 0, output_3184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[4356],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3185 },
#else
    { 0, output_3185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[4356],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3186 },
#else
    { 0, output_3186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[4356],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3187 },
#else
    { 0, output_3187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[4356],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3188 },
#else
    { 0, output_3188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[4356],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3189 },
#else
    { 0, output_3189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[4359],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3190 },
#else
    { 0, output_3190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[4359],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3191 },
#else
    { 0, output_3191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[4359],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3192 },
#else
    { 0, output_3192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[4359],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3193 },
#else
    { 0, output_3193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[4359],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3194 },
#else
    { 0, output_3194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[4362],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3195 },
#else
    { 0, output_3195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[4362],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3196 },
#else
    { 0, output_3196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[4362],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3197 },
#else
    { 0, output_3197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[4362],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3198 },
#else
    { 0, output_3198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[4362],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3199 },
#else
    { 0, output_3199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[4365],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3200 },
#else
    { 0, output_3200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[4365],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3201 },
#else
    { 0, output_3201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[4365],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3202 },
#else
    { 0, output_3202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[4365],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3203 },
#else
    { 0, output_3203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[4365],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[4368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[4368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[4368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[4368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[4371],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[4371],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[4371],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[4371],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[4374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[4374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[4374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[4374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[4377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[4377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[4377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[4377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[4380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[4380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[4380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[4380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[4383],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[4383],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[4383],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[4383],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[4386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[4386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[4386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[4386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[4389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[4389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[4389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4926 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[4389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4942 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4942 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4942 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4953 */
  {
    "aarch64_addpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpdi },
    &operand_data[4392],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4974 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4974 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4974 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4974 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4974 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4984 */
  {
    "aarch64_simd_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8bf },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4bf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8bf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4994 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3269 },
#else
    { 0, 0, output_3269 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8qi },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3270 },
#else
    { 0, 0, output_3270 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev16qi },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3271 },
#else
    { 0, 0, output_3271 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hi },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3272 },
#else
    { 0, 0, output_3272 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hi },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3273 },
#else
    { 0, 0, output_3273 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2si },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3274 },
#else
    { 0, 0, output_3274 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4si },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3275 },
#else
    { 0, 0, output_3275 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4bf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3276 },
#else
    { 0, 0, output_3276 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8bf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3277 },
#else
    { 0, 0, output_3277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2di },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3278 },
#else
    { 0, 0, output_3278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3279 },
#else
    { 0, 0, output_3279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3280 },
#else
    { 0, 0, output_3280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2sf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3281 },
#else
    { 0, 0, output_3281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4sf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3282 },
#else
    { 0, 0, output_3282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2df },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3283 },
#else
    { 0, 0, output_3283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedi },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5004 */
  {
    "aarch64_vec_load_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3284 },
#else
    { 0, 0, output_3284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedf },
    &operand_data[4396],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5038 */
  {
    "aarch64_simd_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8bf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3293 },
#else
    { 0, 0, output_3293 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8qi },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3294 },
#else
    { 0, 0, output_3294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev16qi },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3295 },
#else
    { 0, 0, output_3295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hi },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3296 },
#else
    { 0, 0, output_3296 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hi },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3297 },
#else
    { 0, 0, output_3297 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2si },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3298 },
#else
    { 0, 0, output_3298 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4si },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3299 },
#else
    { 0, 0, output_3299 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4bf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3300 },
#else
    { 0, 0, output_3300 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8bf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3301 },
#else
    { 0, 0, output_3301 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2di },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3302 },
#else
    { 0, 0, output_3302 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3303 },
#else
    { 0, 0, output_3303 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3304 },
#else
    { 0, 0, output_3304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2sf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3305 },
#else
    { 0, 0, output_3305 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4sf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3306 },
#else
    { 0, 0, output_3306 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2df },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3307 },
#else
    { 0, 0, output_3307 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedi },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5049 */
  {
    "aarch64_vec_store_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3308 },
#else
    { 0, 0, output_3308 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedf },
    &operand_data[4402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5082 */
  {
    "aarch64_simd_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8bf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4bf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8bf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5092 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3333 },
#else
    { 0, 0, output_3333 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8qi },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3334 },
#else
    { 0, 0, output_3334 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev16qi },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3335 },
#else
    { 0, 0, output_3335 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hi },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3336 },
#else
    { 0, 0, output_3336 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hi },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3337 },
#else
    { 0, 0, output_3337 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2si },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3338 },
#else
    { 0, 0, output_3338 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4si },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3339 },
#else
    { 0, 0, output_3339 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4bf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3340 },
#else
    { 0, 0, output_3340 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8bf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3341 },
#else
    { 0, 0, output_3341 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2di },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3342 },
#else
    { 0, 0, output_3342 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3343 },
#else
    { 0, 0, output_3343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3344 },
#else
    { 0, 0, output_3344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2sf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3345 },
#else
    { 0, 0, output_3345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4sf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3346 },
#else
    { 0, 0, output_3346 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2df },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3347 },
#else
    { 0, 0, output_3347 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedi },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5102 */
  {
    "aarch64_vec_load_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3348 },
#else
    { 0, 0, output_3348 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedf },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5136 */
  {
    "aarch64_simd_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8bf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3357 },
#else
    { 0, 0, output_3357 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8qi },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3358 },
#else
    { 0, 0, output_3358 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev16qi },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3359 },
#else
    { 0, 0, output_3359 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hi },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3360 },
#else
    { 0, 0, output_3360 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hi },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3361 },
#else
    { 0, 0, output_3361 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2si },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3362 },
#else
    { 0, 0, output_3362 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4si },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3363 },
#else
    { 0, 0, output_3363 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4bf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3364 },
#else
    { 0, 0, output_3364 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8bf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3365 },
#else
    { 0, 0, output_3365 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2di },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3366 },
#else
    { 0, 0, output_3366 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3367 },
#else
    { 0, 0, output_3367 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3368 },
#else
    { 0, 0, output_3368 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2sf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3369 },
#else
    { 0, 0, output_3369 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4sf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3370 },
#else
    { 0, 0, output_3370 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2df },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3371 },
#else
    { 0, 0, output_3371 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedi },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5147 */
  {
    "aarch64_vec_store_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3372 },
#else
    { 0, 0, output_3372 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedf },
    &operand_data[4413],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5180 */
  {
    "aarch64_simd_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8bf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4bf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8bf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5190 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3397 },
#else
    { 0, 0, output_3397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8qi },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3398 },
#else
    { 0, 0, output_3398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev16qi },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3399 },
#else
    { 0, 0, output_3399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hi },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3400 },
#else
    { 0, 0, output_3400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hi },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3401 },
#else
    { 0, 0, output_3401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2si },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3402 },
#else
    { 0, 0, output_3402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4si },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3403 },
#else
    { 0, 0, output_3403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4bf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3404 },
#else
    { 0, 0, output_3404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8bf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3405 },
#else
    { 0, 0, output_3405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2di },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3406 },
#else
    { 0, 0, output_3406 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3407 },
#else
    { 0, 0, output_3407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3408 },
#else
    { 0, 0, output_3408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2sf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3409 },
#else
    { 0, 0, output_3409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4sf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3410 },
#else
    { 0, 0, output_3410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2df },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3411 },
#else
    { 0, 0, output_3411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedi },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5200 */
  {
    "aarch64_vec_load_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3412 },
#else
    { 0, 0, output_3412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedf },
    &operand_data[4418],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5234 */
  {
    "aarch64_simd_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8bf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3421 },
#else
    { 0, 0, output_3421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8qi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3422 },
#else
    { 0, 0, output_3422 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev16qi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3423 },
#else
    { 0, 0, output_3423 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3424 },
#else
    { 0, 0, output_3424 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3425 },
#else
    { 0, 0, output_3425 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2si },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3426 },
#else
    { 0, 0, output_3426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4si },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3427 },
#else
    { 0, 0, output_3427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4bf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3428 },
#else
    { 0, 0, output_3428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8bf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3429 },
#else
    { 0, 0, output_3429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2di },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3430 },
#else
    { 0, 0, output_3430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3431 },
#else
    { 0, 0, output_3431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3432 },
#else
    { 0, 0, output_3432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2sf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3433 },
#else
    { 0, 0, output_3433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4sf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3434 },
#else
    { 0, 0, output_3434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2df },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3435 },
#else
    { 0, 0, output_3435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5245 */
  {
    "aarch64_vec_store_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3436 },
#else
    { 0, 0, output_3436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedf },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_rev_reglistoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistoi },
    &operand_data[4427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_rev_reglistci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistci },
    &operand_data[4430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5278 */
  {
    "aarch64_rev_reglistxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistxi },
    &operand_data[4433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4bf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8bf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5329 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[4405],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4bf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8bf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5350 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4bf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8bf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4bf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8bf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5393 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[4411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4bf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8bf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5414 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[4422],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5425 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3520 },
#else
    { 0, output_3520, 0 },
#endif
    { 0 },
    &operand_data[4436],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5425 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3521 },
#else
    { 0, output_3521, 0 },
#endif
    { 0 },
    &operand_data[4438],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5425 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3522 },
#else
    { 0, output_3522, 0 },
#endif
    { 0 },
    &operand_data[4440],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[4442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[4444],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[4446],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[4448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[4450],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[4452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[4454],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[4456],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[4458],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4bf },
    &operand_data[4460],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8bf },
    &operand_data[4462],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[4464],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[4466],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[4468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5440 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[4470],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[4472],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[4474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[4476],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[4478],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[4480],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[4482],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[4484],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[4486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[4488],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4bf },
    &operand_data[4490],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8bf },
    &operand_data[4492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[4494],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[4496],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[4498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5450 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[4500],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_be_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3553 },
#else
    { 0, output_3553, 0 },
#endif
    { 0 },
    &operand_data[4502],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5473 */
  {
    "*aarch64_be_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4504],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5484 */
  {
    "*aarch64_be_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4506],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5572 */
  {
    "aarch64_ld2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5582 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5582 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5592 */
  {
    "aarch64_ld3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5602 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5602 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[4407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5612 */
  {
    "aarch64_ld4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5622 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5622 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[4418],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5772 */
  {
    "aarch64_tbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v8qi },
    &operand_data[4508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5772 */
  {
    "aarch64_tbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5784 */
  {
    "aarch64_tbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%S1.16b - %T1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl2v16qi },
    &operand_data[4511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5794 */
  {
    "aarch64_tbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v8qi },
    &operand_data[4514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5794 */
  {
    "aarch64_tbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v16qi },
    &operand_data[4511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5804 */
  {
    "aarch64_tbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v8qi },
    &operand_data[4517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5804 */
  {
    "aarch64_tbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v16qi },
    &operand_data[4521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5817 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[4525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5817 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[4528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[4531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[4535],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5840 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[4539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5840 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[4542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5850 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[4545],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5850 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[4549],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5861 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[4553],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[2487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[2490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[2493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[2496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[2499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf },
    &operand_data[4556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8bf },
    &operand_data[4559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5880 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3680 },
#else
    { 0, 0, output_3680 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[4562],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3681 },
#else
    { 0, 0, output_3681 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[4566],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3682 },
#else
    { 0, 0, output_3682 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[4570],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3683 },
#else
    { 0, 0, output_3683 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[4574],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3684 },
#else
    { 0, 0, output_3684 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[3872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3685 },
#else
    { 0, 0, output_3685 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[3892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3686 },
#else
    { 0, 0, output_3686 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[4578],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3687 },
#else
    { 0, 0, output_3687 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[4582],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3688 },
#else
    { 0, 0, output_3688 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[4586],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3689 },
#else
    { 0, 0, output_3689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4bf },
    &operand_data[4590],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3690 },
#else
    { 0, 0, output_3690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8bf },
    &operand_data[4594],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3691 },
#else
    { 0, 0, output_3691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[3792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3692 },
#else
    { 0, 0, output_3692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[3796],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5894 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3693 },
#else
    { 0, 0, output_3693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[3800],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf },
    &operand_data[1536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf },
    &operand_data[1536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf },
    &operand_data[1536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8bf },
    &operand_data[1539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8bf },
    &operand_data[1539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8bf },
    &operand_data[1539],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5912 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5921 */
  {
    "aarch64_st2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5931 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5931 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_st3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5951 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5951 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[4413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5961 */
  {
    "aarch64_st4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5971 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5971 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[4424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4598],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4600],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4602],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4604],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4606],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4608],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4610],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4612],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4614],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4616],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4618],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4620],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4622],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6080 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4624],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6089 */
  {
    "aarch64_simd_ld1v8bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8bf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v4bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4bf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6099 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6110 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6120 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6120 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6120 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[2508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[2511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[2514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[2517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[2520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1253],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6129 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6140 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6140 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6192 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[4626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6192 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[4626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6204 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6204 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[1512],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6218 */
  {
    "*aarch64_crypto_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b\n\taesmc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6239 */
  {
    "*aarch64_crypto_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b\n\taesimc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6257 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[1043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6267 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[4629],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6277 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[4629],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6287 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6297 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[3156],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6308 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6321 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6321 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6332 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6342 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6355 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[4631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6355 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[4631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6366 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[3843],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6376 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[4631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6389 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[4635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6389 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[4639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6389 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[4643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6389 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[4647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6401 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[2505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6413 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xar\t%0.2d, %1.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[4651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6425 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[4635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6425 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[4639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6425 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[4643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6425 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[4647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6439 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[4643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6451 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6451 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6451 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6451 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[4655],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6463 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6463 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[3084],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6476 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[3084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6486 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[2502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6541 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[4660],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6541 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[4666],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[4660],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[4666],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6576 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[4672],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6576 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[4678],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6593 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[4672],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6593 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[4678],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6652 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[4684],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6670 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[4684],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6689 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[4690],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6707 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[4690],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6766 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[4696],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6784 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[4696],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6803 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[4702],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6821 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[4702],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6882 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[4708],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6900 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[4708],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6919 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[4714],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6937 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[4714],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6996 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[4720],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7014 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[4720],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7033 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[4726],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7051 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[4726],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7072 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[4732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7082 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[4735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv8qiv8hi2 },
    &operand_data[3271],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "zero_extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv8qiv8hi2 },
    &operand_data[3271],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hiv4si2 },
    &operand_data[3275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "zero_extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv4hiv4si2 },
    &operand_data[3275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2siv2di2 },
    &operand_data[3279],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7093 */
  {
    "zero_extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv2siv2di2 },
    &operand_data[3279],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7102 */
  {
    "truncv8hiv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2 },
    &operand_data[3208],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7102 */
  {
    "truncv4siv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2 },
    &operand_data[3210],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7102 */
  {
    "truncv2div2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2 },
    &operand_data[3212],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7110 */
  {
    "aarch64_bfdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.2s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv2sf },
    &operand_data[4738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7110 */
  {
    "aarch64_bfdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv4sf },
    &operand_data[4742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "aarch64_bfdot_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3889 },
#else
    { 0, 0, output_3889 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev2sf },
    &operand_data[4746],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "aarch64_bfdot_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3890 },
#else
    { 0, 0, output_3890 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv2sf },
    &operand_data[4751],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "aarch64_bfdot_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3891 },
#else
    { 0, 0, output_3891 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev4sf },
    &operand_data[4756],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7123 */
  {
    "aarch64_bfdot_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3892 },
#else
    { 0, 0, output_3892 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv4sf },
    &operand_data[4761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7164 */
  {
    "aarch64_bfmmlaqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmmla\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmmlaqv4sf },
    &operand_data[4742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7176 */
  {
    "aarch64_bfmlalbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalb\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalbv4sf },
    &operand_data[4742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7176 */
  {
    "aarch64_bfmlaltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalt\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlaltv4sf },
    &operand_data[4742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7187 */
  {
    "aarch64_bfmlalb_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3896 },
#else
    { 0, 0, output_3896 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lanev4sf },
    &operand_data[4756],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7187 */
  {
    "aarch64_bfmlalt_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3897 },
#else
    { 0, 0, output_3897 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lanev4sf },
    &operand_data[4756],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7187 */
  {
    "aarch64_bfmlalb_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3898 },
#else
    { 0, 0, output_3898 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lane_qv4sf },
    &operand_data[4761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7187 */
  {
    "aarch64_bfmlalt_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3899 },
#else
    { 0, 0, output_3899 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lane_qv4sf },
    &operand_data[4761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_simd_smmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_smmlav16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_simd_ummlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ummla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ummlav16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_simd_usmmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_usmmlav16qi },
    &operand_data[2587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7215 */
  {
    "aarch64_bfcvtnv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtnv4bf },
    &operand_data[4766],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7215 */
  {
    "aarch64_bfcvtn_qv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn_qv8bf },
    &operand_data[4768],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7224 */
  {
    "aarch64_bfcvtn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn2v8bf },
    &operand_data[4770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7234 */
  {
    "aarch64_bfcvtbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtbf },
    &operand_data[4773],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7244 */
  {
    "aarch64_vbfcvtv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv4bf },
    &operand_data[4775],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7244 */
  {
    "aarch64_vbfcvtv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv8bf },
    &operand_data[4777],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7253 */
  {
    "aarch64_vbfcvt_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll2\t%0.4s, %1.8h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvt_highv8bf },
    &operand_data[4777],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7262 */
  {
    "aarch64_bfcvtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%d0, %d1, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtsf },
    &operand_data[4779],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[4781],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[4789],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[4797],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[4805],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[4813],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3916 },
#else
    { 0, 0, output_3916 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[4821],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3917 },
#else
    { 0, 0, output_3917 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[4825],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3918 },
#else
    { 0, 0, output_3918 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[4829],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3919 },
#else
    { 0, 0, output_3919 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[4833],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3920 },
#else
    { 0, 0, output_3920 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[4837],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[4841],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[4846],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[4851],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[4856],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3925 },
#else
    { 0, 0, output_3925 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[4861],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3926 },
#else
    { 0, 0, output_3926 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[4865],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3927 },
#else
    { 0, 0, output_3927 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[4869],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3928 },
#else
    { 0, 0, output_3928 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[4873],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[4877],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[4877],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[4882],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[4882],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[4882],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[4887],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[4887],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[4892],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[4892],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[4892],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[4897],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[4897],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[4902],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[4902],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[4902],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[4907],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[4907],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[4912],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[4912],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[4912],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3949 },
#else
    { 0, 0, output_3949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[4917],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3950 },
#else
    { 0, 0, output_3950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[4917],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3951 },
#else
    { 0, 0, output_3951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[4917],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3952 },
#else
    { 0, 0, output_3952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[4917],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3953 },
#else
    { 0, 0, output_3953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[4921],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3954 },
#else
    { 0, 0, output_3954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[4921],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3955 },
#else
    { 0, 0, output_3955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[4921],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3956 },
#else
    { 0, 0, output_3956 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[4921],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3957 },
#else
    { 0, 0, output_3957 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[4925],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3958 },
#else
    { 0, 0, output_3958 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[4925],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3959 },
#else
    { 0, 0, output_3959 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[4925],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3960 },
#else
    { 0, 0, output_3960 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[4925],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3961 },
#else
    { 0, 0, output_3961 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[4929],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3962 },
#else
    { 0, 0, output_3962 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[4929],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3963 },
#else
    { 0, 0, output_3963 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[4929],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3964 },
#else
    { 0, 0, output_3964 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[4929],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[4882],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[4892],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[4902],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[4912],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[4933],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[4933],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[4939],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[4939],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[4939],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[4945],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[4945],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[4951],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[4951],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[4951],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[4957],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[4957],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[4963],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[4963],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[4963],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[4969],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[4969],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[4975],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[4975],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[4975],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3989 },
#else
    { 0, 0, output_3989 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[4981],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3990 },
#else
    { 0, 0, output_3990 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[4981],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3991 },
#else
    { 0, 0, output_3991 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[4981],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3992 },
#else
    { 0, 0, output_3992 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[4981],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3993 },
#else
    { 0, 0, output_3993 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[4985],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3994 },
#else
    { 0, 0, output_3994 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[4985],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3995 },
#else
    { 0, 0, output_3995 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[4985],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3996 },
#else
    { 0, 0, output_3996 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[4985],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3997 },
#else
    { 0, 0, output_3997 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[4989],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3998 },
#else
    { 0, 0, output_3998 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[4989],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3999 },
#else
    { 0, 0, output_3999 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[4989],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4000 },
#else
    { 0, 0, output_4000 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[4989],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4001 },
#else
    { 0, 0, output_4001 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[4993],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4002 },
#else
    { 0, 0, output_4002 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[4993],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4003 },
#else
    { 0, 0, output_4003 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[4993],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4004 },
#else
    { 0, 0, output_4004 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[4993],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[4939],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[4951],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[4963],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[4975],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[4997],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[4997],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[5002],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[5002],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[5002],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[5007],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[5007],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[5012],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[5012],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[5012],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[4957],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[4957],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[4963],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[4963],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[4963],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[5017],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[5022],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[5022],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[5022],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[5002],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[5012],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[4963],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[5022],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4033 },
#else
    { 0, 0, output_4033 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[5027],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4034 },
#else
    { 0, 0, output_4034 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[5030],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4035 },
#else
    { 0, 0, output_4035 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[5033],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4036 },
#else
    { 0, 0, output_4036 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[5036],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4037 },
#else
    { 0, 0, output_4037 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[5039],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4038 },
#else
    { 0, 0, output_4038 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[5042],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4039 },
#else
    { 0, 0, output_4039 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[5045],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4040 },
#else
    { 0, 0, output_4040 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[5048],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4041 },
#else
    { 0, 0, output_4041 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[5051],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4042 },
#else
    { 0, 0, output_4042 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[5054],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4043 },
#else
    { 0, 0, output_4043 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[5033],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4044 },
#else
    { 0, 0, output_4044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[5036],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:711 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4045 },
#else
    { 0, 0, output_4045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[5057],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4046 },
#else
    { 0, 0, output_4046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[5061],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4047 },
#else
    { 0, 0, output_4047 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[5065],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4048 },
#else
    { 0, 0, output_4048 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[5069],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4049 },
#else
    { 0, 0, output_4049 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[5073],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:747 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4050 },
#else
    { 0, 0, output_4050 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[5077],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:788 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4051 },
#else
    { 0, 0, output_4051 },
#endif
    { 0 },
    &operand_data[5082],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx16qi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4052 },
#else
    { 0, 0, output_4052 },
#endif
    { 0 },
    &operand_data[5084],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4053 },
#else
    { 0, 0, output_4053 },
#endif
    { 0 },
    &operand_data[5086],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4si_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4054 },
#else
    { 0, 0, output_4054 },
#endif
    { 0 },
    &operand_data[5088],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2di_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4055 },
#else
    { 0, 0, output_4055 },
#endif
    { 0 },
    &operand_data[5090],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8bf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4056 },
#else
    { 0, 0, output_4056 },
#endif
    { 0 },
    &operand_data[5092],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4057 },
#else
    { 0, 0, output_4057 },
#endif
    { 0 },
    &operand_data[5094],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4sf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4058 },
#else
    { 0, 0, output_4058 },
#endif
    { 0 },
    &operand_data[5096],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2df_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4059 },
#else
    { 0, 0, output_4059 },
#endif
    { 0 },
    &operand_data[5098],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4060 },
#else
    { 0, 0, output_4060 },
#endif
    { 0 },
    &operand_data[5100],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4061 },
#else
    { 0, 0, output_4061 },
#endif
    { 0 },
    &operand_data[5102],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4062 },
#else
    { 0, 0, output_4062 },
#endif
    { 0 },
    &operand_data[5104],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4063 },
#else
    { 0, 0, output_4063 },
#endif
    { 0 },
    &operand_data[5106],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4064 },
#else
    { 0, 0, output_4064 },
#endif
    { 0 },
    &operand_data[5108],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4065 },
#else
    { 0, 0, output_4065 },
#endif
    { 0 },
    &operand_data[5110],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4066 },
#else
    { 0, 0, output_4066 },
#endif
    { 0 },
    &operand_data[5112],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4067 },
#else
    { 0, 0, output_4067 },
#endif
    { 0 },
    &operand_data[5114],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4068 },
#else
    { 0, 0, output_4068 },
#endif
    { 0 },
    &operand_data[5116],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4069 },
#else
    { 0, 0, output_4069 },
#endif
    { 0 },
    &operand_data[5118],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4070 },
#else
    { 0, 0, output_4070 },
#endif
    { 0 },
    &operand_data[5120],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4071 },
#else
    { 0, 0, output_4071 },
#endif
    { 0 },
    &operand_data[5122],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4072 },
#else
    { 0, 0, output_4072 },
#endif
    { 0 },
    &operand_data[5124],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4073 },
#else
    { 0, 0, output_4073 },
#endif
    { 0 },
    &operand_data[5126],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2di_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4074 },
#else
    { 0, 0, output_4074 },
#endif
    { 0 },
    &operand_data[5128],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2df_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4075 },
#else
    { 0, 0, output_4075 },
#endif
    { 0 },
    &operand_data[5130],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4076 },
#else
    { 0, output_4076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16qi },
    &operand_data[5132],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4077 },
#else
    { 0, output_4077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8qi },
    &operand_data[5135],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4078 },
#else
    { 0, output_4078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4qi },
    &operand_data[5138],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4079 },
#else
    { 0, output_4079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2qi },
    &operand_data[5141],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4080 },
#else
    { 0, output_4080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hi },
    &operand_data[5144],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4081 },
#else
    { 0, output_4081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hi },
    &operand_data[5147],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4082 },
#else
    { 0, output_4082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hi },
    &operand_data[5150],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4083 },
#else
    { 0, output_4083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hf },
    &operand_data[5153],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4084 },
#else
    { 0, output_4084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hf },
    &operand_data[5156],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4085 },
#else
    { 0, output_4085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hf },
    &operand_data[5159],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4086 },
#else
    { 0, output_4086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8bf },
    &operand_data[5162],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4087 },
#else
    { 0, output_4087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4si },
    &operand_data[5165],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4088 },
#else
    { 0, output_4088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2si },
    &operand_data[5168],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4089 },
#else
    { 0, output_4089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4sf },
    &operand_data[5171],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4090 },
#else
    { 0, output_4090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2sf },
    &operand_data[5174],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4091 },
#else
    { 0, output_4091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2di },
    &operand_data[5177],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4092 },
#else
    { 0, output_4092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2df },
    &operand_data[5180],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5183],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5186],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5189],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5192],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5195],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5198],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5201],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5213],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5216],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5234],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5236],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5238],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5240],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5246],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5248],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5250],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5252],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5254],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5264],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5266],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5268],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5270],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5272],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5274],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5276],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5278],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5280],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5282],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5284],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5286],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5288],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5290],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5292],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5294],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5296],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5298],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5300],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5302],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5304],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5306],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5308],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5310],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5312],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5314],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5316],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5318],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5320],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5322],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5324],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5326],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5328],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5330],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx48qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5332],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5334],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5336],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5338],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5340],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5342],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5344],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5346],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx64qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5348],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5350],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5352],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5354],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5356],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5358],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5360],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5362],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32qi },
    &operand_data[5364],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hi },
    &operand_data[5367],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8si },
    &operand_data[5370],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4di },
    &operand_data[5373],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16bf },
    &operand_data[5376],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hf },
    &operand_data[5379],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8sf },
    &operand_data[5382],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4df },
    &operand_data[5385],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx48qi },
    &operand_data[5388],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hi },
    &operand_data[5391],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12si },
    &operand_data[5394],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6di },
    &operand_data[5397],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24bf },
    &operand_data[5400],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hf },
    &operand_data[5403],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12sf },
    &operand_data[5406],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6df },
    &operand_data[5409],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx64qi },
    &operand_data[5412],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hi },
    &operand_data[5415],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16si },
    &operand_data[5418],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8di },
    &operand_data[5421],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32bf },
    &operand_data[5424],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hf },
    &operand_data[5427],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16sf },
    &operand_data[5430],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8df },
    &operand_data[5433],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4199 },
#else
    { 0, 0, output_4199 },
#endif
    { 0 },
    &operand_data[5436],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4200 },
#else
    { 0, 0, output_4200 },
#endif
    { 0 },
    &operand_data[5438],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4201 },
#else
    { 0, 0, output_4201 },
#endif
    { 0 },
    &operand_data[5440],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4202 },
#else
    { 0, 0, output_4202 },
#endif
    { 0 },
    &operand_data[5442],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:965 */
  {
    "*aarch64_sve_ptruevnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4203 },
#else
    { 0, 0, output_4203 },
#endif
    { 0 },
    &operand_data[5444],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4204 },
#else
    { 0, 0, output_4204 },
#endif
    { 0 },
    &operand_data[5450],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4205 },
#else
    { 0, 0, output_4205 },
#endif
    { 0 },
    &operand_data[5456],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4206 },
#else
    { 0, 0, output_4206 },
#endif
    { 0 },
    &operand_data[5462],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1018 */
  {
    "*aarch64_sve_ptruevnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4207 },
#else
    { 0, 0, output_4207 },
#endif
    { 0 },
    &operand_data[5468],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4208 },
#else
    { 0, 0, output_4208 },
#endif
    { 0 },
    &operand_data[5474],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4209 },
#else
    { 0, 0, output_4209 },
#endif
    { 0 },
    &operand_data[5480],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4210 },
#else
    { 0, 0, output_4210 },
#endif
    { 0 },
    &operand_data[5486],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1080 */
  {
    "aarch64_wrffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4211 },
#else
    { 0, output_4211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_wrffr },
    &operand_data[5492],
    1,
    1,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1097 */
  {
    "aarch64_update_ffr_for_load",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffr_for_load },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1112 */
  {
    "aarch64_copy_ffr_to_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_copy_ffr_to_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1123 */
  {
    "aarch64_rdffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr },
    &operand_data[5444],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1131 */
  {
    "aarch64_rdffr_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr_z },
    &operand_data[5493],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1141 */
  {
    "*aarch64_rdffr_z_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5495],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1157 */
  {
    "*aarch64_rdffr_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5495],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1171 */
  {
    "*aarch64_rdffr_z_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5498],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1190 */
  {
    "*aarch64_rdffr_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5493],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1208 */
  {
    "aarch64_update_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[5501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8qivnx8bi },
    &operand_data[5504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4qivnx4bi },
    &operand_data[5507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2qivnx2bi },
    &operand_data[5510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[5513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hivnx4bi },
    &operand_data[5516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hivnx2bi },
    &operand_data[5519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[5522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hfvnx4bi },
    &operand_data[5525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hfvnx2bi },
    &operand_data[5528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8bfvnx8bi },
    &operand_data[5531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[5534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sivnx2bi },
    &operand_data[5537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[5540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sfvnx2bi },
    &operand_data[5543],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[5546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[5549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[5552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[5555],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[5558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[5561],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16bfvnx8bf },
    &operand_data[5564],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[5567],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[5570],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[5573],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[5576],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[5579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[5582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[5585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24bfvnx8bf },
    &operand_data[5588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[5591],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[5594],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[5597],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[5600],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[5603],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[5606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[5609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32bfvnx8bf },
    &operand_data[5612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[5615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[5618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[5621],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx8qi },
    &operand_data[5624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx8qi },
    &operand_data[5624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4qi },
    &operand_data[5628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4qi },
    &operand_data[5628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2qi },
    &operand_data[5632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2qi },
    &operand_data[5632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4qi },
    &operand_data[5636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4qi },
    &operand_data[5636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4hi },
    &operand_data[5640],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4hi },
    &operand_data[5640],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2qi },
    &operand_data[5644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2qi },
    &operand_data[5644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2hi },
    &operand_data[5648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2hi },
    &operand_data[5648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2qi },
    &operand_data[5652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2qi },
    &operand_data[5652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2hi },
    &operand_data[5656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2hi },
    &operand_data[5656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2si },
    &operand_data[5660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2si },
    &operand_data[5660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx16qi },
    &operand_data[5664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx16qi },
    &operand_data[5667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hi },
    &operand_data[5670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hi },
    &operand_data[5673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4si },
    &operand_data[5676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4si },
    &operand_data[5679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2di },
    &operand_data[5682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2di },
    &operand_data[5685],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8bf },
    &operand_data[5688],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8bf },
    &operand_data[5691],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hf },
    &operand_data[5694],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hf },
    &operand_data[5697],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4sf },
    &operand_data[5700],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4sf },
    &operand_data[5703],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2df },
    &operand_data[5706],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2df },
    &operand_data[5709],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx8qi },
    &operand_data[5712],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx8qi },
    &operand_data[5716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx8qi },
    &operand_data[5712],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx8qi },
    &operand_data[5716],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4qi },
    &operand_data[5720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4qi },
    &operand_data[5724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4qi },
    &operand_data[5720],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4qi },
    &operand_data[5724],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2qi },
    &operand_data[5728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2qi },
    &operand_data[5732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2qi },
    &operand_data[5728],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2qi },
    &operand_data[5732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4qi },
    &operand_data[5736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4qi },
    &operand_data[5740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4qi },
    &operand_data[5736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4qi },
    &operand_data[5740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4hi },
    &operand_data[5744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4hi },
    &operand_data[5748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4hi },
    &operand_data[5744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4hi },
    &operand_data[5748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2qi },
    &operand_data[5752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2qi },
    &operand_data[5756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2qi },
    &operand_data[5752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2qi },
    &operand_data[5756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2hi },
    &operand_data[5760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2hi },
    &operand_data[5764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2hi },
    &operand_data[5760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2hi },
    &operand_data[5764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2qi },
    &operand_data[5768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2qi },
    &operand_data[5772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2qi },
    &operand_data[5768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2qi },
    &operand_data[5772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2hi },
    &operand_data[5776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2hi },
    &operand_data[5780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2hi },
    &operand_data[5776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2hi },
    &operand_data[5780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2si },
    &operand_data[5784],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2si },
    &operand_data[5788],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2si },
    &operand_data[5784],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2si },
    &operand_data[5788],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16qi },
    &operand_data[5501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hi },
    &operand_data[5513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4si },
    &operand_data[5534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2di },
    &operand_data[5546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8bf },
    &operand_data[5531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hf },
    &operand_data[5522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4sf },
    &operand_data[5540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2df },
    &operand_data[5549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4346 },
#else
    { 0, output_4346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4qivnx4si },
    &operand_data[5792],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4347 },
#else
    { 0, output_4347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hivnx4si },
    &operand_data[5798],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4348 },
#else
    { 0, output_4348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hfvnx4si },
    &operand_data[5804],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4349 },
#else
    { 0, output_4349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sivnx4si },
    &operand_data[5810],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4350 },
#else
    { 0, output_4350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sfvnx4si },
    &operand_data[5816],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4351 },
#else
    { 0, output_4351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2qivnx2di },
    &operand_data[5822],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4352 },
#else
    { 0, output_4352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hivnx2di },
    &operand_data[5828],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4353 },
#else
    { 0, output_4353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hfvnx2di },
    &operand_data[5834],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4354 },
#else
    { 0, output_4354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sivnx2di },
    &operand_data[5840],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4355 },
#else
    { 0, output_4355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sfvnx2di },
    &operand_data[5846],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4356 },
#else
    { 0, output_4356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2divnx2di },
    &operand_data[5852],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4357 },
#else
    { 0, output_4357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2dfvnx2di },
    &operand_data[5858],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4358 },
#else
    { 0, output_4358, 0 },
#endif
    { 0 },
    &operand_data[5864],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4359 },
#else
    { 0, output_4359, 0 },
#endif
    { 0 },
    &operand_data[5864],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4360 },
#else
    { 0, output_4360, 0 },
#endif
    { 0 },
    &operand_data[5871],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4361 },
#else
    { 0, output_4361, 0 },
#endif
    { 0 },
    &operand_data[5871],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4362 },
#else
    { 0, output_4362, 0 },
#endif
    { 0 },
    &operand_data[5878],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4363 },
#else
    { 0, output_4363, 0 },
#endif
    { 0 },
    &operand_data[5878],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4364 },
#else
    { 0, output_4364, 0 },
#endif
    { 0 },
    &operand_data[5885],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4365 },
#else
    { 0, output_4365, 0 },
#endif
    { 0 },
    &operand_data[5885],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4366 },
#else
    { 0, output_4366, 0 },
#endif
    { 0 },
    &operand_data[5892],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4367 },
#else
    { 0, output_4367, 0 },
#endif
    { 0 },
    &operand_data[5892],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4368 },
#else
    { 0, output_4368, 0 },
#endif
    { 0 },
    &operand_data[5899],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4369 },
#else
    { 0, output_4369, 0 },
#endif
    { 0 },
    &operand_data[5899],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4370 },
#else
    { 0, output_4370, 0 },
#endif
    { 0 },
    &operand_data[5906],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4371 },
#else
    { 0, output_4371, 0 },
#endif
    { 0 },
    &operand_data[5906],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4372 },
#else
    { 0, output_4372, 0 },
#endif
    { 0 },
    &operand_data[5913],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4373 },
#else
    { 0, output_4373, 0 },
#endif
    { 0 },
    &operand_data[5920],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4374 },
#else
    { 0, output_4374, 0 },
#endif
    { 0 },
    &operand_data[5927],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4375 },
#else
    { 0, output_4375, 0 },
#endif
    { 0 },
    &operand_data[5934],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4376 },
#else
    { 0, output_4376, 0 },
#endif
    { 0 },
    &operand_data[5941],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4377 },
#else
    { 0, output_4377, 0 },
#endif
    { 0 },
    &operand_data[5948],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4378 },
#else
    { 0, output_4378, 0 },
#endif
    { 0 },
    &operand_data[5955],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4379 },
#else
    { 0, output_4379, 0 },
#endif
    { 0 },
    &operand_data[5962],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4380 },
#else
    { 0, output_4380, 0 },
#endif
    { 0 },
    &operand_data[5969],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4381 },
#else
    { 0, output_4381, 0 },
#endif
    { 0 },
    &operand_data[5976],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4382 },
#else
    { 0, output_4382, 0 },
#endif
    { 0 },
    &operand_data[5983],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4383 },
#else
    { 0, output_4383, 0 },
#endif
    { 0 },
    &operand_data[5990],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4384 },
#else
    { 0, output_4384, 0 },
#endif
    { 0 },
    &operand_data[5997],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4385 },
#else
    { 0, output_4385, 0 },
#endif
    { 0 },
    &operand_data[6004],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4386 },
#else
    { 0, output_4386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4qi },
    &operand_data[6011],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4387 },
#else
    { 0, output_4387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4qi },
    &operand_data[6011],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4388 },
#else
    { 0, output_4388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4qi },
    &operand_data[6018],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4389 },
#else
    { 0, output_4389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4qi },
    &operand_data[6018],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4390 },
#else
    { 0, output_4390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4hi },
    &operand_data[6025],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4391 },
#else
    { 0, output_4391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4hi },
    &operand_data[6025],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4392 },
#else
    { 0, output_4392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2qi },
    &operand_data[6032],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4393 },
#else
    { 0, output_4393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2qi },
    &operand_data[6032],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4394 },
#else
    { 0, output_4394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2qi },
    &operand_data[6039],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4395 },
#else
    { 0, output_4395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2qi },
    &operand_data[6039],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4396 },
#else
    { 0, output_4396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2qi },
    &operand_data[6046],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4397 },
#else
    { 0, output_4397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2qi },
    &operand_data[6046],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4398 },
#else
    { 0, output_4398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2hi },
    &operand_data[6053],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4399 },
#else
    { 0, output_4399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2hi },
    &operand_data[6053],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4400 },
#else
    { 0, output_4400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2hi },
    &operand_data[6060],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4401 },
#else
    { 0, output_4401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2hi },
    &operand_data[6060],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4402 },
#else
    { 0, output_4402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2si },
    &operand_data[6067],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4403 },
#else
    { 0, output_4403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2si },
    &operand_data[6067],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4404 },
#else
    { 0, output_4404, 0 },
#endif
    { 0 },
    &operand_data[6074],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4405 },
#else
    { 0, output_4405, 0 },
#endif
    { 0 },
    &operand_data[6074],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4406 },
#else
    { 0, output_4406, 0 },
#endif
    { 0 },
    &operand_data[6074],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4407 },
#else
    { 0, output_4407, 0 },
#endif
    { 0 },
    &operand_data[6074],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4408 },
#else
    { 0, output_4408, 0 },
#endif
    { 0 },
    &operand_data[6082],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4409 },
#else
    { 0, output_4409, 0 },
#endif
    { 0 },
    &operand_data[6082],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4410 },
#else
    { 0, output_4410, 0 },
#endif
    { 0 },
    &operand_data[6082],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4411 },
#else
    { 0, output_4411, 0 },
#endif
    { 0 },
    &operand_data[6082],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4412 },
#else
    { 0, output_4412, 0 },
#endif
    { 0 },
    &operand_data[6090],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4413 },
#else
    { 0, output_4413, 0 },
#endif
    { 0 },
    &operand_data[6090],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4414 },
#else
    { 0, output_4414, 0 },
#endif
    { 0 },
    &operand_data[6090],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4415 },
#else
    { 0, output_4415, 0 },
#endif
    { 0 },
    &operand_data[6090],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4416 },
#else
    { 0, output_4416, 0 },
#endif
    { 0 },
    &operand_data[6098],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4417 },
#else
    { 0, output_4417, 0 },
#endif
    { 0 },
    &operand_data[6098],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4418 },
#else
    { 0, output_4418, 0 },
#endif
    { 0 },
    &operand_data[6098],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4419 },
#else
    { 0, output_4419, 0 },
#endif
    { 0 },
    &operand_data[6098],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4420 },
#else
    { 0, output_4420, 0 },
#endif
    { 0 },
    &operand_data[6106],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4421 },
#else
    { 0, output_4421, 0 },
#endif
    { 0 },
    &operand_data[6106],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4422 },
#else
    { 0, output_4422, 0 },
#endif
    { 0 },
    &operand_data[6106],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4423 },
#else
    { 0, output_4423, 0 },
#endif
    { 0 },
    &operand_data[6106],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4424 },
#else
    { 0, output_4424, 0 },
#endif
    { 0 },
    &operand_data[6114],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4425 },
#else
    { 0, output_4425, 0 },
#endif
    { 0 },
    &operand_data[6114],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4426 },
#else
    { 0, output_4426, 0 },
#endif
    { 0 },
    &operand_data[6114],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4427 },
#else
    { 0, output_4427, 0 },
#endif
    { 0 },
    &operand_data[6114],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4428 },
#else
    { 0, output_4428, 0 },
#endif
    { 0 },
    &operand_data[6122],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4429 },
#else
    { 0, output_4429, 0 },
#endif
    { 0 },
    &operand_data[6122],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4430 },
#else
    { 0, output_4430, 0 },
#endif
    { 0 },
    &operand_data[6130],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4431 },
#else
    { 0, output_4431, 0 },
#endif
    { 0 },
    &operand_data[6130],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4432 },
#else
    { 0, output_4432, 0 },
#endif
    { 0 },
    &operand_data[6138],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4433 },
#else
    { 0, output_4433, 0 },
#endif
    { 0 },
    &operand_data[6138],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4434 },
#else
    { 0, output_4434, 0 },
#endif
    { 0 },
    &operand_data[6146],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4435 },
#else
    { 0, output_4435, 0 },
#endif
    { 0 },
    &operand_data[6146],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4436 },
#else
    { 0, output_4436, 0 },
#endif
    { 0 },
    &operand_data[6154],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4437 },
#else
    { 0, output_4437, 0 },
#endif
    { 0 },
    &operand_data[6154],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4438 },
#else
    { 0, output_4438, 0 },
#endif
    { 0 },
    &operand_data[6162],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4439 },
#else
    { 0, output_4439, 0 },
#endif
    { 0 },
    &operand_data[6162],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4440 },
#else
    { 0, output_4440, 0 },
#endif
    { 0 },
    &operand_data[6170],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4441 },
#else
    { 0, output_4441, 0 },
#endif
    { 0 },
    &operand_data[6170],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4442 },
#else
    { 0, output_4442, 0 },
#endif
    { 0 },
    &operand_data[6178],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4443 },
#else
    { 0, output_4443, 0 },
#endif
    { 0 },
    &operand_data[6178],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4444 },
#else
    { 0, output_4444, 0 },
#endif
    { 0 },
    &operand_data[6186],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4445 },
#else
    { 0, output_4445, 0 },
#endif
    { 0 },
    &operand_data[6186],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4446 },
#else
    { 0, output_4446, 0 },
#endif
    { 0 },
    &operand_data[6194],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4447 },
#else
    { 0, output_4447, 0 },
#endif
    { 0 },
    &operand_data[6194],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4448 },
#else
    { 0, output_4448, 0 },
#endif
    { 0 },
    &operand_data[6202],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4449 },
#else
    { 0, output_4449, 0 },
#endif
    { 0 },
    &operand_data[6202],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4450 },
#else
    { 0, output_4450, 0 },
#endif
    { 0 },
    &operand_data[6210],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4451 },
#else
    { 0, output_4451, 0 },
#endif
    { 0 },
    &operand_data[6210],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4452 },
#else
    { 0, output_4452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4si },
    &operand_data[6218],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4453 },
#else
    { 0, output_4453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4sf },
    &operand_data[6224],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4454 },
#else
    { 0, output_4454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2di },
    &operand_data[5852],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4455 },
#else
    { 0, output_4455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2df },
    &operand_data[5858],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4456 },
#else
    { 0, output_4456, 0 },
#endif
    { 0 },
    &operand_data[5948],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2df_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4457 },
#else
    { 0, output_4457, 0 },
#endif
    { 0 },
    &operand_data[5955],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4458 },
#else
    { 0, output_4458, 0 },
#endif
    { 0 },
    &operand_data[5997],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2df_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4459 },
#else
    { 0, output_4459, 0 },
#endif
    { 0 },
    &operand_data[6004],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4460 },
#else
    { 0, output_4460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4qi },
    &operand_data[6230],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4461 },
#else
    { 0, output_4461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4qi },
    &operand_data[6230],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4462 },
#else
    { 0, output_4462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4hi },
    &operand_data[6237],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4463 },
#else
    { 0, output_4463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4hi },
    &operand_data[6237],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4464 },
#else
    { 0, output_4464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2qi },
    &operand_data[6046],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4465 },
#else
    { 0, output_4465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2qi },
    &operand_data[6046],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4466 },
#else
    { 0, output_4466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2hi },
    &operand_data[6060],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4467 },
#else
    { 0, output_4467, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2hi },
    &operand_data[6060],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4468 },
#else
    { 0, output_4468, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2si },
    &operand_data[6067],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4469 },
#else
    { 0, output_4469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2si },
    &operand_data[6067],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4470 },
#else
    { 0, output_4470, 0 },
#endif
    { 0 },
    &operand_data[6138],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4471 },
#else
    { 0, output_4471, 0 },
#endif
    { 0 },
    &operand_data[6138],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4472 },
#else
    { 0, output_4472, 0 },
#endif
    { 0 },
    &operand_data[6154],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4473 },
#else
    { 0, output_4473, 0 },
#endif
    { 0 },
    &operand_data[6154],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4474 },
#else
    { 0, output_4474, 0 },
#endif
    { 0 },
    &operand_data[6162],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4475 },
#else
    { 0, output_4475, 0 },
#endif
    { 0 },
    &operand_data[6162],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4476 },
#else
    { 0, output_4476, 0 },
#endif
    { 0 },
    &operand_data[6186],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4477 },
#else
    { 0, output_4477, 0 },
#endif
    { 0 },
    &operand_data[6186],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4478 },
#else
    { 0, output_4478, 0 },
#endif
    { 0 },
    &operand_data[6202],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4479 },
#else
    { 0, output_4479, 0 },
#endif
    { 0 },
    &operand_data[6202],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4480 },
#else
    { 0, output_4480, 0 },
#endif
    { 0 },
    &operand_data[6210],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4481 },
#else
    { 0, output_4481, 0 },
#endif
    { 0 },
    &operand_data[6210],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4482 },
#else
    { 0, 0, output_4482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx16qi },
    &operand_data[6244],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4483 },
#else
    { 0, 0, output_4483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx8hi },
    &operand_data[6249],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4484 },
#else
    { 0, 0, output_4484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx4si },
    &operand_data[6254],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4485 },
#else
    { 0, 0, output_4485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx2di },
    &operand_data[6259],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4486 },
#else
    { 0, 0, output_4486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx4si },
    &operand_data[6264],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4487 },
#else
    { 0, 0, output_4487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx4si },
    &operand_data[6273],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4488 },
#else
    { 0, 0, output_4488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx4si },
    &operand_data[6282],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4489 },
#else
    { 0, 0, output_4489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx4si },
    &operand_data[6291],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4490 },
#else
    { 0, 0, output_4490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx2di },
    &operand_data[6300],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4491 },
#else
    { 0, 0, output_4491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx2di },
    &operand_data[6309],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4492 },
#else
    { 0, 0, output_4492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx2di },
    &operand_data[6318],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4493 },
#else
    { 0, 0, output_4493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx2di },
    &operand_data[6327],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4494 },
#else
    { 0, 0, output_4494 },
#endif
    { 0 },
    &operand_data[6336],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4495 },
#else
    { 0, 0, output_4495 },
#endif
    { 0 },
    &operand_data[6346],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4496 },
#else
    { 0, 0, output_4496 },
#endif
    { 0 },
    &operand_data[6356],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4497 },
#else
    { 0, 0, output_4497 },
#endif
    { 0 },
    &operand_data[6366],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4498 },
#else
    { 0, 0, output_4498 },
#endif
    { 0 },
    &operand_data[6376],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4499 },
#else
    { 0, 0, output_4499 },
#endif
    { 0 },
    &operand_data[6386],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4500 },
#else
    { 0, 0, output_4500 },
#endif
    { 0 },
    &operand_data[6396],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4501 },
#else
    { 0, 0, output_4501 },
#endif
    { 0 },
    &operand_data[6406],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[6416],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8qivnx8bi },
    &operand_data[6419],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4qivnx4bi },
    &operand_data[6422],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2qivnx2bi },
    &operand_data[6425],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[6428],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hivnx4bi },
    &operand_data[6431],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hivnx2bi },
    &operand_data[6434],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[6437],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hfvnx4bi },
    &operand_data[6440],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hfvnx2bi },
    &operand_data[6443],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8bfvnx8bi },
    &operand_data[6446],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[6449],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sivnx2bi },
    &operand_data[6452],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[6455],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sfvnx2bi },
    &operand_data[6458],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[6461],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[6464],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[6467],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[6470],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[6473],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[6476],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16bfvnx8bf },
    &operand_data[6479],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[6482],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[6485],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[6488],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[6491],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[6494],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[6497],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[6500],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24bfvnx8bf },
    &operand_data[6503],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[6506],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[6509],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[6512],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[6515],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[6518],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[6521],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[6524],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32bfvnx8bf },
    &operand_data[6527],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[6530],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[6533],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[6536],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2167 */
  {
    "aarch64_store_truncvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx8qivnx8hi },
    &operand_data[6539],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4qivnx4si },
    &operand_data[6542],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4hivnx4si },
    &operand_data[6545],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2qivnx2di },
    &operand_data[6548],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2hivnx2di },
    &operand_data[6551],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2sivnx2di },
    &operand_data[6554],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16qi },
    &operand_data[6416],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hi },
    &operand_data[6428],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4si },
    &operand_data[6449],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2di },
    &operand_data[6461],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8bf },
    &operand_data[6446],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hf },
    &operand_data[6437],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4sf },
    &operand_data[6455],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2df },
    &operand_data[6464],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4557 },
#else
    { 0, output_4557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4qivnx4si },
    &operand_data[6557],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4558 },
#else
    { 0, output_4558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hivnx4si },
    &operand_data[6563],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4559 },
#else
    { 0, output_4559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hfvnx4si },
    &operand_data[6569],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4560 },
#else
    { 0, output_4560, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sivnx4si },
    &operand_data[6575],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4561 },
#else
    { 0, output_4561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sfvnx4si },
    &operand_data[6581],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4562 },
#else
    { 0, output_4562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2qivnx2di },
    &operand_data[6587],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4563 },
#else
    { 0, output_4563, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hivnx2di },
    &operand_data[6593],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4564 },
#else
    { 0, output_4564, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hfvnx2di },
    &operand_data[6599],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4565 },
#else
    { 0, output_4565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sivnx2di },
    &operand_data[6605],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4566 },
#else
    { 0, output_4566, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sfvnx2di },
    &operand_data[6611],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4567 },
#else
    { 0, output_4567, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2divnx2di },
    &operand_data[6617],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4568 },
#else
    { 0, output_4568, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2dfvnx2di },
    &operand_data[6623],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4569 },
#else
    { 0, output_4569, 0 },
#endif
    { 0 },
    &operand_data[6629],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4570 },
#else
    { 0, output_4570, 0 },
#endif
    { 0 },
    &operand_data[6629],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4571 },
#else
    { 0, output_4571, 0 },
#endif
    { 0 },
    &operand_data[6636],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4572 },
#else
    { 0, output_4572, 0 },
#endif
    { 0 },
    &operand_data[6636],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4573 },
#else
    { 0, output_4573, 0 },
#endif
    { 0 },
    &operand_data[6643],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4574 },
#else
    { 0, output_4574, 0 },
#endif
    { 0 },
    &operand_data[6643],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4575 },
#else
    { 0, output_4575, 0 },
#endif
    { 0 },
    &operand_data[6650],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4576 },
#else
    { 0, output_4576, 0 },
#endif
    { 0 },
    &operand_data[6650],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4577 },
#else
    { 0, output_4577, 0 },
#endif
    { 0 },
    &operand_data[6657],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4578 },
#else
    { 0, output_4578, 0 },
#endif
    { 0 },
    &operand_data[6657],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4579 },
#else
    { 0, output_4579, 0 },
#endif
    { 0 },
    &operand_data[6664],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4580 },
#else
    { 0, output_4580, 0 },
#endif
    { 0 },
    &operand_data[6664],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4581 },
#else
    { 0, output_4581, 0 },
#endif
    { 0 },
    &operand_data[6671],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4582 },
#else
    { 0, output_4582, 0 },
#endif
    { 0 },
    &operand_data[6671],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4583 },
#else
    { 0, output_4583, 0 },
#endif
    { 0 },
    &operand_data[6678],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4584 },
#else
    { 0, output_4584, 0 },
#endif
    { 0 },
    &operand_data[6685],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4585 },
#else
    { 0, output_4585, 0 },
#endif
    { 0 },
    &operand_data[6692],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4586 },
#else
    { 0, output_4586, 0 },
#endif
    { 0 },
    &operand_data[6699],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4587 },
#else
    { 0, output_4587, 0 },
#endif
    { 0 },
    &operand_data[6706],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4588 },
#else
    { 0, output_4588, 0 },
#endif
    { 0 },
    &operand_data[6713],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4589 },
#else
    { 0, output_4589, 0 },
#endif
    { 0 },
    &operand_data[6720],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4590 },
#else
    { 0, output_4590, 0 },
#endif
    { 0 },
    &operand_data[6727],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4591 },
#else
    { 0, output_4591, 0 },
#endif
    { 0 },
    &operand_data[6734],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4592 },
#else
    { 0, output_4592, 0 },
#endif
    { 0 },
    &operand_data[6741],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4593 },
#else
    { 0, output_4593, 0 },
#endif
    { 0 },
    &operand_data[6748],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4594 },
#else
    { 0, output_4594, 0 },
#endif
    { 0 },
    &operand_data[6755],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4595 },
#else
    { 0, output_4595, 0 },
#endif
    { 0 },
    &operand_data[6762],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4596 },
#else
    { 0, output_4596, 0 },
#endif
    { 0 },
    &operand_data[6769],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4597 },
#else
    { 0, output_4597, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4qivnx4si },
    &operand_data[6776],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4598 },
#else
    { 0, output_4598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4hivnx4si },
    &operand_data[6782],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4599 },
#else
    { 0, output_4599, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2qivnx2di },
    &operand_data[6788],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4600 },
#else
    { 0, output_4600, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2hivnx2di },
    &operand_data[6794],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4601 },
#else
    { 0, output_4601, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2sivnx2di },
    &operand_data[6800],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4602 },
#else
    { 0, output_4602, 0 },
#endif
    { 0 },
    &operand_data[6806],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4603 },
#else
    { 0, output_4603, 0 },
#endif
    { 0 },
    &operand_data[6813],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4604 },
#else
    { 0, output_4604, 0 },
#endif
    { 0 },
    &operand_data[6820],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4605 },
#else
    { 0, output_4605, 0 },
#endif
    { 0 },
    &operand_data[6827],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4606 },
#else
    { 0, output_4606, 0 },
#endif
    { 0 },
    &operand_data[6834],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4607 },
#else
    { 0, output_4607, 0 },
#endif
    { 0 },
    &operand_data[6841],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4608 },
#else
    { 0, output_4608, 0 },
#endif
    { 0 },
    &operand_data[6848],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4609 },
#else
    { 0, output_4609, 0 },
#endif
    { 0 },
    &operand_data[6851],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4610 },
#else
    { 0, output_4610, 0 },
#endif
    { 0 },
    &operand_data[6854],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4611 },
#else
    { 0, output_4611, 0 },
#endif
    { 0 },
    &operand_data[6857],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4612 },
#else
    { 0, output_4612, 0 },
#endif
    { 0 },
    &operand_data[6860],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4613 },
#else
    { 0, output_4613, 0 },
#endif
    { 0 },
    &operand_data[6863],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4614 },
#else
    { 0, output_4614, 0 },
#endif
    { 0 },
    &operand_data[6866],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4615 },
#else
    { 0, output_4615, 0 },
#endif
    { 0 },
    &operand_data[6869],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4616 },
#else
    { 0, output_4616, 0 },
#endif
    { 0 },
    &operand_data[6872],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4617 },
#else
    { 0, output_4617, 0 },
#endif
    { 0 },
    &operand_data[6875],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4618 },
#else
    { 0, output_4618, 0 },
#endif
    { 0 },
    &operand_data[6878],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4619 },
#else
    { 0, output_4619, 0 },
#endif
    { 0 },
    &operand_data[6881],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4620 },
#else
    { 0, output_4620, 0 },
#endif
    { 0 },
    &operand_data[6884],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4621 },
#else
    { 0, output_4621, 0 },
#endif
    { 0 },
    &operand_data[6887],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4622 },
#else
    { 0, output_4622, 0 },
#endif
    { 0 },
    &operand_data[6890],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4623 },
#else
    { 0, output_4623, 0 },
#endif
    { 0 },
    &operand_data[6893],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4624 },
#else
    { 0, output_4624, 0 },
#endif
    { 0 },
    &operand_data[6896],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4625 },
#else
    { 0, 0, output_4625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_le },
    &operand_data[6899],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4626 },
#else
    { 0, 0, output_4626 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_le },
    &operand_data[6901],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4627 },
#else
    { 0, 0, output_4627 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_le },
    &operand_data[6903],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4628 },
#else
    { 0, 0, output_4628 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_le },
    &operand_data[6905],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4629 },
#else
    { 0, 0, output_4629 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_le },
    &operand_data[6907],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4630 },
#else
    { 0, 0, output_4630 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_le },
    &operand_data[6909],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4631 },
#else
    { 0, 0, output_4631 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_le },
    &operand_data[6911],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4632 },
#else
    { 0, 0, output_4632 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_le },
    &operand_data[6913],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4633 },
#else
    { 0, 0, output_4633 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_be },
    &operand_data[6915],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4634 },
#else
    { 0, 0, output_4634 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_be },
    &operand_data[6918],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4635 },
#else
    { 0, 0, output_4635 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_be },
    &operand_data[6921],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4636 },
#else
    { 0, 0, output_4636 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_be },
    &operand_data[6924],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4637 },
#else
    { 0, 0, output_4637 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_be },
    &operand_data[6927],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4638 },
#else
    { 0, 0, output_4638 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_be },
    &operand_data[6930],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4639 },
#else
    { 0, 0, output_4639 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_be },
    &operand_data[6933],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4640 },
#else
    { 0, 0, output_4640 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_be },
    &operand_data[6936],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[6939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8qi },
    &operand_data[6943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4qi },
    &operand_data[6947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2qi },
    &operand_data[6951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[6955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hi },
    &operand_data[6959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hi },
    &operand_data[6963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[6967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hf },
    &operand_data[6971],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hf },
    &operand_data[6975],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8bf },
    &operand_data[6979],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[6983],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2si },
    &operand_data[6987],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[6991],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2sf },
    &operand_data[6995],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[6999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[7003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4658 },
#else
    { 0, 0, output_4658 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx16qi },
    &operand_data[7007],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4659 },
#else
    { 0, 0, output_4659 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hi },
    &operand_data[7010],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4660 },
#else
    { 0, 0, output_4660 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4si },
    &operand_data[7013],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4661 },
#else
    { 0, 0, output_4661 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2di },
    &operand_data[7016],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4662 },
#else
    { 0, 0, output_4662 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8bf },
    &operand_data[7019],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4663 },
#else
    { 0, 0, output_4663 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hf },
    &operand_data[7022],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4664 },
#else
    { 0, 0, output_4664 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4sf },
    &operand_data[7025],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4665 },
#else
    { 0, 0, output_4665 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2df },
    &operand_data[7028],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4666 },
#else
    { 0, 0, output_4666 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx16qi },
    &operand_data[7031],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4667 },
#else
    { 0, 0, output_4667 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hi },
    &operand_data[7034],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4668 },
#else
    { 0, 0, output_4668 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4si },
    &operand_data[7037],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4669 },
#else
    { 0, 0, output_4669 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2di },
    &operand_data[7040],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4670 },
#else
    { 0, 0, output_4670 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8bf },
    &operand_data[7043],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4671 },
#else
    { 0, 0, output_4671 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hf },
    &operand_data[7046],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4672 },
#else
    { 0, 0, output_4672 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4sf },
    &operand_data[7049],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4673 },
#else
    { 0, 0, output_4673 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2df },
    &operand_data[7052],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4674 },
#else
    { 0, output_4674, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[7055],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4675 },
#else
    { 0, output_4675, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[7058],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4676 },
#else
    { 0, output_4676, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[7061],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4677 },
#else
    { 0, output_4677, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[7064],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4678 },
#else
    { 0, output_4678, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8bf },
    &operand_data[7067],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4679 },
#else
    { 0, output_4679, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[7070],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4680 },
#else
    { 0, output_4680, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[7073],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4681 },
#else
    { 0, output_4681, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[7076],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4682 },
#else
    { 0, output_4682, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[7079],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4683 },
#else
    { 0, output_4683, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8qi },
    &operand_data[7082],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4684 },
#else
    { 0, output_4684, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4qi },
    &operand_data[7085],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4685 },
#else
    { 0, output_4685, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2qi },
    &operand_data[7088],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4686 },
#else
    { 0, output_4686, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[7091],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4687 },
#else
    { 0, output_4687, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4hi },
    &operand_data[7094],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4688 },
#else
    { 0, output_4688, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2hi },
    &operand_data[7097],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4689 },
#else
    { 0, output_4689, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[7100],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4690 },
#else
    { 0, output_4690, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2si },
    &operand_data[7103],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4691 },
#else
    { 0, output_4691, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[7106],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4692 },
#else
    { 0, 0, output_4692 },
#endif
    { 0 },
    &operand_data[7109],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4693 },
#else
    { 0, 0, output_4693 },
#endif
    { 0 },
    &operand_data[7112],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4694 },
#else
    { 0, 0, output_4694 },
#endif
    { 0 },
    &operand_data[7115],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4695 },
#else
    { 0, 0, output_4695 },
#endif
    { 0 },
    &operand_data[7118],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4696 },
#else
    { 0, 0, output_4696 },
#endif
    { 0 },
    &operand_data[7121],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4697 },
#else
    { 0, 0, output_4697 },
#endif
    { 0 },
    &operand_data[7124],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4698 },
#else
    { 0, 0, output_4698 },
#endif
    { 0 },
    &operand_data[7127],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4699 },
#else
    { 0, 0, output_4699 },
#endif
    { 0 },
    &operand_data[7130],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4700 },
#else
    { 0, 0, output_4700 },
#endif
    { 0 },
    &operand_data[7133],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4701 },
#else
    { 0, 0, output_4701 },
#endif
    { 0 },
    &operand_data[7136],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4702 },
#else
    { 0, 0, output_4702 },
#endif
    { 0 },
    &operand_data[7139],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4703 },
#else
    { 0, 0, output_4703 },
#endif
    { 0 },
    &operand_data[7141],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4704 },
#else
    { 0, 0, output_4704 },
#endif
    { 0 },
    &operand_data[7143],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4705 },
#else
    { 0, 0, output_4705 },
#endif
    { 0 },
    &operand_data[7145],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8bfbf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4706 },
#else
    { 0, 0, output_4706 },
#endif
    { 0 },
    &operand_data[7147],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4707 },
#else
    { 0, 0, output_4707 },
#endif
    { 0 },
    &operand_data[7149],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4708 },
#else
    { 0, 0, output_4708 },
#endif
    { 0 },
    &operand_data[7151],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4709 },
#else
    { 0, 0, output_4709 },
#endif
    { 0 },
    &operand_data[7153],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4710 },
#else
    { 0, 0, output_4710 },
#endif
    { 0 },
    &operand_data[7155],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4711 },
#else
    { 0, 0, output_4711 },
#endif
    { 0 },
    &operand_data[7158],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4712 },
#else
    { 0, 0, output_4712 },
#endif
    { 0 },
    &operand_data[7161],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4713 },
#else
    { 0, 0, output_4713 },
#endif
    { 0 },
    &operand_data[7164],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8bfbf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4714 },
#else
    { 0, 0, output_4714 },
#endif
    { 0 },
    &operand_data[7167],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4715 },
#else
    { 0, 0, output_4715 },
#endif
    { 0 },
    &operand_data[7170],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4716 },
#else
    { 0, 0, output_4716 },
#endif
    { 0 },
    &operand_data[7173],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4717 },
#else
    { 0, 0, output_4717 },
#endif
    { 0 },
    &operand_data[7176],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4718 },
#else
    { 0, 0, output_4718 },
#endif
    { 0 },
    &operand_data[7179],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4719 },
#else
    { 0, 0, output_4719 },
#endif
    { 0 },
    &operand_data[7182],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4720 },
#else
    { 0, 0, output_4720 },
#endif
    { 0 },
    &operand_data[7185],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4721 },
#else
    { 0, 0, output_4721 },
#endif
    { 0 },
    &operand_data[7188],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8bfbf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4722 },
#else
    { 0, 0, output_4722 },
#endif
    { 0 },
    &operand_data[7191],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4723 },
#else
    { 0, 0, output_4723 },
#endif
    { 0 },
    &operand_data[7194],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4724 },
#else
    { 0, 0, output_4724 },
#endif
    { 0 },
    &operand_data[7197],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4725 },
#else
    { 0, 0, output_4725 },
#endif
    { 0 },
    &operand_data[7200],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4726 },
#else
    { 0, 0, output_4726 },
#endif
    { 0 },
    &operand_data[7203],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4727 },
#else
    { 0, 0, output_4727 },
#endif
    { 0 },
    &operand_data[7206],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4728 },
#else
    { 0, 0, output_4728 },
#endif
    { 0 },
    &operand_data[7209],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4729 },
#else
    { 0, 0, output_4729 },
#endif
    { 0 },
    &operand_data[7212],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8bfbf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4730 },
#else
    { 0, 0, output_4730 },
#endif
    { 0 },
    &operand_data[7215],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4731 },
#else
    { 0, 0, output_4731 },
#endif
    { 0 },
    &operand_data[7218],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4732 },
#else
    { 0, 0, output_4732 },
#endif
    { 0 },
    &operand_data[7221],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4733 },
#else
    { 0, 0, output_4733 },
#endif
    { 0 },
    &operand_data[7224],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4734 },
#else
    { 0, output_4734, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx16qi },
    &operand_data[7227],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4735 },
#else
    { 0, output_4735, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[7227],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4736 },
#else
    { 0, output_4736, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hi },
    &operand_data[7230],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4737 },
#else
    { 0, output_4737, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[7230],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4738 },
#else
    { 0, output_4738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4si },
    &operand_data[7233],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4739 },
#else
    { 0, output_4739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[7233],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4740 },
#else
    { 0, output_4740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2di },
    &operand_data[7236],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4741 },
#else
    { 0, output_4741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[7236],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4742 },
#else
    { 0, output_4742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8bf },
    &operand_data[7239],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4743 },
#else
    { 0, output_4743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8bf },
    &operand_data[7239],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4744 },
#else
    { 0, output_4744, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hf },
    &operand_data[7242],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4745 },
#else
    { 0, output_4745, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[7242],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4746 },
#else
    { 0, output_4746, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4sf },
    &operand_data[7245],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4747 },
#else
    { 0, output_4747, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[7245],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4748 },
#else
    { 0, output_4748, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2df },
    &operand_data[7248],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4749 },
#else
    { 0, output_4749, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[7248],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4750 },
#else
    { 0, output_4750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4751 },
#else
    { 0, output_4751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4752 },
#else
    { 0, output_4752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4753 },
#else
    { 0, output_4753, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4754 },
#else
    { 0, output_4754, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4755 },
#else
    { 0, output_4755, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4756 },
#else
    { 0, output_4756, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4757 },
#else
    { 0, output_4757, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4758 },
#else
    { 0, output_4758, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4759 },
#else
    { 0, output_4759, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4760 },
#else
    { 0, output_4760, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4761 },
#else
    { 0, output_4761, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4762 },
#else
    { 0, output_4762, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4763 },
#else
    { 0, output_4763, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4764 },
#else
    { 0, output_4764, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4765 },
#else
    { 0, output_4765, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4766 },
#else
    { 0, output_4766, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4767 },
#else
    { 0, output_4767, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4768 },
#else
    { 0, output_4768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4769 },
#else
    { 0, output_4769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4770 },
#else
    { 0, output_4770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4771 },
#else
    { 0, output_4771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4772 },
#else
    { 0, output_4772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4773 },
#else
    { 0, output_4773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4774 },
#else
    { 0, output_4774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4775 },
#else
    { 0, output_4775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4776 },
#else
    { 0, output_4776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4777 },
#else
    { 0, output_4777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4778 },
#else
    { 0, output_4778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4779 },
#else
    { 0, output_4779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4780 },
#else
    { 0, output_4780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4781 },
#else
    { 0, output_4781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4782 },
#else
    { 0, output_4782, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4783 },
#else
    { 0, output_4783, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4784 },
#else
    { 0, output_4784, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4785 },
#else
    { 0, output_4785, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4786 },
#else
    { 0, output_4786, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4787 },
#else
    { 0, output_4787, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4788 },
#else
    { 0, output_4788, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4789 },
#else
    { 0, output_4789, 0 },
#endif
    { 0 },
    &operand_data[7251],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4790 },
#else
    { 0, output_4790, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4791 },
#else
    { 0, output_4791, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4792 },
#else
    { 0, output_4792, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4793 },
#else
    { 0, output_4793, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4794 },
#else
    { 0, output_4794, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4795 },
#else
    { 0, output_4795, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4796 },
#else
    { 0, output_4796, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4797 },
#else
    { 0, output_4797, 0 },
#endif
    { 0 },
    &operand_data[7254],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4798 },
#else
    { 0, output_4798, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4799 },
#else
    { 0, output_4799, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4800 },
#else
    { 0, output_4800, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4801 },
#else
    { 0, output_4801, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4802 },
#else
    { 0, output_4802, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4803 },
#else
    { 0, output_4803, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4804 },
#else
    { 0, output_4804, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4805 },
#else
    { 0, output_4805, 0 },
#endif
    { 0 },
    &operand_data[7257],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4806 },
#else
    { 0, output_4806, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4807 },
#else
    { 0, output_4807, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4808 },
#else
    { 0, output_4808, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4809 },
#else
    { 0, output_4809, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4810 },
#else
    { 0, output_4810, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4811 },
#else
    { 0, output_4811, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4812 },
#else
    { 0, output_4812, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4813 },
#else
    { 0, output_4813, 0 },
#endif
    { 0 },
    &operand_data[7260],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4814 },
#else
    { 0, output_4814, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4815 },
#else
    { 0, output_4815, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4816 },
#else
    { 0, output_4816, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4817 },
#else
    { 0, output_4817, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4818 },
#else
    { 0, output_4818, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4819 },
#else
    { 0, output_4819, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4820 },
#else
    { 0, output_4820, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4821 },
#else
    { 0, output_4821, 0 },
#endif
    { 0 },
    &operand_data[7263],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4822 },
#else
    { 0, output_4822, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4823 },
#else
    { 0, output_4823, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4824 },
#else
    { 0, output_4824, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4825 },
#else
    { 0, output_4825, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4826 },
#else
    { 0, output_4826, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4827 },
#else
    { 0, output_4827, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4828 },
#else
    { 0, output_4828, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4829 },
#else
    { 0, output_4829, 0 },
#endif
    { 0 },
    &operand_data[7267],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4830 },
#else
    { 0, output_4830, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4831 },
#else
    { 0, output_4831, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4832 },
#else
    { 0, output_4832, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4833 },
#else
    { 0, output_4833, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4834 },
#else
    { 0, output_4834, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4835 },
#else
    { 0, output_4835, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4836 },
#else
    { 0, output_4836, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4837 },
#else
    { 0, output_4837, 0 },
#endif
    { 0 },
    &operand_data[7271],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4838 },
#else
    { 0, output_4838, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4839 },
#else
    { 0, output_4839, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4840 },
#else
    { 0, output_4840, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4841 },
#else
    { 0, output_4841, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4842 },
#else
    { 0, output_4842, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4843 },
#else
    { 0, output_4843, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4844 },
#else
    { 0, output_4844, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4845 },
#else
    { 0, output_4845, 0 },
#endif
    { 0 },
    &operand_data[7275],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4846 },
#else
    { 0, output_4846, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx16qi },
    &operand_data[7251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4847 },
#else
    { 0, output_4847, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4848 },
#else
    { 0, output_4848, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx8hi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4849 },
#else
    { 0, output_4849, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4850 },
#else
    { 0, output_4850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4851 },
#else
    { 0, output_4851, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4852 },
#else
    { 0, output_4852, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4853 },
#else
    { 0, output_4853, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4854 },
#else
    { 0, output_4854, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4855 },
#else
    { 0, output_4855, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx2di },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4856 },
#else
    { 0, output_4856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx16qi },
    &operand_data[7279],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4857 },
#else
    { 0, output_4857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8hi },
    &operand_data[7283],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4858 },
#else
    { 0, output_4858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx8hi },
    &operand_data[7283],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4859 },
#else
    { 0, output_4859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4si },
    &operand_data[7287],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4860 },
#else
    { 0, output_4860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx4si },
    &operand_data[7287],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4861 },
#else
    { 0, output_4861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx4si },
    &operand_data[7287],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4862 },
#else
    { 0, output_4862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2di },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4863 },
#else
    { 0, output_4863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx2di },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4864 },
#else
    { 0, output_4864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx2di },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3019 */
  {
    "cond_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4865 },
#else
    { 0, output_4865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx2di },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4866 },
#else
    { 0, output_4866, 0 },
#endif
    { 0 },
    &operand_data[7295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4867 },
#else
    { 0, output_4867, 0 },
#endif
    { 0 },
    &operand_data[7295],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4868 },
#else
    { 0, output_4868, 0 },
#endif
    { 0 },
    &operand_data[7298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4869 },
#else
    { 0, output_4869, 0 },
#endif
    { 0 },
    &operand_data[7298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4870 },
#else
    { 0, output_4870, 0 },
#endif
    { 0 },
    &operand_data[7301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4871 },
#else
    { 0, output_4871, 0 },
#endif
    { 0 },
    &operand_data[7301],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4872 },
#else
    { 0, output_4872, 0 },
#endif
    { 0 },
    &operand_data[7304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4873 },
#else
    { 0, output_4873, 0 },
#endif
    { 0 },
    &operand_data[7304],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4874 },
#else
    { 0, output_4874, 0 },
#endif
    { 0 },
    &operand_data[7307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4875 },
#else
    { 0, output_4875, 0 },
#endif
    { 0 },
    &operand_data[7307],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4876 },
#else
    { 0, output_4876, 0 },
#endif
    { 0 },
    &operand_data[7310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4877 },
#else
    { 0, output_4877, 0 },
#endif
    { 0 },
    &operand_data[7310],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4878 },
#else
    { 0, output_4878, 0 },
#endif
    { 0 },
    &operand_data[7313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4879 },
#else
    { 0, output_4879, 0 },
#endif
    { 0 },
    &operand_data[7313],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4880 },
#else
    { 0, output_4880, 0 },
#endif
    { 0 },
    &operand_data[7316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4881 },
#else
    { 0, output_4881, 0 },
#endif
    { 0 },
    &operand_data[7316],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4882 },
#else
    { 0, output_4882, 0 },
#endif
    { 0 },
    &operand_data[7319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4883 },
#else
    { 0, output_4883, 0 },
#endif
    { 0 },
    &operand_data[7319],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4884 },
#else
    { 0, output_4884, 0 },
#endif
    { 0 },
    &operand_data[7322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3063 */
  {
    "*zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4885 },
#else
    { 0, output_4885, 0 },
#endif
    { 0 },
    &operand_data[7322],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4886 },
#else
    { 0, output_4886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx8qi },
    &operand_data[7254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4887 },
#else
    { 0, output_4887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4qi },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4888 },
#else
    { 0, output_4888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4hi },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4889 },
#else
    { 0, output_4889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2qi },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4890 },
#else
    { 0, output_4890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2hi },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3078 */
  {
    "aarch64_pred_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4891 },
#else
    { 0, output_4891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2si },
    &operand_data[7260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4892 },
#else
    { 0, output_4892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx8qi },
    &operand_data[7283],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4893 },
#else
    { 0, output_4893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4qi },
    &operand_data[7287],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4894 },
#else
    { 0, output_4894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4hi },
    &operand_data[7287],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4895 },
#else
    { 0, output_4895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2qi },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4896 },
#else
    { 0, output_4896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2hi },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3095 */
  {
    "aarch64_cond_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4897 },
#else
    { 0, output_4897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2si },
    &operand_data[7291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3118 */
  {
    "*cond_uxtvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4898 },
#else
    { 0, output_4898, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3118 */
  {
    "*cond_uxtvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4899 },
#else
    { 0, output_4899, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3118 */
  {
    "*cond_uxtvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4900 },
#else
    { 0, output_4900, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3118 */
  {
    "*cond_uxtvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4901 },
#else
    { 0, output_4901, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3142 */
  {
    "*cond_uxtvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4902 },
#else
    { 0, output_4902, 0 },
#endif
    { 0 },
    &operand_data[7341],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3142 */
  {
    "*cond_uxtvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4903 },
#else
    { 0, output_4903, 0 },
#endif
    { 0 },
    &operand_data[7346],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3142 */
  {
    "*cond_uxtvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4904 },
#else
    { 0, output_4904, 0 },
#endif
    { 0 },
    &operand_data[7351],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3142 */
  {
    "*cond_uxtvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4905 },
#else
    { 0, output_4905, 0 },
#endif
    { 0 },
    &operand_data[7356],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx8hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx8qi2 },
    &operand_data[7361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx4hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4qi2 },
    &operand_data[7363],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2qi2 },
    &operand_data[7365],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx4sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4qi2 },
    &operand_data[7367],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx4sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4hi2 },
    &operand_data[7369],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2qi2 },
    &operand_data[7371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2hi2 },
    &operand_data[7373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2divnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2qi2 },
    &operand_data[7375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2divnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2hi2 },
    &operand_data[7377],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3168 */
  {
    "truncvnx2divnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2si2 },
    &operand_data[7379],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3210 */
  {
    "*cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4916 },
#else
    { 0, output_4916, 0 },
#endif
    { 0 },
    &operand_data[7381],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3210 */
  {
    "*cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4917 },
#else
    { 0, output_4917, 0 },
#endif
    { 0 },
    &operand_data[7387],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3210 */
  {
    "*cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4918 },
#else
    { 0, output_4918, 0 },
#endif
    { 0 },
    &operand_data[7393],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3210 */
  {
    "*cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4919 },
#else
    { 0, output_4919, 0 },
#endif
    { 0 },
    &operand_data[7399],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3257 */
  {
    "*cond_cnotvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4920 },
#else
    { 0, output_4920, 0 },
#endif
    { 0 },
    &operand_data[7405],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3257 */
  {
    "*cond_cnotvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4921 },
#else
    { 0, output_4921, 0 },
#endif
    { 0 },
    &operand_data[7411],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3257 */
  {
    "*cond_cnotvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4922 },
#else
    { 0, output_4922, 0 },
#endif
    { 0 },
    &operand_data[7417],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3257 */
  {
    "*cond_cnotvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4923 },
#else
    { 0, output_4923, 0 },
#endif
    { 0 },
    &operand_data[7423],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "*cond_cnotvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4924 },
#else
    { 0, output_4924, 0 },
#endif
    { 0 },
    &operand_data[7429],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "*cond_cnotvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4925 },
#else
    { 0, output_4925, 0 },
#endif
    { 0 },
    &operand_data[7436],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "*cond_cnotvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4926 },
#else
    { 0, output_4926, 0 },
#endif
    { 0 },
    &operand_data[7443],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3293 */
  {
    "*cond_cnotvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4927 },
#else
    { 0, output_4927, 0 },
#endif
    { 0 },
    &operand_data[7450],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3331 */
  {
    "aarch64_sve_fexpavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx8hf },
    &operand_data[7457],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3331 */
  {
    "aarch64_sve_fexpavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx4sf },
    &operand_data[7459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3331 */
  {
    "aarch64_sve_fexpavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx2df },
    &operand_data[7461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx8hf },
    &operand_data[7463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frsqrtevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx8hf },
    &operand_data[7463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx4sf },
    &operand_data[7465],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx4sf },
    &operand_data[7465],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx2df },
    &operand_data[7467],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3360 */
  {
    "aarch64_sve_frsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx2df },
    &operand_data[7467],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4937 },
#else
    { 0, output_4937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4938 },
#else
    { 0, output_4938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4939 },
#else
    { 0, output_4939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4940 },
#else
    { 0, output_4940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4941 },
#else
    { 0, output_4941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4942 },
#else
    { 0, output_4942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4943 },
#else
    { 0, output_4943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4944 },
#else
    { 0, output_4944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4945 },
#else
    { 0, output_4945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4946 },
#else
    { 0, output_4946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4947 },
#else
    { 0, output_4947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx8hf },
    &operand_data[7469],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4948 },
#else
    { 0, output_4948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4949 },
#else
    { 0, output_4949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4950 },
#else
    { 0, output_4950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4951 },
#else
    { 0, output_4951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4952 },
#else
    { 0, output_4952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4953 },
#else
    { 0, output_4953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4954 },
#else
    { 0, output_4954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4955 },
#else
    { 0, output_4955, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4956 },
#else
    { 0, output_4956, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4957 },
#else
    { 0, output_4957, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4958 },
#else
    { 0, output_4958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx4sf },
    &operand_data[7473],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4959 },
#else
    { 0, output_4959, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4960 },
#else
    { 0, output_4960, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4961 },
#else
    { 0, output_4961, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4962 },
#else
    { 0, output_4962, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4963 },
#else
    { 0, output_4963, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4964 },
#else
    { 0, output_4964, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4965 },
#else
    { 0, output_4965, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4966 },
#else
    { 0, output_4966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4967 },
#else
    { 0, output_4967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4968 },
#else
    { 0, output_4968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3384 */
  {
    "aarch64_pred_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4969 },
#else
    { 0, output_4969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx2df },
    &operand_data[7477],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_absvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4970 },
#else
    { 0, output_4970, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_negvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4971 },
#else
    { 0, output_4971, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frecpxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4972 },
#else
    { 0, output_4972, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_roundvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4973 },
#else
    { 0, output_4973, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_nearbyintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4974 },
#else
    { 0, output_4974, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_floorvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4975 },
#else
    { 0, output_4975, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frintnvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4976 },
#else
    { 0, output_4976, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_ceilvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4977 },
#else
    { 0, output_4977, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_rintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4978 },
#else
    { 0, output_4978, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_btruncvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4979 },
#else
    { 0, output_4979, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_sqrtvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4980 },
#else
    { 0, output_4980, 0 },
#endif
    { 0 },
    &operand_data[7481],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_absvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4981 },
#else
    { 0, output_4981, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_negvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4982 },
#else
    { 0, output_4982, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frecpxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4983 },
#else
    { 0, output_4983, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_roundvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4984 },
#else
    { 0, output_4984, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_nearbyintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4985 },
#else
    { 0, output_4985, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_floorvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4986 },
#else
    { 0, output_4986, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frintnvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4987 },
#else
    { 0, output_4987, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_ceilvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4988 },
#else
    { 0, output_4988, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_rintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4989 },
#else
    { 0, output_4989, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_btruncvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4990 },
#else
    { 0, output_4990, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_sqrtvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4991 },
#else
    { 0, output_4991, 0 },
#endif
    { 0 },
    &operand_data[7485],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_absvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4992 },
#else
    { 0, output_4992, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_negvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4993 },
#else
    { 0, output_4993, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frecpxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4994 },
#else
    { 0, output_4994, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_roundvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4995 },
#else
    { 0, output_4995, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_nearbyintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4996 },
#else
    { 0, output_4996, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_floorvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4997 },
#else
    { 0, output_4997, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_frintnvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4998 },
#else
    { 0, output_4998, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_ceilvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4999 },
#else
    { 0, output_4999, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_rintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5000 },
#else
    { 0, output_5000, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_btruncvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5001 },
#else
    { 0, output_5001, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3414 */
  {
    "*cond_sqrtvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5002 },
#else
    { 0, output_5002, 0 },
#endif
    { 0 },
    &operand_data[7489],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_absvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5003 },
#else
    { 0, output_5003, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_negvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5004 },
#else
    { 0, output_5004, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frecpxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5005 },
#else
    { 0, output_5005, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_roundvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5006 },
#else
    { 0, output_5006, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_nearbyintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5007 },
#else
    { 0, output_5007, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_floorvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5008 },
#else
    { 0, output_5008, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frintnvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5009 },
#else
    { 0, output_5009, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_ceilvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5010 },
#else
    { 0, output_5010, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_rintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5011 },
#else
    { 0, output_5011, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_btruncvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5012 },
#else
    { 0, output_5012, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_sqrtvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5013 },
#else
    { 0, output_5013, 0 },
#endif
    { 0 },
    &operand_data[7469],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_absvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5014 },
#else
    { 0, output_5014, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_negvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5015 },
#else
    { 0, output_5015, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frecpxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5016 },
#else
    { 0, output_5016, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_roundvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5017 },
#else
    { 0, output_5017, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_nearbyintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5018 },
#else
    { 0, output_5018, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_floorvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5019 },
#else
    { 0, output_5019, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frintnvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5020 },
#else
    { 0, output_5020, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_ceilvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5021 },
#else
    { 0, output_5021, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_rintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5022 },
#else
    { 0, output_5022, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_btruncvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5023 },
#else
    { 0, output_5023, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_sqrtvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5024 },
#else
    { 0, output_5024, 0 },
#endif
    { 0 },
    &operand_data[7473],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_absvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5025 },
#else
    { 0, output_5025, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_negvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5026 },
#else
    { 0, output_5026, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frecpxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5027 },
#else
    { 0, output_5027, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_roundvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5028 },
#else
    { 0, output_5028, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_nearbyintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5029 },
#else
    { 0, output_5029, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_floorvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5030 },
#else
    { 0, output_5030, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_frintnvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5031 },
#else
    { 0, output_5031, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_ceilvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5032 },
#else
    { 0, output_5032, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_rintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5033 },
#else
    { 0, output_5033, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_btruncvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5034 },
#else
    { 0, output_5034, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3436 */
  {
    "*cond_sqrtvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5035 },
#else
    { 0, output_5035, 0 },
#endif
    { 0 },
    &operand_data[7477],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_absvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5036 },
#else
    { 0, output_5036, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_negvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5037 },
#else
    { 0, output_5037, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frecpxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5038 },
#else
    { 0, output_5038, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_roundvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5039 },
#else
    { 0, output_5039, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_nearbyintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5040 },
#else
    { 0, output_5040, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_floorvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5041 },
#else
    { 0, output_5041, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frintnvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5042 },
#else
    { 0, output_5042, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_ceilvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5043 },
#else
    { 0, output_5043, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_rintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5044 },
#else
    { 0, output_5044, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_btruncvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5045 },
#else
    { 0, output_5045, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_sqrtvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5046 },
#else
    { 0, output_5046, 0 },
#endif
    { 0 },
    &operand_data[7493],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_absvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5047 },
#else
    { 0, output_5047, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_negvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5048 },
#else
    { 0, output_5048, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frecpxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5049 },
#else
    { 0, output_5049, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_roundvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5050 },
#else
    { 0, output_5050, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_nearbyintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5051 },
#else
    { 0, output_5051, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_floorvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5052 },
#else
    { 0, output_5052, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frintnvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5053 },
#else
    { 0, output_5053, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_ceilvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5054 },
#else
    { 0, output_5054, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_rintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5055 },
#else
    { 0, output_5055, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_btruncvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5056 },
#else
    { 0, output_5056, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_sqrtvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5057 },
#else
    { 0, output_5057, 0 },
#endif
    { 0 },
    &operand_data[7498],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_absvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5058 },
#else
    { 0, output_5058, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_negvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5059 },
#else
    { 0, output_5059, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frecpxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5060 },
#else
    { 0, output_5060, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_roundvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5061 },
#else
    { 0, output_5061, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_nearbyintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5062 },
#else
    { 0, output_5062, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_floorvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5063 },
#else
    { 0, output_5063, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_frintnvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5064 },
#else
    { 0, output_5064, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_ceilvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5065 },
#else
    { 0, output_5065, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_rintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5066 },
#else
    { 0, output_5066, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_btruncvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5067 },
#else
    { 0, output_5067, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3462 */
  {
    "*cond_sqrtvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5068 },
#else
    { 0, output_5068, 0 },
#endif
    { 0 },
    &operand_data[7503],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_absvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5069 },
#else
    { 0, output_5069, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_negvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5070 },
#else
    { 0, output_5070, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frecpxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5071 },
#else
    { 0, output_5071, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_roundvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5072 },
#else
    { 0, output_5072, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_nearbyintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5073 },
#else
    { 0, output_5073, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_floorvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5074 },
#else
    { 0, output_5074, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frintnvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5075 },
#else
    { 0, output_5075, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_ceilvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5076 },
#else
    { 0, output_5076, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_rintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5077 },
#else
    { 0, output_5077, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_btruncvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5078 },
#else
    { 0, output_5078, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_sqrtvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5079 },
#else
    { 0, output_5079, 0 },
#endif
    { 0 },
    &operand_data[7493],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_absvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5080 },
#else
    { 0, output_5080, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_negvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5081 },
#else
    { 0, output_5081, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frecpxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5082 },
#else
    { 0, output_5082, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_roundvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5083 },
#else
    { 0, output_5083, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_nearbyintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5084 },
#else
    { 0, output_5084, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_floorvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5085 },
#else
    { 0, output_5085, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frintnvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5086 },
#else
    { 0, output_5086, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_ceilvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5087 },
#else
    { 0, output_5087, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_rintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5088 },
#else
    { 0, output_5088, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_btruncvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5089 },
#else
    { 0, output_5089, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_sqrtvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5090 },
#else
    { 0, output_5090, 0 },
#endif
    { 0 },
    &operand_data[7498],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_absvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5091 },
#else
    { 0, output_5091, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_negvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5092 },
#else
    { 0, output_5092, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frecpxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5093 },
#else
    { 0, output_5093, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_roundvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5094 },
#else
    { 0, output_5094, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_nearbyintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5095 },
#else
    { 0, output_5095, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_floorvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5096 },
#else
    { 0, output_5096, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_frintnvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5097 },
#else
    { 0, output_5097, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_ceilvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5098 },
#else
    { 0, output_5098, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_rintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5099 },
#else
    { 0, output_5099, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_btruncvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5100 },
#else
    { 0, output_5100, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3485 */
  {
    "*cond_sqrtvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5101 },
#else
    { 0, output_5101, 0 },
#endif
    { 0 },
    &operand_data[7503],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3574 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3574 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3574 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3574 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5106 },
#else
    { 0, output_5106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx16qi },
    &operand_data[7520],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5107 },
#else
    { 0, output_5107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx16qi },
    &operand_data[7520],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5108 },
#else
    { 0, output_5108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx16qi },
    &operand_data[7520],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5109 },
#else
    { 0, output_5109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx16qi },
    &operand_data[7524],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5110 },
#else
    { 0, output_5110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx16qi },
    &operand_data[7524],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5111 },
#else
    { 0, output_5111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hi },
    &operand_data[7528],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5112 },
#else
    { 0, output_5112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hi },
    &operand_data[7528],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5113 },
#else
    { 0, output_5113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hi },
    &operand_data[7528],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5114 },
#else
    { 0, output_5114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8hi },
    &operand_data[7532],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5115 },
#else
    { 0, output_5115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8hi },
    &operand_data[7532],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5116 },
#else
    { 0, output_5116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4si },
    &operand_data[7536],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5117 },
#else
    { 0, output_5117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4si },
    &operand_data[7536],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5118 },
#else
    { 0, output_5118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4si },
    &operand_data[7536],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5119 },
#else
    { 0, output_5119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4si },
    &operand_data[7540],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5120 },
#else
    { 0, output_5120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4si },
    &operand_data[7540],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5121 },
#else
    { 0, output_5121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2di },
    &operand_data[7544],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5122 },
#else
    { 0, output_5122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2di },
    &operand_data[7544],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5123 },
#else
    { 0, output_5123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2di },
    &operand_data[7544],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5124 },
#else
    { 0, output_5124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2di },
    &operand_data[7548],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "aarch64_pred_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5125 },
#else
    { 0, output_5125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2di },
    &operand_data[7548],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5126 },
#else
    { 0, output_5126, 0 },
#endif
    { 0 },
    &operand_data[7552],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5127 },
#else
    { 0, output_5127, 0 },
#endif
    { 0 },
    &operand_data[7552],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5128 },
#else
    { 0, output_5128, 0 },
#endif
    { 0 },
    &operand_data[7552],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5129 },
#else
    { 0, output_5129, 0 },
#endif
    { 0 },
    &operand_data[7555],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5130 },
#else
    { 0, output_5130, 0 },
#endif
    { 0 },
    &operand_data[7555],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5131 },
#else
    { 0, output_5131, 0 },
#endif
    { 0 },
    &operand_data[7558],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5132 },
#else
    { 0, output_5132, 0 },
#endif
    { 0 },
    &operand_data[7558],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5133 },
#else
    { 0, output_5133, 0 },
#endif
    { 0 },
    &operand_data[7558],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5134 },
#else
    { 0, output_5134, 0 },
#endif
    { 0 },
    &operand_data[7561],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5135 },
#else
    { 0, output_5135, 0 },
#endif
    { 0 },
    &operand_data[7561],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5136 },
#else
    { 0, output_5136, 0 },
#endif
    { 0 },
    &operand_data[7564],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5137 },
#else
    { 0, output_5137, 0 },
#endif
    { 0 },
    &operand_data[7564],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5138 },
#else
    { 0, output_5138, 0 },
#endif
    { 0 },
    &operand_data[7564],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5139 },
#else
    { 0, output_5139, 0 },
#endif
    { 0 },
    &operand_data[7567],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5140 },
#else
    { 0, output_5140, 0 },
#endif
    { 0 },
    &operand_data[7567],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5141 },
#else
    { 0, output_5141, 0 },
#endif
    { 0 },
    &operand_data[7570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5142 },
#else
    { 0, output_5142, 0 },
#endif
    { 0 },
    &operand_data[7570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5143 },
#else
    { 0, output_5143, 0 },
#endif
    { 0 },
    &operand_data[7570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5144 },
#else
    { 0, output_5144, 0 },
#endif
    { 0 },
    &operand_data[7573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3657 */
  {
    "*post_ra_uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5145 },
#else
    { 0, output_5145, 0 },
#endif
    { 0 },
    &operand_data[7573],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_addvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5146 },
#else
    { 0, output_5146, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_subvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5147 },
#else
    { 0, output_5147, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_mulvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5148 },
#else
    { 0, output_5148, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_smaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5149 },
#else
    { 0, output_5149, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_umaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5150 },
#else
    { 0, output_5150, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5151 },
#else
    { 0, output_5151, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_uminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5152 },
#else
    { 0, output_5152, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5153 },
#else
    { 0, output_5153, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5154 },
#else
    { 0, output_5154, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_lshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5155 },
#else
    { 0, output_5155, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_andvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5156 },
#else
    { 0, output_5156, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_iorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5157 },
#else
    { 0, output_5157, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_xorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5158 },
#else
    { 0, output_5158, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ssaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5159 },
#else
    { 0, output_5159, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_usaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5160 },
#else
    { 0, output_5160, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sssubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5161 },
#else
    { 0, output_5161, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ussubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5162 },
#else
    { 0, output_5162, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_addvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5163 },
#else
    { 0, output_5163, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_subvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5164 },
#else
    { 0, output_5164, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_mulvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5165 },
#else
    { 0, output_5165, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_smaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5166 },
#else
    { 0, output_5166, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_umaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5167 },
#else
    { 0, output_5167, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5168 },
#else
    { 0, output_5168, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_uminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5169 },
#else
    { 0, output_5169, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5170 },
#else
    { 0, output_5170, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5171 },
#else
    { 0, output_5171, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_lshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5172 },
#else
    { 0, output_5172, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_andvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5173 },
#else
    { 0, output_5173, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_iorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5174 },
#else
    { 0, output_5174, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_xorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5175 },
#else
    { 0, output_5175, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ssaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5176 },
#else
    { 0, output_5176, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_usaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5177 },
#else
    { 0, output_5177, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sssubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5178 },
#else
    { 0, output_5178, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ussubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5179 },
#else
    { 0, output_5179, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_addvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5180 },
#else
    { 0, output_5180, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_subvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5181 },
#else
    { 0, output_5181, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_mulvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5182 },
#else
    { 0, output_5182, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_smaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5183 },
#else
    { 0, output_5183, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_umaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5184 },
#else
    { 0, output_5184, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5185 },
#else
    { 0, output_5185, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_uminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5186 },
#else
    { 0, output_5186, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5187 },
#else
    { 0, output_5187, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5188 },
#else
    { 0, output_5188, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_lshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5189 },
#else
    { 0, output_5189, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_andvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5190 },
#else
    { 0, output_5190, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_iorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5191 },
#else
    { 0, output_5191, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_xorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5192 },
#else
    { 0, output_5192, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ssaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5193 },
#else
    { 0, output_5193, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_usaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5194 },
#else
    { 0, output_5194, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sssubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5195 },
#else
    { 0, output_5195, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ussubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5196 },
#else
    { 0, output_5196, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_addvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5197 },
#else
    { 0, output_5197, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_subvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5198 },
#else
    { 0, output_5198, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_mulvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5199 },
#else
    { 0, output_5199, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_smaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5200 },
#else
    { 0, output_5200, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_umaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5201 },
#else
    { 0, output_5201, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5202 },
#else
    { 0, output_5202, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_uminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5203 },
#else
    { 0, output_5203, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5204 },
#else
    { 0, output_5204, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ashrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5205 },
#else
    { 0, output_5205, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_lshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5206 },
#else
    { 0, output_5206, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_andvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5207 },
#else
    { 0, output_5207, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_iorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5208 },
#else
    { 0, output_5208, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_xorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5209 },
#else
    { 0, output_5209, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ssaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5210 },
#else
    { 0, output_5210, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_usaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5211 },
#else
    { 0, output_5211, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_sssubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5212 },
#else
    { 0, output_5212, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3683 */
  {
    "*cond_ussubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5213 },
#else
    { 0, output_5213, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_addvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5214 },
#else
    { 0, output_5214, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_subvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5215 },
#else
    { 0, output_5215, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_mulvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5216 },
#else
    { 0, output_5216, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_smaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5217 },
#else
    { 0, output_5217, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_umaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5218 },
#else
    { 0, output_5218, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5219 },
#else
    { 0, output_5219, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_uminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5220 },
#else
    { 0, output_5220, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5221 },
#else
    { 0, output_5221, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5222 },
#else
    { 0, output_5222, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_lshrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5223 },
#else
    { 0, output_5223, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_andvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5224 },
#else
    { 0, output_5224, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_iorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5225 },
#else
    { 0, output_5225, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_xorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5226 },
#else
    { 0, output_5226, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ssaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5227 },
#else
    { 0, output_5227, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_usaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5228 },
#else
    { 0, output_5228, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sssubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5229 },
#else
    { 0, output_5229, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ussubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5230 },
#else
    { 0, output_5230, 0 },
#endif
    { 0 },
    &operand_data[7592],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_addvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5231 },
#else
    { 0, output_5231, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_subvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5232 },
#else
    { 0, output_5232, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_mulvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5233 },
#else
    { 0, output_5233, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_smaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5234 },
#else
    { 0, output_5234, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_umaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5235 },
#else
    { 0, output_5235, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5236 },
#else
    { 0, output_5236, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_uminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5237 },
#else
    { 0, output_5237, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5238 },
#else
    { 0, output_5238, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5239 },
#else
    { 0, output_5239, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_lshrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5240 },
#else
    { 0, output_5240, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_andvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5241 },
#else
    { 0, output_5241, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_iorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5242 },
#else
    { 0, output_5242, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_xorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5243 },
#else
    { 0, output_5243, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ssaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5244 },
#else
    { 0, output_5244, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_usaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5245 },
#else
    { 0, output_5245, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sssubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5246 },
#else
    { 0, output_5246, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ussubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5247 },
#else
    { 0, output_5247, 0 },
#endif
    { 0 },
    &operand_data[7596],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_addvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5248 },
#else
    { 0, output_5248, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_subvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5249 },
#else
    { 0, output_5249, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_mulvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5250 },
#else
    { 0, output_5250, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_smaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5251 },
#else
    { 0, output_5251, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_umaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5252 },
#else
    { 0, output_5252, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5253 },
#else
    { 0, output_5253, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_uminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5254 },
#else
    { 0, output_5254, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5255 },
#else
    { 0, output_5255, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5256 },
#else
    { 0, output_5256, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_lshrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5257 },
#else
    { 0, output_5257, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_andvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5258 },
#else
    { 0, output_5258, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_iorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5259 },
#else
    { 0, output_5259, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_xorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5260 },
#else
    { 0, output_5260, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ssaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5261 },
#else
    { 0, output_5261, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_usaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5262 },
#else
    { 0, output_5262, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sssubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5263 },
#else
    { 0, output_5263, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ussubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5264 },
#else
    { 0, output_5264, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_addvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5265 },
#else
    { 0, output_5265, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_subvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5266 },
#else
    { 0, output_5266, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_mulvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5267 },
#else
    { 0, output_5267, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_smaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5268 },
#else
    { 0, output_5268, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_umaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5269 },
#else
    { 0, output_5269, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5270 },
#else
    { 0, output_5270, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_uminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5271 },
#else
    { 0, output_5271, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5272 },
#else
    { 0, output_5272, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ashrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5273 },
#else
    { 0, output_5273, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_lshrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5274 },
#else
    { 0, output_5274, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_andvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5275 },
#else
    { 0, output_5275, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_iorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5276 },
#else
    { 0, output_5276, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_xorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5277 },
#else
    { 0, output_5277, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ssaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5278 },
#else
    { 0, output_5278, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_usaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5279 },
#else
    { 0, output_5279, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_sssubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5280 },
#else
    { 0, output_5280, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3700 */
  {
    "*cond_ussubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5281 },
#else
    { 0, output_5281, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_addvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5282 },
#else
    { 0, output_5282, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_subvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5283 },
#else
    { 0, output_5283, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_mulvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5284 },
#else
    { 0, output_5284, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_smaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5285 },
#else
    { 0, output_5285, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_umaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5286 },
#else
    { 0, output_5286, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5287 },
#else
    { 0, output_5287, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_uminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5288 },
#else
    { 0, output_5288, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5289 },
#else
    { 0, output_5289, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5290 },
#else
    { 0, output_5290, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_lshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5291 },
#else
    { 0, output_5291, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_andvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5292 },
#else
    { 0, output_5292, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_iorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5293 },
#else
    { 0, output_5293, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_xorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5294 },
#else
    { 0, output_5294, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ssaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5295 },
#else
    { 0, output_5295, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_usaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5296 },
#else
    { 0, output_5296, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sssubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5297 },
#else
    { 0, output_5297, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ussubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5298 },
#else
    { 0, output_5298, 0 },
#endif
    { 0 },
    &operand_data[7608],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_addvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5299 },
#else
    { 0, output_5299, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_subvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5300 },
#else
    { 0, output_5300, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_mulvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5301 },
#else
    { 0, output_5301, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_smaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5302 },
#else
    { 0, output_5302, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_umaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5303 },
#else
    { 0, output_5303, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5304 },
#else
    { 0, output_5304, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_uminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5305 },
#else
    { 0, output_5305, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5306 },
#else
    { 0, output_5306, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5307 },
#else
    { 0, output_5307, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_lshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5308 },
#else
    { 0, output_5308, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_andvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5309 },
#else
    { 0, output_5309, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_iorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5310 },
#else
    { 0, output_5310, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_xorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5311 },
#else
    { 0, output_5311, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ssaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5312 },
#else
    { 0, output_5312, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_usaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5313 },
#else
    { 0, output_5313, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sssubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5314 },
#else
    { 0, output_5314, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ussubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5315 },
#else
    { 0, output_5315, 0 },
#endif
    { 0 },
    &operand_data[7613],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_addvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5316 },
#else
    { 0, output_5316, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_subvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5317 },
#else
    { 0, output_5317, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_mulvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5318 },
#else
    { 0, output_5318, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_smaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5319 },
#else
    { 0, output_5319, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_umaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5320 },
#else
    { 0, output_5320, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5321 },
#else
    { 0, output_5321, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_uminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5322 },
#else
    { 0, output_5322, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5323 },
#else
    { 0, output_5323, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5324 },
#else
    { 0, output_5324, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_lshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5325 },
#else
    { 0, output_5325, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_andvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5326 },
#else
    { 0, output_5326, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_iorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5327 },
#else
    { 0, output_5327, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_xorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5328 },
#else
    { 0, output_5328, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ssaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5329 },
#else
    { 0, output_5329, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_usaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5330 },
#else
    { 0, output_5330, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sssubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5331 },
#else
    { 0, output_5331, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ussubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5332 },
#else
    { 0, output_5332, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_addvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5333 },
#else
    { 0, output_5333, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_subvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5334 },
#else
    { 0, output_5334, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_mulvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5335 },
#else
    { 0, output_5335, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_smaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5336 },
#else
    { 0, output_5336, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_umaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5337 },
#else
    { 0, output_5337, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5338 },
#else
    { 0, output_5338, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_uminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5339 },
#else
    { 0, output_5339, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5340 },
#else
    { 0, output_5340, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ashrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5341 },
#else
    { 0, output_5341, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_lshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5342 },
#else
    { 0, output_5342, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_andvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5343 },
#else
    { 0, output_5343, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_iorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5344 },
#else
    { 0, output_5344, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_xorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5345 },
#else
    { 0, output_5345, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ssaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5346 },
#else
    { 0, output_5346, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_usaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5347 },
#else
    { 0, output_5347, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_sssubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5348 },
#else
    { 0, output_5348, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3717 */
  {
    "*cond_ussubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5349 },
#else
    { 0, output_5349, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5350 },
#else
    { 0, 0, output_5350 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[7628],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5351 },
#else
    { 0, 0, output_5351 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8qi3 },
    &operand_data[7631],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5352 },
#else
    { 0, 0, output_5352 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4qi3 },
    &operand_data[7634],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5353 },
#else
    { 0, 0, output_5353 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2qi3 },
    &operand_data[7637],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5354 },
#else
    { 0, 0, output_5354 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[7640],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5355 },
#else
    { 0, 0, output_5355 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4hi3 },
    &operand_data[7643],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5356 },
#else
    { 0, 0, output_5356 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2hi3 },
    &operand_data[7646],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5357 },
#else
    { 0, 0, output_5357 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[7649],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5358 },
#else
    { 0, 0, output_5358 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2si3 },
    &operand_data[7652],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3762 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5359 },
#else
    { 0, 0, output_5359 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[7655],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3788 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5360 },
#else
    { 0, output_5360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[7658],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3788 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5361 },
#else
    { 0, output_5361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[7661],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3788 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5362 },
#else
    { 0, output_5362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[7664],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3788 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5363 },
#else
    { 0, output_5363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[7667],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3812 */
  {
    "aarch64_adrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3812 */
  {
    "aarch64_adrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3823 */
  {
    "*aarch64_adr_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3843 */
  {
    "*aarch64_adr_uxtw_unspec",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3856 */
  {
    "*aarch64_adr_uxtw_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3884 */
  {
    "*aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7681],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3884 */
  {
    "*aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7686],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adr_shift_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7686],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3927 */
  {
    "*aarch64_adr_shift_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7692],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5373 },
#else
    { 0, output_5373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx16qi },
    &operand_data[7698],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5374 },
#else
    { 0, output_5374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx16qi },
    &operand_data[7698],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5375 },
#else
    { 0, output_5375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8hi },
    &operand_data[7702],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5376 },
#else
    { 0, output_5376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8hi },
    &operand_data[7702],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5377 },
#else
    { 0, output_5377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4si },
    &operand_data[7706],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5378 },
#else
    { 0, output_5378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4si },
    &operand_data[7706],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5379 },
#else
    { 0, output_5379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2di },
    &operand_data[7710],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3971 */
  {
    "aarch64_pred_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5380 },
#else
    { 0, output_5380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2di },
    &operand_data[7710],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_sabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5381 },
#else
    { 0, output_5381, 0 },
#endif
    { 0 },
    &operand_data[7714],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_uabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5382 },
#else
    { 0, output_5382, 0 },
#endif
    { 0 },
    &operand_data[7714],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_sabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5383 },
#else
    { 0, output_5383, 0 },
#endif
    { 0 },
    &operand_data[7720],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_uabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5384 },
#else
    { 0, output_5384, 0 },
#endif
    { 0 },
    &operand_data[7720],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_sabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5385 },
#else
    { 0, output_5385, 0 },
#endif
    { 0 },
    &operand_data[7726],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_uabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5386 },
#else
    { 0, output_5386, 0 },
#endif
    { 0 },
    &operand_data[7726],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_sabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5387 },
#else
    { 0, output_5387, 0 },
#endif
    { 0 },
    &operand_data[7732],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4016 */
  {
    "*aarch64_cond_uabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5388 },
#else
    { 0, output_5388, 0 },
#endif
    { 0 },
    &operand_data[7732],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_sabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5389 },
#else
    { 0, output_5389, 0 },
#endif
    { 0 },
    &operand_data[7738],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_uabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5390 },
#else
    { 0, output_5390, 0 },
#endif
    { 0 },
    &operand_data[7738],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_sabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5391 },
#else
    { 0, output_5391, 0 },
#endif
    { 0 },
    &operand_data[7745],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_uabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5392 },
#else
    { 0, output_5392, 0 },
#endif
    { 0 },
    &operand_data[7745],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_sabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5393 },
#else
    { 0, output_5393, 0 },
#endif
    { 0 },
    &operand_data[7752],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_uabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5394 },
#else
    { 0, output_5394, 0 },
#endif
    { 0 },
    &operand_data[7752],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_sabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5395 },
#else
    { 0, output_5395, 0 },
#endif
    { 0 },
    &operand_data[7759],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4047 */
  {
    "*aarch64_cond_uabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5396 },
#else
    { 0, output_5396, 0 },
#endif
    { 0 },
    &operand_data[7759],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5397 },
#else
    { 0, output_5397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx16qi },
    &operand_data[7766],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5398 },
#else
    { 0, output_5398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx16qi },
    &operand_data[7766],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5399 },
#else
    { 0, output_5399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx8hi },
    &operand_data[7769],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5400 },
#else
    { 0, output_5400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx8hi },
    &operand_data[7769],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5401 },
#else
    { 0, output_5401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx4si },
    &operand_data[7772],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5402 },
#else
    { 0, output_5402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx4si },
    &operand_data[7772],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5403 },
#else
    { 0, output_5403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx2di },
    &operand_data[7775],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4103 */
  {
    "aarch64_sve_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5404 },
#else
    { 0, output_5404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx2di },
    &operand_data[7775],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5405 },
#else
    { 0, output_5405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx16qi },
    &operand_data[7778],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5406 },
#else
    { 0, output_5406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx16qi },
    &operand_data[7778],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5407 },
#else
    { 0, output_5407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx8hi },
    &operand_data[7781],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5408 },
#else
    { 0, output_5408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx8hi },
    &operand_data[7781],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5409 },
#else
    { 0, output_5409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx4si },
    &operand_data[7784],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5410 },
#else
    { 0, output_5410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx4si },
    &operand_data[7784],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5411 },
#else
    { 0, output_5411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx2di },
    &operand_data[7787],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4119 */
  {
    "aarch64_sve_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5412 },
#else
    { 0, output_5412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx2di },
    &operand_data[7787],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5413 },
#else
    { 0, output_5413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx16qi },
    &operand_data[7698],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5414 },
#else
    { 0, output_5414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx16qi },
    &operand_data[7698],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5415 },
#else
    { 0, output_5415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8hi },
    &operand_data[7702],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5416 },
#else
    { 0, output_5416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8hi },
    &operand_data[7702],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5417 },
#else
    { 0, output_5417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4si },
    &operand_data[7706],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5418 },
#else
    { 0, output_5418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4si },
    &operand_data[7706],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5419 },
#else
    { 0, output_5419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2di },
    &operand_data[7710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "aarch64_pred_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5420 },
#else
    { 0, output_5420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2di },
    &operand_data[7710],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_smulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5421 },
#else
    { 0, output_5421, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_umulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5422 },
#else
    { 0, output_5422, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_smulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5423 },
#else
    { 0, output_5423, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_umulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5424 },
#else
    { 0, output_5424, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_smulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5425 },
#else
    { 0, output_5425, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_umulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5426 },
#else
    { 0, output_5426, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_smulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5427 },
#else
    { 0, output_5427, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4193 */
  {
    "*cond_umulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5428 },
#else
    { 0, output_5428, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_smulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5429 },
#else
    { 0, output_5429, 0 },
#endif
    { 0 },
    &operand_data[7790],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_umulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5430 },
#else
    { 0, output_5430, 0 },
#endif
    { 0 },
    &operand_data[7790],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_smulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5431 },
#else
    { 0, output_5431, 0 },
#endif
    { 0 },
    &operand_data[7795],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_umulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5432 },
#else
    { 0, output_5432, 0 },
#endif
    { 0 },
    &operand_data[7795],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_smulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5433 },
#else
    { 0, output_5433, 0 },
#endif
    { 0 },
    &operand_data[7800],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_umulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5434 },
#else
    { 0, output_5434, 0 },
#endif
    { 0 },
    &operand_data[7800],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_smulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5435 },
#else
    { 0, output_5435, 0 },
#endif
    { 0 },
    &operand_data[7805],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "*cond_umulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5436 },
#else
    { 0, output_5436, 0 },
#endif
    { 0 },
    &operand_data[7805],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4252 */
  {
    "aarch64_pred_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5437 },
#else
    { 0, output_5437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4252 */
  {
    "aarch64_pred_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5438 },
#else
    { 0, output_5438, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4252 */
  {
    "aarch64_pred_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5439 },
#else
    { 0, output_5439, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4252 */
  {
    "aarch64_pred_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5440 },
#else
    { 0, output_5440, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4282 */
  {
    "*cond_divvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5441 },
#else
    { 0, output_5441, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4282 */
  {
    "*cond_udivvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5442 },
#else
    { 0, output_5442, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4282 */
  {
    "*cond_divvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5443 },
#else
    { 0, output_5443, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4282 */
  {
    "*cond_udivvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5444 },
#else
    { 0, output_5444, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4299 */
  {
    "*cond_divvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5445 },
#else
    { 0, output_5445, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4299 */
  {
    "*cond_udivvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5446 },
#else
    { 0, output_5446, 0 },
#endif
    { 0 },
    &operand_data[7600],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4299 */
  {
    "*cond_divvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5447 },
#else
    { 0, output_5447, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4299 */
  {
    "*cond_udivvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5448 },
#else
    { 0, output_5448, 0 },
#endif
    { 0 },
    &operand_data[7604],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4316 */
  {
    "*cond_divvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5449 },
#else
    { 0, output_5449, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4316 */
  {
    "*cond_udivvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5450 },
#else
    { 0, output_5450, 0 },
#endif
    { 0 },
    &operand_data[7618],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4316 */
  {
    "*cond_divvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5451 },
#else
    { 0, output_5451, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4316 */
  {
    "*cond_udivvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5452 },
#else
    { 0, output_5452, 0 },
#endif
    { 0 },
    &operand_data[7623],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5453 },
#else
    { 0, output_5453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[7818],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5454 },
#else
    { 0, output_5454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[7818],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5455 },
#else
    { 0, output_5455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[7818],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5456 },
#else
    { 0, output_5456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[7821],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5457 },
#else
    { 0, output_5457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[7821],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5458 },
#else
    { 0, output_5458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[7821],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5459 },
#else
    { 0, output_5459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[7824],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5460 },
#else
    { 0, output_5460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[7824],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5461 },
#else
    { 0, output_5461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[7824],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5462 },
#else
    { 0, output_5462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[7827],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5463 },
#else
    { 0, output_5463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[7827],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4355 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5464 },
#else
    { 0, output_5464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[7827],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4393 */
  {
    "*bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7830],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4393 */
  {
    "*bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7834],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4393 */
  {
    "*bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4393 */
  {
    "*bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4424 */
  {
    "*cond_bicvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5469 },
#else
    { 0, output_5469, 0 },
#endif
    { 0 },
    &operand_data[7576],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4424 */
  {
    "*cond_bicvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5470 },
#else
    { 0, output_5470, 0 },
#endif
    { 0 },
    &operand_data[7580],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4424 */
  {
    "*cond_bicvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5471 },
#else
    { 0, output_5471, 0 },
#endif
    { 0 },
    &operand_data[7584],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4424 */
  {
    "*cond_bicvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5472 },
#else
    { 0, output_5472, 0 },
#endif
    { 0 },
    &operand_data[7588],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4442 */
  {
    "*cond_bicvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5473 },
#else
    { 0, output_5473, 0 },
#endif
    { 0 },
    &operand_data[7842],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4442 */
  {
    "*cond_bicvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5474 },
#else
    { 0, output_5474, 0 },
#endif
    { 0 },
    &operand_data[7847],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4442 */
  {
    "*cond_bicvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5475 },
#else
    { 0, output_5475, 0 },
#endif
    { 0 },
    &operand_data[7852],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4442 */
  {
    "*cond_bicvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5476 },
#else
    { 0, output_5476, 0 },
#endif
    { 0 },
    &operand_data[7857],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5477 },
#else
    { 0, output_5477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx16qi },
    &operand_data[7862],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5478 },
#else
    { 0, output_5478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx16qi },
    &operand_data[7866],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5479 },
#else
    { 0, output_5479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx16qi },
    &operand_data[7866],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5480 },
#else
    { 0, output_5480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8hi },
    &operand_data[7870],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5481 },
#else
    { 0, output_5481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8hi },
    &operand_data[7874],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5482 },
#else
    { 0, output_5482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8hi },
    &operand_data[7874],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5483 },
#else
    { 0, output_5483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4si },
    &operand_data[7878],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5484 },
#else
    { 0, output_5484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4si },
    &operand_data[7882],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5485 },
#else
    { 0, output_5485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4si },
    &operand_data[7882],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5486 },
#else
    { 0, output_5486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2di },
    &operand_data[7886],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5487 },
#else
    { 0, output_5487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2di },
    &operand_data[7890],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4528 */
  {
    "aarch64_pred_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5488 },
#else
    { 0, output_5488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2di },
    &operand_data[7890],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7894],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7897],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7897],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7900],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7903],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7903],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7909],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7909],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7912],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4552 */
  {
    "*post_ra_vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashlvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5501 },
#else
    { 0, output_5501, 0 },
#endif
    { 0 },
    &operand_data[7918],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5502 },
#else
    { 0, output_5502, 0 },
#endif
    { 0 },
    &operand_data[7922],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_lshrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5503 },
#else
    { 0, output_5503, 0 },
#endif
    { 0 },
    &operand_data[7922],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashlvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5504 },
#else
    { 0, output_5504, 0 },
#endif
    { 0 },
    &operand_data[7926],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5505 },
#else
    { 0, output_5505, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_lshrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5506 },
#else
    { 0, output_5506, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashlvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5507 },
#else
    { 0, output_5507, 0 },
#endif
    { 0 },
    &operand_data[7934],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5508 },
#else
    { 0, output_5508, 0 },
#endif
    { 0 },
    &operand_data[7938],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_lshrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5509 },
#else
    { 0, output_5509, 0 },
#endif
    { 0 },
    &operand_data[7938],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashlvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5510 },
#else
    { 0, output_5510, 0 },
#endif
    { 0 },
    &operand_data[7942],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_ashrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5511 },
#else
    { 0, output_5511, 0 },
#endif
    { 0 },
    &operand_data[7946],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4562 */
  {
    "*cond_lshrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5512 },
#else
    { 0, output_5512, 0 },
#endif
    { 0 },
    &operand_data[7946],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashlvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5513 },
#else
    { 0, output_5513, 0 },
#endif
    { 0 },
    &operand_data[7950],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5514 },
#else
    { 0, output_5514, 0 },
#endif
    { 0 },
    &operand_data[7955],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_lshrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5515 },
#else
    { 0, output_5515, 0 },
#endif
    { 0 },
    &operand_data[7955],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashlvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5516 },
#else
    { 0, output_5516, 0 },
#endif
    { 0 },
    &operand_data[7960],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5517 },
#else
    { 0, output_5517, 0 },
#endif
    { 0 },
    &operand_data[7965],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_lshrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5518 },
#else
    { 0, output_5518, 0 },
#endif
    { 0 },
    &operand_data[7965],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashlvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5519 },
#else
    { 0, output_5519, 0 },
#endif
    { 0 },
    &operand_data[7970],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5520 },
#else
    { 0, output_5520, 0 },
#endif
    { 0 },
    &operand_data[7975],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_lshrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5521 },
#else
    { 0, output_5521, 0 },
#endif
    { 0 },
    &operand_data[7975],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashlvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5522 },
#else
    { 0, output_5522, 0 },
#endif
    { 0 },
    &operand_data[7980],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_ashrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5523 },
#else
    { 0, output_5523, 0 },
#endif
    { 0 },
    &operand_data[7985],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4579 */
  {
    "*cond_lshrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5524 },
#else
    { 0, output_5524, 0 },
#endif
    { 0 },
    &operand_data[7985],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx16qi },
    &operand_data[7990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx16qi },
    &operand_data[7990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx16qi },
    &operand_data[7990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx8hi },
    &operand_data[7993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx8hi },
    &operand_data[7993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx8hi },
    &operand_data[7993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx4si },
    &operand_data[7996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx4si },
    &operand_data[7996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "aarch64_sve_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx4si },
    &operand_data[7996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lslvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5534 },
#else
    { 0, output_5534, 0 },
#endif
    { 0 },
    &operand_data[7999],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_asrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5535 },
#else
    { 0, output_5535, 0 },
#endif
    { 0 },
    &operand_data[7999],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lsrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5536 },
#else
    { 0, output_5536, 0 },
#endif
    { 0 },
    &operand_data[7999],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lslvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5537 },
#else
    { 0, output_5537, 0 },
#endif
    { 0 },
    &operand_data[8003],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_asrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5538 },
#else
    { 0, output_5538, 0 },
#endif
    { 0 },
    &operand_data[8003],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lsrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5539 },
#else
    { 0, output_5539, 0 },
#endif
    { 0 },
    &operand_data[8003],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lslvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5540 },
#else
    { 0, output_5540, 0 },
#endif
    { 0 },
    &operand_data[8007],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_asrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5541 },
#else
    { 0, output_5541, 0 },
#endif
    { 0 },
    &operand_data[8007],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4631 */
  {
    "*cond_lsrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5542 },
#else
    { 0, output_5542, 0 },
#endif
    { 0 },
    &operand_data[8007],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lslvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5543 },
#else
    { 0, output_5543, 0 },
#endif
    { 0 },
    &operand_data[8011],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_asrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5544 },
#else
    { 0, output_5544, 0 },
#endif
    { 0 },
    &operand_data[8011],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lsrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5545 },
#else
    { 0, output_5545, 0 },
#endif
    { 0 },
    &operand_data[8011],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lslvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5546 },
#else
    { 0, output_5546, 0 },
#endif
    { 0 },
    &operand_data[8016],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_asrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5547 },
#else
    { 0, output_5547, 0 },
#endif
    { 0 },
    &operand_data[8016],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lsrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5548 },
#else
    { 0, output_5548, 0 },
#endif
    { 0 },
    &operand_data[8016],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lslvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5549 },
#else
    { 0, output_5549, 0 },
#endif
    { 0 },
    &operand_data[8021],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_asrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5550 },
#else
    { 0, output_5550, 0 },
#endif
    { 0 },
    &operand_data[8021],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4648 */
  {
    "*cond_lsrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5551 },
#else
    { 0, output_5551, 0 },
#endif
    { 0 },
    &operand_data[8021],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_asrdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5552 },
#else
    { 0, output_5552, 0 },
#endif
    { 0 },
    &operand_data[7922],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_sqshluvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5553 },
#else
    { 0, output_5553, 0 },
#endif
    { 0 },
    &operand_data[7918],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_srshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5554 },
#else
    { 0, output_5554, 0 },
#endif
    { 0 },
    &operand_data[7922],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_urshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5555 },
#else
    { 0, output_5555, 0 },
#endif
    { 0 },
    &operand_data[7922],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_asrdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5556 },
#else
    { 0, output_5556, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_sqshluvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5557 },
#else
    { 0, output_5557, 0 },
#endif
    { 0 },
    &operand_data[7926],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_srshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5558 },
#else
    { 0, output_5558, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_urshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5559 },
#else
    { 0, output_5559, 0 },
#endif
    { 0 },
    &operand_data[7930],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_asrdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5560 },
#else
    { 0, output_5560, 0 },
#endif
    { 0 },
    &operand_data[7938],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_sqshluvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5561 },
#else
    { 0, output_5561, 0 },
#endif
    { 0 },
    &operand_data[7934],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_srshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5562 },
#else
    { 0, output_5562, 0 },
#endif
    { 0 },
    &operand_data[7938],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_urshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5563 },
#else
    { 0, output_5563, 0 },
#endif
    { 0 },
    &operand_data[7938],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_asrdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5564 },
#else
    { 0, output_5564, 0 },
#endif
    { 0 },
    &operand_data[7946],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_sqshluvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5565 },
#else
    { 0, output_5565, 0 },
#endif
    { 0 },
    &operand_data[7942],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_srshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5566 },
#else
    { 0, output_5566, 0 },
#endif
    { 0 },
    &operand_data[7946],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4706 */
  {
    "*cond_urshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5567 },
#else
    { 0, output_5567, 0 },
#endif
    { 0 },
    &operand_data[7946],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_asrdvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8026],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_sqshluvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8031],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_srshrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8026],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_urshrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8026],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_asrdvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_sqshluvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8041],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_srshrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_urshrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_asrdvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8046],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_sqshluvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8051],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_srshrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8046],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_urshrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8046],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_asrdvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.d, %1/z, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8056],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_sqshluvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.d, %1/z, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8061],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_srshrvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.d, %1/z, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8056],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4723 */
  {
    "*cond_urshrvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movprfx\t%0.d, %1/z, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8056],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsmulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx8hf },
    &operand_data[8066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsselvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx8hf },
    &operand_data[8066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsmulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx4sf },
    &operand_data[8069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsselvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx4sf },
    &operand_data[8069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsmulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx2df },
    &operand_data[8072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "aarch64_sve_ftsselvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx2df },
    &operand_data[8072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "aarch64_pred_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5590 },
#else
    { 0, output_5590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx8hf },
    &operand_data[8075],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "aarch64_pred_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5591 },
#else
    { 0, output_5591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx4sf },
    &operand_data[8080],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "aarch64_pred_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5592 },
#else
    { 0, output_5592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx2df },
    &operand_data[8085],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "*cond_fscalevnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5593 },
#else
    { 0, output_5593, 0 },
#endif
    { 0 },
    &operand_data[8090],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "*cond_fscalevnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5594 },
#else
    { 0, output_5594, 0 },
#endif
    { 0 },
    &operand_data[8095],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4794 */
  {
    "*cond_fscalevnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5595 },
#else
    { 0, output_5595, 0 },
#endif
    { 0 },
    &operand_data[8100],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4817 */
  {
    "*cond_fscalevnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5596 },
#else
    { 0, output_5596, 0 },
#endif
    { 0 },
    &operand_data[8075],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4817 */
  {
    "*cond_fscalevnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5597 },
#else
    { 0, output_5597, 0 },
#endif
    { 0 },
    &operand_data[8080],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4817 */
  {
    "*cond_fscalevnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5598 },
#else
    { 0, output_5598, 0 },
#endif
    { 0 },
    &operand_data[8085],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "*cond_fscalevnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5599 },
#else
    { 0, output_5599, 0 },
#endif
    { 0 },
    &operand_data[8105],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "*cond_fscalevnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5600 },
#else
    { 0, output_5600, 0 },
#endif
    { 0 },
    &operand_data[8111],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "*cond_fscalevnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5601 },
#else
    { 0, output_5601, 0 },
#endif
    { 0 },
    &operand_data[8117],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_fscalevnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5602 },
#else
    { 0, output_5602, 0 },
#endif
    { 0 },
    &operand_data[8105],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_fscalevnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5603 },
#else
    { 0, output_5603, 0 },
#endif
    { 0 },
    &operand_data[8111],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4875 */
  {
    "*cond_fscalevnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5604 },
#else
    { 0, output_5604, 0 },
#endif
    { 0 },
    &operand_data[8117],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_faddvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fsubvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_faddvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fsubvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_faddvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fsubvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4916 */
  {
    "*post_ra_fmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frsqrtsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4944 */
  {
    "aarch64_sve_frsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5620 },
#else
    { 0, output_5620, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx8hf },
    &operand_data[8132],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5621 },
#else
    { 0, output_5621, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8hf },
    &operand_data[8132],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5622 },
#else
    { 0, output_5622, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4sf },
    &operand_data[8137],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5623 },
#else
    { 0, output_5623, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx4sf },
    &operand_data[8137],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5624 },
#else
    { 0, output_5624, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2df },
    &operand_data[8142],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "aarch64_pred_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5625 },
#else
    { 0, output_5625, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx2df },
    &operand_data[8142],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_addvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5626 },
#else
    { 0, output_5626, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_divvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5627 },
#else
    { 0, output_5627, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smax_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5628 },
#else
    { 0, output_5628, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5629 },
#else
    { 0, output_5629, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smin_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5630 },
#else
    { 0, output_5630, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_sminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5631 },
#else
    { 0, output_5631, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5632 },
#else
    { 0, output_5632, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5633 },
#else
    { 0, output_5633, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_subvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5634 },
#else
    { 0, output_5634, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_addvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5635 },
#else
    { 0, output_5635, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_divvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5636 },
#else
    { 0, output_5636, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smax_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5637 },
#else
    { 0, output_5637, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5638 },
#else
    { 0, output_5638, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smin_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5639 },
#else
    { 0, output_5639, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_sminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5640 },
#else
    { 0, output_5640, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5641 },
#else
    { 0, output_5641, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5642 },
#else
    { 0, output_5642, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_subvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5643 },
#else
    { 0, output_5643, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_addvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5644 },
#else
    { 0, output_5644, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_divvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5645 },
#else
    { 0, output_5645, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smax_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5646 },
#else
    { 0, output_5646, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5647 },
#else
    { 0, output_5647, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_smin_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5648 },
#else
    { 0, output_5648, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_sminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5649 },
#else
    { 0, output_5649, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5650 },
#else
    { 0, output_5650, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_mulxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5651 },
#else
    { 0, output_5651, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5004 */
  {
    "*cond_subvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5652 },
#else
    { 0, output_5652, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_addvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5653 },
#else
    { 0, output_5653, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_divvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5654 },
#else
    { 0, output_5654, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smax_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5655 },
#else
    { 0, output_5655, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5656 },
#else
    { 0, output_5656, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smin_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5657 },
#else
    { 0, output_5657, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5658 },
#else
    { 0, output_5658, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5659 },
#else
    { 0, output_5659, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5660 },
#else
    { 0, output_5660, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_subvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5661 },
#else
    { 0, output_5661, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_addvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5662 },
#else
    { 0, output_5662, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_divvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5663 },
#else
    { 0, output_5663, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smax_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5664 },
#else
    { 0, output_5664, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5665 },
#else
    { 0, output_5665, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smin_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5666 },
#else
    { 0, output_5666, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5667 },
#else
    { 0, output_5667, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5668 },
#else
    { 0, output_5668, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5669 },
#else
    { 0, output_5669, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_subvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5670 },
#else
    { 0, output_5670, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_addvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5671 },
#else
    { 0, output_5671, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_divvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5672 },
#else
    { 0, output_5672, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smax_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5673 },
#else
    { 0, output_5673, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5674 },
#else
    { 0, output_5674, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_smin_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5675 },
#else
    { 0, output_5675, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_sminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5676 },
#else
    { 0, output_5676, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5677 },
#else
    { 0, output_5677, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_mulxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5678 },
#else
    { 0, output_5678, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5027 */
  {
    "*cond_subvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5679 },
#else
    { 0, output_5679, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smax_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5680 },
#else
    { 0, output_5680, 0 },
#endif
    { 0 },
    &operand_data[8162],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5681 },
#else
    { 0, output_5681, 0 },
#endif
    { 0 },
    &operand_data[8162],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smin_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5682 },
#else
    { 0, output_5682, 0 },
#endif
    { 0 },
    &operand_data[8162],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_sminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5683 },
#else
    { 0, output_5683, 0 },
#endif
    { 0 },
    &operand_data[8162],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_mulvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5684 },
#else
    { 0, output_5684, 0 },
#endif
    { 0 },
    &operand_data[8167],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smax_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5685 },
#else
    { 0, output_5685, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5686 },
#else
    { 0, output_5686, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smin_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5687 },
#else
    { 0, output_5687, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_sminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5688 },
#else
    { 0, output_5688, 0 },
#endif
    { 0 },
    &operand_data[8172],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_mulvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5689 },
#else
    { 0, output_5689, 0 },
#endif
    { 0 },
    &operand_data[8177],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smax_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5690 },
#else
    { 0, output_5690, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5691 },
#else
    { 0, output_5691, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_smin_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5692 },
#else
    { 0, output_5692, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_sminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5693 },
#else
    { 0, output_5693, 0 },
#endif
    { 0 },
    &operand_data[8182],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5047 */
  {
    "*cond_mulvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5694 },
#else
    { 0, output_5694, 0 },
#endif
    { 0 },
    &operand_data[8187],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smax_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5695 },
#else
    { 0, output_5695, 0 },
#endif
    { 0 },
    &operand_data[8162],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5696 },
#else
    { 0, output_5696, 0 },
#endif
    { 0 },
    &operand_data[8162],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smin_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5697 },
#else
    { 0, output_5697, 0 },
#endif
    { 0 },
    &operand_data[8162],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_sminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5698 },
#else
    { 0, output_5698, 0 },
#endif
    { 0 },
    &operand_data[8162],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_mulvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5699 },
#else
    { 0, output_5699, 0 },
#endif
    { 0 },
    &operand_data[8167],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smax_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5700 },
#else
    { 0, output_5700, 0 },
#endif
    { 0 },
    &operand_data[8172],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5701 },
#else
    { 0, output_5701, 0 },
#endif
    { 0 },
    &operand_data[8172],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smin_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5702 },
#else
    { 0, output_5702, 0 },
#endif
    { 0 },
    &operand_data[8172],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_sminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5703 },
#else
    { 0, output_5703, 0 },
#endif
    { 0 },
    &operand_data[8172],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_mulvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5704 },
#else
    { 0, output_5704, 0 },
#endif
    { 0 },
    &operand_data[8177],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smax_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5705 },
#else
    { 0, output_5705, 0 },
#endif
    { 0 },
    &operand_data[8182],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5706 },
#else
    { 0, output_5706, 0 },
#endif
    { 0 },
    &operand_data[8182],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_smin_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5707 },
#else
    { 0, output_5707, 0 },
#endif
    { 0 },
    &operand_data[8182],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_sminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5708 },
#else
    { 0, output_5708, 0 },
#endif
    { 0 },
    &operand_data[8182],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5070 */
  {
    "*cond_mulvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5709 },
#else
    { 0, output_5709, 0 },
#endif
    { 0 },
    &operand_data[8187],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_addvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5710 },
#else
    { 0, output_5710, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_divvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5711 },
#else
    { 0, output_5711, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smax_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5712 },
#else
    { 0, output_5712, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5713 },
#else
    { 0, output_5713, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smin_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5714 },
#else
    { 0, output_5714, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_sminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5715 },
#else
    { 0, output_5715, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5716 },
#else
    { 0, output_5716, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5717 },
#else
    { 0, output_5717, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_subvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5718 },
#else
    { 0, output_5718, 0 },
#endif
    { 0 },
    &operand_data[8192],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_addvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5719 },
#else
    { 0, output_5719, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_divvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5720 },
#else
    { 0, output_5720, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smax_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5721 },
#else
    { 0, output_5721, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5722 },
#else
    { 0, output_5722, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smin_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5723 },
#else
    { 0, output_5723, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_sminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5724 },
#else
    { 0, output_5724, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5725 },
#else
    { 0, output_5725, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5726 },
#else
    { 0, output_5726, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_subvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5727 },
#else
    { 0, output_5727, 0 },
#endif
    { 0 },
    &operand_data[8197],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_addvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5728 },
#else
    { 0, output_5728, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_divvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5729 },
#else
    { 0, output_5729, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smax_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5730 },
#else
    { 0, output_5730, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5731 },
#else
    { 0, output_5731, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_smin_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5732 },
#else
    { 0, output_5732, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_sminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5733 },
#else
    { 0, output_5733, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5734 },
#else
    { 0, output_5734, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_mulxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5735 },
#else
    { 0, output_5735, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5090 */
  {
    "*cond_subvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5736 },
#else
    { 0, output_5736, 0 },
#endif
    { 0 },
    &operand_data[8202],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_addvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5737 },
#else
    { 0, output_5737, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_divvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5738 },
#else
    { 0, output_5738, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smax_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5739 },
#else
    { 0, output_5739, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5740 },
#else
    { 0, output_5740, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smin_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5741 },
#else
    { 0, output_5741, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_sminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5742 },
#else
    { 0, output_5742, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5743 },
#else
    { 0, output_5743, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5744 },
#else
    { 0, output_5744, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_subvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5745 },
#else
    { 0, output_5745, 0 },
#endif
    { 0 },
    &operand_data[8192],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_addvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5746 },
#else
    { 0, output_5746, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_divvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5747 },
#else
    { 0, output_5747, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smax_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5748 },
#else
    { 0, output_5748, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5749 },
#else
    { 0, output_5749, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smin_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5750 },
#else
    { 0, output_5750, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_sminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5751 },
#else
    { 0, output_5751, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5752 },
#else
    { 0, output_5752, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5753 },
#else
    { 0, output_5753, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_subvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5754 },
#else
    { 0, output_5754, 0 },
#endif
    { 0 },
    &operand_data[8197],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_addvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5755 },
#else
    { 0, output_5755, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_divvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5756 },
#else
    { 0, output_5756, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smax_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5757 },
#else
    { 0, output_5757, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5758 },
#else
    { 0, output_5758, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_smin_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5759 },
#else
    { 0, output_5759, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_sminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5760 },
#else
    { 0, output_5760, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5761 },
#else
    { 0, output_5761, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_mulxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5762 },
#else
    { 0, output_5762, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5113 */
  {
    "*cond_subvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5763 },
#else
    { 0, output_5763, 0 },
#endif
    { 0 },
    &operand_data[8202],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_addvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5764 },
#else
    { 0, output_5764, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_divvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5765 },
#else
    { 0, output_5765, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smax_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5766 },
#else
    { 0, output_5766, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5767 },
#else
    { 0, output_5767, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smin_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5768 },
#else
    { 0, output_5768, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_sminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5769 },
#else
    { 0, output_5769, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5770 },
#else
    { 0, output_5770, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5771 },
#else
    { 0, output_5771, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_subvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5772 },
#else
    { 0, output_5772, 0 },
#endif
    { 0 },
    &operand_data[8207],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_addvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5773 },
#else
    { 0, output_5773, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_divvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5774 },
#else
    { 0, output_5774, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smax_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5775 },
#else
    { 0, output_5775, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5776 },
#else
    { 0, output_5776, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smin_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5777 },
#else
    { 0, output_5777, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_sminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5778 },
#else
    { 0, output_5778, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5779 },
#else
    { 0, output_5779, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5780 },
#else
    { 0, output_5780, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_subvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5781 },
#else
    { 0, output_5781, 0 },
#endif
    { 0 },
    &operand_data[8213],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_addvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5782 },
#else
    { 0, output_5782, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_divvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5783 },
#else
    { 0, output_5783, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smax_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5784 },
#else
    { 0, output_5784, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5785 },
#else
    { 0, output_5785, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_smin_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5786 },
#else
    { 0, output_5786, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_sminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5787 },
#else
    { 0, output_5787, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5788 },
#else
    { 0, output_5788, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_mulxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5789 },
#else
    { 0, output_5789, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5133 */
  {
    "*cond_subvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5790 },
#else
    { 0, output_5790, 0 },
#endif
    { 0 },
    &operand_data[8219],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_addvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5791 },
#else
    { 0, output_5791, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_divvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5792 },
#else
    { 0, output_5792, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smax_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5793 },
#else
    { 0, output_5793, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5794 },
#else
    { 0, output_5794, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smin_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5795 },
#else
    { 0, output_5795, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_sminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5796 },
#else
    { 0, output_5796, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5797 },
#else
    { 0, output_5797, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5798 },
#else
    { 0, output_5798, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_subvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5799 },
#else
    { 0, output_5799, 0 },
#endif
    { 0 },
    &operand_data[8207],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_addvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5800 },
#else
    { 0, output_5800, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_divvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5801 },
#else
    { 0, output_5801, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smax_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5802 },
#else
    { 0, output_5802, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5803 },
#else
    { 0, output_5803, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smin_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5804 },
#else
    { 0, output_5804, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_sminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5805 },
#else
    { 0, output_5805, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5806 },
#else
    { 0, output_5806, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5807 },
#else
    { 0, output_5807, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_subvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5808 },
#else
    { 0, output_5808, 0 },
#endif
    { 0 },
    &operand_data[8213],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_addvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5809 },
#else
    { 0, output_5809, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_divvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5810 },
#else
    { 0, output_5810, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smax_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5811 },
#else
    { 0, output_5811, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5812 },
#else
    { 0, output_5812, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_smin_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5813 },
#else
    { 0, output_5813, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_sminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5814 },
#else
    { 0, output_5814, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5815 },
#else
    { 0, output_5815, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_mulxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5816 },
#else
    { 0, output_5816, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5172 */
  {
    "*cond_subvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5817 },
#else
    { 0, output_5817, 0 },
#endif
    { 0 },
    &operand_data[8219],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smax_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5818 },
#else
    { 0, output_5818, 0 },
#endif
    { 0 },
    &operand_data[8225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5819 },
#else
    { 0, output_5819, 0 },
#endif
    { 0 },
    &operand_data[8225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smin_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5820 },
#else
    { 0, output_5820, 0 },
#endif
    { 0 },
    &operand_data[8225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_sminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5821 },
#else
    { 0, output_5821, 0 },
#endif
    { 0 },
    &operand_data[8225],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_mulvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5822 },
#else
    { 0, output_5822, 0 },
#endif
    { 0 },
    &operand_data[8231],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smax_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5823 },
#else
    { 0, output_5823, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5824 },
#else
    { 0, output_5824, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smin_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5825 },
#else
    { 0, output_5825, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_sminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5826 },
#else
    { 0, output_5826, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_mulvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5827 },
#else
    { 0, output_5827, 0 },
#endif
    { 0 },
    &operand_data[8243],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smax_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5828 },
#else
    { 0, output_5828, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5829 },
#else
    { 0, output_5829, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_smin_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5830 },
#else
    { 0, output_5830, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_sminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5831 },
#else
    { 0, output_5831, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5205 */
  {
    "*cond_mulvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5832 },
#else
    { 0, output_5832, 0 },
#endif
    { 0 },
    &operand_data[8255],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smax_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5833 },
#else
    { 0, output_5833, 0 },
#endif
    { 0 },
    &operand_data[8225],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5834 },
#else
    { 0, output_5834, 0 },
#endif
    { 0 },
    &operand_data[8225],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smin_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5835 },
#else
    { 0, output_5835, 0 },
#endif
    { 0 },
    &operand_data[8225],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_sminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5836 },
#else
    { 0, output_5836, 0 },
#endif
    { 0 },
    &operand_data[8225],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_mulvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5837 },
#else
    { 0, output_5837, 0 },
#endif
    { 0 },
    &operand_data[8231],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smax_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5838 },
#else
    { 0, output_5838, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5839 },
#else
    { 0, output_5839, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smin_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5840 },
#else
    { 0, output_5840, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_sminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5841 },
#else
    { 0, output_5841, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_mulvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5842 },
#else
    { 0, output_5842, 0 },
#endif
    { 0 },
    &operand_data[8243],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smax_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5843 },
#else
    { 0, output_5843, 0 },
#endif
    { 0 },
    &operand_data[8249],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5844 },
#else
    { 0, output_5844, 0 },
#endif
    { 0 },
    &operand_data[8249],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_smin_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5845 },
#else
    { 0, output_5845, 0 },
#endif
    { 0 },
    &operand_data[8249],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_sminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5846 },
#else
    { 0, output_5846, 0 },
#endif
    { 0 },
    &operand_data[8249],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5240 */
  {
    "*cond_mulvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5847 },
#else
    { 0, output_5847, 0 },
#endif
    { 0 },
    &operand_data[8255],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5277 */
  {
    "aarch64_pred_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5848 },
#else
    { 0, output_5848, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8hf },
    &operand_data[8261],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5277 */
  {
    "aarch64_pred_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5849 },
#else
    { 0, output_5849, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx4sf },
    &operand_data[8266],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5277 */
  {
    "aarch64_pred_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5850 },
#else
    { 0, output_5850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx2df },
    &operand_data[8271],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_addvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5851 },
#else
    { 0, output_5851, 0 },
#endif
    { 0 },
    &operand_data[8276],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_addvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5852 },
#else
    { 0, output_5852, 0 },
#endif
    { 0 },
    &operand_data[8281],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_addvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5853 },
#else
    { 0, output_5853, 0 },
#endif
    { 0 },
    &operand_data[8286],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5331 */
  {
    "*cond_addvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5854 },
#else
    { 0, output_5854, 0 },
#endif
    { 0 },
    &operand_data[8276],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5331 */
  {
    "*cond_addvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5855 },
#else
    { 0, output_5855, 0 },
#endif
    { 0 },
    &operand_data[8281],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5331 */
  {
    "*cond_addvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5856 },
#else
    { 0, output_5856, 0 },
#endif
    { 0 },
    &operand_data[8286],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5354 */
  {
    "*cond_addvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5857 },
#else
    { 0, output_5857, 0 },
#endif
    { 0 },
    &operand_data[8291],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5354 */
  {
    "*cond_addvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5858 },
#else
    { 0, output_5858, 0 },
#endif
    { 0 },
    &operand_data[8297],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5354 */
  {
    "*cond_addvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5859 },
#else
    { 0, output_5859, 0 },
#endif
    { 0 },
    &operand_data[8303],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5392 */
  {
    "*cond_addvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5860 },
#else
    { 0, output_5860, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5392 */
  {
    "*cond_addvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5861 },
#else
    { 0, output_5861, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5392 */
  {
    "*cond_addvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5862 },
#else
    { 0, output_5862, 0 },
#endif
    { 0 },
    &operand_data[8303],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5863 },
#else
    { 0, output_5863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx8hf },
    &operand_data[8309],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5864 },
#else
    { 0, output_5864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx8hf },
    &operand_data[8309],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5865 },
#else
    { 0, output_5865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx4sf },
    &operand_data[8314],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5866 },
#else
    { 0, output_5866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx4sf },
    &operand_data[8314],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5867 },
#else
    { 0, output_5867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx2df },
    &operand_data[8319],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5433 */
  {
    "aarch64_pred_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5868 },
#else
    { 0, output_5868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx2df },
    &operand_data[8319],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd90vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5869 },
#else
    { 0, output_5869, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd270vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5870 },
#else
    { 0, output_5870, 0 },
#endif
    { 0 },
    &operand_data[8147],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd90vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5871 },
#else
    { 0, output_5871, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd270vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5872 },
#else
    { 0, output_5872, 0 },
#endif
    { 0 },
    &operand_data[8152],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd90vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5873 },
#else
    { 0, output_5873, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5465 */
  {
    "*cond_cadd270vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5874 },
#else
    { 0, output_5874, 0 },
#endif
    { 0 },
    &operand_data[8157],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd90vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5875 },
#else
    { 0, output_5875, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd270vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5876 },
#else
    { 0, output_5876, 0 },
#endif
    { 0 },
    &operand_data[8147],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd90vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5877 },
#else
    { 0, output_5877, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd270vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5878 },
#else
    { 0, output_5878, 0 },
#endif
    { 0 },
    &operand_data[8152],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd90vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5879 },
#else
    { 0, output_5879, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_cadd270vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5880 },
#else
    { 0, output_5880, 0 },
#endif
    { 0 },
    &operand_data[8157],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5881 },
#else
    { 0, output_5881, 0 },
#endif
    { 0 },
    &operand_data[8324],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5882 },
#else
    { 0, output_5882, 0 },
#endif
    { 0 },
    &operand_data[8324],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5883 },
#else
    { 0, output_5883, 0 },
#endif
    { 0 },
    &operand_data[8330],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5884 },
#else
    { 0, output_5884, 0 },
#endif
    { 0 },
    &operand_data[8330],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5885 },
#else
    { 0, output_5885, 0 },
#endif
    { 0 },
    &operand_data[8336],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5508 */
  {
    "*cond_cadd270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5886 },
#else
    { 0, output_5886, 0 },
#endif
    { 0 },
    &operand_data[8336],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5887 },
#else
    { 0, output_5887, 0 },
#endif
    { 0 },
    &operand_data[8324],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5888 },
#else
    { 0, output_5888, 0 },
#endif
    { 0 },
    &operand_data[8324],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5889 },
#else
    { 0, output_5889, 0 },
#endif
    { 0 },
    &operand_data[8330],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5890 },
#else
    { 0, output_5890, 0 },
#endif
    { 0 },
    &operand_data[8330],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5891 },
#else
    { 0, output_5891, 0 },
#endif
    { 0 },
    &operand_data[8336],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5544 */
  {
    "*cond_cadd270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5892 },
#else
    { 0, output_5892, 0 },
#endif
    { 0 },
    &operand_data[8336],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5582 */
  {
    "aarch64_pred_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5893 },
#else
    { 0, output_5893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8hf },
    &operand_data[8342],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5582 */
  {
    "aarch64_pred_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5894 },
#else
    { 0, output_5894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx4sf },
    &operand_data[8347],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5582 */
  {
    "aarch64_pred_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5895 },
#else
    { 0, output_5895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx2df },
    &operand_data[8352],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5610 */
  {
    "*cond_subvnx8hf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5896 },
#else
    { 0, output_5896, 0 },
#endif
    { 0 },
    &operand_data[8357],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5610 */
  {
    "*cond_subvnx4sf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5897 },
#else
    { 0, output_5897, 0 },
#endif
    { 0 },
    &operand_data[8362],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5610 */
  {
    "*cond_subvnx2df_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5898 },
#else
    { 0, output_5898, 0 },
#endif
    { 0 },
    &operand_data[8367],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5633 */
  {
    "*cond_subvnx8hf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5899 },
#else
    { 0, output_5899, 0 },
#endif
    { 0 },
    &operand_data[8357],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5633 */
  {
    "*cond_subvnx4sf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5900 },
#else
    { 0, output_5900, 0 },
#endif
    { 0 },
    &operand_data[8362],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5633 */
  {
    "*cond_subvnx2df_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5901 },
#else
    { 0, output_5901, 0 },
#endif
    { 0 },
    &operand_data[8367],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_subvnx8hf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5902 },
#else
    { 0, output_5902, 0 },
#endif
    { 0 },
    &operand_data[8372],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_subvnx4sf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5903 },
#else
    { 0, output_5903, 0 },
#endif
    { 0 },
    &operand_data[8378],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_subvnx2df_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5904 },
#else
    { 0, output_5904, 0 },
#endif
    { 0 },
    &operand_data[8384],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5689 */
  {
    "*cond_subvnx8hf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5905 },
#else
    { 0, output_5905, 0 },
#endif
    { 0 },
    &operand_data[8372],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5689 */
  {
    "*cond_subvnx4sf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5906 },
#else
    { 0, output_5906, 0 },
#endif
    { 0 },
    &operand_data[8378],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5689 */
  {
    "*cond_subvnx2df_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5907 },
#else
    { 0, output_5907, 0 },
#endif
    { 0 },
    &operand_data[8384],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5742 */
  {
    "*aarch64_pred_abdvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5908 },
#else
    { 0, output_5908, 0 },
#endif
    { 0 },
    &operand_data[8390],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5742 */
  {
    "*aarch64_pred_abdvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5909 },
#else
    { 0, output_5909, 0 },
#endif
    { 0 },
    &operand_data[8396],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5742 */
  {
    "*aarch64_pred_abdvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5910 },
#else
    { 0, output_5910, 0 },
#endif
    { 0 },
    &operand_data[8402],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5765 */
  {
    "*aarch64_pred_abdvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5911 },
#else
    { 0, output_5911, 0 },
#endif
    { 0 },
    &operand_data[8390],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5765 */
  {
    "*aarch64_pred_abdvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5912 },
#else
    { 0, output_5912, 0 },
#endif
    { 0 },
    &operand_data[8396],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5765 */
  {
    "*aarch64_pred_abdvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5913 },
#else
    { 0, output_5913, 0 },
#endif
    { 0 },
    &operand_data[8402],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5808 */
  {
    "*aarch64_cond_abdvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5914 },
#else
    { 0, output_5914, 0 },
#endif
    { 0 },
    &operand_data[8408],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5808 */
  {
    "*aarch64_cond_abdvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5915 },
#else
    { 0, output_5915, 0 },
#endif
    { 0 },
    &operand_data[8414],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5808 */
  {
    "*aarch64_cond_abdvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5916 },
#else
    { 0, output_5916, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5837 */
  {
    "*aarch64_cond_abdvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5917 },
#else
    { 0, output_5917, 0 },
#endif
    { 0 },
    &operand_data[8426],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5837 */
  {
    "*aarch64_cond_abdvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5918 },
#else
    { 0, output_5918, 0 },
#endif
    { 0 },
    &operand_data[8432],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5837 */
  {
    "*aarch64_cond_abdvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5919 },
#else
    { 0, output_5919, 0 },
#endif
    { 0 },
    &operand_data[8438],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5862 */
  {
    "*aarch64_cond_abdvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5920 },
#else
    { 0, output_5920, 0 },
#endif
    { 0 },
    &operand_data[8444],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5862 */
  {
    "*aarch64_cond_abdvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5921 },
#else
    { 0, output_5921, 0 },
#endif
    { 0 },
    &operand_data[8450],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5862 */
  {
    "*aarch64_cond_abdvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5922 },
#else
    { 0, output_5922, 0 },
#endif
    { 0 },
    &operand_data[8456],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5891 */
  {
    "*aarch64_cond_abdvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5923 },
#else
    { 0, output_5923, 0 },
#endif
    { 0 },
    &operand_data[8462],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5891 */
  {
    "*aarch64_cond_abdvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5924 },
#else
    { 0, output_5924, 0 },
#endif
    { 0 },
    &operand_data[8468],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5891 */
  {
    "*aarch64_cond_abdvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5925 },
#else
    { 0, output_5925, 0 },
#endif
    { 0 },
    &operand_data[8474],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5926 },
#else
    { 0, output_5926, 0 },
#endif
    { 0 },
    &operand_data[8480],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5927 },
#else
    { 0, output_5927, 0 },
#endif
    { 0 },
    &operand_data[8487],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5916 */
  {
    "*aarch64_cond_abdvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5928 },
#else
    { 0, output_5928, 0 },
#endif
    { 0 },
    &operand_data[8494],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5963 */
  {
    "*aarch64_cond_abdvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5929 },
#else
    { 0, output_5929, 0 },
#endif
    { 0 },
    &operand_data[8501],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5963 */
  {
    "*aarch64_cond_abdvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5930 },
#else
    { 0, output_5930, 0 },
#endif
    { 0 },
    &operand_data[8508],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5963 */
  {
    "*aarch64_cond_abdvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5931 },
#else
    { 0, output_5931, 0 },
#endif
    { 0 },
    &operand_data[8515],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6007 */
  {
    "aarch64_pred_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5932 },
#else
    { 0, output_5932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hf },
    &operand_data[8522],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6007 */
  {
    "aarch64_pred_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5933 },
#else
    { 0, output_5933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4sf },
    &operand_data[8527],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6007 */
  {
    "aarch64_pred_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5934 },
#else
    { 0, output_5934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2df },
    &operand_data[8532],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6036 */
  {
    "aarch64_mul_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hf },
    &operand_data[8537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6036 */
  {
    "aarch64_mul_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4sf },
    &operand_data[8541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6036 */
  {
    "aarch64_mul_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2df },
    &operand_data[8545],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6101 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5947 },
#else
    { 0, output_5947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx8hf },
    &operand_data[8549],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5948 },
#else
    { 0, output_5948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hf },
    &operand_data[8549],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5949 },
#else
    { 0, output_5949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx8hf },
    &operand_data[8549],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5950 },
#else
    { 0, output_5950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hf },
    &operand_data[8549],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5951 },
#else
    { 0, output_5951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx4sf },
    &operand_data[8554],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5952 },
#else
    { 0, output_5952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4sf },
    &operand_data[8554],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5953 },
#else
    { 0, output_5953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx4sf },
    &operand_data[8554],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5954 },
#else
    { 0, output_5954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4sf },
    &operand_data[8554],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5955 },
#else
    { 0, output_5955, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx2df },
    &operand_data[8559],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5956 },
#else
    { 0, output_5956, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2df },
    &operand_data[8559],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5957 },
#else
    { 0, output_5957, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx2df },
    &operand_data[8559],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6198 */
  {
    "aarch64_pred_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5958 },
#else
    { 0, output_5958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2df },
    &operand_data[8559],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6233 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_andvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_iorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_xorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_andvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_iorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_xorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_andvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_iorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_xorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_andvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_iorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6256 */
  {
    "aarch64_pred_xorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6270 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*andvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*iorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*xorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*andvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*iorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*xorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*andvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*iorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*xorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*andvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*iorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6290 */
  {
    "*xorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_bicvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_ornvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_bicvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_ornvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_bicvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_ornvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_bicvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6316 */
  {
    "aarch64_pred_ornvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*bicvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*ornvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*bicvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*ornvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*bicvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*ornvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*bicvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6328 */
  {
    "*ornvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*bicvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*ornvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*bicvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*ornvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*bicvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*ornvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*bicvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6351 */
  {
    "*ornvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_norvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_nandvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx16bi_z },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_norvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_nandvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx8bi_z },
    &operand_data[8568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_norvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_nandvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx4bi_z },
    &operand_data[8572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_norvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6378 */
  {
    "aarch64_pred_nandvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx2bi_z },
    &operand_data[8576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*norvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*nandvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8580],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*norvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*nandvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8586],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*norvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*nandvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8592],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*norvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6390 */
  {
    "*nandvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8598],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*norvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*nandvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8604],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*norvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*nandvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8610],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*norvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*nandvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8616],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*norvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6414 */
  {
    "*nandvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8622],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6465 */
  {
    "aarch64_pred_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6047 },
#else
    { 0, output_6047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx16qi },
    &operand_data[8628],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6465 */
  {
    "aarch64_pred_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6048 },
#else
    { 0, output_6048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hi },
    &operand_data[8633],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6465 */
  {
    "aarch64_pred_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6049 },
#else
    { 0, output_6049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4si },
    &operand_data[8638],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6465 */
  {
    "aarch64_pred_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6050 },
#else
    { 0, output_6050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2di },
    &operand_data[8643],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6507 */
  {
    "*cond_fmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6051 },
#else
    { 0, output_6051, 0 },
#endif
    { 0 },
    &operand_data[8648],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6507 */
  {
    "*cond_fmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6052 },
#else
    { 0, output_6052, 0 },
#endif
    { 0 },
    &operand_data[8653],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6507 */
  {
    "*cond_fmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6053 },
#else
    { 0, output_6053, 0 },
#endif
    { 0 },
    &operand_data[8658],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6507 */
  {
    "*cond_fmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6054 },
#else
    { 0, output_6054, 0 },
#endif
    { 0 },
    &operand_data[8663],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "*cond_fmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6055 },
#else
    { 0, output_6055, 0 },
#endif
    { 0 },
    &operand_data[8668],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "*cond_fmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6056 },
#else
    { 0, output_6056, 0 },
#endif
    { 0 },
    &operand_data[8673],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "*cond_fmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6057 },
#else
    { 0, output_6057, 0 },
#endif
    { 0 },
    &operand_data[8678],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "*cond_fmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6058 },
#else
    { 0, output_6058, 0 },
#endif
    { 0 },
    &operand_data[8683],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6545 */
  {
    "*cond_fmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6059 },
#else
    { 0, output_6059, 0 },
#endif
    { 0 },
    &operand_data[8688],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6545 */
  {
    "*cond_fmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6060 },
#else
    { 0, output_6060, 0 },
#endif
    { 0 },
    &operand_data[8694],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6545 */
  {
    "*cond_fmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6061 },
#else
    { 0, output_6061, 0 },
#endif
    { 0 },
    &operand_data[8700],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6545 */
  {
    "*cond_fmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6062 },
#else
    { 0, output_6062, 0 },
#endif
    { 0 },
    &operand_data[8706],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6606 */
  {
    "aarch64_pred_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6063 },
#else
    { 0, output_6063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx16qi },
    &operand_data[8628],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6606 */
  {
    "aarch64_pred_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6064 },
#else
    { 0, output_6064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hi },
    &operand_data[8633],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6606 */
  {
    "aarch64_pred_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6065 },
#else
    { 0, output_6065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4si },
    &operand_data[8638],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6606 */
  {
    "aarch64_pred_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6066 },
#else
    { 0, output_6066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2di },
    &operand_data[8643],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6648 */
  {
    "*cond_fnmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6067 },
#else
    { 0, output_6067, 0 },
#endif
    { 0 },
    &operand_data[8648],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6648 */
  {
    "*cond_fnmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6068 },
#else
    { 0, output_6068, 0 },
#endif
    { 0 },
    &operand_data[8653],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6648 */
  {
    "*cond_fnmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6069 },
#else
    { 0, output_6069, 0 },
#endif
    { 0 },
    &operand_data[8658],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6648 */
  {
    "*cond_fnmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6070 },
#else
    { 0, output_6070, 0 },
#endif
    { 0 },
    &operand_data[8663],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6667 */
  {
    "*cond_fnmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6071 },
#else
    { 0, output_6071, 0 },
#endif
    { 0 },
    &operand_data[8668],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6667 */
  {
    "*cond_fnmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6072 },
#else
    { 0, output_6072, 0 },
#endif
    { 0 },
    &operand_data[8673],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6667 */
  {
    "*cond_fnmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6073 },
#else
    { 0, output_6073, 0 },
#endif
    { 0 },
    &operand_data[8678],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6667 */
  {
    "*cond_fnmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6074 },
#else
    { 0, output_6074, 0 },
#endif
    { 0 },
    &operand_data[8683],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6687 */
  {
    "*cond_fnmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6075 },
#else
    { 0, output_6075, 0 },
#endif
    { 0 },
    &operand_data[8688],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6687 */
  {
    "*cond_fnmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6076 },
#else
    { 0, output_6076, 0 },
#endif
    { 0 },
    &operand_data[8694],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6687 */
  {
    "*cond_fnmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6077 },
#else
    { 0, output_6077, 0 },
#endif
    { 0 },
    &operand_data[8700],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6687 */
  {
    "*cond_fnmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6078 },
#else
    { 0, output_6078, 0 },
#endif
    { 0 },
    &operand_data[8706],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6731 */
  {
    "sdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6079 },
#else
    { 0, output_6079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx16qi },
    &operand_data[8712],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6731 */
  {
    "udot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6080 },
#else
    { 0, output_6080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx16qi },
    &operand_data[8712],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6731 */
  {
    "sdot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6081 },
#else
    { 0, output_6081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx8hi },
    &operand_data[8716],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6731 */
  {
    "udot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6082 },
#else
    { 0, output_6082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx8hi },
    &operand_data[8716],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6747 */
  {
    "aarch64_sdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6083 },
#else
    { 0, output_6083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx16qi },
    &operand_data[8720],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6747 */
  {
    "aarch64_udot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6084 },
#else
    { 0, output_6084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx16qi },
    &operand_data[8720],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6747 */
  {
    "aarch64_sdot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6085 },
#else
    { 0, output_6085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx8hi },
    &operand_data[8725],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6747 */
  {
    "aarch64_udot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6086 },
#else
    { 0, output_6086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx8hi },
    &operand_data[8725],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6765 */
  {
    "aarch64_usdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6087 },
#else
    { 0, output_6087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prodvnx16qi },
    &operand_data[8712],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6780 */
  {
    "aarch64_usdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6088 },
#else
    { 0, output_6088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prod_lanevnx16qi },
    &operand_data[8720],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6780 */
  {
    "aarch64_sudot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6089 },
#else
    { 0, output_6089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_prod_lanevnx16qi },
    &operand_data[8720],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6837 */
  {
    "aarch64_sve_add_smatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6090 },
#else
    { 0, output_6090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smatmulvnx16qi },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6837 */
  {
    "aarch64_sve_add_umatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6091 },
#else
    { 0, output_6091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umatmulvnx16qi },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6837 */
  {
    "aarch64_sve_add_usmatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6092 },
#else
    { 0, output_6092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_usmatmulvnx16qi },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6093 },
#else
    { 0, output_6093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hf },
    &operand_data[8734],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6094 },
#else
    { 0, output_6094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hf },
    &operand_data[8734],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6095 },
#else
    { 0, output_6095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8hf },
    &operand_data[8734],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6096 },
#else
    { 0, output_6096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8hf },
    &operand_data[8734],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6097 },
#else
    { 0, output_6097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4sf },
    &operand_data[8740],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6098 },
#else
    { 0, output_6098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4sf },
    &operand_data[8740],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6099 },
#else
    { 0, output_6099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx4sf },
    &operand_data[8740],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6100 },
#else
    { 0, output_6100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx4sf },
    &operand_data[8740],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6101 },
#else
    { 0, output_6101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2df },
    &operand_data[8746],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6102 },
#else
    { 0, output_6102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2df },
    &operand_data[8746],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6103 },
#else
    { 0, output_6103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx2df },
    &operand_data[8746],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6883 */
  {
    "aarch64_pred_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6104 },
#else
    { 0, output_6104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx2df },
    &operand_data[8746],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6105 },
#else
    { 0, output_6105, 0 },
#endif
    { 0 },
    &operand_data[8752],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6106 },
#else
    { 0, output_6106, 0 },
#endif
    { 0 },
    &operand_data[8752],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6107 },
#else
    { 0, output_6107, 0 },
#endif
    { 0 },
    &operand_data[8752],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6108 },
#else
    { 0, output_6108, 0 },
#endif
    { 0 },
    &operand_data[8752],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6109 },
#else
    { 0, output_6109, 0 },
#endif
    { 0 },
    &operand_data[8758],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6110 },
#else
    { 0, output_6110, 0 },
#endif
    { 0 },
    &operand_data[8758],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6111 },
#else
    { 0, output_6111, 0 },
#endif
    { 0 },
    &operand_data[8758],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6112 },
#else
    { 0, output_6112, 0 },
#endif
    { 0 },
    &operand_data[8758],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6113 },
#else
    { 0, output_6113, 0 },
#endif
    { 0 },
    &operand_data[8764],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6114 },
#else
    { 0, output_6114, 0 },
#endif
    { 0 },
    &operand_data[8764],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fnmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6115 },
#else
    { 0, output_6115, 0 },
#endif
    { 0 },
    &operand_data[8764],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6924 */
  {
    "*cond_fmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6116 },
#else
    { 0, output_6116, 0 },
#endif
    { 0 },
    &operand_data[8764],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6117 },
#else
    { 0, output_6117, 0 },
#endif
    { 0 },
    &operand_data[8752],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6118 },
#else
    { 0, output_6118, 0 },
#endif
    { 0 },
    &operand_data[8752],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6119 },
#else
    { 0, output_6119, 0 },
#endif
    { 0 },
    &operand_data[8752],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6120 },
#else
    { 0, output_6120, 0 },
#endif
    { 0 },
    &operand_data[8752],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6121 },
#else
    { 0, output_6121, 0 },
#endif
    { 0 },
    &operand_data[8758],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6122 },
#else
    { 0, output_6122, 0 },
#endif
    { 0 },
    &operand_data[8758],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6123 },
#else
    { 0, output_6123, 0 },
#endif
    { 0 },
    &operand_data[8758],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6124 },
#else
    { 0, output_6124, 0 },
#endif
    { 0 },
    &operand_data[8758],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6125 },
#else
    { 0, output_6125, 0 },
#endif
    { 0 },
    &operand_data[8764],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6126 },
#else
    { 0, output_6126, 0 },
#endif
    { 0 },
    &operand_data[8764],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fnmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6127 },
#else
    { 0, output_6127, 0 },
#endif
    { 0 },
    &operand_data[8764],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6948 */
  {
    "*cond_fmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6128 },
#else
    { 0, output_6128, 0 },
#endif
    { 0 },
    &operand_data[8764],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6129 },
#else
    { 0, output_6129, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6130 },
#else
    { 0, output_6130, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6131 },
#else
    { 0, output_6131, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6132 },
#else
    { 0, output_6132, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6133 },
#else
    { 0, output_6133, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6134 },
#else
    { 0, output_6134, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6135 },
#else
    { 0, output_6135, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6136 },
#else
    { 0, output_6136, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6137 },
#else
    { 0, output_6137, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6138 },
#else
    { 0, output_6138, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fnmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6139 },
#else
    { 0, output_6139, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6970 */
  {
    "*cond_fmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6140 },
#else
    { 0, output_6140, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6141 },
#else
    { 0, output_6141, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6142 },
#else
    { 0, output_6142, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6143 },
#else
    { 0, output_6143, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6144 },
#else
    { 0, output_6144, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6145 },
#else
    { 0, output_6145, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6146 },
#else
    { 0, output_6146, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6147 },
#else
    { 0, output_6147, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6148 },
#else
    { 0, output_6148, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6149 },
#else
    { 0, output_6149, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6150 },
#else
    { 0, output_6150, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fnmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6151 },
#else
    { 0, output_6151, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6994 */
  {
    "*cond_fmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6152 },
#else
    { 0, output_6152, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6153 },
#else
    { 0, output_6153, 0 },
#endif
    { 0 },
    &operand_data[8788],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6154 },
#else
    { 0, output_6154, 0 },
#endif
    { 0 },
    &operand_data[8788],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6155 },
#else
    { 0, output_6155, 0 },
#endif
    { 0 },
    &operand_data[8788],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6156 },
#else
    { 0, output_6156, 0 },
#endif
    { 0 },
    &operand_data[8788],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6157 },
#else
    { 0, output_6157, 0 },
#endif
    { 0 },
    &operand_data[8795],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6158 },
#else
    { 0, output_6158, 0 },
#endif
    { 0 },
    &operand_data[8795],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6159 },
#else
    { 0, output_6159, 0 },
#endif
    { 0 },
    &operand_data[8795],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6160 },
#else
    { 0, output_6160, 0 },
#endif
    { 0 },
    &operand_data[8795],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6161 },
#else
    { 0, output_6161, 0 },
#endif
    { 0 },
    &operand_data[8802],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6162 },
#else
    { 0, output_6162, 0 },
#endif
    { 0 },
    &operand_data[8802],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fnmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6163 },
#else
    { 0, output_6163, 0 },
#endif
    { 0 },
    &operand_data[8802],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7016 */
  {
    "*cond_fmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6164 },
#else
    { 0, output_6164, 0 },
#endif
    { 0 },
    &operand_data[8802],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6165 },
#else
    { 0, output_6165, 0 },
#endif
    { 0 },
    &operand_data[8788],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6166 },
#else
    { 0, output_6166, 0 },
#endif
    { 0 },
    &operand_data[8788],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6167 },
#else
    { 0, output_6167, 0 },
#endif
    { 0 },
    &operand_data[8788],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6168 },
#else
    { 0, output_6168, 0 },
#endif
    { 0 },
    &operand_data[8788],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6169 },
#else
    { 0, output_6169, 0 },
#endif
    { 0 },
    &operand_data[8795],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6170 },
#else
    { 0, output_6170, 0 },
#endif
    { 0 },
    &operand_data[8795],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6171 },
#else
    { 0, output_6171, 0 },
#endif
    { 0 },
    &operand_data[8795],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6172 },
#else
    { 0, output_6172, 0 },
#endif
    { 0 },
    &operand_data[8795],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6173 },
#else
    { 0, output_6173, 0 },
#endif
    { 0 },
    &operand_data[8802],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6174 },
#else
    { 0, output_6174, 0 },
#endif
    { 0 },
    &operand_data[8802],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6175 },
#else
    { 0, output_6175, 0 },
#endif
    { 0 },
    &operand_data[8802],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6176 },
#else
    { 0, output_6176, 0 },
#endif
    { 0 },
    &operand_data[8802],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6177 },
#else
    { 0, output_6177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fnma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6178 },
#else
    { 0, output_6178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6179 },
#else
    { 0, output_6179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx4sf },
    &operand_data[8814],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fnma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6180 },
#else
    { 0, output_6180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx4sf },
    &operand_data[8814],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6181 },
#else
    { 0, output_6181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx2df },
    &operand_data[8819],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7095 */
  {
    "aarch64_fnma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6182 },
#else
    { 0, output_6182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx2df },
    &operand_data[8819],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6183 },
#else
    { 0, output_6183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx8hf },
    &operand_data[8824],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6184 },
#else
    { 0, output_6184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx8hf },
    &operand_data[8824],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6185 },
#else
    { 0, output_6185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx8hf },
    &operand_data[8824],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6186 },
#else
    { 0, output_6186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx8hf },
    &operand_data[8824],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6187 },
#else
    { 0, output_6187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx4sf },
    &operand_data[8830],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6188 },
#else
    { 0, output_6188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx4sf },
    &operand_data[8830],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6189 },
#else
    { 0, output_6189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx4sf },
    &operand_data[8830],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6190 },
#else
    { 0, output_6190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx4sf },
    &operand_data[8830],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6191 },
#else
    { 0, output_6191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx2df },
    &operand_data[8836],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6192 },
#else
    { 0, output_6192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx2df },
    &operand_data[8836],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6193 },
#else
    { 0, output_6193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx2df },
    &operand_data[8836],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7120 */
  {
    "aarch64_pred_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6194 },
#else
    { 0, output_6194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx2df },
    &operand_data[8836],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmlavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6195 },
#else
    { 0, output_6195, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla90vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6196 },
#else
    { 0, output_6196, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla180vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6197 },
#else
    { 0, output_6197, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla270vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6198 },
#else
    { 0, output_6198, 0 },
#endif
    { 0 },
    &operand_data[8770],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmlavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6199 },
#else
    { 0, output_6199, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla90vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6200 },
#else
    { 0, output_6200, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla180vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6201 },
#else
    { 0, output_6201, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla270vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6202 },
#else
    { 0, output_6202, 0 },
#endif
    { 0 },
    &operand_data[8776],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmlavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6203 },
#else
    { 0, output_6203, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla90vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6204 },
#else
    { 0, output_6204, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla180vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6205 },
#else
    { 0, output_6205, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7154 */
  {
    "*cond_fcmla270vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6206 },
#else
    { 0, output_6206, 0 },
#endif
    { 0 },
    &operand_data[8782],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmlavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6207 },
#else
    { 0, output_6207, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla90vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6208 },
#else
    { 0, output_6208, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla180vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6209 },
#else
    { 0, output_6209, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla270vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6210 },
#else
    { 0, output_6210, 0 },
#endif
    { 0 },
    &operand_data[8770],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmlavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6211 },
#else
    { 0, output_6211, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla90vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6212 },
#else
    { 0, output_6212, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla180vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6213 },
#else
    { 0, output_6213, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla270vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6214 },
#else
    { 0, output_6214, 0 },
#endif
    { 0 },
    &operand_data[8776],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmlavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6215 },
#else
    { 0, output_6215, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla90vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6216 },
#else
    { 0, output_6216, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla180vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6217 },
#else
    { 0, output_6217, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7178 */
  {
    "*cond_fcmla270vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6218 },
#else
    { 0, output_6218, 0 },
#endif
    { 0 },
    &operand_data[8782],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmlavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6219 },
#else
    { 0, output_6219, 0 },
#endif
    { 0 },
    &operand_data[8842],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6220 },
#else
    { 0, output_6220, 0 },
#endif
    { 0 },
    &operand_data[8842],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla180vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6221 },
#else
    { 0, output_6221, 0 },
#endif
    { 0 },
    &operand_data[8842],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6222 },
#else
    { 0, output_6222, 0 },
#endif
    { 0 },
    &operand_data[8842],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmlavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6223 },
#else
    { 0, output_6223, 0 },
#endif
    { 0 },
    &operand_data[8849],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6224 },
#else
    { 0, output_6224, 0 },
#endif
    { 0 },
    &operand_data[8849],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla180vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6225 },
#else
    { 0, output_6225, 0 },
#endif
    { 0 },
    &operand_data[8849],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6226 },
#else
    { 0, output_6226, 0 },
#endif
    { 0 },
    &operand_data[8849],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmlavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6227 },
#else
    { 0, output_6227, 0 },
#endif
    { 0 },
    &operand_data[8856],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6228 },
#else
    { 0, output_6228, 0 },
#endif
    { 0 },
    &operand_data[8856],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla180vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6229 },
#else
    { 0, output_6229, 0 },
#endif
    { 0 },
    &operand_data[8856],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7199 */
  {
    "*cond_fcmla270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6230 },
#else
    { 0, output_6230, 0 },
#endif
    { 0 },
    &operand_data[8856],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmlavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6231 },
#else
    { 0, output_6231, 0 },
#endif
    { 0 },
    &operand_data[8842],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6232 },
#else
    { 0, output_6232, 0 },
#endif
    { 0 },
    &operand_data[8842],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla180vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6233 },
#else
    { 0, output_6233, 0 },
#endif
    { 0 },
    &operand_data[8842],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6234 },
#else
    { 0, output_6234, 0 },
#endif
    { 0 },
    &operand_data[8842],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmlavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6235 },
#else
    { 0, output_6235, 0 },
#endif
    { 0 },
    &operand_data[8849],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6236 },
#else
    { 0, output_6236, 0 },
#endif
    { 0 },
    &operand_data[8849],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla180vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6237 },
#else
    { 0, output_6237, 0 },
#endif
    { 0 },
    &operand_data[8849],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6238 },
#else
    { 0, output_6238, 0 },
#endif
    { 0 },
    &operand_data[8849],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmlavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6239 },
#else
    { 0, output_6239, 0 },
#endif
    { 0 },
    &operand_data[8856],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6240 },
#else
    { 0, output_6240, 0 },
#endif
    { 0 },
    &operand_data[8856],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla180vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6241 },
#else
    { 0, output_6241, 0 },
#endif
    { 0 },
    &operand_data[8856],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7236 */
  {
    "*cond_fcmla270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6242 },
#else
    { 0, output_6242, 0 },
#endif
    { 0 },
    &operand_data[8856],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6243 },
#else
    { 0, output_6243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla90_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6244 },
#else
    { 0, output_6244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla180_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6245 },
#else
    { 0, output_6245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla270_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6246 },
#else
    { 0, output_6246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx8hf },
    &operand_data[8809],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6247 },
#else
    { 0, output_6247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx4sf },
    &operand_data[8863],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla90_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6248 },
#else
    { 0, output_6248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx4sf },
    &operand_data[8863],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla180_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6249 },
#else
    { 0, output_6249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx4sf },
    &operand_data[8863],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7267 */
  {
    "aarch64_fcmla270_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6250 },
#else
    { 0, output_6250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx4sf },
    &operand_data[8863],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7291 */
  {
    "aarch64_sve_tmadvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6251 },
#else
    { 0, output_6251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx8hf },
    &operand_data[8868],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7291 */
  {
    "aarch64_sve_tmadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6252 },
#else
    { 0, output_6252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx4sf },
    &operand_data[8872],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7291 */
  {
    "aarch64_sve_tmadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6253 },
#else
    { 0, output_6253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx2df },
    &operand_data[8876],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7315 */
  {
    "aarch64_sve_bfdotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6254 },
#else
    { 0, output_6254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdotvnx4sf },
    &operand_data[8880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7315 */
  {
    "aarch64_sve_bfmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6255 },
#else
    { 0, output_6255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalbvnx4sf },
    &operand_data[8880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7315 */
  {
    "aarch64_sve_bfmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6256 },
#else
    { 0, output_6256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlaltvnx4sf },
    &operand_data[8880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7315 */
  {
    "aarch64_sve_bfmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6257 },
#else
    { 0, output_6257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmmlavnx4sf },
    &operand_data[8880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7330 */
  {
    "aarch64_sve_bfdot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6258 },
#else
    { 0, output_6258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdot_lanevnx4sf },
    &operand_data[8884],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7330 */
  {
    "aarch64_sve_bfmlalb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6259 },
#else
    { 0, output_6259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalb_lanevnx4sf },
    &operand_data[8884],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7330 */
  {
    "aarch64_sve_bfmlalt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6260 },
#else
    { 0, output_6260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalt_lanevnx4sf },
    &operand_data[8884],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_sve_fmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6261 },
#else
    { 0, output_6261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx4sf },
    &operand_data[8889],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7353 */
  {
    "aarch64_sve_fmmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6262 },
#else
    { 0, output_6262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx2df },
    &operand_data[8893],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6263 },
#else
    { 0, output_6263, 0 },
#endif
    { 0 },
    &operand_data[8897],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6264 },
#else
    { 0, output_6264, 0 },
#endif
    { 0 },
    &operand_data[8901],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6265 },
#else
    { 0, output_6265, 0 },
#endif
    { 0 },
    &operand_data[8905],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6266 },
#else
    { 0, output_6266, 0 },
#endif
    { 0 },
    &operand_data[8909],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6267 },
#else
    { 0, output_6267, 0 },
#endif
    { 0 },
    &operand_data[8913],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6268 },
#else
    { 0, output_6268, 0 },
#endif
    { 0 },
    &operand_data[8917],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6269 },
#else
    { 0, output_6269, 0 },
#endif
    { 0 },
    &operand_data[8921],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7401 */
  {
    "*vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6270 },
#else
    { 0, output_6270, 0 },
#endif
    { 0 },
    &operand_data[8925],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6271 },
#else
    { 0, output_6271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx16qi },
    &operand_data[8929],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6272 },
#else
    { 0, output_6272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hi },
    &operand_data[8933],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6273 },
#else
    { 0, output_6273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4si },
    &operand_data[8937],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6274 },
#else
    { 0, output_6274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2di },
    &operand_data[8941],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6275 },
#else
    { 0, output_6275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8bf },
    &operand_data[8945],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6276 },
#else
    { 0, output_6276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hf },
    &operand_data[8949],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6277 },
#else
    { 0, output_6277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4sf },
    &operand_data[8953],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7426 */
  {
    "aarch64_sel_dupvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6278 },
#else
    { 0, output_6278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2df },
    &operand_data[8957],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6279 },
#else
    { 0, output_6279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6280 },
#else
    { 0, output_6280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpeqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6281 },
#else
    { 0, output_6281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpnevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6282 },
#else
    { 0, output_6282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6283 },
#else
    { 0, output_6283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6284 },
#else
    { 0, output_6284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi },
    &operand_data[8961],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6285 },
#else
    { 0, output_6285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi },
    &operand_data[8966],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6286 },
#else
    { 0, output_6286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi },
    &operand_data[8966],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6287 },
#else
    { 0, output_6287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi },
    &operand_data[8966],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6288 },
#else
    { 0, output_6288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi },
    &operand_data[8966],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6289 },
#else
    { 0, output_6289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6290 },
#else
    { 0, output_6290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpeqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6291 },
#else
    { 0, output_6291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpnevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6292 },
#else
    { 0, output_6292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6293 },
#else
    { 0, output_6293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6294 },
#else
    { 0, output_6294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi },
    &operand_data[8971],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6295 },
#else
    { 0, output_6295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi },
    &operand_data[8976],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6296 },
#else
    { 0, output_6296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi },
    &operand_data[8976],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6297 },
#else
    { 0, output_6297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi },
    &operand_data[8976],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6298 },
#else
    { 0, output_6298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi },
    &operand_data[8976],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6299 },
#else
    { 0, output_6299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6300 },
#else
    { 0, output_6300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpeqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6301 },
#else
    { 0, output_6301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpnevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6302 },
#else
    { 0, output_6302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6303 },
#else
    { 0, output_6303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6304 },
#else
    { 0, output_6304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si },
    &operand_data[8981],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6305 },
#else
    { 0, output_6305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si },
    &operand_data[8986],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6306 },
#else
    { 0, output_6306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si },
    &operand_data[8986],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6307 },
#else
    { 0, output_6307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si },
    &operand_data[8986],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6308 },
#else
    { 0, output_6308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si },
    &operand_data[8986],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6309 },
#else
    { 0, output_6309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6310 },
#else
    { 0, output_6310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpeqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6311 },
#else
    { 0, output_6311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpnevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6312 },
#else
    { 0, output_6312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6313 },
#else
    { 0, output_6313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmpgtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6314 },
#else
    { 0, output_6314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2di },
    &operand_data[8991],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6315 },
#else
    { 0, output_6315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2di },
    &operand_data[8996],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmplsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6316 },
#else
    { 0, output_6316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2di },
    &operand_data[8996],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6317 },
#else
    { 0, output_6317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2di },
    &operand_data[8996],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7555 */
  {
    "aarch64_pred_cmphivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6318 },
#else
    { 0, output_6318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2di },
    &operand_data[8996],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpltvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6319 },
#else
    { 0, output_6319, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6320 },
#else
    { 0, output_6320, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpeqvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6321 },
#else
    { 0, output_6321, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpnevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6322 },
#else
    { 0, output_6322, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6323 },
#else
    { 0, output_6323, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgtvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6324 },
#else
    { 0, output_6324, 0 },
#endif
    { 0 },
    &operand_data[9001],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplovnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6325 },
#else
    { 0, output_6325, 0 },
#endif
    { 0 },
    &operand_data[9009],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6326 },
#else
    { 0, output_6326, 0 },
#endif
    { 0 },
    &operand_data[9009],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6327 },
#else
    { 0, output_6327, 0 },
#endif
    { 0 },
    &operand_data[9009],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphivnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6328 },
#else
    { 0, output_6328, 0 },
#endif
    { 0 },
    &operand_data[9009],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpltvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6329 },
#else
    { 0, output_6329, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6330 },
#else
    { 0, output_6330, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpeqvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6331 },
#else
    { 0, output_6331, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpnevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6332 },
#else
    { 0, output_6332, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6333 },
#else
    { 0, output_6333, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgtvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6334 },
#else
    { 0, output_6334, 0 },
#endif
    { 0 },
    &operand_data[9017],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplovnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6335 },
#else
    { 0, output_6335, 0 },
#endif
    { 0 },
    &operand_data[9025],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6336 },
#else
    { 0, output_6336, 0 },
#endif
    { 0 },
    &operand_data[9025],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6337 },
#else
    { 0, output_6337, 0 },
#endif
    { 0 },
    &operand_data[9025],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphivnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6338 },
#else
    { 0, output_6338, 0 },
#endif
    { 0 },
    &operand_data[9025],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpltvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6339 },
#else
    { 0, output_6339, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6340 },
#else
    { 0, output_6340, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpeqvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6341 },
#else
    { 0, output_6341, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpnevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6342 },
#else
    { 0, output_6342, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6343 },
#else
    { 0, output_6343, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgtvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6344 },
#else
    { 0, output_6344, 0 },
#endif
    { 0 },
    &operand_data[9033],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplovnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6345 },
#else
    { 0, output_6345, 0 },
#endif
    { 0 },
    &operand_data[9041],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6346 },
#else
    { 0, output_6346, 0 },
#endif
    { 0 },
    &operand_data[9041],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6347 },
#else
    { 0, output_6347, 0 },
#endif
    { 0 },
    &operand_data[9041],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphivnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6348 },
#else
    { 0, output_6348, 0 },
#endif
    { 0 },
    &operand_data[9041],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpltvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6349 },
#else
    { 0, output_6349, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6350 },
#else
    { 0, output_6350, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpeqvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6351 },
#else
    { 0, output_6351, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpnevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6352 },
#else
    { 0, output_6352, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6353 },
#else
    { 0, output_6353, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmpgtvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6354 },
#else
    { 0, output_6354, 0 },
#endif
    { 0 },
    &operand_data[9049],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplovnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6355 },
#else
    { 0, output_6355, 0 },
#endif
    { 0 },
    &operand_data[9057],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmplsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6356 },
#else
    { 0, output_6356, 0 },
#endif
    { 0 },
    &operand_data[9057],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6357 },
#else
    { 0, output_6357, 0 },
#endif
    { 0 },
    &operand_data[9057],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7573 */
  {
    "*cmphivnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6358 },
#else
    { 0, output_6358, 0 },
#endif
    { 0 },
    &operand_data[9057],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpltvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6359 },
#else
    { 0, output_6359, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6360 },
#else
    { 0, output_6360, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpeqvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6361 },
#else
    { 0, output_6361, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpnevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6362 },
#else
    { 0, output_6362, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6363 },
#else
    { 0, output_6363, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgtvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6364 },
#else
    { 0, output_6364, 0 },
#endif
    { 0 },
    &operand_data[9065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplovnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6365 },
#else
    { 0, output_6365, 0 },
#endif
    { 0 },
    &operand_data[9073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6366 },
#else
    { 0, output_6366, 0 },
#endif
    { 0 },
    &operand_data[9073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6367 },
#else
    { 0, output_6367, 0 },
#endif
    { 0 },
    &operand_data[9073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphivnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6368 },
#else
    { 0, output_6368, 0 },
#endif
    { 0 },
    &operand_data[9073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpltvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6369 },
#else
    { 0, output_6369, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6370 },
#else
    { 0, output_6370, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpeqvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6371 },
#else
    { 0, output_6371, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpnevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6372 },
#else
    { 0, output_6372, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6373 },
#else
    { 0, output_6373, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgtvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6374 },
#else
    { 0, output_6374, 0 },
#endif
    { 0 },
    &operand_data[9081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplovnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6375 },
#else
    { 0, output_6375, 0 },
#endif
    { 0 },
    &operand_data[9089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6376 },
#else
    { 0, output_6376, 0 },
#endif
    { 0 },
    &operand_data[9089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6377 },
#else
    { 0, output_6377, 0 },
#endif
    { 0 },
    &operand_data[9089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphivnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6378 },
#else
    { 0, output_6378, 0 },
#endif
    { 0 },
    &operand_data[9089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpltvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6379 },
#else
    { 0, output_6379, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6380 },
#else
    { 0, output_6380, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpeqvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6381 },
#else
    { 0, output_6381, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpnevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6382 },
#else
    { 0, output_6382, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6383 },
#else
    { 0, output_6383, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgtvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6384 },
#else
    { 0, output_6384, 0 },
#endif
    { 0 },
    &operand_data[9097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplovnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6385 },
#else
    { 0, output_6385, 0 },
#endif
    { 0 },
    &operand_data[9105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6386 },
#else
    { 0, output_6386, 0 },
#endif
    { 0 },
    &operand_data[9105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6387 },
#else
    { 0, output_6387, 0 },
#endif
    { 0 },
    &operand_data[9105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphivnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6388 },
#else
    { 0, output_6388, 0 },
#endif
    { 0 },
    &operand_data[9105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpltvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6389 },
#else
    { 0, output_6389, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6390 },
#else
    { 0, output_6390, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpeqvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6391 },
#else
    { 0, output_6391, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpnevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6392 },
#else
    { 0, output_6392, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6393 },
#else
    { 0, output_6393, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmpgtvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6394 },
#else
    { 0, output_6394, 0 },
#endif
    { 0 },
    &operand_data[9113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplovnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6395 },
#else
    { 0, output_6395, 0 },
#endif
    { 0 },
    &operand_data[9121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmplsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6396 },
#else
    { 0, output_6396, 0 },
#endif
    { 0 },
    &operand_data[9121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6397 },
#else
    { 0, output_6397, 0 },
#endif
    { 0 },
    &operand_data[9121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7609 */
  {
    "*cmphivnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6398 },
#else
    { 0, output_6398, 0 },
#endif
    { 0 },
    &operand_data[9121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpltvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpeqvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpnevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgtvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplovnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9009],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9009],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9009],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphivnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9009],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpltvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpeqvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpnevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgtvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9129],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplovnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9134],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9134],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9134],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphivnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9134],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpltvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpeqvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpnevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgtvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9139],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplovnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9144],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9144],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9144],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphivnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9144],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpltvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpeqvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpnevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmpgtvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9149],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplovnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9154],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmplsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9154],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9154],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7640 */
  {
    "*cmphivnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9154],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpeqvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgtvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphivnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplovnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpltvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpnevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi_wide },
    &operand_data[9159],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpeqvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgtvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphivnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplovnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpltvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpnevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi_wide },
    &operand_data[9164],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpeqvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpgtvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphivnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmphsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplovnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmplsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpltvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7668 */
  {
    "aarch64_pred_cmpnevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si_wide },
    &operand_data[9169],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9174],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9182],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphivnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplovnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7685 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9190],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9198],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9206],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphivnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplovnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7716 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9214],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_lesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ulesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_lesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ulesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_lesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ulesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_lesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ulesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_uledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_uledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi },
    &operand_data[9237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_uledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi },
    &operand_data[9240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_uledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ltdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_gtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_ugedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_rwdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7755 */
  {
    "while_wrdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi },
    &operand_data[9243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_lesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ulesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9246],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_lesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ulesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9251],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_lesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ulesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9256],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_lesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ulesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9261],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_uledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9266],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_uledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9271],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_uledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9276],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_uledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ltdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_gtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_ugedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_rwdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7768 */
  {
    "*while_wrdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9281],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_lesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ulesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi_ptest },
    &operand_data[9286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_lesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ulesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi_ptest },
    &operand_data[9291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_lesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ulesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi_ptest },
    &operand_data[9296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_lesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ulesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi_ptest },
    &operand_data[9301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_uledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi_ptest },
    &operand_data[9306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_uledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi_ptest },
    &operand_data[9311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_uledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi_ptest },
    &operand_data[9316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ultdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_uledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ltdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_gtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_ugedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_rwdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7795 */
  {
    "while_wrdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi_ptest },
    &operand_data[9321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6769 },
#else
    { 0, output_6769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6770 },
#else
    { 0, output_6770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6771 },
#else
    { 0, output_6771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6772 },
#else
    { 0, output_6772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6773 },
#else
    { 0, output_6773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6774 },
#else
    { 0, output_6774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx8hf },
    &operand_data[9326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6775 },
#else
    { 0, output_6775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6776 },
#else
    { 0, output_6776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6777 },
#else
    { 0, output_6777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6778 },
#else
    { 0, output_6778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6779 },
#else
    { 0, output_6779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6780 },
#else
    { 0, output_6780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx4sf },
    &operand_data[9331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6781 },
#else
    { 0, output_6781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6782 },
#else
    { 0, output_6782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6783 },
#else
    { 0, output_6783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6784 },
#else
    { 0, output_6784, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6785 },
#else
    { 0, output_6785, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7848 */
  {
    "aarch64_pred_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6786 },
#else
    { 0, output_6786, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx2df },
    &operand_data[9336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7863 */
  {
    "aarch64_pred_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx8hf },
    &operand_data[9341],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7863 */
  {
    "aarch64_pred_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx4sf },
    &operand_data[9346],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7863 */
  {
    "aarch64_pred_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx2df },
    &operand_data[9351],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmeqvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgtvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmlevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmltvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmnevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmeqvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgtvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmlevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmltvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmnevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmeqvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmgtvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmlevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmltvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7883 */
  {
    "*fcmnevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7906 */
  {
    "*fcmuovnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9371],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7906 */
  {
    "*fcmuovnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7906 */
  {
    "*fcmuovnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9381],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9386],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgtvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9386],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_faclevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9386],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facltvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9386],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9393],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgtvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9393],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_faclevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9393],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9393],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9400],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facgtvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9400],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_faclevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9400],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "*aarch64_pred_facltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9400],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9407],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgtvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9407],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_faclevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9407],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facltvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9407],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9414],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgtvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9414],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_faclevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9414],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9414],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9421],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facgtvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9421],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_faclevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9421],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7984 */
  {
    "*aarch64_pred_facltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9421],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8011 */
  {
    "vcond_mask_vnx16bivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16bivnx16bi },
    &operand_data[8564],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8011 */
  {
    "vcond_mask_vnx8bivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bivnx8bi },
    &operand_data[8568],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8011 */
  {
    "vcond_mask_vnx4bivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bivnx4bi },
    &operand_data[8572],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8011 */
  {
    "vcond_mask_vnx2bivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bivnx2bi },
    &operand_data[8576],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8061 */
  {
    "aarch64_ptestvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx16bi },
    &operand_data[9428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8061 */
  {
    "aarch64_ptestvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx8bi },
    &operand_data[9431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8061 */
  {
    "aarch64_ptestvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx4bi },
    &operand_data[9435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8061 */
  {
    "aarch64_ptestvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx2bi },
    &operand_data[9439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6843 },
#else
    { 0, output_6843, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx16qi },
    &operand_data[9443],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6844 },
#else
    { 0, output_6844, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[9443],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6845 },
#else
    { 0, output_6845, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hi },
    &operand_data[9447],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6846 },
#else
    { 0, output_6846, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[9447],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6847 },
#else
    { 0, output_6847, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4si },
    &operand_data[9451],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6848 },
#else
    { 0, output_6848, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[9451],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6849 },
#else
    { 0, output_6849, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2di },
    &operand_data[9455],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6850 },
#else
    { 0, output_6850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[9455],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6851 },
#else
    { 0, output_6851, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8bf },
    &operand_data[9459],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6852 },
#else
    { 0, output_6852, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8bf },
    &operand_data[9459],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6853 },
#else
    { 0, output_6853, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hf },
    &operand_data[9463],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6854 },
#else
    { 0, output_6854, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[9463],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6855 },
#else
    { 0, output_6855, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4sf },
    &operand_data[9467],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6856 },
#else
    { 0, output_6856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[9467],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6857 },
#else
    { 0, output_6857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2df },
    &operand_data[9471],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6858 },
#else
    { 0, output_6858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[9471],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6859 },
#else
    { 0, output_6859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx16qi },
    &operand_data[9475],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6860 },
#else
    { 0, output_6860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx16qi },
    &operand_data[9475],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6861 },
#else
    { 0, output_6861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hi },
    &operand_data[9479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6862 },
#else
    { 0, output_6862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hi },
    &operand_data[9479],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6863 },
#else
    { 0, output_6863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4si },
    &operand_data[9483],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6864 },
#else
    { 0, output_6864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4si },
    &operand_data[9483],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6865 },
#else
    { 0, output_6865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2di },
    &operand_data[9487],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6866 },
#else
    { 0, output_6866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2di },
    &operand_data[9487],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6867 },
#else
    { 0, output_6867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8bf },
    &operand_data[9491],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6868 },
#else
    { 0, output_6868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8bf },
    &operand_data[9491],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6869 },
#else
    { 0, output_6869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hf },
    &operand_data[9495],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6870 },
#else
    { 0, output_6870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hf },
    &operand_data[9495],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6871 },
#else
    { 0, output_6871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4sf },
    &operand_data[9499],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6872 },
#else
    { 0, output_6872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4sf },
    &operand_data[9499],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6873 },
#else
    { 0, output_6873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2df },
    &operand_data[9503],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8099 */
  {
    "aarch64_fold_extract_vector_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6874 },
#else
    { 0, output_6874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2df },
    &operand_data[9503],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_sadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx16qi },
    &operand_data[9507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_uadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx16qi },
    &operand_data[9507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_sadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx8hi },
    &operand_data[9510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_uadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx8hi },
    &operand_data[9510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_sadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx4si },
    &operand_data[9513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_uadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx4si },
    &operand_data[9513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8143 */
  {
    "aarch64_pred_reduc_uadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_and_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_ior_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_xor_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx16qi },
    &operand_data[9519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_and_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_ior_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_xor_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx8hi },
    &operand_data[9522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_and_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_ior_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_xor_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx4si },
    &operand_data[9525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_and_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_ior_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_smin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_umin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8165 */
  {
    "aarch64_pred_reduc_xor_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx2di },
    &operand_data[9516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx8hf },
    &operand_data[9528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx8hf },
    &operand_data[9528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hf },
    &operand_data[9528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx8hf },
    &operand_data[9528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hf },
    &operand_data[9528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx4sf },
    &operand_data[9531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx4sf },
    &operand_data[9531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4sf },
    &operand_data[9531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx4sf },
    &operand_data[9531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4sf },
    &operand_data[9531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx2df },
    &operand_data[9534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx2df },
    &operand_data[9534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smax_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2df },
    &operand_data[9534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx2df },
    &operand_data[9534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8198 */
  {
    "aarch64_pred_reduc_smin_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2df },
    &operand_data[9534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8228 */
  {
    "mask_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %3, %h0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx8hf },
    &operand_data[9537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8228 */
  {
    "mask_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %3, %s0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx4sf },
    &operand_data[9541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8228 */
  {
    "mask_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %3, %d0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx2df },
    &operand_data[9545],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8bf },
    &operand_data[9549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hf },
    &operand_data[8066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4sf },
    &operand_data[8069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8262 */
  {
    "aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2df },
    &operand_data[8072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8282 */
  {
    "aarch64_sve_compactvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4si },
    &operand_data[8046],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8282 */
  {
    "aarch64_sve_compactvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2di },
    &operand_data[8056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8282 */
  {
    "aarch64_sve_compactvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4sf },
    &operand_data[9552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8282 */
  {
    "aarch64_sve_compactvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2df },
    &operand_data[9555],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx16qi },
    &operand_data[9558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hi },
    &operand_data[9561],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4si },
    &operand_data[9564],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2di },
    &operand_data[9567],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8bf },
    &operand_data[9570],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hf },
    &operand_data[9573],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4sf },
    &operand_data[9576],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8293 */
  {
    "aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2df },
    &operand_data[9579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6948 },
#else
    { 0, 0, output_6948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx16qi },
    &operand_data[9582],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6949 },
#else
    { 0, 0, output_6949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hi },
    &operand_data[9585],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6950 },
#else
    { 0, 0, output_6950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4si },
    &operand_data[9588],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6951 },
#else
    { 0, 0, output_6951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2di },
    &operand_data[9591],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6952 },
#else
    { 0, 0, output_6952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8bf },
    &operand_data[9594],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6953 },
#else
    { 0, 0, output_6953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hf },
    &operand_data[9597],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6954 },
#else
    { 0, 0, output_6954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4sf },
    &operand_data[9600],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8321 */
  {
    "aarch64_sve_dupq_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6955 },
#else
    { 0, 0, output_6955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2df },
    &operand_data[9603],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16qi },
    &operand_data[7830],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hi },
    &operand_data[7834],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4si },
    &operand_data[7670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2di },
    &operand_data[7673],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bf },
    &operand_data[9549],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hf },
    &operand_data[7463],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4sf },
    &operand_data[7465],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8341 */
  {
    "aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2df },
    &operand_data[7467],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6964 },
#else
    { 0, output_6964, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6965 },
#else
    { 0, output_6965, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6966 },
#else
    { 0, output_6966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6967 },
#else
    { 0, output_6967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6968 },
#else
    { 0, output_6968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8bf },
    &operand_data[9606],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6969 },
#else
    { 0, output_6969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6970 },
#else
    { 0, output_6970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8363 */
  {
    "aarch64_sve_splicevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6971 },
#else
    { 0, output_6971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8379 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8bf },
    &operand_data[9610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hf },
    &operand_data[8123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4sf },
    &operand_data[8126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_zip2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_trn2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8391 */
  {
    "aarch64_sve_uzp2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2df },
    &operand_data[8129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7068 },
#else
    { 0, 0, output_7068 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx16qi },
    &operand_data[9613],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7069 },
#else
    { 0, 0, output_7069 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hi },
    &operand_data[9617],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7070 },
#else
    { 0, 0, output_7070 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4si },
    &operand_data[9621],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7071 },
#else
    { 0, 0, output_7071 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2di },
    &operand_data[9625],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7072 },
#else
    { 0, 0, output_7072 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8bf },
    &operand_data[9629],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7073 },
#else
    { 0, 0, output_7073 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hf },
    &operand_data[9633],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7074 },
#else
    { 0, 0, output_7074 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4sf },
    &operand_data[9637],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8403 */
  {
    "aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7075 },
#else
    { 0, 0, output_7075 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2df },
    &operand_data[9641],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8428 */
  {
    "aarch64_sve_revvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16bi },
    &operand_data[5493],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8428 */
  {
    "aarch64_sve_revvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bi },
    &operand_data[7511],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8428 */
  {
    "aarch64_sve_revvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bi },
    &operand_data[7514],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8428 */
  {
    "aarch64_sve_revvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bi },
    &operand_data[7517],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16bi },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bi },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bi },
    &operand_data[7514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8449 */
  {
    "aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bi },
    &operand_data[7517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8462 */
  {
    "aarch64_sve_trn1_convvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx16bi },
    &operand_data[9645],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8462 */
  {
    "aarch64_sve_trn1_convvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx8bi },
    &operand_data[9649],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8462 */
  {
    "aarch64_sve_trn1_convvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx4bi },
    &operand_data[9653],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8462 */
  {
    "aarch64_sve_trn1_convvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx2bi },
    &operand_data[9657],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[9661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[9664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[9667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[9670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[9670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[9670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[9670],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[9672],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[9672],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[9672],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[9672],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[9674],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[9674],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[9674],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8522 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[9674],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7123 },
#else
    { 0, output_7123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[9676],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7124 },
#else
    { 0, output_7124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[9676],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7125 },
#else
    { 0, output_7125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[9680],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7126 },
#else
    { 0, output_7126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[9680],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7127 },
#else
    { 0, output_7127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[9684],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7128 },
#else
    { 0, output_7128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[9684],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7129 },
#else
    { 0, output_7129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[9688],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7130 },
#else
    { 0, output_7130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[9688],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7131 },
#else
    { 0, output_7131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[9692],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7132 },
#else
    { 0, output_7132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[9692],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7133 },
#else
    { 0, output_7133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[9696],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8555 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7134 },
#else
    { 0, output_7134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[9696],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8570 */
  {
    "aarch64_sve_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7135 },
#else
    { 0, output_7135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[9700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8570 */
  {
    "aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7136 },
#else
    { 0, output_7136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[9700],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7137 },
#else
    { 0, output_7137, 0 },
#endif
    { 0 },
    &operand_data[9704],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7138 },
#else
    { 0, output_7138, 0 },
#endif
    { 0 },
    &operand_data[9704],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7139 },
#else
    { 0, output_7139, 0 },
#endif
    { 0 },
    &operand_data[9709],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7140 },
#else
    { 0, output_7140, 0 },
#endif
    { 0 },
    &operand_data[9709],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7141 },
#else
    { 0, output_7141, 0 },
#endif
    { 0 },
    &operand_data[9714],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7142 },
#else
    { 0, output_7142, 0 },
#endif
    { 0 },
    &operand_data[9714],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7143 },
#else
    { 0, output_7143, 0 },
#endif
    { 0 },
    &operand_data[9719],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7144 },
#else
    { 0, output_7144, 0 },
#endif
    { 0 },
    &operand_data[9719],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7145 },
#else
    { 0, output_7145, 0 },
#endif
    { 0 },
    &operand_data[9724],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7146 },
#else
    { 0, output_7146, 0 },
#endif
    { 0 },
    &operand_data[9724],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7147 },
#else
    { 0, output_7147, 0 },
#endif
    { 0 },
    &operand_data[9729],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8605 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7148 },
#else
    { 0, output_7148, 0 },
#endif
    { 0 },
    &operand_data[9729],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7149 },
#else
    { 0, output_7149, 0 },
#endif
    { 0 },
    &operand_data[9704],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7150 },
#else
    { 0, output_7150, 0 },
#endif
    { 0 },
    &operand_data[9704],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7151 },
#else
    { 0, output_7151, 0 },
#endif
    { 0 },
    &operand_data[9709],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7152 },
#else
    { 0, output_7152, 0 },
#endif
    { 0 },
    &operand_data[9709],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7153 },
#else
    { 0, output_7153, 0 },
#endif
    { 0 },
    &operand_data[9714],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7154 },
#else
    { 0, output_7154, 0 },
#endif
    { 0 },
    &operand_data[9714],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7155 },
#else
    { 0, output_7155, 0 },
#endif
    { 0 },
    &operand_data[9719],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7156 },
#else
    { 0, output_7156, 0 },
#endif
    { 0 },
    &operand_data[9719],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7157 },
#else
    { 0, output_7157, 0 },
#endif
    { 0 },
    &operand_data[9724],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7158 },
#else
    { 0, output_7158, 0 },
#endif
    { 0 },
    &operand_data[9724],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7159 },
#else
    { 0, output_7159, 0 },
#endif
    { 0 },
    &operand_data[9729],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8628 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7160 },
#else
    { 0, output_7160, 0 },
#endif
    { 0 },
    &operand_data[9729],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8662 */
  {
    "*cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7161 },
#else
    { 0, output_7161, 0 },
#endif
    { 0 },
    &operand_data[9734],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8662 */
  {
    "*cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7162 },
#else
    { 0, output_7162, 0 },
#endif
    { 0 },
    &operand_data[9734],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7163 },
#else
    { 0, output_7163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx8hf },
    &operand_data[9739],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7164 },
#else
    { 0, output_7164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[9739],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7165 },
#else
    { 0, output_7165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx8hf },
    &operand_data[9743],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7166 },
#else
    { 0, output_7166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[9743],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7167 },
#else
    { 0, output_7167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx4sf },
    &operand_data[9747],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7168 },
#else
    { 0, output_7168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[9747],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7169 },
#else
    { 0, output_7169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx8hf },
    &operand_data[9751],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7170 },
#else
    { 0, output_7170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx8hf },
    &operand_data[9751],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7171 },
#else
    { 0, output_7171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx4sf },
    &operand_data[9755],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7172 },
#else
    { 0, output_7172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx4sf },
    &operand_data[9755],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7173 },
#else
    { 0, output_7173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx2df },
    &operand_data[9759],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8742 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7174 },
#else
    { 0, output_7174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx2df },
    &operand_data[9759],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7175 },
#else
    { 0, output_7175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_extendvnx4sivnx2df },
    &operand_data[9763],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8757 */
  {
    "aarch64_sve_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7176 },
#else
    { 0, output_7176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_extendvnx4sivnx2df },
    &operand_data[9763],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7177 },
#else
    { 0, output_7177, 0 },
#endif
    { 0 },
    &operand_data[9767],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7178 },
#else
    { 0, output_7178, 0 },
#endif
    { 0 },
    &operand_data[9767],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7179 },
#else
    { 0, output_7179, 0 },
#endif
    { 0 },
    &operand_data[9772],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7180 },
#else
    { 0, output_7180, 0 },
#endif
    { 0 },
    &operand_data[9772],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7181 },
#else
    { 0, output_7181, 0 },
#endif
    { 0 },
    &operand_data[9777],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7182 },
#else
    { 0, output_7182, 0 },
#endif
    { 0 },
    &operand_data[9777],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7183 },
#else
    { 0, output_7183, 0 },
#endif
    { 0 },
    &operand_data[9782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7184 },
#else
    { 0, output_7184, 0 },
#endif
    { 0 },
    &operand_data[9782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7185 },
#else
    { 0, output_7185, 0 },
#endif
    { 0 },
    &operand_data[9787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7186 },
#else
    { 0, output_7186, 0 },
#endif
    { 0 },
    &operand_data[9787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_float_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7187 },
#else
    { 0, output_7187, 0 },
#endif
    { 0 },
    &operand_data[9792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8792 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7188 },
#else
    { 0, output_7188, 0 },
#endif
    { 0 },
    &operand_data[9792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7189 },
#else
    { 0, output_7189, 0 },
#endif
    { 0 },
    &operand_data[9767],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7190 },
#else
    { 0, output_7190, 0 },
#endif
    { 0 },
    &operand_data[9767],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7191 },
#else
    { 0, output_7191, 0 },
#endif
    { 0 },
    &operand_data[9772],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7192 },
#else
    { 0, output_7192, 0 },
#endif
    { 0 },
    &operand_data[9772],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7193 },
#else
    { 0, output_7193, 0 },
#endif
    { 0 },
    &operand_data[9777],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7194 },
#else
    { 0, output_7194, 0 },
#endif
    { 0 },
    &operand_data[9777],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7195 },
#else
    { 0, output_7195, 0 },
#endif
    { 0 },
    &operand_data[9782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7196 },
#else
    { 0, output_7196, 0 },
#endif
    { 0 },
    &operand_data[9782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7197 },
#else
    { 0, output_7197, 0 },
#endif
    { 0 },
    &operand_data[9787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7198 },
#else
    { 0, output_7198, 0 },
#endif
    { 0 },
    &operand_data[9787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_float_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7199 },
#else
    { 0, output_7199, 0 },
#endif
    { 0 },
    &operand_data[9792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8815 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7200 },
#else
    { 0, output_7200, 0 },
#endif
    { 0 },
    &operand_data[9792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8849 */
  {
    "*cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7201 },
#else
    { 0, output_7201, 0 },
#endif
    { 0 },
    &operand_data[9797],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8849 */
  {
    "*cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7202 },
#else
    { 0, output_7202, 0 },
#endif
    { 0 },
    &operand_data[9797],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8940 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7203 },
#else
    { 0, output_7203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8hf },
    &operand_data[9802],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8940 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7204 },
#else
    { 0, output_7204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx8hf },
    &operand_data[9806],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8940 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7205 },
#else
    { 0, output_7205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx4sf },
    &operand_data[9810],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8969 */
  {
    "*cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7206 },
#else
    { 0, output_7206, 0 },
#endif
    { 0 },
    &operand_data[9814],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8969 */
  {
    "*cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7207 },
#else
    { 0, output_7207, 0 },
#endif
    { 0 },
    &operand_data[9819],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8969 */
  {
    "*cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7208 },
#else
    { 0, output_7208, 0 },
#endif
    { 0 },
    &operand_data[9824],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8997 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7209 },
#else
    { 0, output_7209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8bf },
    &operand_data[9829],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9026 */
  {
    "*cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7210 },
#else
    { 0, output_7210, 0 },
#endif
    { 0 },
    &operand_data[9833],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9050 */
  {
    "aarch64_sve_cvtntvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8bf },
    &operand_data[9838],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9097 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7212 },
#else
    { 0, output_7212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[9842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9097 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7213 },
#else
    { 0, output_7213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[9846],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9097 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7214 },
#else
    { 0, output_7214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[9850],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9126 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7215 },
#else
    { 0, output_7215, 0 },
#endif
    { 0 },
    &operand_data[9854],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9126 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7216 },
#else
    { 0, output_7216, 0 },
#endif
    { 0 },
    &operand_data[9859],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9126 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7217 },
#else
    { 0, output_7217, 0 },
#endif
    { 0 },
    &operand_data[9864],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[9869],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[9872],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9154 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[9875],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[8586],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[8586],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[9878],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[9878],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[9880],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9189 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[9880],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9214 */
  {
    "aarch64_brka",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7227 },
#else
    { 0, output_7227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brka },
    &operand_data[9882],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9214 */
  {
    "aarch64_brkb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7228 },
#else
    { 0, output_7228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkb },
    &operand_data[9882],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9228 */
  {
    "*aarch64_brka_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7229 },
#else
    { 0, output_7229, 0 },
#endif
    { 0 },
    &operand_data[9882],
    5,
    5,
    5,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9228 */
  {
    "*aarch64_brkb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7230 },
#else
    { 0, output_7230, 0 },
#endif
    { 0 },
    &operand_data[9882],
    5,
    5,
    5,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9253 */
  {
    "*aarch64_brka_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7231 },
#else
    { 0, output_7231, 0 },
#endif
    { 0 },
    &operand_data[9887],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9253 */
  {
    "*aarch64_brkb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7232 },
#else
    { 0, output_7232, 0 },
#endif
    { 0 },
    &operand_data[9887],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9285 */
  {
    "aarch64_brkn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkn\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkn },
    &operand_data[9892],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9285 */
  {
    "aarch64_brkpa",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpa\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpa },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9285 */
  {
    "aarch64_brkpb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpb\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpb },
    &operand_data[8564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "*aarch64_brkn_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9892],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "*aarch64_brkpa_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9897],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9297 */
  {
    "*aarch64_brkpb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9897],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9320 */
  {
    "*aarch64_brkn_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9320 */
  {
    "*aarch64_brkpa_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9320 */
  {
    "*aarch64_brkpb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_pfirstvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx16bi },
    &operand_data[9912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_pnextvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx16bi },
    &operand_data[9912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_pnextvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx8bi },
    &operand_data[9916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_pnextvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx4bi },
    &operand_data[9920],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9345 */
  {
    "aarch64_sve_pnextvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx2bi },
    &operand_data[9924],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9358 */
  {
    "*aarch64_sve_pfirstvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9928],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9358 */
  {
    "*aarch64_sve_pnextvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9928],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9358 */
  {
    "*aarch64_sve_pnextvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9935],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9358 */
  {
    "*aarch64_sve_pnextvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9942],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9358 */
  {
    "*aarch64_sve_pnextvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9949],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9388 */
  {
    "*aarch64_sve_pfirstvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9956],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9388 */
  {
    "*aarch64_sve_pnextvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9956],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9388 */
  {
    "*aarch64_sve_pnextvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9963],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9388 */
  {
    "*aarch64_sve_pnextvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9970],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9388 */
  {
    "*aarch64_sve_pnextvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9977],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9431 */
  {
    "aarch64_sve_cnt_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7257 },
#else
    { 0, 0, output_7257 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cnt_pat },
    &operand_data[9984],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9455 */
  {
    "aarch64_sve_incdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7258 },
#else
    { 0, 0, output_7258 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9455 */
  {
    "aarch64_sve_sqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7259 },
#else
    { 0, 0, output_7259 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9455 */
  {
    "aarch64_sve_uqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7260 },
#else
    { 0, 0, output_7260 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9473 */
  {
    "*aarch64_sve_incsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7261 },
#else
    { 0, 0, output_7261 },
#endif
    { 0 },
    &operand_data[9993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9490 */
  {
    "aarch64_sve_sqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7262 },
#else
    { 0, 0, output_7262 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsi_pat },
    &operand_data[9998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9490 */
  {
    "aarch64_sve_uqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7263 },
#else
    { 0, 0, output_7263 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsi_pat },
    &operand_data[9998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9518 */
  {
    "aarch64_sve_incvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7264 },
#else
    { 0, 0, output_7264 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9518 */
  {
    "aarch64_sve_sqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7265 },
#else
    { 0, 0, output_7265 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9518 */
  {
    "aarch64_sve_uqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7266 },
#else
    { 0, 0, output_7266 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9540 */
  {
    "aarch64_sve_incvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7267 },
#else
    { 0, 0, output_7267 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9540 */
  {
    "aarch64_sve_sqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7268 },
#else
    { 0, 0, output_7268 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9540 */
  {
    "aarch64_sve_uqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7269 },
#else
    { 0, 0, output_7269 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9574 */
  {
    "*aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7270 },
#else
    { 0, 0, output_7270 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9574 */
  {
    "*aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7271 },
#else
    { 0, 0, output_7271 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9574 */
  {
    "*aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7272 },
#else
    { 0, 0, output_7272 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9605 */
  {
    "aarch64_sve_decdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7273 },
#else
    { 0, 0, output_7273 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9605 */
  {
    "aarch64_sve_sqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7274 },
#else
    { 0, 0, output_7274 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9605 */
  {
    "aarch64_sve_uqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7275 },
#else
    { 0, 0, output_7275 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdi_pat },
    &operand_data[9988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9623 */
  {
    "*aarch64_sve_decsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7276 },
#else
    { 0, 0, output_7276 },
#endif
    { 0 },
    &operand_data[9993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "aarch64_sve_sqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7277 },
#else
    { 0, 0, output_7277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsi_pat },
    &operand_data[9998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9640 */
  {
    "aarch64_sve_uqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7278 },
#else
    { 0, 0, output_7278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsi_pat },
    &operand_data[9998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9668 */
  {
    "aarch64_sve_decvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7279 },
#else
    { 0, 0, output_7279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9668 */
  {
    "aarch64_sve_sqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7280 },
#else
    { 0, 0, output_7280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9668 */
  {
    "aarch64_sve_uqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7281 },
#else
    { 0, 0, output_7281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_pat },
    &operand_data[10003],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9690 */
  {
    "aarch64_sve_decvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7282 },
#else
    { 0, 0, output_7282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9690 */
  {
    "aarch64_sve_sqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7283 },
#else
    { 0, 0, output_7283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9690 */
  {
    "aarch64_sve_uqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7284 },
#else
    { 0, 0, output_7284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_pat },
    &operand_data[10008],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9724 */
  {
    "*aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7285 },
#else
    { 0, 0, output_7285 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9724 */
  {
    "*aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7286 },
#else
    { 0, 0, output_7286 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9724 */
  {
    "*aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7287 },
#else
    { 0, 0, output_7287 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9753 */
  {
    "aarch64_pred_cntpvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx16bi },
    &operand_data[10019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9753 */
  {
    "aarch64_pred_cntpvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx8bi },
    &operand_data[10023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9753 */
  {
    "aarch64_pred_cntpvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx4bi },
    &operand_data[10027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9753 */
  {
    "aarch64_pred_cntpvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx2bi },
    &operand_data[10031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9789 */
  {
    "*aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9809 */
  {
    "*aarch64_incsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9809 */
  {
    "*aarch64_incsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9809 */
  {
    "*aarch64_incsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9809 */
  {
    "*aarch64_incsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7308 },
#else
    { 0, 0, output_7308 },
#endif
    { 0 },
    &operand_data[10067],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7309 },
#else
    { 0, 0, output_7309 },
#endif
    { 0 },
    &operand_data[10067],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7310 },
#else
    { 0, 0, output_7310 },
#endif
    { 0 },
    &operand_data[10071],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7311 },
#else
    { 0, 0, output_7311 },
#endif
    { 0 },
    &operand_data[10071],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7312 },
#else
    { 0, 0, output_7312 },
#endif
    { 0 },
    &operand_data[10075],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7313 },
#else
    { 0, 0, output_7313 },
#endif
    { 0 },
    &operand_data[10075],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7314 },
#else
    { 0, 0, output_7314 },
#endif
    { 0 },
    &operand_data[10079],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9844 */
  {
    "*aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7315 },
#else
    { 0, 0, output_7315 },
#endif
    { 0 },
    &operand_data[10079],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9894 */
  {
    "*aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7316 },
#else
    { 0, output_7316, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9894 */
  {
    "*aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7317 },
#else
    { 0, output_7317, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9894 */
  {
    "*aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7318 },
#else
    { 0, output_7318, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9934 */
  {
    "*aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7319 },
#else
    { 0, output_7319, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9934 */
  {
    "*aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7320 },
#else
    { 0, output_7320, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9934 */
  {
    "*aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7321 },
#else
    { 0, output_7321, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9974 */
  {
    "*aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7322 },
#else
    { 0, output_7322, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9974 */
  {
    "*aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7323 },
#else
    { 0, output_7323, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9974 */
  {
    "*aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7324 },
#else
    { 0, output_7324, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10022 */
  {
    "*aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10042 */
  {
    "*aarch64_decsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10042 */
  {
    "*aarch64_decsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10042 */
  {
    "*aarch64_decsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10042 */
  {
    "*aarch64_decsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7341 },
#else
    { 0, 0, output_7341 },
#endif
    { 0 },
    &operand_data[10067],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7342 },
#else
    { 0, 0, output_7342 },
#endif
    { 0 },
    &operand_data[10067],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7343 },
#else
    { 0, 0, output_7343 },
#endif
    { 0 },
    &operand_data[10071],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7344 },
#else
    { 0, 0, output_7344 },
#endif
    { 0 },
    &operand_data[10071],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7345 },
#else
    { 0, 0, output_7345 },
#endif
    { 0 },
    &operand_data[10075],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7346 },
#else
    { 0, 0, output_7346 },
#endif
    { 0 },
    &operand_data[10075],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7347 },
#else
    { 0, 0, output_7347 },
#endif
    { 0 },
    &operand_data[10079],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10077 */
  {
    "*aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7348 },
#else
    { 0, 0, output_7348 },
#endif
    { 0 },
    &operand_data[10079],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10127 */
  {
    "*aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7349 },
#else
    { 0, output_7349, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10127 */
  {
    "*aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7350 },
#else
    { 0, output_7350, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10127 */
  {
    "*aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7351 },
#else
    { 0, output_7351, 0 },
#endif
    { 0 },
    &operand_data[10083],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10167 */
  {
    "*aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7352 },
#else
    { 0, output_7352, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10167 */
  {
    "*aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7353 },
#else
    { 0, output_7353, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10167 */
  {
    "*aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7354 },
#else
    { 0, output_7354, 0 },
#endif
    { 0 },
    &operand_data[10087],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10207 */
  {
    "*aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7355 },
#else
    { 0, output_7355, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10207 */
  {
    "*aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7356 },
#else
    { 0, output_7356, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10207 */
  {
    "*aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7357 },
#else
    { 0, output_7357, 0 },
#endif
    { 0 },
    &operand_data[10091],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7358 },
#else
    { 0, output_7358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4si },
    &operand_data[10096],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7359 },
#else
    { 0, output_7359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2di },
    &operand_data[10100],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7360 },
#else
    { 0, output_7360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4sf },
    &operand_data[10104],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7361 },
#else
    { 0, output_7361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2df },
    &operand_data[10108],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7362 },
#else
    { 0, output_7362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4qi },
    &operand_data[10112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7363 },
#else
    { 0, output_7363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4qi },
    &operand_data[10112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7364 },
#else
    { 0, output_7364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2qi },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7365 },
#else
    { 0, output_7365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2qi },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7366 },
#else
    { 0, output_7366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4hi },
    &operand_data[10112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7367 },
#else
    { 0, output_7367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4hi },
    &operand_data[10112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7368 },
#else
    { 0, output_7368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2hi },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7369 },
#else
    { 0, output_7369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2hi },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7370 },
#else
    { 0, output_7370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2si },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7371 },
#else
    { 0, output_7371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2si },
    &operand_data[10117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7372 },
#else
    { 0, output_7372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4si },
    &operand_data[10122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7373 },
#else
    { 0, output_7373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2di },
    &operand_data[10126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7374 },
#else
    { 0, output_7374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4sf },
    &operand_data[10130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7375 },
#else
    { 0, output_7375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2df },
    &operand_data[10134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7376 },
#else
    { 0, output_7376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4qi },
    &operand_data[10122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7377 },
#else
    { 0, output_7377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2qi },
    &operand_data[10126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7378 },
#else
    { 0, output_7378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4hi },
    &operand_data[10122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7379 },
#else
    { 0, output_7379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2hi },
    &operand_data[10126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7380 },
#else
    { 0, output_7380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2si },
    &operand_data[10126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hi },
    &operand_data[10138],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4si },
    &operand_data[10142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2di },
    &operand_data[10146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7384 },
#else
    { 0, output_7384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx16qi_const },
    &operand_data[10150],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7385 },
#else
    { 0, output_7385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx8hi_const },
    &operand_data[10153],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7386 },
#else
    { 0, output_7386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx4si_const },
    &operand_data[10156],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7387 },
#else
    { 0, output_7387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx2di_const },
    &operand_data[10159],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7388 },
#else
    { 0, output_7388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7389 },
#else
    { 0, output_7389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7390 },
#else
    { 0, output_7390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7391 },
#else
    { 0, output_7391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7392 },
#else
    { 0, output_7392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7393 },
#else
    { 0, output_7393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7394 },
#else
    { 0, output_7394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7395 },
#else
    { 0, output_7395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7396 },
#else
    { 0, output_7396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7397 },
#else
    { 0, output_7397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx16qi },
    &operand_data[10162],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7398 },
#else
    { 0, output_7398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7399 },
#else
    { 0, output_7399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7400 },
#else
    { 0, output_7400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7401 },
#else
    { 0, output_7401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7402 },
#else
    { 0, output_7402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7403 },
#else
    { 0, output_7403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7404 },
#else
    { 0, output_7404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7405 },
#else
    { 0, output_7405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7406 },
#else
    { 0, output_7406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7407 },
#else
    { 0, output_7407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx8hi },
    &operand_data[10166],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7408 },
#else
    { 0, output_7408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7409 },
#else
    { 0, output_7409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7410 },
#else
    { 0, output_7410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7411 },
#else
    { 0, output_7411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7412 },
#else
    { 0, output_7412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7413 },
#else
    { 0, output_7413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7414 },
#else
    { 0, output_7414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7415 },
#else
    { 0, output_7415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7416 },
#else
    { 0, output_7416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7417 },
#else
    { 0, output_7417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx4si },
    &operand_data[7810],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7418 },
#else
    { 0, output_7418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7419 },
#else
    { 0, output_7419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7420 },
#else
    { 0, output_7420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7421 },
#else
    { 0, output_7421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7422 },
#else
    { 0, output_7422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7423 },
#else
    { 0, output_7423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7424 },
#else
    { 0, output_7424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7425 },
#else
    { 0, output_7425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7426 },
#else
    { 0, output_7426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7427 },
#else
    { 0, output_7427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx2di },
    &operand_data[7814],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7428 },
#else
    { 0, output_7428, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7429 },
#else
    { 0, output_7429, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7430 },
#else
    { 0, output_7430, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7431 },
#else
    { 0, output_7431, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7432 },
#else
    { 0, output_7432, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7433 },
#else
    { 0, output_7433, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7434 },
#else
    { 0, output_7434, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7435 },
#else
    { 0, output_7435, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7436 },
#else
    { 0, output_7436, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7437 },
#else
    { 0, output_7437, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7438 },
#else
    { 0, output_7438, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7439 },
#else
    { 0, output_7439, 0 },
#endif
    { 0 },
    &operand_data[7714],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7440 },
#else
    { 0, output_7440, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7441 },
#else
    { 0, output_7441, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7442 },
#else
    { 0, output_7442, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7443 },
#else
    { 0, output_7443, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7444 },
#else
    { 0, output_7444, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7445 },
#else
    { 0, output_7445, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7446 },
#else
    { 0, output_7446, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7447 },
#else
    { 0, output_7447, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7448 },
#else
    { 0, output_7448, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7449 },
#else
    { 0, output_7449, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7450 },
#else
    { 0, output_7450, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7451 },
#else
    { 0, output_7451, 0 },
#endif
    { 0 },
    &operand_data[7720],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7452 },
#else
    { 0, output_7452, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7453 },
#else
    { 0, output_7453, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7454 },
#else
    { 0, output_7454, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7455 },
#else
    { 0, output_7455, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7456 },
#else
    { 0, output_7456, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7457 },
#else
    { 0, output_7457, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7458 },
#else
    { 0, output_7458, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7459 },
#else
    { 0, output_7459, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7460 },
#else
    { 0, output_7460, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7461 },
#else
    { 0, output_7461, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7462 },
#else
    { 0, output_7462, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7463 },
#else
    { 0, output_7463, 0 },
#endif
    { 0 },
    &operand_data[7726],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7464 },
#else
    { 0, output_7464, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7465 },
#else
    { 0, output_7465, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7466 },
#else
    { 0, output_7466, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7467 },
#else
    { 0, output_7467, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7468 },
#else
    { 0, output_7468, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7469 },
#else
    { 0, output_7469, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7470 },
#else
    { 0, output_7470, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7471 },
#else
    { 0, output_7471, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7472 },
#else
    { 0, output_7472, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7473 },
#else
    { 0, output_7473, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7474 },
#else
    { 0, output_7474, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7475 },
#else
    { 0, output_7475, 0 },
#endif
    { 0 },
    &operand_data[7732],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7476 },
#else
    { 0, output_7476, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7477 },
#else
    { 0, output_7477, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7478 },
#else
    { 0, output_7478, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7479 },
#else
    { 0, output_7479, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7480 },
#else
    { 0, output_7480, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7481 },
#else
    { 0, output_7481, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7482 },
#else
    { 0, output_7482, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7483 },
#else
    { 0, output_7483, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7484 },
#else
    { 0, output_7484, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7485 },
#else
    { 0, output_7485, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7486 },
#else
    { 0, output_7486, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7487 },
#else
    { 0, output_7487, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7488 },
#else
    { 0, output_7488, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7489 },
#else
    { 0, output_7489, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7490 },
#else
    { 0, output_7490, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7491 },
#else
    { 0, output_7491, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7492 },
#else
    { 0, output_7492, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7493 },
#else
    { 0, output_7493, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7494 },
#else
    { 0, output_7494, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7495 },
#else
    { 0, output_7495, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7496 },
#else
    { 0, output_7496, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7497 },
#else
    { 0, output_7497, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7498 },
#else
    { 0, output_7498, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7499 },
#else
    { 0, output_7499, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7500 },
#else
    { 0, output_7500, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7501 },
#else
    { 0, output_7501, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7502 },
#else
    { 0, output_7502, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7503 },
#else
    { 0, output_7503, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7504 },
#else
    { 0, output_7504, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7505 },
#else
    { 0, output_7505, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7506 },
#else
    { 0, output_7506, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7507 },
#else
    { 0, output_7507, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7508 },
#else
    { 0, output_7508, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7509 },
#else
    { 0, output_7509, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7510 },
#else
    { 0, output_7510, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7511 },
#else
    { 0, output_7511, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7512 },
#else
    { 0, output_7512, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7513 },
#else
    { 0, output_7513, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7514 },
#else
    { 0, output_7514, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7515 },
#else
    { 0, output_7515, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7516 },
#else
    { 0, output_7516, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7517 },
#else
    { 0, output_7517, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7518 },
#else
    { 0, output_7518, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7519 },
#else
    { 0, output_7519, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7520 },
#else
    { 0, output_7520, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7521 },
#else
    { 0, output_7521, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7522 },
#else
    { 0, output_7522, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7523 },
#else
    { 0, output_7523, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7524 },
#else
    { 0, output_7524, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7525 },
#else
    { 0, output_7525, 0 },
#endif
    { 0 },
    &operand_data[7738],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7526 },
#else
    { 0, output_7526, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7527 },
#else
    { 0, output_7527, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7528 },
#else
    { 0, output_7528, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7529 },
#else
    { 0, output_7529, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7530 },
#else
    { 0, output_7530, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7531 },
#else
    { 0, output_7531, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7532 },
#else
    { 0, output_7532, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7533 },
#else
    { 0, output_7533, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7534 },
#else
    { 0, output_7534, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7535 },
#else
    { 0, output_7535, 0 },
#endif
    { 0 },
    &operand_data[7745],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7536 },
#else
    { 0, output_7536, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7537 },
#else
    { 0, output_7537, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7538 },
#else
    { 0, output_7538, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7539 },
#else
    { 0, output_7539, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7540 },
#else
    { 0, output_7540, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7541 },
#else
    { 0, output_7541, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7542 },
#else
    { 0, output_7542, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7543 },
#else
    { 0, output_7543, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7544 },
#else
    { 0, output_7544, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7545 },
#else
    { 0, output_7545, 0 },
#endif
    { 0 },
    &operand_data[7752],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7546 },
#else
    { 0, output_7546, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7547 },
#else
    { 0, output_7547, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7548 },
#else
    { 0, output_7548, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7549 },
#else
    { 0, output_7549, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7550 },
#else
    { 0, output_7550, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7551 },
#else
    { 0, output_7551, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7552 },
#else
    { 0, output_7552, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7553 },
#else
    { 0, output_7553, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7554 },
#else
    { 0, output_7554, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7555 },
#else
    { 0, output_7555, 0 },
#endif
    { 0 },
    &operand_data[7759],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7556 },
#else
    { 0, output_7556, 0 },
#endif
    { 0 },
    &operand_data[10190],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7557 },
#else
    { 0, output_7557, 0 },
#endif
    { 0 },
    &operand_data[10190],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7558 },
#else
    { 0, output_7558, 0 },
#endif
    { 0 },
    &operand_data[10196],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7559 },
#else
    { 0, output_7559, 0 },
#endif
    { 0 },
    &operand_data[10196],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7560 },
#else
    { 0, output_7560, 0 },
#endif
    { 0 },
    &operand_data[10202],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7561 },
#else
    { 0, output_7561, 0 },
#endif
    { 0 },
    &operand_data[10202],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7562 },
#else
    { 0, output_7562, 0 },
#endif
    { 0 },
    &operand_data[10208],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7563 },
#else
    { 0, output_7563, 0 },
#endif
    { 0 },
    &operand_data[10208],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx8hi },
    &operand_data[10138],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx8hi },
    &operand_data[10138],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx4si },
    &operand_data[10142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx4si },
    &operand_data[10142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx2di },
    &operand_data[10146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx2di },
    &operand_data[10146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7578 },
#else
    { 0, output_7578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx16qi },
    &operand_data[10214],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7579 },
#else
    { 0, output_7579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx16qi },
    &operand_data[10214],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7580 },
#else
    { 0, output_7580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx8hi },
    &operand_data[10218],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7581 },
#else
    { 0, output_7581, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx8hi },
    &operand_data[10218],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7582 },
#else
    { 0, output_7582, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx4si },
    &operand_data[10222],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7583 },
#else
    { 0, output_7583, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx4si },
    &operand_data[10222],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7584 },
#else
    { 0, output_7584, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx2di },
    &operand_data[10226],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7585 },
#else
    { 0, output_7585, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx2di },
    &operand_data[10226],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7586 },
#else
    { 0, output_7586, 0 },
#endif
    { 0 },
    &operand_data[10230],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7587 },
#else
    { 0, output_7587, 0 },
#endif
    { 0 },
    &operand_data[10230],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7588 },
#else
    { 0, output_7588, 0 },
#endif
    { 0 },
    &operand_data[10235],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7589 },
#else
    { 0, output_7589, 0 },
#endif
    { 0 },
    &operand_data[10235],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7590 },
#else
    { 0, output_7590, 0 },
#endif
    { 0 },
    &operand_data[10240],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7591 },
#else
    { 0, output_7591, 0 },
#endif
    { 0 },
    &operand_data[10240],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7592 },
#else
    { 0, output_7592, 0 },
#endif
    { 0 },
    &operand_data[10245],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7593 },
#else
    { 0, output_7593, 0 },
#endif
    { 0 },
    &operand_data[10245],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7594 },
#else
    { 0, output_7594, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7595 },
#else
    { 0, output_7595, 0 },
#endif
    { 0 },
    &operand_data[10170],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7596 },
#else
    { 0, output_7596, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7597 },
#else
    { 0, output_7597, 0 },
#endif
    { 0 },
    &operand_data[10175],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7598 },
#else
    { 0, output_7598, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7599 },
#else
    { 0, output_7599, 0 },
#endif
    { 0 },
    &operand_data[10180],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7600 },
#else
    { 0, output_7600, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7601 },
#else
    { 0, output_7601, 0 },
#endif
    { 0 },
    &operand_data[10185],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7602 },
#else
    { 0, output_7602, 0 },
#endif
    { 0 },
    &operand_data[10250],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7603 },
#else
    { 0, output_7603, 0 },
#endif
    { 0 },
    &operand_data[10250],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7604 },
#else
    { 0, output_7604, 0 },
#endif
    { 0 },
    &operand_data[10256],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7605 },
#else
    { 0, output_7605, 0 },
#endif
    { 0 },
    &operand_data[10256],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7606 },
#else
    { 0, output_7606, 0 },
#endif
    { 0 },
    &operand_data[10262],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7607 },
#else
    { 0, output_7607, 0 },
#endif
    { 0 },
    &operand_data[10262],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7608 },
#else
    { 0, output_7608, 0 },
#endif
    { 0 },
    &operand_data[10268],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7609 },
#else
    { 0, output_7609, 0 },
#endif
    { 0 },
    &operand_data[10268],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7610 },
#else
    { 0, output_7610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7611 },
#else
    { 0, output_7611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7612 },
#else
    { 0, output_7612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7613 },
#else
    { 0, output_7613, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7614 },
#else
    { 0, output_7614, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7615 },
#else
    { 0, output_7615, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7616 },
#else
    { 0, output_7616, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7617 },
#else
    { 0, output_7617, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7618 },
#else
    { 0, output_7618, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7619 },
#else
    { 0, output_7619, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7620 },
#else
    { 0, output_7620, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7621 },
#else
    { 0, output_7621, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7622 },
#else
    { 0, output_7622, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7623 },
#else
    { 0, output_7623, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7624 },
#else
    { 0, output_7624, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7625 },
#else
    { 0, output_7625, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7626 },
#else
    { 0, output_7626, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7627 },
#else
    { 0, output_7627, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7628 },
#else
    { 0, output_7628, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7629 },
#else
    { 0, output_7629, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7630 },
#else
    { 0, output_7630, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7631 },
#else
    { 0, output_7631, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7632 },
#else
    { 0, output_7632, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7633 },
#else
    { 0, output_7633, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7634 },
#else
    { 0, output_7634, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7635 },
#else
    { 0, output_7635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7636 },
#else
    { 0, output_7636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7637 },
#else
    { 0, output_7637, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7638 },
#else
    { 0, output_7638, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7639 },
#else
    { 0, output_7639, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7640 },
#else
    { 0, output_7640, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7641 },
#else
    { 0, output_7641, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7642 },
#else
    { 0, output_7642, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7643 },
#else
    { 0, output_7643, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7644 },
#else
    { 0, output_7644, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7645 },
#else
    { 0, output_7645, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7646 },
#else
    { 0, output_7646, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx2di },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7647 },
#else
    { 0, output_7647, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx2di },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7648 },
#else
    { 0, output_7648, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7649 },
#else
    { 0, output_7649, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7650 },
#else
    { 0, output_7650, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx2di },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7651 },
#else
    { 0, output_7651, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7652 },
#else
    { 0, output_7652, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7653 },
#else
    { 0, output_7653, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx2di },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7654 },
#else
    { 0, output_7654, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx16qi },
    &operand_data[10305],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7655 },
#else
    { 0, output_7655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx8hi },
    &operand_data[10309],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7656 },
#else
    { 0, output_7656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx4si },
    &operand_data[10313],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7657 },
#else
    { 0, output_7657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx2di },
    &operand_data[10317],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7658 },
#else
    { 0, output_7658, 0 },
#endif
    { 0 },
    &operand_data[10321],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7659 },
#else
    { 0, output_7659, 0 },
#endif
    { 0 },
    &operand_data[10326],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7660 },
#else
    { 0, output_7660, 0 },
#endif
    { 0 },
    &operand_data[10331],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7661 },
#else
    { 0, output_7661, 0 },
#endif
    { 0 },
    &operand_data[10336],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7662 },
#else
    { 0, output_7662, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx16qi },
    &operand_data[10341],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7663 },
#else
    { 0, output_7663, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx8hi },
    &operand_data[10345],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7664 },
#else
    { 0, output_7664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx4si },
    &operand_data[10349],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7665 },
#else
    { 0, output_7665, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx2di },
    &operand_data[10353],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7666 },
#else
    { 0, output_7666, 0 },
#endif
    { 0 },
    &operand_data[10357],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7667 },
#else
    { 0, output_7667, 0 },
#endif
    { 0 },
    &operand_data[10361],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7668 },
#else
    { 0, output_7668, 0 },
#endif
    { 0 },
    &operand_data[10365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7669 },
#else
    { 0, output_7669, 0 },
#endif
    { 0 },
    &operand_data[10369],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7670 },
#else
    { 0, output_7670, 0 },
#endif
    { 0 },
    &operand_data[10357],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7671 },
#else
    { 0, output_7671, 0 },
#endif
    { 0 },
    &operand_data[10361],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7672 },
#else
    { 0, output_7672, 0 },
#endif
    { 0 },
    &operand_data[10365],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7673 },
#else
    { 0, output_7673, 0 },
#endif
    { 0 },
    &operand_data[10369],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7674 },
#else
    { 0, output_7674, 0 },
#endif
    { 0 },
    &operand_data[10373],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7675 },
#else
    { 0, output_7675, 0 },
#endif
    { 0 },
    &operand_data[10274],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7676 },
#else
    { 0, output_7676, 0 },
#endif
    { 0 },
    &operand_data[10377],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7677 },
#else
    { 0, output_7677, 0 },
#endif
    { 0 },
    &operand_data[10278],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7678 },
#else
    { 0, output_7678, 0 },
#endif
    { 0 },
    &operand_data[10381],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7679 },
#else
    { 0, output_7679, 0 },
#endif
    { 0 },
    &operand_data[10282],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7680 },
#else
    { 0, output_7680, 0 },
#endif
    { 0 },
    &operand_data[10385],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7681 },
#else
    { 0, output_7681, 0 },
#endif
    { 0 },
    &operand_data[10286],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7682 },
#else
    { 0, output_7682, 0 },
#endif
    { 0 },
    &operand_data[10389],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7683 },
#else
    { 0, output_7683, 0 },
#endif
    { 0 },
    &operand_data[10321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7684 },
#else
    { 0, output_7684, 0 },
#endif
    { 0 },
    &operand_data[10394],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7685 },
#else
    { 0, output_7685, 0 },
#endif
    { 0 },
    &operand_data[10326],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7686 },
#else
    { 0, output_7686, 0 },
#endif
    { 0 },
    &operand_data[10399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7687 },
#else
    { 0, output_7687, 0 },
#endif
    { 0 },
    &operand_data[10331],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7688 },
#else
    { 0, output_7688, 0 },
#endif
    { 0 },
    &operand_data[10404],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7689 },
#else
    { 0, output_7689, 0 },
#endif
    { 0 },
    &operand_data[10336],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7690 },
#else
    { 0, output_7690, 0 },
#endif
    { 0 },
    &operand_data[10389],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7691 },
#else
    { 0, output_7691, 0 },
#endif
    { 0 },
    &operand_data[10321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7692 },
#else
    { 0, output_7692, 0 },
#endif
    { 0 },
    &operand_data[10394],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7693 },
#else
    { 0, output_7693, 0 },
#endif
    { 0 },
    &operand_data[10326],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7694 },
#else
    { 0, output_7694, 0 },
#endif
    { 0 },
    &operand_data[10399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7695 },
#else
    { 0, output_7695, 0 },
#endif
    { 0 },
    &operand_data[10331],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7696 },
#else
    { 0, output_7696, 0 },
#endif
    { 0 },
    &operand_data[10404],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7697 },
#else
    { 0, output_7697, 0 },
#endif
    { 0 },
    &operand_data[10336],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7698 },
#else
    { 0, output_7698, 0 },
#endif
    { 0 },
    &operand_data[10389],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7699 },
#else
    { 0, output_7699, 0 },
#endif
    { 0 },
    &operand_data[10321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7700 },
#else
    { 0, output_7700, 0 },
#endif
    { 0 },
    &operand_data[10394],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7701 },
#else
    { 0, output_7701, 0 },
#endif
    { 0 },
    &operand_data[10326],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7702 },
#else
    { 0, output_7702, 0 },
#endif
    { 0 },
    &operand_data[10399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7703 },
#else
    { 0, output_7703, 0 },
#endif
    { 0 },
    &operand_data[10331],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7704 },
#else
    { 0, output_7704, 0 },
#endif
    { 0 },
    &operand_data[10404],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7705 },
#else
    { 0, output_7705, 0 },
#endif
    { 0 },
    &operand_data[10336],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7706 },
#else
    { 0, output_7706, 0 },
#endif
    { 0 },
    &operand_data[10389],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7707 },
#else
    { 0, output_7707, 0 },
#endif
    { 0 },
    &operand_data[10321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7708 },
#else
    { 0, output_7708, 0 },
#endif
    { 0 },
    &operand_data[10394],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7709 },
#else
    { 0, output_7709, 0 },
#endif
    { 0 },
    &operand_data[10326],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7710 },
#else
    { 0, output_7710, 0 },
#endif
    { 0 },
    &operand_data[10399],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7711 },
#else
    { 0, output_7711, 0 },
#endif
    { 0 },
    &operand_data[10331],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7712 },
#else
    { 0, output_7712, 0 },
#endif
    { 0 },
    &operand_data[10404],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7713 },
#else
    { 0, output_7713, 0 },
#endif
    { 0 },
    &operand_data[10336],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7714 },
#else
    { 0, output_7714, 0 },
#endif
    { 0 },
    &operand_data[10409],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7715 },
#else
    { 0, output_7715, 0 },
#endif
    { 0 },
    &operand_data[10409],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7716 },
#else
    { 0, output_7716, 0 },
#endif
    { 0 },
    &operand_data[10414],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7717 },
#else
    { 0, output_7717, 0 },
#endif
    { 0 },
    &operand_data[10414],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7718 },
#else
    { 0, output_7718, 0 },
#endif
    { 0 },
    &operand_data[10419],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7719 },
#else
    { 0, output_7719, 0 },
#endif
    { 0 },
    &operand_data[10419],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7720 },
#else
    { 0, output_7720, 0 },
#endif
    { 0 },
    &operand_data[10424],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7721 },
#else
    { 0, output_7721, 0 },
#endif
    { 0 },
    &operand_data[10424],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7722 },
#else
    { 0, output_7722, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx16qi },
    &operand_data[10409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7723 },
#else
    { 0, output_7723, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx16qi },
    &operand_data[10409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7724 },
#else
    { 0, output_7724, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx8hi },
    &operand_data[10414],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7725 },
#else
    { 0, output_7725, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx8hi },
    &operand_data[10414],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7726 },
#else
    { 0, output_7726, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx4si },
    &operand_data[10419],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7727 },
#else
    { 0, output_7727, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx4si },
    &operand_data[10419],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7728 },
#else
    { 0, output_7728, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx2di },
    &operand_data[10424],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7729 },
#else
    { 0, output_7729, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx2di },
    &operand_data[10424],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx16qi },
    &operand_data[10429],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx16qi },
    &operand_data[10433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx8hi },
    &operand_data[10437],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx8hi },
    &operand_data[10441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx4si },
    &operand_data[10445],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx4si },
    &operand_data[10449],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx2di },
    &operand_data[10453],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx2di },
    &operand_data[10457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7738 },
#else
    { 0, output_7738, 0 },
#endif
    { 0 },
    &operand_data[10461],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7739 },
#else
    { 0, output_7739, 0 },
#endif
    { 0 },
    &operand_data[10461],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7740 },
#else
    { 0, output_7740, 0 },
#endif
    { 0 },
    &operand_data[10467],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7741 },
#else
    { 0, output_7741, 0 },
#endif
    { 0 },
    &operand_data[10467],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7742 },
#else
    { 0, output_7742, 0 },
#endif
    { 0 },
    &operand_data[10473],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7743 },
#else
    { 0, output_7743, 0 },
#endif
    { 0 },
    &operand_data[10473],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7744 },
#else
    { 0, output_7744, 0 },
#endif
    { 0 },
    &operand_data[10479],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7745 },
#else
    { 0, output_7745, 0 },
#endif
    { 0 },
    &operand_data[10479],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx8hi },
    &operand_data[10485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx4si },
    &operand_data[10488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx2di },
    &operand_data[10491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx4si },
    &operand_data[10497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx4si },
    &operand_data[10503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx2di },
    &operand_data[10507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx8hi },
    &operand_data[10511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx8hi },
    &operand_data[10511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx8hi },
    &operand_data[10511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx8hi },
    &operand_data[10511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx4si },
    &operand_data[10514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx4si },
    &operand_data[10514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx4si },
    &operand_data[10514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx4si },
    &operand_data[10514],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx2di },
    &operand_data[10517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx2di },
    &operand_data[10517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx2di },
    &operand_data[10517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx2di },
    &operand_data[10517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7857 },
#else
    { 0, output_7857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7858 },
#else
    { 0, output_7858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7859 },
#else
    { 0, output_7859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7860 },
#else
    { 0, output_7860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7861 },
#else
    { 0, output_7861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7862 },
#else
    { 0, output_7862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7863 },
#else
    { 0, output_7863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7864 },
#else
    { 0, output_7864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7865 },
#else
    { 0, output_7865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7866 },
#else
    { 0, output_7866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7867 },
#else
    { 0, output_7867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7868 },
#else
    { 0, output_7868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7869 },
#else
    { 0, output_7869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7870 },
#else
    { 0, output_7870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7871 },
#else
    { 0, output_7871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7872 },
#else
    { 0, output_7872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7873 },
#else
    { 0, output_7873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7874 },
#else
    { 0, output_7874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7875 },
#else
    { 0, output_7875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7876 },
#else
    { 0, output_7876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7877 },
#else
    { 0, output_7877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7878 },
#else
    { 0, output_7878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7879 },
#else
    { 0, output_7879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7880 },
#else
    { 0, output_7880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7881 },
#else
    { 0, output_7881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7882 },
#else
    { 0, output_7882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7883 },
#else
    { 0, output_7883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7884 },
#else
    { 0, output_7884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7885 },
#else
    { 0, output_7885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7886 },
#else
    { 0, output_7886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7887 },
#else
    { 0, output_7887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7888 },
#else
    { 0, output_7888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7889 },
#else
    { 0, output_7889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7890 },
#else
    { 0, output_7890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7891 },
#else
    { 0, output_7891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7892 },
#else
    { 0, output_7892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7893 },
#else
    { 0, output_7893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7894 },
#else
    { 0, output_7894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7895 },
#else
    { 0, output_7895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7896 },
#else
    { 0, output_7896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7897 },
#else
    { 0, output_7897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7898 },
#else
    { 0, output_7898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7899 },
#else
    { 0, output_7899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7900 },
#else
    { 0, output_7900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7901 },
#else
    { 0, output_7901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7902 },
#else
    { 0, output_7902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7903 },
#else
    { 0, output_7903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7904 },
#else
    { 0, output_7904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7905 },
#else
    { 0, output_7905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7906 },
#else
    { 0, output_7906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7907 },
#else
    { 0, output_7907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7908 },
#else
    { 0, output_7908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7909 },
#else
    { 0, output_7909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7910 },
#else
    { 0, output_7910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7911 },
#else
    { 0, output_7911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7912 },
#else
    { 0, output_7912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7913 },
#else
    { 0, output_7913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7914 },
#else
    { 0, output_7914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7915 },
#else
    { 0, output_7915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7916 },
#else
    { 0, output_7916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7917 },
#else
    { 0, output_7917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7918 },
#else
    { 0, output_7918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7919 },
#else
    { 0, output_7919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7920 },
#else
    { 0, output_7920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7921 },
#else
    { 0, output_7921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7922 },
#else
    { 0, output_7922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7923 },
#else
    { 0, output_7923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7924 },
#else
    { 0, output_7924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx8hi },
    &operand_data[10520],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7925 },
#else
    { 0, output_7925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7926 },
#else
    { 0, output_7926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7927 },
#else
    { 0, output_7927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx4si },
    &operand_data[10524],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7928 },
#else
    { 0, output_7928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7929 },
#else
    { 0, output_7929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7930 },
#else
    { 0, output_7930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx2di },
    &operand_data[10528],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7931 },
#else
    { 0, output_7931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7932 },
#else
    { 0, output_7932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx4si },
    &operand_data[10532],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7933 },
#else
    { 0, output_7933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7934 },
#else
    { 0, output_7934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx2di },
    &operand_data[10537],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7935 },
#else
    { 0, output_7935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlalbvnx4sf },
    &operand_data[10542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7936 },
#else
    { 0, output_7936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlaltvnx4sf },
    &operand_data[10542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7937 },
#else
    { 0, output_7937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlslbvnx4sf },
    &operand_data[10542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7938 },
#else
    { 0, output_7938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlsltvnx4sf },
    &operand_data[10542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7939 },
#else
    { 0, output_7939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lane_vnx4sf },
    &operand_data[10546],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7940 },
#else
    { 0, output_7940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lane_vnx4sf },
    &operand_data[10546],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7941 },
#else
    { 0, output_7941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslb_lane_vnx4sf },
    &operand_data[10546],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7942 },
#else
    { 0, output_7942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslt_lane_vnx4sf },
    &operand_data[10546],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx8hi },
    &operand_data[9661],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx8hi },
    &operand_data[9661],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx8hi },
    &operand_data[9661],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx4si },
    &operand_data[9664],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx4si },
    &operand_data[9664],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx4si },
    &operand_data[9664],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx2di },
    &operand_data[9667],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx2di },
    &operand_data[9667],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx2di },
    &operand_data[9667],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx8hi },
    &operand_data[10551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx8hi },
    &operand_data[10551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx8hi },
    &operand_data[10551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx4si },
    &operand_data[10554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx4si },
    &operand_data[10554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx4si },
    &operand_data[10554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx2di },
    &operand_data[10557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx2di },
    &operand_data[10557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx2di },
    &operand_data[10557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx8hi },
    &operand_data[9661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx8hi },
    &operand_data[9661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx8hi },
    &operand_data[9661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx8hi },
    &operand_data[9661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx4si },
    &operand_data[9664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx4si },
    &operand_data[9664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx4si },
    &operand_data[9664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx4si },
    &operand_data[9664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx2di },
    &operand_data[9667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx2di },
    &operand_data[9667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx2di },
    &operand_data[9667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx2di },
    &operand_data[9667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx8hi },
    &operand_data[10560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx8hi },
    &operand_data[10560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx8hi },
    &operand_data[10560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx8hi },
    &operand_data[10560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx4si },
    &operand_data[10564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx4si },
    &operand_data[10564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx4si },
    &operand_data[10564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx4si },
    &operand_data[10564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx2di },
    &operand_data[10568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx2di },
    &operand_data[10568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx2di },
    &operand_data[10568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx2di },
    &operand_data[10568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx8hi },
    &operand_data[10572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx4si },
    &operand_data[10575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx2di },
    &operand_data[10578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx8hi },
    &operand_data[10581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx4si },
    &operand_data[10585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx2di },
    &operand_data[10589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8033 },
#else
    { 0, output_8033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8034 },
#else
    { 0, output_8034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8035 },
#else
    { 0, output_8035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8036 },
#else
    { 0, output_8036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8037 },
#else
    { 0, output_8037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx16qi },
    &operand_data[7576],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8038 },
#else
    { 0, output_8038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8039 },
#else
    { 0, output_8039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8040 },
#else
    { 0, output_8040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8041 },
#else
    { 0, output_8041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8042 },
#else
    { 0, output_8042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx8hi },
    &operand_data[7580],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8043 },
#else
    { 0, output_8043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8044 },
#else
    { 0, output_8044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8045 },
#else
    { 0, output_8045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8046 },
#else
    { 0, output_8046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8047 },
#else
    { 0, output_8047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx4si },
    &operand_data[7584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8048 },
#else
    { 0, output_8048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8049 },
#else
    { 0, output_8049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8050 },
#else
    { 0, output_8050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8051 },
#else
    { 0, output_8051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8052 },
#else
    { 0, output_8052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx2di },
    &operand_data[7588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8053 },
#else
    { 0, output_8053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8054 },
#else
    { 0, output_8054, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8055 },
#else
    { 0, output_8055, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8056 },
#else
    { 0, output_8056, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8057 },
#else
    { 0, output_8057, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx8hf },
    &operand_data[8147],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8058 },
#else
    { 0, output_8058, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8059 },
#else
    { 0, output_8059, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8060 },
#else
    { 0, output_8060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8061 },
#else
    { 0, output_8061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8062 },
#else
    { 0, output_8062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx4sf },
    &operand_data[8152],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8063 },
#else
    { 0, output_8063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8064 },
#else
    { 0, output_8064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8065 },
#else
    { 0, output_8065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8066 },
#else
    { 0, output_8066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8067 },
#else
    { 0, output_8067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx2df },
    &operand_data[8157],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8068 },
#else
    { 0, output_8068, 0 },
#endif
    { 0 },
    &operand_data[10593],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8069 },
#else
    { 0, output_8069, 0 },
#endif
    { 0 },
    &operand_data[10593],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8070 },
#else
    { 0, output_8070, 0 },
#endif
    { 0 },
    &operand_data[10598],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8071 },
#else
    { 0, output_8071, 0 },
#endif
    { 0 },
    &operand_data[10598],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8072 },
#else
    { 0, output_8072, 0 },
#endif
    { 0 },
    &operand_data[10603],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8073 },
#else
    { 0, output_8073, 0 },
#endif
    { 0 },
    &operand_data[10603],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8074 },
#else
    { 0, output_8074, 0 },
#endif
    { 0 },
    &operand_data[10608],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8075 },
#else
    { 0, output_8075, 0 },
#endif
    { 0 },
    &operand_data[10608],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8076 },
#else
    { 0, output_8076, 0 },
#endif
    { 0 },
    &operand_data[10614],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8077 },
#else
    { 0, output_8077, 0 },
#endif
    { 0 },
    &operand_data[10614],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8078 },
#else
    { 0, output_8078, 0 },
#endif
    { 0 },
    &operand_data[10620],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8079 },
#else
    { 0, output_8079, 0 },
#endif
    { 0 },
    &operand_data[10620],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8080 },
#else
    { 0, output_8080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx16qi },
    &operand_data[9613],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8081 },
#else
    { 0, output_8081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx16qi },
    &operand_data[9613],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8082 },
#else
    { 0, output_8082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx16qi },
    &operand_data[9613],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8083 },
#else
    { 0, output_8083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx16qi },
    &operand_data[9613],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8084 },
#else
    { 0, output_8084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx8hi },
    &operand_data[9617],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8085 },
#else
    { 0, output_8085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx8hi },
    &operand_data[9617],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8086 },
#else
    { 0, output_8086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx8hi },
    &operand_data[9617],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8087 },
#else
    { 0, output_8087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx8hi },
    &operand_data[9617],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8088 },
#else
    { 0, output_8088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx4si },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8089 },
#else
    { 0, output_8089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx4si },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8090 },
#else
    { 0, output_8090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx4si },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8091 },
#else
    { 0, output_8091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx4si },
    &operand_data[9621],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8092 },
#else
    { 0, output_8092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx2di },
    &operand_data[9625],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8093 },
#else
    { 0, output_8093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx2di },
    &operand_data[9625],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8094 },
#else
    { 0, output_8094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx2di },
    &operand_data[9625],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8095 },
#else
    { 0, output_8095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx2di },
    &operand_data[9625],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmlavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8096 },
#else
    { 0, output_8096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8097 },
#else
    { 0, output_8097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8098 },
#else
    { 0, output_8098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8099 },
#else
    { 0, output_8099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8100 },
#else
    { 0, output_8100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8101 },
#else
    { 0, output_8101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8102 },
#else
    { 0, output_8102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8103 },
#else
    { 0, output_8103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx16qi },
    &operand_data[10274],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmlavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8104 },
#else
    { 0, output_8104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8105 },
#else
    { 0, output_8105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8106 },
#else
    { 0, output_8106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8107 },
#else
    { 0, output_8107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8108 },
#else
    { 0, output_8108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8109 },
#else
    { 0, output_8109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8110 },
#else
    { 0, output_8110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8111 },
#else
    { 0, output_8111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx8hi },
    &operand_data[10278],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmlavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8112 },
#else
    { 0, output_8112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8113 },
#else
    { 0, output_8113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8114 },
#else
    { 0, output_8114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8115 },
#else
    { 0, output_8115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8116 },
#else
    { 0, output_8116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8117 },
#else
    { 0, output_8117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8118 },
#else
    { 0, output_8118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8119 },
#else
    { 0, output_8119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx4si },
    &operand_data[10282],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmlavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8120 },
#else
    { 0, output_8120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8121 },
#else
    { 0, output_8121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8122 },
#else
    { 0, output_8122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_cmla270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8123 },
#else
    { 0, output_8123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8124 },
#else
    { 0, output_8124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8125 },
#else
    { 0, output_8125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8126 },
#else
    { 0, output_8126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1810 */
  {
    "aarch64_sve_sqrdcmlah270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8127 },
#else
    { 0, output_8127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx2di },
    &operand_data[10286],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8128 },
#else
    { 0, output_8128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8129 },
#else
    { 0, output_8129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8130 },
#else
    { 0, output_8130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8131 },
#else
    { 0, output_8131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8132 },
#else
    { 0, output_8132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8133 },
#else
    { 0, output_8133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8134 },
#else
    { 0, output_8134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8135 },
#else
    { 0, output_8135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx8hi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8136 },
#else
    { 0, output_8136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8137 },
#else
    { 0, output_8137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8138 },
#else
    { 0, output_8138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_cmla270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8139 },
#else
    { 0, output_8139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8140 },
#else
    { 0, output_8140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8141 },
#else
    { 0, output_8141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8142 },
#else
    { 0, output_8142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1824 */
  {
    "aarch64_sqrdcmlah270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8143 },
#else
    { 0, output_8143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx4si },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8144 },
#else
    { 0, output_8144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx4si },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8145 },
#else
    { 0, output_8145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx4si },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8146 },
#else
    { 0, output_8146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx4si },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8147 },
#else
    { 0, output_8147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx4si },
    &operand_data[8730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8148 },
#else
    { 0, output_8148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx2di },
    &operand_data[10626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8149 },
#else
    { 0, output_8149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx2di },
    &operand_data[10626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8150 },
#else
    { 0, output_8150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx2di },
    &operand_data[10626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1848 */
  {
    "aarch64_sve_cdot270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8151 },
#else
    { 0, output_8151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx2di },
    &operand_data[10626],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8152 },
#else
    { 0, output_8152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx4si },
    &operand_data[10630],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8153 },
#else
    { 0, output_8153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx4si },
    &operand_data[10630],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8154 },
#else
    { 0, output_8154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx4si },
    &operand_data[10630],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8155 },
#else
    { 0, output_8155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx4si },
    &operand_data[10630],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8156 },
#else
    { 0, output_8156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx2di },
    &operand_data[10635],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot90_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8157 },
#else
    { 0, output_8157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx2di },
    &operand_data[10635],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot180_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8158 },
#else
    { 0, output_8158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx2di },
    &operand_data[10635],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1862 */
  {
    "aarch64_cdot270_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8159 },
#else
    { 0, output_8159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx2di },
    &operand_data[10635],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1891 */
  {
    "aarch64_pred_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx4sf },
    &operand_data[10640],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1891 */
  {
    "aarch64_pred_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx2df },
    &operand_data[10644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1918 */
  {
    "*cond_fcvtltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10648],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1918 */
  {
    "*cond_fcvtltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10653],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1937 */
  {
    "*cond_fcvtltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10648],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1937 */
  {
    "*cond_fcvtltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10653],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1966 */
  {
    "aarch64_sve_cvtntvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8hf },
    &operand_data[10658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1966 */
  {
    "aarch64_sve_cvtntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx4sf },
    &operand_data[10662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1980 */
  {
    "aarch64_pred_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8168 },
#else
    { 0, output_8168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtxvnx4sf },
    &operand_data[9810],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2009 */
  {
    "*cond_fcvtxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8169 },
#else
    { 0, output_8169, 0 },
#endif
    { 0 },
    &operand_data[10666],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2032 */
  {
    "*cond_fcvtxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8170 },
#else
    { 0, output_8170, 0 },
#endif
    { 0 },
    &operand_data[10666],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2056 */
  {
    "aarch64_sve2_cvtxntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_cvtxntvnx2df },
    &operand_data[10662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2081 */
  {
    "aarch64_pred_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8172 },
#else
    { 0, output_8172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urecpevnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2081 */
  {
    "aarch64_pred_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8173 },
#else
    { 0, output_8173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ursqrtevnx4si },
    &operand_data[7257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2115 */
  {
    "*cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8174 },
#else
    { 0, output_8174, 0 },
#endif
    { 0 },
    &operand_data[10671],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2115 */
  {
    "*cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8175 },
#else
    { 0, output_8175, 0 },
#endif
    { 0 },
    &operand_data[10671],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2147 */
  {
    "aarch64_pred_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8176 },
#else
    { 0, output_8176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx8hf },
    &operand_data[9676],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2147 */
  {
    "aarch64_pred_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8177 },
#else
    { 0, output_8177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx4sf },
    &operand_data[9684],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2147 */
  {
    "aarch64_pred_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8178 },
#else
    { 0, output_8178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx2df },
    &operand_data[9696],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2176 */
  {
    "*cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8179 },
#else
    { 0, output_8179, 0 },
#endif
    { 0 },
    &operand_data[10676],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2176 */
  {
    "*cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8180 },
#else
    { 0, output_8180, 0 },
#endif
    { 0 },
    &operand_data[10681],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2176 */
  {
    "*cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8181 },
#else
    { 0, output_8181, 0 },
#endif
    { 0 },
    &operand_data[10686],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "*cond_flogbvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8182 },
#else
    { 0, output_8182, 0 },
#endif
    { 0 },
    &operand_data[10676],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "*cond_flogbvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8183 },
#else
    { 0, output_8183, 0 },
#endif
    { 0 },
    &operand_data[10681],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "*cond_flogbvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8184 },
#else
    { 0, output_8184, 0 },
#endif
    { 0 },
    &operand_data[10686],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "aarch64_sve2_pmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_pmulvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2240 */
  {
    "aarch64_sve_pmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2240 */
  {
    "aarch64_sve_pmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx8hi },
    &operand_data[10494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2240 */
  {
    "aarch64_sve_pmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2240 */
  {
    "aarch64_sve_pmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx2di },
    &operand_data[10500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullb_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullt_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullb_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullt_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullb_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2253 */
  {
    "aarch64_sve_pmullt_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx16qi },
    &operand_data[10691],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hi },
    &operand_data[10694],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4si },
    &operand_data[10697],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2di },
    &operand_data[10700],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8bf },
    &operand_data[10703],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hf },
    &operand_data[10706],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4sf },
    &operand_data[10709],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2276 */
  {
    "aarch64_sve2_tbl2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2df },
    &operand_data[10712],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx16qi },
    &operand_data[10715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hi },
    &operand_data[10719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4si },
    &operand_data[10723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2di },
    &operand_data[10727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8bf },
    &operand_data[10731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hf },
    &operand_data[10735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4sf },
    &operand_data[10739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2287 */
  {
    "aarch64_sve2_tbxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2df },
    &operand_data[10743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bdepvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bextvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bgrpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bdepvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bextvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bgrpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx8hi },
    &operand_data[7834],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bdepvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bextvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bgrpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx4si },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bdepvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bextvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2307 */
  {
    "aarch64_sve_bgrpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx2di },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve2_histcntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx4si },
    &operand_data[10747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve2_histcntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx2di },
    &operand_data[10751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2381 */
  {
    "aarch64_sve2_histsegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histseg\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histsegvnx16qi },
    &operand_data[7830],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2400 */
  {
    "aarch64_pred_matchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx16qi },
    &operand_data[10755],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2400 */
  {
    "aarch64_pred_nmatchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx16qi },
    &operand_data[10755],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2400 */
  {
    "aarch64_pred_matchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx8hi },
    &operand_data[10760],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2400 */
  {
    "aarch64_pred_nmatchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx8hi },
    &operand_data[10760],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2417 */
  {
    "*aarch64_pred_matchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2417 */
  {
    "*aarch64_pred_nmatchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2417 */
  {
    "*aarch64_pred_matchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10773],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2417 */
  {
    "*aarch64_pred_nmatchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10773],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "*aarch64_pred_matchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10781],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "*aarch64_pred_nmatchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10781],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "*aarch64_pred_matchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10789],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "*aarch64_pred_nmatchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10789],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2493 */
  {
    "aarch64_sve2_aese",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aese },
    &operand_data[10797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2493 */
  {
    "aarch64_sve2_aesd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesd },
    &operand_data[10797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2506 */
  {
    "aarch64_sve2_aesmc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesmc },
    &operand_data[10429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2506 */
  {
    "aarch64_sve2_aesimc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesimc },
    &operand_data[10429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2521 */
  {
    "*aarch64_sve2_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b\n\taesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2536 */
  {
    "*aarch64_sve2_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b\n\taesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2558 */
  {
    "aarch64_sve2_rax1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_rax1 },
    &operand_data[7673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2579 */
  {
    "aarch64_sve2_sm4e",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.s, %0.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4e },
    &operand_data[10445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2590 */
  {
    "aarch64_sve2_sm4ekey",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4ekey },
    &operand_data[7670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:481 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[10800],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:481 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[10804],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:495 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[10808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:495 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[10812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:509 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[10816],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:600 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[10820],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:600 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[10823],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:714 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[10826],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:765 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[10830],
    2,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:836 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:845 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:854 */
  {
    "sibcall_epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:886 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1011 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[10834],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1036 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[10837],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1064 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[10834],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1077 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[10837],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1131 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[10841],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1162 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[10844],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1162 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[10846],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1219 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[10848],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1219 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[10850],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1344 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[10852],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1399 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[10854],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1399 */
  {
    "movbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movbf },
    &operand_data[10856],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1399 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[10858],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1399 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[10860],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1399 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[10862],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1549 */
  {
    "cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cpymemdi },
    &operand_data[10864],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1765 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[10868],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1765 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[10868],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[10870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[10870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[10872],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[10872],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[10874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[10874],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[10876],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1825 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[10876],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1853 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[10878],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1853 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[10878],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1883 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[10880],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1883 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[10883],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2060 */
  {
    "addvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvsi4 },
    &operand_data[10886],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2060 */
  {
    "addvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvdi4 },
    &operand_data[10890],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2077 */
  {
    "uaddvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvsi4 },
    &operand_data[10894],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2077 */
  {
    "uaddvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvdi4 },
    &operand_data[10898],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2090 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[10902],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2123 */
  {
    "addvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvti4 },
    &operand_data[10902],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2157 */
  {
    "uaddvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvti4 },
    &operand_data[10902],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2647 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[10906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2647 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[10909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2687 */
  {
    "addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinC },
    &operand_data[10894],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2687 */
  {
    "adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinC },
    &operand_data[10898],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2750 */
  {
    "addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinV },
    &operand_data[10894],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2750 */
  {
    "adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinV },
    &operand_data[10898],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "subvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi4 },
    &operand_data[10886],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "subvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi4 },
    &operand_data[10890],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2962 */
  {
    "negvsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi3 },
    &operand_data[10895],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2962 */
  {
    "negvdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi3 },
    &operand_data[10899],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3015 */
  {
    "usubvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvsi4 },
    &operand_data[10912],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3015 */
  {
    "usubvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvdi4 },
    &operand_data[10916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3028 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[10920],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3048 */
  {
    "subvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvti4 },
    &operand_data[10902],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3067 */
  {
    "usubvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvti4 },
    &operand_data[10902],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3086 */
  {
    "negvti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvti3 },
    &operand_data[10922],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3409 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[10925],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3409 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[10928],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3474 */
  {
    "usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubsi3_carryinC },
    &operand_data[10925],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3474 */
  {
    "usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubdi3_carryinC },
    &operand_data[10928],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3541 */
  {
    "subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryinV },
    &operand_data[10925],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3541 */
  {
    "subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryinV },
    &operand_data[10928],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3668 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[10820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3668 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[10823],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3932 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[10931],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3932 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[10931],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3951 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[10934],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4082 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[10937],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4082 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[10941],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4095 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[10945],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4107 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[10949],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4107 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[10953],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4195 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[10957],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4195 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[10963],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4211 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[10969],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4211 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[10975],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4295 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[10981],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4295 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[10985],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4295 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[10989],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4295 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[10993],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4314 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[10997],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4314 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[11001],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4314 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[11005],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4314 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[11009],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4333 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[11013],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4333 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[11017],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4352 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[10989],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4352 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[10989],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4352 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[10993],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4352 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[10993],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[11021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[11024],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4871 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[10820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4871 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[10823],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4893 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[10820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4893 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[10823],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[11027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[11027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[11027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[11030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[11030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5061 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[11030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5081 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[11033],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5081 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[11036],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5097 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[11027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5097 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[11030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5117 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[11027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5117 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[11030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5582 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[11039],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5582 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[11039],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5631 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[11043],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5631 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[11047],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[11051],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[11055],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6033 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[11059],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[11051],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[11055],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[11059],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6072 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[11055],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6072 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[11059],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6090 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[11055],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6090 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[11059],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6288 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[11063],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6288 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[11063],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[11065],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6317 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[11065],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6457 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[11067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6457 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[11070],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6457 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[11073],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6486 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[11051],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6486 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[10973],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6486 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[10979],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6546 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[11076],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6546 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[11078],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6546 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[10968],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6546 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[11080],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6575 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[11055],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6575 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[11059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6613 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[11055],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6613 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[11059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[11082],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[11085],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[11088],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[11091],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[11094],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6648 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[11097],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[11100],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[11103],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[11106],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[11109],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[11112],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[11115],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[11118],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[11121],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[11124],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[11127],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[11130],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[11133],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[11136],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[11139],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[11142],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[11145],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[11148],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[11151],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[11154],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6661 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[11157],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6673 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[11160],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6673 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[11163],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6747 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[11166],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6848 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[11169],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6848 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[11171],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6958 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[1393],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6958 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[1393],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7103 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[1368],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7116 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[11173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7125 */
  {
    "stack_protect_combined_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_set },
    &operand_data[11173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7169 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[11173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7180 */
  {
    "stack_protect_combined_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_test },
    &operand_data[11173],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7246 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[5446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7352 */
  {
    "despeculate_copyqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyqi },
    &operand_data[11176],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7352 */
  {
    "despeculate_copyhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyhi },
    &operand_data[11179],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7352 */
  {
    "despeculate_copysi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copysi },
    &operand_data[11182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7352 */
  {
    "despeculate_copydi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copydi },
    &operand_data[11185],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7352 */
  {
    "despeculate_copyti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyti },
    &operand_data[11188],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[11191],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[11193],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[11195],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[11197],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[11199],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[11201],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[11203],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[11205],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[11207],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4bf },
    &operand_data[11209],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8bf },
    &operand_data[11211],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[11213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[11215],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[11217],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[11191],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[11193],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[11195],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[11197],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[11199],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[11201],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[11203],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[11213],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[11215],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[11217],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[11219],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[11221],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[11223],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[11225],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[11227],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8bf },
    &operand_data[11229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[11231],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[11233],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv16qi },
    &operand_data[11235],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hi },
    &operand_data[11238],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4si },
    &operand_data[11241],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2di },
    &operand_data[11244],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hf },
    &operand_data[11247],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8bf },
    &operand_data[11250],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4sf },
    &operand_data[11253],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2df },
    &operand_data[11256],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:393 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[11259],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:393 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[11261],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[11263],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[11266],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[11269],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[11272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[11275],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:557 */
  {
    "sdot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv8qi },
    &operand_data[11278],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:557 */
  {
    "udot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv8qi },
    &operand_data[11278],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:557 */
  {
    "sdot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv16qi },
    &operand_data[11282],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:557 */
  {
    "udot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv16qi },
    &operand_data[11282],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:624 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[11263],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:624 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[11266],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:624 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[11269],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:624 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[11272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:624 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[11275],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[11269],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[11272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[11275],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[10973],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[10979],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:826 */
  {
    "ssadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadv16qi },
    &operand_data[11282],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:826 */
  {
    "usadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadv16qi },
    &operand_data[11282],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1004 */
  {
    "signbitv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv2sf2 },
    &operand_data[11286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1004 */
  {
    "signbitv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv4sf2 },
    &operand_data[11288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[11290],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[11293],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[11296],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[11299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[11302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[11305],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1087 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[11308],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[11290],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[11293],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[11296],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[11299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[11302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[11305],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1120 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[11308],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[11290],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[11293],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[11296],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[11299],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[11302],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[11305],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1155 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[11308],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1190 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[11329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1218 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[11332],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1234 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1247 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[11332],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[11335],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[11338],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[11341],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[11344],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[11347],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[11350],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[11353],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[11356],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[11359],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4bf },
    &operand_data[11362],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8bf },
    &operand_data[11365],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[11368],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[11371],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1277 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[11374],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1418 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[11329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1418 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[11329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1418 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[11329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1418 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[11329],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v16qi },
    &operand_data[11377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hi },
    &operand_data[11379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4si },
    &operand_data[11285],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2di },
    &operand_data[11331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hf },
    &operand_data[11381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8bf },
    &operand_data[11383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4sf },
    &operand_data[11385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1513 */
  {
    "move_lo_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2df },
    &operand_data[11374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v16qi },
    &operand_data[11377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hi },
    &operand_data[11379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4si },
    &operand_data[11285],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2di },
    &operand_data[11331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hf },
    &operand_data[11381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8bf },
    &operand_data[11383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4sf },
    &operand_data[11385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1560 */
  {
    "move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2df },
    &operand_data[11374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1586 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[11387],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1586 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[11389],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1586 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[11391],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[11394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[11394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[11396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[11396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[11398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1644 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[11398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[11394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[11394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[11396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[11396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[11398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[11398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1786 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1813 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1920 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[11263],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1920 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[11266],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1920 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[11269],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1920 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[11272],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1920 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[11275],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[11409],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[11409],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[11411],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[11411],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[11286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[11286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[11288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[11288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[11413],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2175 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[11413],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[11409],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[11409],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[11411],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[11411],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[11286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[11286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[11288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[11288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[11413],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2183 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[11413],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[11263],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[11266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[11269],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[11272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2191 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[11275],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2257 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[11415],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2257 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[11414],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2280 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[11415],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2280 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[11414],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2333 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[11417],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2333 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[11420],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2347 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[11274],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2368 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[11423],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[11426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[11428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[11430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[11432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[11434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[11436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2428 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[11244],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2490 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[11438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[11440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[11440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[11440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[11440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[11442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[11442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[11442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[11442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[11444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[11444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[11444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[11444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[11438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[11438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[11438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[11438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[11256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[11256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[11256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2532 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[11256],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[11426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[11426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[11426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[11426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[11428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[11428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[11428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[11428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[11430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[11430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[11430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[11430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[11432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[11432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[11432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[11432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[11434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[11434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[11434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[11434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[11436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[11436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[11436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2548 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[11436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[11446],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[11450],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[11454],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[11458],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[11462],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[11466],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4bf },
    &operand_data[11470],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8bf },
    &operand_data[11474],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[11478],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[11482],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[11486],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[11490],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[11494],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[11498],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[11502],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2745 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[11506],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[11510],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[11514],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[11518],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[11522],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[11526],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[11530],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[11534],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[11538],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[11542],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[11546],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2771 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[11550],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[11554],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[11558],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[11562],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[11566],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[11570],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[11574],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[11578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2802 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[11582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[11586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[11590],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2882 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[11594],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[11554],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[11558],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[11562],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[11566],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[11570],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[11574],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[11578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3055 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[11582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8qiv8qi },
    &operand_data[11598],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv16qiv16qi },
    &operand_data[11604],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4hiv4hi },
    &operand_data[11610],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8hiv8hi },
    &operand_data[11616],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2si },
    &operand_data[11622],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4si },
    &operand_data[11628],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2di },
    &operand_data[11634],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2sf },
    &operand_data[11640],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4sf },
    &operand_data[11646],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vcondv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2df },
    &operand_data[11652],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3067 */
  {
    "vconddidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconddidi },
    &operand_data[11658],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2sf },
    &operand_data[11664],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2si },
    &operand_data[11668],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4sf },
    &operand_data[11674],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4si },
    &operand_data[11678],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2df },
    &operand_data[11684],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3097 */
  {
    "vcondv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2di },
    &operand_data[11688],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8qiv8qi },
    &operand_data[11598],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv16qiv16qi },
    &operand_data[11604],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4hiv4hi },
    &operand_data[11610],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8hiv8hi },
    &operand_data[11616],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2siv2si },
    &operand_data[11622],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4siv4si },
    &operand_data[11628],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vconduv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2div2di },
    &operand_data[11634],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3128 */
  {
    "vcondudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondudidi },
    &operand_data[11658],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3157 */
  {
    "vconduv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2sfv2si },
    &operand_data[11668],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3157 */
  {
    "vconduv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4sfv4si },
    &operand_data[11678],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3157 */
  {
    "vconduv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2dfv2di },
    &operand_data[11688],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[11694],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[11697],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4bf },
    &operand_data[11700],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[11703],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[11706],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[11709],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[11712],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3303 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[11715],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev8qi },
    &operand_data[11718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hi },
    &operand_data[11721],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4bf },
    &operand_data[11724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hf },
    &operand_data[11727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2si },
    &operand_data[11730],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2sf },
    &operand_data[11733],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedi },
    &operand_data[11331],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3324 */
  {
    "aarch64_simd_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedf },
    &operand_data[11736],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3366 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3366 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3366 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3390 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3390 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3390 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3402 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[11400],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3402 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3402 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3427 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[11739],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3427 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[11742],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3427 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[11745],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[11748],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[11751],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[11754],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[11739],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[11742],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3455 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[11745],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[11748],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[11751],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3472 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[11754],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[11757],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[11760],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[11763],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3565 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[11757],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3565 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[11760],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3565 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[11763],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3578 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[11757],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3578 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[11760],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3578 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[11763],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3590 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[11757],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3590 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[11760],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3590 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[11763],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_floor },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_floor },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_floor },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_floor },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_floor },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_floor },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_floor },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_floor },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_floor },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_floor },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "avgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_floor },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3604 */
  {
    "uavgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_floor },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_ceil },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_ceil },
    &operand_data[11311],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_ceil },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_ceil },
    &operand_data[11314],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_ceil },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_ceil },
    &operand_data[11317],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_ceil },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_ceil },
    &operand_data[11320],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_ceil },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_ceil },
    &operand_data[11323],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "avgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_ceil },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3612 */
  {
    "uavgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_ceil },
    &operand_data[11326],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4125 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[11765],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4125 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[11763],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4138 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[11765],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4138 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[11763],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4205 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[11769],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4205 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[11774],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4220 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[11779],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4220 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[11784],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4235 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[11769],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4235 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[11774],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4250 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[11779],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4250 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[11784],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4284 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[11789],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4284 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[11793],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4298 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[11789],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4298 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[11793],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4453 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[11403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4453 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[11406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4513 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[11770],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4513 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[11775],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[11780],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4527 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[11785],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4561 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[11790],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4561 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[11794],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4965 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[11263],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4965 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[11266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4965 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[11269],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4965 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[11272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4965 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[11275],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv16qi },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hi },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4si },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2di },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hf },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4sf },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2df },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5019 */
  {
    "vec_load_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8bf },
    &operand_data[11797],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv16qi },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hi },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4si },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2di },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hf },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4sf },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2df },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5063 */
  {
    "vec_store_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8bf },
    &operand_data[11798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv16qi },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hi },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4si },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2di },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hf },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4sf },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2df },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5117 */
  {
    "vec_load_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8bf },
    &operand_data[11800],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv16qi },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hi },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4si },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2di },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hf },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4sf },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2df },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5161 */
  {
    "vec_store_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8bf },
    &operand_data[11801],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv16qi },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hi },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4si },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2di },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hf },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4sf },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2df },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5215 */
  {
    "vec_load_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8bf },
    &operand_data[11803],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv16qi },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hi },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4si },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2di },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hf },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4sf },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2df },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "vec_store_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8bf },
    &operand_data[11804],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5305 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[11806],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5305 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[11808],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5305 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[11810],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4bf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8bf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5339 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[11814],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4bf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8bf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5361 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4bf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8bf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5382 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4bf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8bf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5403 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4bf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8bf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5557 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5632 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[11823],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[11825],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[11827],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[11829],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[11391],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[11831],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[11331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[11833],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[11835],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4bf },
    &operand_data[11837],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8bf },
    &operand_data[11839],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[11841],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[11843],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5645 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[11501],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8bf },
    &operand_data[11812],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5660 */
  {
    "aarch64_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8bf },
    &operand_data[11821],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5673 */
  {
    "aarch64_ld1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4bf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5686 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[11817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4bf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4bf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4bf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8bf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8bf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8bf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[11845],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[11849],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5700 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[11853],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv8qi },
    &operand_data[11857],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hi },
    &operand_data[11860],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4bf },
    &operand_data[11863],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hf },
    &operand_data[11866],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2si },
    &operand_data[11869],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2sf },
    &operand_data[11872],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregoidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidf },
    &operand_data[11875],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv8qi },
    &operand_data[11878],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hi },
    &operand_data[11881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4bf },
    &operand_data[11884],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hf },
    &operand_data[11887],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2si },
    &operand_data[11890],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregciv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2sf },
    &operand_data[11893],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregcidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregcidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidf },
    &operand_data[11896],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv8qi },
    &operand_data[11899],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hi },
    &operand_data[11902],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4bf },
    &operand_data[11905],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hf },
    &operand_data[11908],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2si },
    &operand_data[11911],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2sf },
    &operand_data[11914],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5723 */
  {
    "aarch64_get_dregxidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidf },
    &operand_data[11917],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv16qi },
    &operand_data[11920],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv16qi },
    &operand_data[11923],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv16qi },
    &operand_data[11926],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hi },
    &operand_data[11929],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hi },
    &operand_data[11932],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hi },
    &operand_data[11935],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4si },
    &operand_data[11938],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4si },
    &operand_data[11941],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4si },
    &operand_data[11944],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2di },
    &operand_data[11947],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2di },
    &operand_data[11950],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2di },
    &operand_data[11953],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hf },
    &operand_data[11956],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hf },
    &operand_data[11959],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hf },
    &operand_data[11962],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4sf },
    &operand_data[11965],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4sf },
    &operand_data[11968],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4sf },
    &operand_data[11971],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2df },
    &operand_data[11974],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2df },
    &operand_data[11977],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2df },
    &operand_data[11980],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8bf },
    &operand_data[11983],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8bf },
    &operand_data[11986],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5740 */
  {
    "aarch64_get_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8bf },
    &operand_data[11989],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[11446],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[11450],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5981 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8bf },
    &operand_data[11816],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8bf },
    &operand_data[11818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5994 */
  {
    "aarch64_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8bf },
    &operand_data[11820],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4bf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4bf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4bf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8bf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8bf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8bf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[11846],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[11850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6007 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[11854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[11553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[11824],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[11826],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[11393],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[11992],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[11830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[11244],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[11832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[11834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4bf },
    &operand_data[11836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8bf },
    &operand_data[11838],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[11840],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[11842],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6023 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[11994],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv16qi },
    &operand_data[11996],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv16qi },
    &operand_data[12000],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv16qi },
    &operand_data[12004],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hi },
    &operand_data[12008],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hi },
    &operand_data[12012],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hi },
    &operand_data[12016],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4si },
    &operand_data[12020],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4si },
    &operand_data[12024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4si },
    &operand_data[12028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2di },
    &operand_data[12032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2di },
    &operand_data[12036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2di },
    &operand_data[12040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hf },
    &operand_data[12044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hf },
    &operand_data[12048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hf },
    &operand_data[12052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4sf },
    &operand_data[12056],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4sf },
    &operand_data[12060],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4sf },
    &operand_data[12064],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2df },
    &operand_data[12068],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2df },
    &operand_data[12072],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2df },
    &operand_data[12076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8bf },
    &operand_data[12080],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8bf },
    &operand_data[12084],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6044 */
  {
    "aarch64_set_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8bf },
    &operand_data[12088],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[12092],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[12094],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[12096],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[12098],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[12100],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[12102],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[12104],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[12106],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[12108],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4bfbf },
    &operand_data[12110],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfbf },
    &operand_data[12112],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[12114],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[12116],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6062 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[12118],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiv8qi },
    &operand_data[12094],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hiv4hi },
    &operand_data[12098],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4siv2si },
    &operand_data[12102],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfv4hf },
    &operand_data[12108],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfv2sf },
    &operand_data[12116],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6071 */
  {
    "vec_initv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfv4bf },
    &operand_data[12112],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[12120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[12123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[12126],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[12129],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[12132],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[12135],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[12138],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[12141],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[12144],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4bfbf },
    &operand_data[12147],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfbf },
    &operand_data[12150],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[12153],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[12156],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6150 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[12159],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiv8qi },
    &operand_data[12162],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hiv4hi },
    &operand_data[12165],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4siv2si },
    &operand_data[12168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfv4hf },
    &operand_data[12171],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfv4bf },
    &operand_data[12174],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6162 */
  {
    "vec_extractv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfv2sf },
    &operand_data[12177],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6177 */
  {
    "vec_extractv2dfv1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfv1df },
    &operand_data[12180],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6498 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[12183],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6498 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[12183],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6498 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[12187],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6498 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[12187],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6521 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[12183],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6521 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[12183],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6521 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[12187],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6521 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[12187],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6611 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[12191],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6611 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[12191],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6632 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[12191],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6632 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[12191],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[12196],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[12196],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6746 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[12196],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6746 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[12196],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6840 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[12201],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6840 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[12201],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6861 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[12201],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6861 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[12201],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6956 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[12206],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6956 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[12206],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6976 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[12206],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6976 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[12206],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7143 */
  {
    "aarch64_vget_lo_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_lo_halfv8bf },
    &operand_data[11250],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7153 */
  {
    "aarch64_vget_hi_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_hi_halfv8bf },
    &operand_data[11250],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[12211],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[12219],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[12227],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[12235],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[12243],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[12251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[12255],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[12259],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[12263],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[12267],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[12267],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[12270],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[12270],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[12270],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[12273],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[12273],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[12276],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[12276],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[12276],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[12279],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[12279],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[12282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[12282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[12282],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[12285],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[12285],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[12288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[12288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[12288],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[12291],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[12291],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[12299],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[12299],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[12307],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[12307],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[12315],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[12315],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[12291],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[12291],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[12295],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[12299],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[12299],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[12303],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[12307],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[12307],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[12311],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[12315],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[12315],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[12319],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:766 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[92],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:777 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[92],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[12323],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8qi },
    &operand_data[12325],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4qi },
    &operand_data[12327],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2qi },
    &operand_data[12329],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[12331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hi },
    &operand_data[12333],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hi },
    &operand_data[12335],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[12337],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hf },
    &operand_data[12339],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hf },
    &operand_data[12341],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bf },
    &operand_data[12343],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[12345],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2si },
    &operand_data[12347],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[12349],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2sf },
    &operand_data[12351],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[12353],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[12355],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[12323],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8qi },
    &operand_data[12325],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4qi },
    &operand_data[12327],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2qi },
    &operand_data[12329],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[12331],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hi },
    &operand_data[12333],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hi },
    &operand_data[12335],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[12337],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hf },
    &operand_data[12339],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hf },
    &operand_data[12341],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8bf },
    &operand_data[12343],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[12345],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2si },
    &operand_data[12347],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[12349],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2sf },
    &operand_data[12351],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[12353],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[12355],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:722 */
  {
    "aarch64_sve_reload_mem",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_mem },
    &operand_data[12357],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16qi },
    &operand_data[12360],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8qi },
    &operand_data[12362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4qi },
    &operand_data[12364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2qi },
    &operand_data[12366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hi },
    &operand_data[12368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hi },
    &operand_data[12370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hi },
    &operand_data[12372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hf },
    &operand_data[12374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hf },
    &operand_data[12376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hf },
    &operand_data[12378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8bf },
    &operand_data[12380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4si },
    &operand_data[12382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2si },
    &operand_data[12384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4sf },
    &operand_data[12386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2sf },
    &operand_data[12388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2di },
    &operand_data[12390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2df },
    &operand_data[12392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[12394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[12396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[12398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[12400],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bf },
    &operand_data[12402],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[12404],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[12406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[12408],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[12410],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[12412],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[12414],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[12416],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24bf },
    &operand_data[12418],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[12420],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[12422],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[12424],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[12426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[12428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[12430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[12432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bf },
    &operand_data[12434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[12436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[12438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[12440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[12442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[12444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[12446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[12448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[12450],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[12452],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[12454],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[12456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16bfvnx8bf },
    &operand_data[12458],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[12460],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[12462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[12464],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[12466],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[12468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[12470],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[12472],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24bfvnx8bf },
    &operand_data[12474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[12476],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[12478],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[12480],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[12482],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[12484],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[12486],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[12488],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32bfvnx8bf },
    &operand_data[12490],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[12492],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[12494],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[12496],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2qivnx2di },
    &operand_data[12498],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hivnx2di },
    &operand_data[12503],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hfvnx2di },
    &operand_data[12508],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sivnx2di },
    &operand_data[12513],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sfvnx2di },
    &operand_data[12518],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2divnx2di },
    &operand_data[12523],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2dfvnx2di },
    &operand_data[12528],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4qivnx4si },
    &operand_data[12533],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hivnx4si },
    &operand_data[12538],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hfvnx4si },
    &operand_data[12543],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sivnx4si },
    &operand_data[12548],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sfvnx4si },
    &operand_data[12553],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[12558],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[12560],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[12562],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[12564],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16bfvnx8bf },
    &operand_data[12566],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[12568],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[12570],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[12572],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[12574],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[12576],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[12578],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[12580],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24bfvnx8bf },
    &operand_data[12582],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[12584],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[12586],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[12588],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[12590],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[12592],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[12594],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[12596],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32bfvnx8bf },
    &operand_data[12598],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[12600],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[12602],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[12604],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2qivnx2di },
    &operand_data[12606],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hivnx2di },
    &operand_data[12611],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hfvnx2di },
    &operand_data[12504],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sivnx2di },
    &operand_data[12616],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sfvnx2di },
    &operand_data[12514],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2divnx2di },
    &operand_data[12621],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2dfvnx2di },
    &operand_data[12524],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4qivnx4si },
    &operand_data[12626],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hivnx4si },
    &operand_data[12631],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hfvnx4si },
    &operand_data[12539],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sivnx4si },
    &operand_data[12636],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sfvnx4si },
    &operand_data[12549],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[12641],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8qi },
    &operand_data[12643],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4qi },
    &operand_data[12645],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2qi },
    &operand_data[12647],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[12649],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hi },
    &operand_data[12651],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hi },
    &operand_data[12653],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[12655],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hf },
    &operand_data[12657],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hf },
    &operand_data[12659],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bf },
    &operand_data[12661],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[12663],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2si },
    &operand_data[12665],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[12667],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2sf },
    &operand_data[12669],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[12671],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[12673],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qiqi },
    &operand_data[12675],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hihi },
    &operand_data[12677],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sisi },
    &operand_data[12679],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2didi },
    &operand_data[12681],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfbf },
    &operand_data[12683],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfhf },
    &operand_data[12685],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfsf },
    &operand_data[12687],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2dfdf },
    &operand_data[12689],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[12691],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[12693],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[12695],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[12697],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[12698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[12701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[12704],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[12707],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bfbf },
    &operand_data[12710],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[12713],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[12716],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[12719],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[12722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[12725],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[12728],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[12731],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx16qi2 },
    &operand_data[12734],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8hi2 },
    &operand_data[12736],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4si2 },
    &operand_data[12738],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2di2 },
    &operand_data[12740],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx16qi },
    &operand_data[12742],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8hi },
    &operand_data[12746],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4si },
    &operand_data[12750],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2di },
    &operand_data[12754],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx8hi2 },
    &operand_data[12758],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx8hi2 },
    &operand_data[12758],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4hi2 },
    &operand_data[12760],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4hi2 },
    &operand_data[12760],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2hi2 },
    &operand_data[12762],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2hi2 },
    &operand_data[12762],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4si2 },
    &operand_data[12764],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4si2 },
    &operand_data[12764],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4si2 },
    &operand_data[12766],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4si2 },
    &operand_data[12766],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2si2 },
    &operand_data[12768],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2si2 },
    &operand_data[12768],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2si2 },
    &operand_data[12770],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2si2 },
    &operand_data[12770],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2di2 },
    &operand_data[12772],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2di2 },
    &operand_data[12772],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2di2 },
    &operand_data[12774],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2di2 },
    &operand_data[12774],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2di2 },
    &operand_data[12776],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3049 */
  {
    "zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2di2 },
    &operand_data[12776],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3190 */
  {
    "aarch64_pred_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx16qi },
    &operand_data[12778],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3190 */
  {
    "aarch64_pred_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx8hi },
    &operand_data[12782],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3190 */
  {
    "aarch64_pred_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx4si },
    &operand_data[12786],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3190 */
  {
    "aarch64_pred_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx2di },
    &operand_data[12790],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3231 */
  {
    "cond_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx16qi },
    &operand_data[12742],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3231 */
  {
    "cond_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx8hi },
    &operand_data[12746],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3231 */
  {
    "cond_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx4si },
    &operand_data[12750],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3231 */
  {
    "cond_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx2di },
    &operand_data[12754],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frecpxvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frecpxvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frecpxvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3370 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx8hf },
    &operand_data[12800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx4sf },
    &operand_data[12804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3399 */
  {
    "cond_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx2df },
    &operand_data[12808],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[12794],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3508 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[12798],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3526 */
  {
    "rsqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx4sf2 },
    &operand_data[12796],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3526 */
  {
    "rsqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx2df2 },
    &operand_data[12798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3537 */
  {
    "aarch64_rsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx4sf },
    &operand_data[12796],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3537 */
  {
    "aarch64_rsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx2df },
    &operand_data[12798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "aarch64_rsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx4sf },
    &operand_data[12812],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "aarch64_rsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx2df },
    &operand_data[12815],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3562 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[12818],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3562 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[12820],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3562 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[12822],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3562 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[12824],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[12826],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[12826],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[12826],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[12829],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[12829],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[12832],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[12832],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[12832],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[12835],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[12835],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[12838],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[12838],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[12838],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[12841],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[12841],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[12844],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[12844],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[12844],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[12847],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3611 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[12847],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx16qi },
    &operand_data[12855],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx16qi },
    &operand_data[12860],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx16qi },
    &operand_data[12860],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[12865],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8hi },
    &operand_data[12875],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8hi },
    &operand_data[12880],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8hi },
    &operand_data[12880],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[12885],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4si },
    &operand_data[12895],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4si },
    &operand_data[12900],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4si },
    &operand_data[12900],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[12905],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2di },
    &operand_data[12915],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2di },
    &operand_data[12920],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2di },
    &operand_data[12920],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[12925],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3670 */
  {
    "cond_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3868 */
  {
    "aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si_shift },
    &operand_data[12930],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3868 */
  {
    "aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di_shift },
    &operand_data[12934],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx16qi_3 },
    &operand_data[12938],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx16qi_3 },
    &operand_data[12938],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8hi_3 },
    &operand_data[12941],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8hi_3 },
    &operand_data[12941],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4si_3 },
    &operand_data[12930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4si_3 },
    &operand_data[12930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2di_3 },
    &operand_data[12934],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3956 */
  {
    "uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2di_3 },
    &operand_data[12934],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx16qi },
    &operand_data[12850],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx16qi },
    &operand_data[12850],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx8hi },
    &operand_data[12870],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx8hi },
    &operand_data[12870],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx4si },
    &operand_data[12890],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx4si },
    &operand_data[12890],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx2di },
    &operand_data[12910],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_cond_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx2di },
    &operand_data[12910],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4141 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4174 */
  {
    "cond_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "divvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "udivvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "divvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2di3 },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4237 */
  {
    "udivvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx2di3 },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4269 */
  {
    "cond_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4269 */
  {
    "cond_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4269 */
  {
    "cond_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4269 */
  {
    "cond_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4378 */
  {
    "aarch64_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx16qi },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4378 */
  {
    "aarch64_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx8hi },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4378 */
  {
    "aarch64_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4si },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4378 */
  {
    "aarch64_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2di },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4411 */
  {
    "cond_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx16qi },
    &operand_data[12850],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4411 */
  {
    "cond_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx8hi },
    &operand_data[12870],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4411 */
  {
    "cond_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx4si },
    &operand_data[12890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4411 */
  {
    "cond_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx2di },
    &operand_data[12910],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[12944],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[12944],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[12944],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[12947],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[12947],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[12947],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[12950],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[12950],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[12950],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[12953],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[12953],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4483 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[12953],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[12956],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[12959],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[12959],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[12962],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[12965],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[12965],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[12968],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[12971],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[12971],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[12974],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[12977],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4510 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[12977],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx16qi },
    &operand_data[12980],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx16qi },
    &operand_data[12980],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx16qi },
    &operand_data[12980],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx8hi },
    &operand_data[12985],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx8hi },
    &operand_data[12985],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx8hi },
    &operand_data[12985],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx4si },
    &operand_data[12990],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx4si },
    &operand_data[12990],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4616 */
  {
    "cond_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx4si },
    &operand_data[12990],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4675 */
  {
    "sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx16qi3 },
    &operand_data[12995],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4675 */
  {
    "sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8hi3 },
    &operand_data[12998],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4675 */
  {
    "sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4si3 },
    &operand_data[13001],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4675 */
  {
    "sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2di3 },
    &operand_data[13004],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_asrdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx16qi },
    &operand_data[13007],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_sqshluvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx16qi },
    &operand_data[13012],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx16qi },
    &operand_data[13007],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx16qi },
    &operand_data[13007],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_asrdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8hi },
    &operand_data[13017],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_sqshluvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8hi },
    &operand_data[13022],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8hi },
    &operand_data[13017],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8hi },
    &operand_data[13017],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_asrdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4si },
    &operand_data[13027],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_sqshluvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4si },
    &operand_data[13032],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4si },
    &operand_data[13027],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4si },
    &operand_data[13027],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_asrdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2di },
    &operand_data[13037],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_sqshluvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2di },
    &operand_data[13042],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2di },
    &operand_data[13037],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4692 */
  {
    "cond_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2di },
    &operand_data[13037],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4777 */
  {
    "cond_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx8hf },
    &operand_data[13047],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4777 */
  {
    "cond_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx4sf },
    &operand_data[13052],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4777 */
  {
    "cond_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx2df },
    &operand_data[13057],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[13062],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[13068],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8hf3 },
    &operand_data[13071],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[13073],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[13076],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[13082],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx4sf3 },
    &operand_data[12812],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[13085],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[13088],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "smin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[13094],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "mulxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx2df3 },
    &operand_data[12815],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4956 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[13097],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[13100],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8hf },
    &operand_data[13105],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx8hf },
    &operand_data[13110],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hf },
    &operand_data[13110],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx8hf },
    &operand_data[13110],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hf },
    &operand_data[13110],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hf },
    &operand_data[13115],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8hf },
    &operand_data[13105],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[13120],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[13125],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4sf },
    &operand_data[13130],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx4sf },
    &operand_data[13135],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4sf },
    &operand_data[13135],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx4sf },
    &operand_data[13135],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4sf },
    &operand_data[13135],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4sf },
    &operand_data[13140],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx4sf },
    &operand_data[13130],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[13145],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[13150],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2df },
    &operand_data[13155],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx2df },
    &operand_data[13160],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2df },
    &operand_data[13160],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx2df },
    &operand_data[13160],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2df },
    &operand_data[13160],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2df },
    &operand_data[13165],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx2df },
    &operand_data[13155],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4988 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[13170],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx8hf },
    &operand_data[13105],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx8hf },
    &operand_data[13105],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx4sf },
    &operand_data[13130],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx4sf },
    &operand_data[13130],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx2df },
    &operand_data[13155],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5449 */
  {
    "cond_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx2df },
    &operand_data[13155],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5726 */
  {
    "aarch64_pred_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx8hf },
    &operand_data[13175],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5726 */
  {
    "aarch64_pred_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx4sf },
    &operand_data[13180],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5726 */
  {
    "aarch64_pred_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx2df },
    &operand_data[13185],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5784 */
  {
    "aarch64_cond_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx8hf },
    &operand_data[13105],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5784 */
  {
    "aarch64_cond_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx4sf },
    &operand_data[13130],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5784 */
  {
    "aarch64_cond_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx2df },
    &operand_data[13155],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6054 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[13190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6054 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[13193],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6054 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[13196],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6072 */
  {
    "aarch64_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx8hf },
    &operand_data[12794],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6072 */
  {
    "aarch64_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx4sf },
    &operand_data[12796],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6072 */
  {
    "aarch64_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx2df },
    &operand_data[12798],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6080 */
  {
    "aarch64_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx8hf },
    &operand_data[13071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6080 */
  {
    "aarch64_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx4sf },
    &operand_data[12812],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6080 */
  {
    "aarch64_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx2df },
    &operand_data[12815],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "copysignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx8hf3 },
    &operand_data[13071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "copysignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx4sf3 },
    &operand_data[12812],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "copysignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx2df3 },
    &operand_data[12815],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6147 */
  {
    "xorsignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx8hf3 },
    &operand_data[13071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6147 */
  {
    "xorsignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx4sf3 },
    &operand_data[12812],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6147 */
  {
    "xorsignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx2df3 },
    &operand_data[12815],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[13065],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[13079],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6183 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[13091],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[13199],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[13199],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[13202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[13202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[13205],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[13205],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[13208],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6242 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[13208],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6446 */
  {
    "fmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx16qi4 },
    &operand_data[13211],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6446 */
  {
    "fmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hi4 },
    &operand_data[13215],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6446 */
  {
    "fmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4si4 },
    &operand_data[13219],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6446 */
  {
    "fmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2di4 },
    &operand_data[13223],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6484 */
  {
    "cond_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx16qi },
    &operand_data[13227],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6484 */
  {
    "cond_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hi },
    &operand_data[13233],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6484 */
  {
    "cond_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4si },
    &operand_data[13239],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6484 */
  {
    "cond_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2di },
    &operand_data[13245],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6587 */
  {
    "fnmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx16qi4 },
    &operand_data[13251],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6587 */
  {
    "fnmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hi4 },
    &operand_data[13255],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6587 */
  {
    "fnmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4si4 },
    &operand_data[13259],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6587 */
  {
    "fnmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2di4 },
    &operand_data[13263],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6625 */
  {
    "cond_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx16qi },
    &operand_data[13227],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6625 */
  {
    "cond_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hi },
    &operand_data[13233],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6625 */
  {
    "cond_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4si },
    &operand_data[13239],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6625 */
  {
    "cond_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2di },
    &operand_data[13245],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6813 */
  {
    "ssadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx16qi },
    &operand_data[13267],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6813 */
  {
    "usadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx16qi },
    &operand_data[13267],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6813 */
  {
    "ssadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx8hi },
    &operand_data[13271],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6813 */
  {
    "usadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx8hi },
    &operand_data[13271],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[13275],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[13275],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[13275],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[13275],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[13279],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[13279],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[13279],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[13279],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[13283],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[13283],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[13283],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6867 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[13283],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6901 */
  {
    "cond_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx8hf },
    &operand_data[13287],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx4sf },
    &operand_data[13293],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7137 */
  {
    "cond_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx2df },
    &operand_data[13299],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[13305],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[13309],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[13313],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[13317],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bfvnx8bi },
    &operand_data[13321],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[13325],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[13329],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7383 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[13333],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx16qi },
    &operand_data[13337],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hi },
    &operand_data[13343],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4si },
    &operand_data[13349],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2di },
    &operand_data[13355],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hi },
    &operand_data[13361],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hi },
    &operand_data[13367],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4si },
    &operand_data[13373],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7453 */
  {
    "vcondvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2di },
    &operand_data[13379],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx16qi },
    &operand_data[13337],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8hi },
    &operand_data[13343],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4si },
    &operand_data[13349],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2di },
    &operand_data[13355],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8hi },
    &operand_data[13361],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8hi },
    &operand_data[13367],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4si },
    &operand_data[13373],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7470 */
  {
    "vconduvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2di },
    &operand_data[13379],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hf },
    &operand_data[13385],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4sf },
    &operand_data[13391],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2df },
    &operand_data[13397],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx8bfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hf },
    &operand_data[13403],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hf },
    &operand_data[13409],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4sf },
    &operand_data[13415],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7487 */
  {
    "vcondvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2df },
    &operand_data[13421],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7521 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[13427],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7521 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[13431],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7521 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[13435],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7521 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[13439],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7539 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[13427],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7539 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[13431],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7539 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[13435],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7539 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[13439],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[13443],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[13447],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[13451],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx8hf },
    &operand_data[13455],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx8hf },
    &operand_data[13455],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_faclevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx8hf },
    &operand_data[13455],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx8hf },
    &operand_data[13455],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx4sf },
    &operand_data[13460],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx4sf },
    &operand_data[13460],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_faclevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx4sf },
    &operand_data[13460],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx4sf },
    &operand_data[13460],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx2df },
    &operand_data[13465],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx2df },
    &operand_data[13465],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_faclevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx2df },
    &operand_data[13465],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7939 */
  {
    "aarch64_pred_facltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx2df },
    &operand_data[13465],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[13470],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[13474],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[13478],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8032 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[13482],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8128 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8128 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8128 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8128 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[12698],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[12701],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[12704],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8153 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[12707],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[12713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[12713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[12713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[12713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[12713],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[12716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[12716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[12716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[12716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[12716],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[12719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[12719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[12719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[12719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8186 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[12719],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8215 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[13486],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8215 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[13489],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8215 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[13492],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[13495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[13499],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[13503],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[13507],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8bf },
    &operand_data[13511],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[13515],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[13519],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8249 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[13523],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[12943],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[12943],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[12943],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[12943],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[13527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[13527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[13527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[13527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[13266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[13266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[13266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8508 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[13266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[13528],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[13528],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[13530],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[13530],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[13532],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8541 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[13532],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[13534],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[13534],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[13538],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[13538],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[13542],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[13542],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[13546],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[13546],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[13550],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[13550],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[13554],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8586 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[13554],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8648 */
  {
    "cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[13558],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8648 */
  {
    "cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[13558],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8688 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[13562],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8688 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[13562],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[13049],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[13049],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[13054],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[13054],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[13059],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8727 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[13059],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx8hf },
    &operand_data[13565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[13565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx8hf },
    &operand_data[13569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[13569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx4sf },
    &operand_data[13573],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[13573],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx8hf },
    &operand_data[13577],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx8hf },
    &operand_data[13577],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx4sf },
    &operand_data[13581],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx4sf },
    &operand_data[13581],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx2df },
    &operand_data[13585],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8773 */
  {
    "cond_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx2df },
    &operand_data[13585],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8835 */
  {
    "cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_extendvnx4sivnx2df },
    &operand_data[13589],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8835 */
  {
    "cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_extendvnx4sivnx2df },
    &operand_data[13589],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8883 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[13593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8883 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[13593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8883 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[13593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8883 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[13593],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[12795],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8916 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[12797],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8955 */
  {
    "cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8hf },
    &operand_data[13595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8955 */
  {
    "cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx8hf },
    &operand_data[13599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8955 */
  {
    "cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx4sf },
    &operand_data[13603],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9012 */
  {
    "cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8bf },
    &operand_data[13607],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9072 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[13611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9072 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[13611],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9072 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[13613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9072 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[13613],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9112 */
  {
    "cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[13614],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9112 */
  {
    "cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[13618],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9112 */
  {
    "cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[13622],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[13626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[13626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[13626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[13626],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[13628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[13628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[13628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[13628],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[13630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[13630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[13630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9175 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[13630],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9561 */
  {
    "aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9561 */
  {
    "aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9561 */
  {
    "aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9711 */
  {
    "aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9711 */
  {
    "aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9711 */
  {
    "aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_pat },
    &operand_data[13632],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9774 */
  {
    "aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx16bi_cntp },
    &operand_data[13649],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx16bi_cntp },
    &operand_data[13649],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx8bi_cntp },
    &operand_data[13652],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx8bi_cntp },
    &operand_data[13652],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx4bi_cntp },
    &operand_data[13655],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx4bi_cntp },
    &operand_data[13655],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx2bi_cntp },
    &operand_data[13658],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9829 */
  {
    "aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx2bi_cntp },
    &operand_data[13658],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9877 */
  {
    "aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9877 */
  {
    "aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9877 */
  {
    "aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9918 */
  {
    "aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9918 */
  {
    "aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9918 */
  {
    "aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9957 */
  {
    "aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9957 */
  {
    "aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9957 */
  {
    "aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx16bi_cntp },
    &operand_data[13637],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx8bi_cntp },
    &operand_data[13640],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx4bi_cntp },
    &operand_data[13643],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10007 */
  {
    "aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx2bi_cntp },
    &operand_data[13646],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx16bi_cntp },
    &operand_data[13649],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx16bi_cntp },
    &operand_data[13649],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx8bi_cntp },
    &operand_data[13652],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx8bi_cntp },
    &operand_data[13652],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx4bi_cntp },
    &operand_data[13655],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx4bi_cntp },
    &operand_data[13655],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx2bi_cntp },
    &operand_data[13658],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10062 */
  {
    "aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx2bi_cntp },
    &operand_data[13658],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10110 */
  {
    "aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10110 */
  {
    "aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10110 */
  {
    "aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_cntp },
    &operand_data[13661],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10151 */
  {
    "aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10151 */
  {
    "aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10151 */
  {
    "aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_cntp },
    &operand_data[13664],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10190 */
  {
    "aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10190 */
  {
    "aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10190 */
  {
    "aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_cntp },
    &operand_data[13667],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx16qi3 },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx16qi3 },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx16qi3 },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx16qi3 },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx8hi3 },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx8hi3 },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx8hi3 },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx8hi3 },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx4si3 },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_floor },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_floor },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_floor },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_floor },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_floor },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_floor },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_floor },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_floor },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_ceil },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_ceil },
    &operand_data[12938],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_ceil },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_ceil },
    &operand_data[12941],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_ceil },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_ceil },
    &operand_data[12930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_ceil },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_ceil },
    &operand_data[12934],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx16qi },
    &operand_data[12850],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx8hi },
    &operand_data[12870],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx4si },
    &operand_data[12890],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx2di },
    &operand_data[12910],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx16qi },
    &operand_data[13670],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx16qi },
    &operand_data[13670],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx8hi },
    &operand_data[13675],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx8hi },
    &operand_data[13675],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx4si },
    &operand_data[13680],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx4si },
    &operand_data[13680],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx2di },
    &operand_data[13685],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx2di },
    &operand_data[13685],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx16qi },
    &operand_data[13690],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx8hi },
    &operand_data[13694],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx4si },
    &operand_data[13698],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx2di },
    &operand_data[13702],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx16qi },
    &operand_data[13690],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx8hi },
    &operand_data[13694],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx4si },
    &operand_data[13698],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx2di },
    &operand_data[13702],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx16qi },
    &operand_data[13690],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx8hi },
    &operand_data[13694],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx4si },
    &operand_data[13698],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx2di },
    &operand_data[13702],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx16qi },
    &operand_data[13690],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx8hi },
    &operand_data[13694],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx4si },
    &operand_data[13698],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx2di },
    &operand_data[13702],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx16qi },
    &operand_data[13690],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx8hi },
    &operand_data[13694],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx4si },
    &operand_data[13698],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx2di },
    &operand_data[13702],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx16qi },
    &operand_data[13706],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx16qi },
    &operand_data[13706],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx8hi },
    &operand_data[13710],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx8hi },
    &operand_data[13710],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx4si },
    &operand_data[13714],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx4si },
    &operand_data[13714],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx2di },
    &operand_data[13718],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx2di },
    &operand_data[13718],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx16qi },
    &operand_data[10274],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx16qi },
    &operand_data[10274],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx8hi },
    &operand_data[10278],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx8hi },
    &operand_data[10278],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx4si },
    &operand_data[10282],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx4si },
    &operand_data[10282],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx2di },
    &operand_data[10286],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx2di },
    &operand_data[10286],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx8hi },
    &operand_data[13722],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx8hi },
    &operand_data[13722],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx4si },
    &operand_data[13727],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx4si },
    &operand_data[13727],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx2di },
    &operand_data[13732],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx2di },
    &operand_data[13732],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1903 */
  {
    "cond_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx4sf },
    &operand_data[13737],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1903 */
  {
    "cond_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx2df },
    &operand_data[13741],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1995 */
  {
    "cond_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtxvnx4sf },
    &operand_data[13603],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2097 */
  {
    "cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urecpevnx4si },
    &operand_data[12750],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2097 */
  {
    "cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ursqrtevnx4si },
    &operand_data[12750],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2162 */
  {
    "cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx8hf },
    &operand_data[13534],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2162 */
  {
    "cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx4sf },
    &operand_data[13542],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2162 */
  {
    "cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx2df },
    &operand_data[13554],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2331 */
  {
    "check_raw_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrssi },
    &operand_data[13745],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2331 */
  {
    "check_war_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrssi },
    &operand_data[13745],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2331 */
  {
    "check_raw_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrsdi },
    &operand_data[13750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2331 */
  {
    "check_war_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrsdi },
    &operand_data[13750],
    5,
    5,
    0,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
